/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

var react = {exports: {}};

var react_production_min = {};

/*
object-assign
(c) Sindre Sorhus
@license MIT
*/
/* eslint-disable no-unused-vars */
var getOwnPropertySymbols = Object.getOwnPropertySymbols;
var hasOwnProperty = Object.prototype.hasOwnProperty;
var propIsEnumerable = Object.prototype.propertyIsEnumerable;

function toObject(val) {
	if (val === null || val === undefined) {
		throw new TypeError('Object.assign cannot be called with null or undefined');
	}

	return Object(val);
}

function shouldUseNative() {
	try {
		if (!Object.assign) {
			return false;
		}

		// Detect buggy property enumeration order in older V8 versions.

		// https://bugs.chromium.org/p/v8/issues/detail?id=4118
		var test1 = new String('abc');  // eslint-disable-line no-new-wrappers
		test1[5] = 'de';
		if (Object.getOwnPropertyNames(test1)[0] === '5') {
			return false;
		}

		// https://bugs.chromium.org/p/v8/issues/detail?id=3056
		var test2 = {};
		for (var i = 0; i < 10; i++) {
			test2['_' + String.fromCharCode(i)] = i;
		}
		var order2 = Object.getOwnPropertyNames(test2).map(function (n) {
			return test2[n];
		});
		if (order2.join('') !== '0123456789') {
			return false;
		}

		// https://bugs.chromium.org/p/v8/issues/detail?id=3056
		var test3 = {};
		'abcdefghijklmnopqrst'.split('').forEach(function (letter) {
			test3[letter] = letter;
		});
		if (Object.keys(Object.assign({}, test3)).join('') !==
				'abcdefghijklmnopqrst') {
			return false;
		}

		return true;
	} catch (err) {
		// We don't expect any of the above to throw, but better to be safe.
		return false;
	}
}

var objectAssign = shouldUseNative() ? Object.assign : function (target, source) {
	var from;
	var to = toObject(target);
	var symbols;

	for (var s = 1; s < arguments.length; s++) {
		from = Object(arguments[s]);

		for (var key in from) {
			if (hasOwnProperty.call(from, key)) {
				to[key] = from[key];
			}
		}

		if (getOwnPropertySymbols) {
			symbols = getOwnPropertySymbols(from);
			for (var i = 0; i < symbols.length; i++) {
				if (propIsEnumerable.call(from, symbols[i])) {
					to[symbols[i]] = from[symbols[i]];
				}
			}
		}
	}

	return to;
};

/** @license React v16.14.0
 * react.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var l=objectAssign,n="function"===typeof Symbol&&Symbol.for,p=n?Symbol.for("react.element"):60103,q=n?Symbol.for("react.portal"):60106,r=n?Symbol.for("react.fragment"):60107,t=n?Symbol.for("react.strict_mode"):60108,u=n?Symbol.for("react.profiler"):60114,v=n?Symbol.for("react.provider"):60109,w=n?Symbol.for("react.context"):60110,x=n?Symbol.for("react.forward_ref"):60112,y=n?Symbol.for("react.suspense"):60113,z=n?Symbol.for("react.memo"):60115,A=n?Symbol.for("react.lazy"):
60116,B="function"===typeof Symbol&&Symbol.iterator;function C(a){for(var b="https://reactjs.org/docs/error-decoder.html?invariant="+a,c=1;c<arguments.length;c++)b+="&args[]="+encodeURIComponent(arguments[c]);return "Minified React error #"+a+"; visit "+b+" for the full message or use the non-minified dev environment for full errors and additional helpful warnings."}
var D={isMounted:function(){return !1},enqueueForceUpdate:function(){},enqueueReplaceState:function(){},enqueueSetState:function(){}},E={};function F(a,b,c){this.props=a;this.context=b;this.refs=E;this.updater=c||D;}F.prototype.isReactComponent={};F.prototype.setState=function(a,b){if("object"!==typeof a&&"function"!==typeof a&&null!=a)throw Error(C(85));this.updater.enqueueSetState(this,a,b,"setState");};F.prototype.forceUpdate=function(a){this.updater.enqueueForceUpdate(this,a,"forceUpdate");};
function G(){}G.prototype=F.prototype;function H(a,b,c){this.props=a;this.context=b;this.refs=E;this.updater=c||D;}var I=H.prototype=new G;I.constructor=H;l(I,F.prototype);I.isPureReactComponent=!0;var J={current:null},K=Object.prototype.hasOwnProperty,L={key:!0,ref:!0,__self:!0,__source:!0};
function M(a,b,c){var e,d={},g=null,k=null;if(null!=b)for(e in void 0!==b.ref&&(k=b.ref),void 0!==b.key&&(g=""+b.key),b)K.call(b,e)&&!L.hasOwnProperty(e)&&(d[e]=b[e]);var f=arguments.length-2;if(1===f)d.children=c;else if(1<f){for(var h=Array(f),m=0;m<f;m++)h[m]=arguments[m+2];d.children=h;}if(a&&a.defaultProps)for(e in f=a.defaultProps,f)void 0===d[e]&&(d[e]=f[e]);return {$$typeof:p,type:a,key:g,ref:k,props:d,_owner:J.current}}
function N(a,b){return {$$typeof:p,type:a.type,key:b,ref:a.ref,props:a.props,_owner:a._owner}}function O(a){return "object"===typeof a&&null!==a&&a.$$typeof===p}function escape(a){var b={"=":"=0",":":"=2"};return "$"+(""+a).replace(/[=:]/g,function(a){return b[a]})}var P=/\/+/g,Q=[];function R(a,b,c,e){if(Q.length){var d=Q.pop();d.result=a;d.keyPrefix=b;d.func=c;d.context=e;d.count=0;return d}return {result:a,keyPrefix:b,func:c,context:e,count:0}}
function S(a){a.result=null;a.keyPrefix=null;a.func=null;a.context=null;a.count=0;10>Q.length&&Q.push(a);}
function T(a,b,c,e){var d=typeof a;if("undefined"===d||"boolean"===d)a=null;var g=!1;if(null===a)g=!0;else switch(d){case "string":case "number":g=!0;break;case "object":switch(a.$$typeof){case p:case q:g=!0;}}if(g)return c(e,a,""===b?"."+U(a,0):b),1;g=0;b=""===b?".":b+":";if(Array.isArray(a))for(var k=0;k<a.length;k++){d=a[k];var f=b+U(d,k);g+=T(d,f,c,e);}else if(null===a||"object"!==typeof a?f=null:(f=B&&a[B]||a["@@iterator"],f="function"===typeof f?f:null),"function"===typeof f)for(a=f.call(a),k=
0;!(d=a.next()).done;)d=d.value,f=b+U(d,k++),g+=T(d,f,c,e);else if("object"===d)throw c=""+a,Error(C(31,"[object Object]"===c?"object with keys {"+Object.keys(a).join(", ")+"}":c,""));return g}function V(a,b,c){return null==a?0:T(a,"",b,c)}function U(a,b){return "object"===typeof a&&null!==a&&null!=a.key?escape(a.key):b.toString(36)}function W(a,b){a.func.call(a.context,b,a.count++);}
function aa(a,b,c){var e=a.result,d=a.keyPrefix;a=a.func.call(a.context,b,a.count++);Array.isArray(a)?X(a,e,c,function(a){return a}):null!=a&&(O(a)&&(a=N(a,d+(!a.key||b&&b.key===a.key?"":(""+a.key).replace(P,"$&/")+"/")+c)),e.push(a));}function X(a,b,c,e,d){var g="";null!=c&&(g=(""+c).replace(P,"$&/")+"/");b=R(b,g,e,d);V(a,aa,b);S(b);}var Y={current:null};function Z(){var a=Y.current;if(null===a)throw Error(C(321));return a}
var ba={ReactCurrentDispatcher:Y,ReactCurrentBatchConfig:{suspense:null},ReactCurrentOwner:J,IsSomeRendererActing:{current:!1},assign:l};react_production_min.Children={map:function(a,b,c){if(null==a)return a;var e=[];X(a,e,null,b,c);return e},forEach:function(a,b,c){if(null==a)return a;b=R(null,null,b,c);V(a,W,b);S(b);},count:function(a){return V(a,function(){return null},null)},toArray:function(a){var b=[];X(a,b,null,function(a){return a});return b},only:function(a){if(!O(a))throw Error(C(143));return a}};
react_production_min.Component=F;react_production_min.Fragment=r;react_production_min.Profiler=u;react_production_min.PureComponent=H;react_production_min.StrictMode=t;react_production_min.Suspense=y;react_production_min.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED=ba;
react_production_min.cloneElement=function(a,b,c){if(null===a||void 0===a)throw Error(C(267,a));var e=l({},a.props),d=a.key,g=a.ref,k=a._owner;if(null!=b){void 0!==b.ref&&(g=b.ref,k=J.current);void 0!==b.key&&(d=""+b.key);if(a.type&&a.type.defaultProps)var f=a.type.defaultProps;for(h in b)K.call(b,h)&&!L.hasOwnProperty(h)&&(e[h]=void 0===b[h]&&void 0!==f?f[h]:b[h]);}var h=arguments.length-2;if(1===h)e.children=c;else if(1<h){f=Array(h);for(var m=0;m<h;m++)f[m]=arguments[m+2];e.children=f;}return {$$typeof:p,type:a.type,
key:d,ref:g,props:e,_owner:k}};react_production_min.createContext=function(a,b){void 0===b&&(b=null);a={$$typeof:w,_calculateChangedBits:b,_currentValue:a,_currentValue2:a,_threadCount:0,Provider:null,Consumer:null};a.Provider={$$typeof:v,_context:a};return a.Consumer=a};react_production_min.createElement=M;react_production_min.createFactory=function(a){var b=M.bind(null,a);b.type=a;return b};react_production_min.createRef=function(){return {current:null}};react_production_min.forwardRef=function(a){return {$$typeof:x,render:a}};react_production_min.isValidElement=O;
react_production_min.lazy=function(a){return {$$typeof:A,_ctor:a,_status:-1,_result:null}};react_production_min.memo=function(a,b){return {$$typeof:z,type:a,compare:void 0===b?null:b}};react_production_min.useCallback=function(a,b){return Z().useCallback(a,b)};react_production_min.useContext=function(a,b){return Z().useContext(a,b)};react_production_min.useDebugValue=function(){};react_production_min.useEffect=function(a,b){return Z().useEffect(a,b)};react_production_min.useImperativeHandle=function(a,b,c){return Z().useImperativeHandle(a,b,c)};
react_production_min.useLayoutEffect=function(a,b){return Z().useLayoutEffect(a,b)};react_production_min.useMemo=function(a,b){return Z().useMemo(a,b)};react_production_min.useReducer=function(a,b,c){return Z().useReducer(a,b,c)};react_production_min.useRef=function(a){return Z().useRef(a)};react_production_min.useState=function(a){return Z().useState(a)};react_production_min.version="16.14.0";

var react_development = {};

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var ReactPropTypesSecret$1 = 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED';

var ReactPropTypesSecret_1 = ReactPropTypesSecret$1;

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

var printWarning = function() {};

if (process.env.NODE_ENV !== 'production') {
  var ReactPropTypesSecret = ReactPropTypesSecret_1;
  var loggedTypeFailures = {};
  var has = Function.call.bind(Object.prototype.hasOwnProperty);

  printWarning = function(text) {
    var message = 'Warning: ' + text;
    if (typeof console !== 'undefined') {
      console.error(message);
    }
    try {
      // --- Welcome to debugging React ---
      // This error was thrown as a convenience so that you can use this stack
      // to find the callsite that caused this warning to fire.
      throw new Error(message);
    } catch (x) {}
  };
}

/**
 * Assert that the values match with the type specs.
 * Error messages are memorized and will only be shown once.
 *
 * @param {object} typeSpecs Map of name to a ReactPropType
 * @param {object} values Runtime values that need to be type-checked
 * @param {string} location e.g. "prop", "context", "child context"
 * @param {string} componentName Name of the component for error messages.
 * @param {?Function} getStack Returns the component stack.
 * @private
 */
function checkPropTypes(typeSpecs, values, location, componentName, getStack) {
  if (process.env.NODE_ENV !== 'production') {
    for (var typeSpecName in typeSpecs) {
      if (has(typeSpecs, typeSpecName)) {
        var error;
        // Prop type validation may throw. In case they do, we don't want to
        // fail the render phase where it didn't fail before. So we log it.
        // After these have been cleaned up, we'll let them throw.
        try {
          // This is intentionally an invariant that gets caught. It's the same
          // behavior as without this statement except with a better message.
          if (typeof typeSpecs[typeSpecName] !== 'function') {
            var err = Error(
              (componentName || 'React class') + ': ' + location + ' type `' + typeSpecName + '` is invalid; ' +
              'it must be a function, usually from the `prop-types` package, but received `' + typeof typeSpecs[typeSpecName] + '`.'
            );
            err.name = 'Invariant Violation';
            throw err;
          }
          error = typeSpecs[typeSpecName](values, typeSpecName, componentName, location, null, ReactPropTypesSecret);
        } catch (ex) {
          error = ex;
        }
        if (error && !(error instanceof Error)) {
          printWarning(
            (componentName || 'React class') + ': type specification of ' +
            location + ' `' + typeSpecName + '` is invalid; the type checker ' +
            'function must return `null` or an `Error` but returned a ' + typeof error + '. ' +
            'You may have forgotten to pass an argument to the type checker ' +
            'creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and ' +
            'shape all require an argument).'
          );
        }
        if (error instanceof Error && !(error.message in loggedTypeFailures)) {
          // Only monitor this failure once because there tends to be a lot of the
          // same error.
          loggedTypeFailures[error.message] = true;

          var stack = getStack ? getStack() : '';

          printWarning(
            'Failed ' + location + ' type: ' + error.message + (stack != null ? stack : '')
          );
        }
      }
    }
  }
}

/**
 * Resets warning cache when testing.
 *
 * @private
 */
checkPropTypes.resetWarningCache = function() {
  if (process.env.NODE_ENV !== 'production') {
    loggedTypeFailures = {};
  }
};

var checkPropTypes_1 = checkPropTypes;

/** @license React v16.14.0
 * react.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



if (process.env.NODE_ENV !== "production") {
  (function() {

var _assign = objectAssign;
var checkPropTypes = checkPropTypes_1;

var ReactVersion = '16.14.0';

// The Symbol used to tag the ReactElement-like types. If there is no native Symbol
// nor polyfill, then a plain number is used for performance.
var hasSymbol = typeof Symbol === 'function' && Symbol.for;
var REACT_ELEMENT_TYPE = hasSymbol ? Symbol.for('react.element') : 0xeac7;
var REACT_PORTAL_TYPE = hasSymbol ? Symbol.for('react.portal') : 0xeaca;
var REACT_FRAGMENT_TYPE = hasSymbol ? Symbol.for('react.fragment') : 0xeacb;
var REACT_STRICT_MODE_TYPE = hasSymbol ? Symbol.for('react.strict_mode') : 0xeacc;
var REACT_PROFILER_TYPE = hasSymbol ? Symbol.for('react.profiler') : 0xead2;
var REACT_PROVIDER_TYPE = hasSymbol ? Symbol.for('react.provider') : 0xeacd;
var REACT_CONTEXT_TYPE = hasSymbol ? Symbol.for('react.context') : 0xeace; // TODO: We don't use AsyncMode or ConcurrentMode anymore. They were temporary
var REACT_CONCURRENT_MODE_TYPE = hasSymbol ? Symbol.for('react.concurrent_mode') : 0xeacf;
var REACT_FORWARD_REF_TYPE = hasSymbol ? Symbol.for('react.forward_ref') : 0xead0;
var REACT_SUSPENSE_TYPE = hasSymbol ? Symbol.for('react.suspense') : 0xead1;
var REACT_SUSPENSE_LIST_TYPE = hasSymbol ? Symbol.for('react.suspense_list') : 0xead8;
var REACT_MEMO_TYPE = hasSymbol ? Symbol.for('react.memo') : 0xead3;
var REACT_LAZY_TYPE = hasSymbol ? Symbol.for('react.lazy') : 0xead4;
var REACT_BLOCK_TYPE = hasSymbol ? Symbol.for('react.block') : 0xead9;
var REACT_FUNDAMENTAL_TYPE = hasSymbol ? Symbol.for('react.fundamental') : 0xead5;
var REACT_RESPONDER_TYPE = hasSymbol ? Symbol.for('react.responder') : 0xead6;
var REACT_SCOPE_TYPE = hasSymbol ? Symbol.for('react.scope') : 0xead7;
var MAYBE_ITERATOR_SYMBOL = typeof Symbol === 'function' && Symbol.iterator;
var FAUX_ITERATOR_SYMBOL = '@@iterator';
function getIteratorFn(maybeIterable) {
  if (maybeIterable === null || typeof maybeIterable !== 'object') {
    return null;
  }

  var maybeIterator = MAYBE_ITERATOR_SYMBOL && maybeIterable[MAYBE_ITERATOR_SYMBOL] || maybeIterable[FAUX_ITERATOR_SYMBOL];

  if (typeof maybeIterator === 'function') {
    return maybeIterator;
  }

  return null;
}

/**
 * Keeps track of the current dispatcher.
 */
var ReactCurrentDispatcher = {
  /**
   * @internal
   * @type {ReactComponent}
   */
  current: null
};

/**
 * Keeps track of the current batch's configuration such as how long an update
 * should suspend for if it needs to.
 */
var ReactCurrentBatchConfig = {
  suspense: null
};

/**
 * Keeps track of the current owner.
 *
 * The current owner is the component who should own any components that are
 * currently being constructed.
 */
var ReactCurrentOwner = {
  /**
   * @internal
   * @type {ReactComponent}
   */
  current: null
};

var BEFORE_SLASH_RE = /^(.*)[\\\/]/;
function describeComponentFrame (name, source, ownerName) {
  var sourceInfo = '';

  if (source) {
    var path = source.fileName;
    var fileName = path.replace(BEFORE_SLASH_RE, '');

    {
      // In DEV, include code for a common special case:
      // prefer "folder/index.js" instead of just "index.js".
      if (/^index\./.test(fileName)) {
        var match = path.match(BEFORE_SLASH_RE);

        if (match) {
          var pathBeforeSlash = match[1];

          if (pathBeforeSlash) {
            var folderName = pathBeforeSlash.replace(BEFORE_SLASH_RE, '');
            fileName = folderName + '/' + fileName;
          }
        }
      }
    }

    sourceInfo = ' (at ' + fileName + ':' + source.lineNumber + ')';
  } else if (ownerName) {
    sourceInfo = ' (created by ' + ownerName + ')';
  }

  return '\n    in ' + (name || 'Unknown') + sourceInfo;
}

var Resolved = 1;
function refineResolvedLazyComponent(lazyComponent) {
  return lazyComponent._status === Resolved ? lazyComponent._result : null;
}

function getWrappedName(outerType, innerType, wrapperName) {
  var functionName = innerType.displayName || innerType.name || '';
  return outerType.displayName || (functionName !== '' ? wrapperName + "(" + functionName + ")" : wrapperName);
}

function getComponentName(type) {
  if (type == null) {
    // Host root, text node or just invalid type.
    return null;
  }

  {
    if (typeof type.tag === 'number') {
      error('Received an unexpected object in getComponentName(). ' + 'This is likely a bug in React. Please file an issue.');
    }
  }

  if (typeof type === 'function') {
    return type.displayName || type.name || null;
  }

  if (typeof type === 'string') {
    return type;
  }

  switch (type) {
    case REACT_FRAGMENT_TYPE:
      return 'Fragment';

    case REACT_PORTAL_TYPE:
      return 'Portal';

    case REACT_PROFILER_TYPE:
      return "Profiler";

    case REACT_STRICT_MODE_TYPE:
      return 'StrictMode';

    case REACT_SUSPENSE_TYPE:
      return 'Suspense';

    case REACT_SUSPENSE_LIST_TYPE:
      return 'SuspenseList';
  }

  if (typeof type === 'object') {
    switch (type.$$typeof) {
      case REACT_CONTEXT_TYPE:
        return 'Context.Consumer';

      case REACT_PROVIDER_TYPE:
        return 'Context.Provider';

      case REACT_FORWARD_REF_TYPE:
        return getWrappedName(type, type.render, 'ForwardRef');

      case REACT_MEMO_TYPE:
        return getComponentName(type.type);

      case REACT_BLOCK_TYPE:
        return getComponentName(type.render);

      case REACT_LAZY_TYPE:
        {
          var thenable = type;
          var resolvedThenable = refineResolvedLazyComponent(thenable);

          if (resolvedThenable) {
            return getComponentName(resolvedThenable);
          }

          break;
        }
    }
  }

  return null;
}

var ReactDebugCurrentFrame = {};
var currentlyValidatingElement = null;
function setCurrentlyValidatingElement(element) {
  {
    currentlyValidatingElement = element;
  }
}

{
  // Stack implementation injected by the current renderer.
  ReactDebugCurrentFrame.getCurrentStack = null;

  ReactDebugCurrentFrame.getStackAddendum = function () {
    var stack = ''; // Add an extra top frame while an element is being validated

    if (currentlyValidatingElement) {
      var name = getComponentName(currentlyValidatingElement.type);
      var owner = currentlyValidatingElement._owner;
      stack += describeComponentFrame(name, currentlyValidatingElement._source, owner && getComponentName(owner.type));
    } // Delegate to the injected renderer-specific implementation


    var impl = ReactDebugCurrentFrame.getCurrentStack;

    if (impl) {
      stack += impl() || '';
    }

    return stack;
  };
}

/**
 * Used by act() to track whether you're inside an act() scope.
 */
var IsSomeRendererActing = {
  current: false
};

var ReactSharedInternals = {
  ReactCurrentDispatcher: ReactCurrentDispatcher,
  ReactCurrentBatchConfig: ReactCurrentBatchConfig,
  ReactCurrentOwner: ReactCurrentOwner,
  IsSomeRendererActing: IsSomeRendererActing,
  // Used by renderers to avoid bundling object-assign twice in UMD bundles:
  assign: _assign
};

{
  _assign(ReactSharedInternals, {
    // These should not be included in production.
    ReactDebugCurrentFrame: ReactDebugCurrentFrame,
    // Shim for React DOM 16.0.0 which still destructured (but not used) this.
    // TODO: remove in React 17.0.
    ReactComponentTreeHook: {}
  });
}

// by calls to these methods by a Babel plugin.
//
// In PROD (or in packages without access to React internals),
// they are left as they are instead.

function warn(format) {
  {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    printWarning('warn', format, args);
  }
}
function error(format) {
  {
    for (var _len2 = arguments.length, args = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
      args[_key2 - 1] = arguments[_key2];
    }

    printWarning('error', format, args);
  }
}

function printWarning(level, format, args) {
  // When changing this logic, you might want to also
  // update consoleWithStackDev.www.js as well.
  {
    var hasExistingStack = args.length > 0 && typeof args[args.length - 1] === 'string' && args[args.length - 1].indexOf('\n    in') === 0;

    if (!hasExistingStack) {
      var ReactDebugCurrentFrame = ReactSharedInternals.ReactDebugCurrentFrame;
      var stack = ReactDebugCurrentFrame.getStackAddendum();

      if (stack !== '') {
        format += '%s';
        args = args.concat([stack]);
      }
    }

    var argsWithFormat = args.map(function (item) {
      return '' + item;
    }); // Careful: RN currently depends on this prefix

    argsWithFormat.unshift('Warning: ' + format); // We intentionally don't use spread (or .apply) directly because it
    // breaks IE9: https://github.com/facebook/react/issues/13610
    // eslint-disable-next-line react-internal/no-production-logging

    Function.prototype.apply.call(console[level], console, argsWithFormat);

    try {
      // --- Welcome to debugging React ---
      // This error was thrown as a convenience so that you can use this stack
      // to find the callsite that caused this warning to fire.
      var argIndex = 0;
      var message = 'Warning: ' + format.replace(/%s/g, function () {
        return args[argIndex++];
      });
      throw new Error(message);
    } catch (x) {}
  }
}

var didWarnStateUpdateForUnmountedComponent = {};

function warnNoop(publicInstance, callerName) {
  {
    var _constructor = publicInstance.constructor;
    var componentName = _constructor && (_constructor.displayName || _constructor.name) || 'ReactClass';
    var warningKey = componentName + "." + callerName;

    if (didWarnStateUpdateForUnmountedComponent[warningKey]) {
      return;
    }

    error("Can't call %s on a component that is not yet mounted. " + 'This is a no-op, but it might indicate a bug in your application. ' + 'Instead, assign to `this.state` directly or define a `state = {};` ' + 'class property with the desired state in the %s component.', callerName, componentName);

    didWarnStateUpdateForUnmountedComponent[warningKey] = true;
  }
}
/**
 * This is the abstract API for an update queue.
 */


var ReactNoopUpdateQueue = {
  /**
   * Checks whether or not this composite component is mounted.
   * @param {ReactClass} publicInstance The instance we want to test.
   * @return {boolean} True if mounted, false otherwise.
   * @protected
   * @final
   */
  isMounted: function (publicInstance) {
    return false;
  },

  /**
   * Forces an update. This should only be invoked when it is known with
   * certainty that we are **not** in a DOM transaction.
   *
   * You may want to call this when you know that some deeper aspect of the
   * component's state has changed but `setState` was not called.
   *
   * This will not invoke `shouldComponentUpdate`, but it will invoke
   * `componentWillUpdate` and `componentDidUpdate`.
   *
   * @param {ReactClass} publicInstance The instance that should rerender.
   * @param {?function} callback Called after component is updated.
   * @param {?string} callerName name of the calling function in the public API.
   * @internal
   */
  enqueueForceUpdate: function (publicInstance, callback, callerName) {
    warnNoop(publicInstance, 'forceUpdate');
  },

  /**
   * Replaces all of the state. Always use this or `setState` to mutate state.
   * You should treat `this.state` as immutable.
   *
   * There is no guarantee that `this.state` will be immediately updated, so
   * accessing `this.state` after calling this method may return the old value.
   *
   * @param {ReactClass} publicInstance The instance that should rerender.
   * @param {object} completeState Next state.
   * @param {?function} callback Called after component is updated.
   * @param {?string} callerName name of the calling function in the public API.
   * @internal
   */
  enqueueReplaceState: function (publicInstance, completeState, callback, callerName) {
    warnNoop(publicInstance, 'replaceState');
  },

  /**
   * Sets a subset of the state. This only exists because _pendingState is
   * internal. This provides a merging strategy that is not available to deep
   * properties which is confusing. TODO: Expose pendingState or don't use it
   * during the merge.
   *
   * @param {ReactClass} publicInstance The instance that should rerender.
   * @param {object} partialState Next partial state to be merged with state.
   * @param {?function} callback Called after component is updated.
   * @param {?string} Name of the calling function in the public API.
   * @internal
   */
  enqueueSetState: function (publicInstance, partialState, callback, callerName) {
    warnNoop(publicInstance, 'setState');
  }
};

var emptyObject = {};

{
  Object.freeze(emptyObject);
}
/**
 * Base class helpers for the updating state of a component.
 */


function Component(props, context, updater) {
  this.props = props;
  this.context = context; // If a component has string refs, we will assign a different object later.

  this.refs = emptyObject; // We initialize the default updater but the real one gets injected by the
  // renderer.

  this.updater = updater || ReactNoopUpdateQueue;
}

Component.prototype.isReactComponent = {};
/**
 * Sets a subset of the state. Always use this to mutate
 * state. You should treat `this.state` as immutable.
 *
 * There is no guarantee that `this.state` will be immediately updated, so
 * accessing `this.state` after calling this method may return the old value.
 *
 * There is no guarantee that calls to `setState` will run synchronously,
 * as they may eventually be batched together.  You can provide an optional
 * callback that will be executed when the call to setState is actually
 * completed.
 *
 * When a function is provided to setState, it will be called at some point in
 * the future (not synchronously). It will be called with the up to date
 * component arguments (state, props, context). These values can be different
 * from this.* because your function may be called after receiveProps but before
 * shouldComponentUpdate, and this new state, props, and context will not yet be
 * assigned to this.
 *
 * @param {object|function} partialState Next partial state or function to
 *        produce next partial state to be merged with current state.
 * @param {?function} callback Called after state is updated.
 * @final
 * @protected
 */

Component.prototype.setState = function (partialState, callback) {
  if (!(typeof partialState === 'object' || typeof partialState === 'function' || partialState == null)) {
    {
      throw Error( "setState(...): takes an object of state variables to update or a function which returns an object of state variables." );
    }
  }

  this.updater.enqueueSetState(this, partialState, callback, 'setState');
};
/**
 * Forces an update. This should only be invoked when it is known with
 * certainty that we are **not** in a DOM transaction.
 *
 * You may want to call this when you know that some deeper aspect of the
 * component's state has changed but `setState` was not called.
 *
 * This will not invoke `shouldComponentUpdate`, but it will invoke
 * `componentWillUpdate` and `componentDidUpdate`.
 *
 * @param {?function} callback Called after update is complete.
 * @final
 * @protected
 */


Component.prototype.forceUpdate = function (callback) {
  this.updater.enqueueForceUpdate(this, callback, 'forceUpdate');
};
/**
 * Deprecated APIs. These APIs used to exist on classic React classes but since
 * we would like to deprecate them, we're not going to move them over to this
 * modern base class. Instead, we define a getter that warns if it's accessed.
 */


{
  var deprecatedAPIs = {
    isMounted: ['isMounted', 'Instead, make sure to clean up subscriptions and pending requests in ' + 'componentWillUnmount to prevent memory leaks.'],
    replaceState: ['replaceState', 'Refactor your code to use setState instead (see ' + 'https://github.com/facebook/react/issues/3236).']
  };

  var defineDeprecationWarning = function (methodName, info) {
    Object.defineProperty(Component.prototype, methodName, {
      get: function () {
        warn('%s(...) is deprecated in plain JavaScript React classes. %s', info[0], info[1]);

        return undefined;
      }
    });
  };

  for (var fnName in deprecatedAPIs) {
    if (deprecatedAPIs.hasOwnProperty(fnName)) {
      defineDeprecationWarning(fnName, deprecatedAPIs[fnName]);
    }
  }
}

function ComponentDummy() {}

ComponentDummy.prototype = Component.prototype;
/**
 * Convenience component with default shallow equality check for sCU.
 */

function PureComponent(props, context, updater) {
  this.props = props;
  this.context = context; // If a component has string refs, we will assign a different object later.

  this.refs = emptyObject;
  this.updater = updater || ReactNoopUpdateQueue;
}

var pureComponentPrototype = PureComponent.prototype = new ComponentDummy();
pureComponentPrototype.constructor = PureComponent; // Avoid an extra prototype jump for these methods.

_assign(pureComponentPrototype, Component.prototype);

pureComponentPrototype.isPureReactComponent = true;

// an immutable object with a single mutable value
function createRef() {
  var refObject = {
    current: null
  };

  {
    Object.seal(refObject);
  }

  return refObject;
}

var hasOwnProperty = Object.prototype.hasOwnProperty;
var RESERVED_PROPS = {
  key: true,
  ref: true,
  __self: true,
  __source: true
};
var specialPropKeyWarningShown, specialPropRefWarningShown, didWarnAboutStringRefs;

{
  didWarnAboutStringRefs = {};
}

function hasValidRef(config) {
  {
    if (hasOwnProperty.call(config, 'ref')) {
      var getter = Object.getOwnPropertyDescriptor(config, 'ref').get;

      if (getter && getter.isReactWarning) {
        return false;
      }
    }
  }

  return config.ref !== undefined;
}

function hasValidKey(config) {
  {
    if (hasOwnProperty.call(config, 'key')) {
      var getter = Object.getOwnPropertyDescriptor(config, 'key').get;

      if (getter && getter.isReactWarning) {
        return false;
      }
    }
  }

  return config.key !== undefined;
}

function defineKeyPropWarningGetter(props, displayName) {
  var warnAboutAccessingKey = function () {
    {
      if (!specialPropKeyWarningShown) {
        specialPropKeyWarningShown = true;

        error('%s: `key` is not a prop. Trying to access it will result ' + 'in `undefined` being returned. If you need to access the same ' + 'value within the child component, you should pass it as a different ' + 'prop. (https://fb.me/react-special-props)', displayName);
      }
    }
  };

  warnAboutAccessingKey.isReactWarning = true;
  Object.defineProperty(props, 'key', {
    get: warnAboutAccessingKey,
    configurable: true
  });
}

function defineRefPropWarningGetter(props, displayName) {
  var warnAboutAccessingRef = function () {
    {
      if (!specialPropRefWarningShown) {
        specialPropRefWarningShown = true;

        error('%s: `ref` is not a prop. Trying to access it will result ' + 'in `undefined` being returned. If you need to access the same ' + 'value within the child component, you should pass it as a different ' + 'prop. (https://fb.me/react-special-props)', displayName);
      }
    }
  };

  warnAboutAccessingRef.isReactWarning = true;
  Object.defineProperty(props, 'ref', {
    get: warnAboutAccessingRef,
    configurable: true
  });
}

function warnIfStringRefCannotBeAutoConverted(config) {
  {
    if (typeof config.ref === 'string' && ReactCurrentOwner.current && config.__self && ReactCurrentOwner.current.stateNode !== config.__self) {
      var componentName = getComponentName(ReactCurrentOwner.current.type);

      if (!didWarnAboutStringRefs[componentName]) {
        error('Component "%s" contains the string ref "%s". ' + 'Support for string refs will be removed in a future major release. ' + 'This case cannot be automatically converted to an arrow function. ' + 'We ask you to manually fix this case by using useRef() or createRef() instead. ' + 'Learn more about using refs safely here: ' + 'https://fb.me/react-strict-mode-string-ref', getComponentName(ReactCurrentOwner.current.type), config.ref);

        didWarnAboutStringRefs[componentName] = true;
      }
    }
  }
}
/**
 * Factory method to create a new React element. This no longer adheres to
 * the class pattern, so do not use new to call it. Also, instanceof check
 * will not work. Instead test $$typeof field against Symbol.for('react.element') to check
 * if something is a React Element.
 *
 * @param {*} type
 * @param {*} props
 * @param {*} key
 * @param {string|object} ref
 * @param {*} owner
 * @param {*} self A *temporary* helper to detect places where `this` is
 * different from the `owner` when React.createElement is called, so that we
 * can warn. We want to get rid of owner and replace string `ref`s with arrow
 * functions, and as long as `this` and owner are the same, there will be no
 * change in behavior.
 * @param {*} source An annotation object (added by a transpiler or otherwise)
 * indicating filename, line number, and/or other information.
 * @internal
 */


var ReactElement = function (type, key, ref, self, source, owner, props) {
  var element = {
    // This tag allows us to uniquely identify this as a React Element
    $$typeof: REACT_ELEMENT_TYPE,
    // Built-in properties that belong on the element
    type: type,
    key: key,
    ref: ref,
    props: props,
    // Record the component responsible for creating this element.
    _owner: owner
  };

  {
    // The validation flag is currently mutative. We put it on
    // an external backing store so that we can freeze the whole object.
    // This can be replaced with a WeakMap once they are implemented in
    // commonly used development environments.
    element._store = {}; // To make comparing ReactElements easier for testing purposes, we make
    // the validation flag non-enumerable (where possible, which should
    // include every environment we run tests in), so the test framework
    // ignores it.

    Object.defineProperty(element._store, 'validated', {
      configurable: false,
      enumerable: false,
      writable: true,
      value: false
    }); // self and source are DEV only properties.

    Object.defineProperty(element, '_self', {
      configurable: false,
      enumerable: false,
      writable: false,
      value: self
    }); // Two elements created in two different places should be considered
    // equal for testing purposes and therefore we hide it from enumeration.

    Object.defineProperty(element, '_source', {
      configurable: false,
      enumerable: false,
      writable: false,
      value: source
    });

    if (Object.freeze) {
      Object.freeze(element.props);
      Object.freeze(element);
    }
  }

  return element;
};
/**
 * Create and return a new ReactElement of the given type.
 * See https://reactjs.org/docs/react-api.html#createelement
 */

function createElement(type, config, children) {
  var propName; // Reserved names are extracted

  var props = {};
  var key = null;
  var ref = null;
  var self = null;
  var source = null;

  if (config != null) {
    if (hasValidRef(config)) {
      ref = config.ref;

      {
        warnIfStringRefCannotBeAutoConverted(config);
      }
    }

    if (hasValidKey(config)) {
      key = '' + config.key;
    }

    self = config.__self === undefined ? null : config.__self;
    source = config.__source === undefined ? null : config.__source; // Remaining properties are added to a new props object

    for (propName in config) {
      if (hasOwnProperty.call(config, propName) && !RESERVED_PROPS.hasOwnProperty(propName)) {
        props[propName] = config[propName];
      }
    }
  } // Children can be more than one argument, and those are transferred onto
  // the newly allocated props object.


  var childrenLength = arguments.length - 2;

  if (childrenLength === 1) {
    props.children = children;
  } else if (childrenLength > 1) {
    var childArray = Array(childrenLength);

    for (var i = 0; i < childrenLength; i++) {
      childArray[i] = arguments[i + 2];
    }

    {
      if (Object.freeze) {
        Object.freeze(childArray);
      }
    }

    props.children = childArray;
  } // Resolve default props


  if (type && type.defaultProps) {
    var defaultProps = type.defaultProps;

    for (propName in defaultProps) {
      if (props[propName] === undefined) {
        props[propName] = defaultProps[propName];
      }
    }
  }

  {
    if (key || ref) {
      var displayName = typeof type === 'function' ? type.displayName || type.name || 'Unknown' : type;

      if (key) {
        defineKeyPropWarningGetter(props, displayName);
      }

      if (ref) {
        defineRefPropWarningGetter(props, displayName);
      }
    }
  }

  return ReactElement(type, key, ref, self, source, ReactCurrentOwner.current, props);
}
function cloneAndReplaceKey(oldElement, newKey) {
  var newElement = ReactElement(oldElement.type, newKey, oldElement.ref, oldElement._self, oldElement._source, oldElement._owner, oldElement.props);
  return newElement;
}
/**
 * Clone and return a new ReactElement using element as the starting point.
 * See https://reactjs.org/docs/react-api.html#cloneelement
 */

function cloneElement(element, config, children) {
  if (!!(element === null || element === undefined)) {
    {
      throw Error( "React.cloneElement(...): The argument must be a React element, but you passed " + element + "." );
    }
  }

  var propName; // Original props are copied

  var props = _assign({}, element.props); // Reserved names are extracted


  var key = element.key;
  var ref = element.ref; // Self is preserved since the owner is preserved.

  var self = element._self; // Source is preserved since cloneElement is unlikely to be targeted by a
  // transpiler, and the original source is probably a better indicator of the
  // true owner.

  var source = element._source; // Owner will be preserved, unless ref is overridden

  var owner = element._owner;

  if (config != null) {
    if (hasValidRef(config)) {
      // Silently steal the ref from the parent.
      ref = config.ref;
      owner = ReactCurrentOwner.current;
    }

    if (hasValidKey(config)) {
      key = '' + config.key;
    } // Remaining properties override existing props


    var defaultProps;

    if (element.type && element.type.defaultProps) {
      defaultProps = element.type.defaultProps;
    }

    for (propName in config) {
      if (hasOwnProperty.call(config, propName) && !RESERVED_PROPS.hasOwnProperty(propName)) {
        if (config[propName] === undefined && defaultProps !== undefined) {
          // Resolve default props
          props[propName] = defaultProps[propName];
        } else {
          props[propName] = config[propName];
        }
      }
    }
  } // Children can be more than one argument, and those are transferred onto
  // the newly allocated props object.


  var childrenLength = arguments.length - 2;

  if (childrenLength === 1) {
    props.children = children;
  } else if (childrenLength > 1) {
    var childArray = Array(childrenLength);

    for (var i = 0; i < childrenLength; i++) {
      childArray[i] = arguments[i + 2];
    }

    props.children = childArray;
  }

  return ReactElement(element.type, key, ref, self, source, owner, props);
}
/**
 * Verifies the object is a ReactElement.
 * See https://reactjs.org/docs/react-api.html#isvalidelement
 * @param {?object} object
 * @return {boolean} True if `object` is a ReactElement.
 * @final
 */

function isValidElement(object) {
  return typeof object === 'object' && object !== null && object.$$typeof === REACT_ELEMENT_TYPE;
}

var SEPARATOR = '.';
var SUBSEPARATOR = ':';
/**
 * Escape and wrap key so it is safe to use as a reactid
 *
 * @param {string} key to be escaped.
 * @return {string} the escaped key.
 */

function escape(key) {
  var escapeRegex = /[=:]/g;
  var escaperLookup = {
    '=': '=0',
    ':': '=2'
  };
  var escapedString = ('' + key).replace(escapeRegex, function (match) {
    return escaperLookup[match];
  });
  return '$' + escapedString;
}
/**
 * TODO: Test that a single child and an array with one item have the same key
 * pattern.
 */


var didWarnAboutMaps = false;
var userProvidedKeyEscapeRegex = /\/+/g;

function escapeUserProvidedKey(text) {
  return ('' + text).replace(userProvidedKeyEscapeRegex, '$&/');
}

var POOL_SIZE = 10;
var traverseContextPool = [];

function getPooledTraverseContext(mapResult, keyPrefix, mapFunction, mapContext) {
  if (traverseContextPool.length) {
    var traverseContext = traverseContextPool.pop();
    traverseContext.result = mapResult;
    traverseContext.keyPrefix = keyPrefix;
    traverseContext.func = mapFunction;
    traverseContext.context = mapContext;
    traverseContext.count = 0;
    return traverseContext;
  } else {
    return {
      result: mapResult,
      keyPrefix: keyPrefix,
      func: mapFunction,
      context: mapContext,
      count: 0
    };
  }
}

function releaseTraverseContext(traverseContext) {
  traverseContext.result = null;
  traverseContext.keyPrefix = null;
  traverseContext.func = null;
  traverseContext.context = null;
  traverseContext.count = 0;

  if (traverseContextPool.length < POOL_SIZE) {
    traverseContextPool.push(traverseContext);
  }
}
/**
 * @param {?*} children Children tree container.
 * @param {!string} nameSoFar Name of the key path so far.
 * @param {!function} callback Callback to invoke with each child found.
 * @param {?*} traverseContext Used to pass information throughout the traversal
 * process.
 * @return {!number} The number of children in this subtree.
 */


function traverseAllChildrenImpl(children, nameSoFar, callback, traverseContext) {
  var type = typeof children;

  if (type === 'undefined' || type === 'boolean') {
    // All of the above are perceived as null.
    children = null;
  }

  var invokeCallback = false;

  if (children === null) {
    invokeCallback = true;
  } else {
    switch (type) {
      case 'string':
      case 'number':
        invokeCallback = true;
        break;

      case 'object':
        switch (children.$$typeof) {
          case REACT_ELEMENT_TYPE:
          case REACT_PORTAL_TYPE:
            invokeCallback = true;
        }

    }
  }

  if (invokeCallback) {
    callback(traverseContext, children, // If it's the only child, treat the name as if it was wrapped in an array
    // so that it's consistent if the number of children grows.
    nameSoFar === '' ? SEPARATOR + getComponentKey(children, 0) : nameSoFar);
    return 1;
  }

  var child;
  var nextName;
  var subtreeCount = 0; // Count of children found in the current subtree.

  var nextNamePrefix = nameSoFar === '' ? SEPARATOR : nameSoFar + SUBSEPARATOR;

  if (Array.isArray(children)) {
    for (var i = 0; i < children.length; i++) {
      child = children[i];
      nextName = nextNamePrefix + getComponentKey(child, i);
      subtreeCount += traverseAllChildrenImpl(child, nextName, callback, traverseContext);
    }
  } else {
    var iteratorFn = getIteratorFn(children);

    if (typeof iteratorFn === 'function') {

      {
        // Warn about using Maps as children
        if (iteratorFn === children.entries) {
          if (!didWarnAboutMaps) {
            warn('Using Maps as children is deprecated and will be removed in ' + 'a future major release. Consider converting children to ' + 'an array of keyed ReactElements instead.');
          }

          didWarnAboutMaps = true;
        }
      }

      var iterator = iteratorFn.call(children);
      var step;
      var ii = 0;

      while (!(step = iterator.next()).done) {
        child = step.value;
        nextName = nextNamePrefix + getComponentKey(child, ii++);
        subtreeCount += traverseAllChildrenImpl(child, nextName, callback, traverseContext);
      }
    } else if (type === 'object') {
      var addendum = '';

      {
        addendum = ' If you meant to render a collection of children, use an array ' + 'instead.' + ReactDebugCurrentFrame.getStackAddendum();
      }

      var childrenString = '' + children;

      {
        {
          throw Error( "Objects are not valid as a React child (found: " + (childrenString === '[object Object]' ? 'object with keys {' + Object.keys(children).join(', ') + '}' : childrenString) + ")." + addendum );
        }
      }
    }
  }

  return subtreeCount;
}
/**
 * Traverses children that are typically specified as `props.children`, but
 * might also be specified through attributes:
 *
 * - `traverseAllChildren(this.props.children, ...)`
 * - `traverseAllChildren(this.props.leftPanelChildren, ...)`
 *
 * The `traverseContext` is an optional argument that is passed through the
 * entire traversal. It can be used to store accumulations or anything else that
 * the callback might find relevant.
 *
 * @param {?*} children Children tree object.
 * @param {!function} callback To invoke upon traversing each child.
 * @param {?*} traverseContext Context for traversal.
 * @return {!number} The number of children in this subtree.
 */


function traverseAllChildren(children, callback, traverseContext) {
  if (children == null) {
    return 0;
  }

  return traverseAllChildrenImpl(children, '', callback, traverseContext);
}
/**
 * Generate a key string that identifies a component within a set.
 *
 * @param {*} component A component that could contain a manual key.
 * @param {number} index Index that is used if a manual key is not provided.
 * @return {string}
 */


function getComponentKey(component, index) {
  // Do some typechecking here since we call this blindly. We want to ensure
  // that we don't block potential future ES APIs.
  if (typeof component === 'object' && component !== null && component.key != null) {
    // Explicit key
    return escape(component.key);
  } // Implicit key determined by the index in the set


  return index.toString(36);
}

function forEachSingleChild(bookKeeping, child, name) {
  var func = bookKeeping.func,
      context = bookKeeping.context;
  func.call(context, child, bookKeeping.count++);
}
/**
 * Iterates through children that are typically specified as `props.children`.
 *
 * See https://reactjs.org/docs/react-api.html#reactchildrenforeach
 *
 * The provided forEachFunc(child, index) will be called for each
 * leaf child.
 *
 * @param {?*} children Children tree container.
 * @param {function(*, int)} forEachFunc
 * @param {*} forEachContext Context for forEachContext.
 */


function forEachChildren(children, forEachFunc, forEachContext) {
  if (children == null) {
    return children;
  }

  var traverseContext = getPooledTraverseContext(null, null, forEachFunc, forEachContext);
  traverseAllChildren(children, forEachSingleChild, traverseContext);
  releaseTraverseContext(traverseContext);
}

function mapSingleChildIntoContext(bookKeeping, child, childKey) {
  var result = bookKeeping.result,
      keyPrefix = bookKeeping.keyPrefix,
      func = bookKeeping.func,
      context = bookKeeping.context;
  var mappedChild = func.call(context, child, bookKeeping.count++);

  if (Array.isArray(mappedChild)) {
    mapIntoWithKeyPrefixInternal(mappedChild, result, childKey, function (c) {
      return c;
    });
  } else if (mappedChild != null) {
    if (isValidElement(mappedChild)) {
      mappedChild = cloneAndReplaceKey(mappedChild, // Keep both the (mapped) and old keys if they differ, just as
      // traverseAllChildren used to do for objects as children
      keyPrefix + (mappedChild.key && (!child || child.key !== mappedChild.key) ? escapeUserProvidedKey(mappedChild.key) + '/' : '') + childKey);
    }

    result.push(mappedChild);
  }
}

function mapIntoWithKeyPrefixInternal(children, array, prefix, func, context) {
  var escapedPrefix = '';

  if (prefix != null) {
    escapedPrefix = escapeUserProvidedKey(prefix) + '/';
  }

  var traverseContext = getPooledTraverseContext(array, escapedPrefix, func, context);
  traverseAllChildren(children, mapSingleChildIntoContext, traverseContext);
  releaseTraverseContext(traverseContext);
}
/**
 * Maps children that are typically specified as `props.children`.
 *
 * See https://reactjs.org/docs/react-api.html#reactchildrenmap
 *
 * The provided mapFunction(child, key, index) will be called for each
 * leaf child.
 *
 * @param {?*} children Children tree container.
 * @param {function(*, int)} func The map function.
 * @param {*} context Context for mapFunction.
 * @return {object} Object containing the ordered map of results.
 */


function mapChildren(children, func, context) {
  if (children == null) {
    return children;
  }

  var result = [];
  mapIntoWithKeyPrefixInternal(children, result, null, func, context);
  return result;
}
/**
 * Count the number of children that are typically specified as
 * `props.children`.
 *
 * See https://reactjs.org/docs/react-api.html#reactchildrencount
 *
 * @param {?*} children Children tree container.
 * @return {number} The number of children.
 */


function countChildren(children) {
  return traverseAllChildren(children, function () {
    return null;
  }, null);
}
/**
 * Flatten a children object (typically specified as `props.children`) and
 * return an array with appropriately re-keyed children.
 *
 * See https://reactjs.org/docs/react-api.html#reactchildrentoarray
 */


function toArray(children) {
  var result = [];
  mapIntoWithKeyPrefixInternal(children, result, null, function (child) {
    return child;
  });
  return result;
}
/**
 * Returns the first child in a collection of children and verifies that there
 * is only one child in the collection.
 *
 * See https://reactjs.org/docs/react-api.html#reactchildrenonly
 *
 * The current implementation of this function assumes that a single child gets
 * passed without a wrapper, but the purpose of this helper function is to
 * abstract away the particular structure of children.
 *
 * @param {?object} children Child collection structure.
 * @return {ReactElement} The first and only `ReactElement` contained in the
 * structure.
 */


function onlyChild(children) {
  if (!isValidElement(children)) {
    {
      throw Error( "React.Children.only expected to receive a single React element child." );
    }
  }

  return children;
}

function createContext(defaultValue, calculateChangedBits) {
  if (calculateChangedBits === undefined) {
    calculateChangedBits = null;
  } else {
    {
      if (calculateChangedBits !== null && typeof calculateChangedBits !== 'function') {
        error('createContext: Expected the optional second argument to be a ' + 'function. Instead received: %s', calculateChangedBits);
      }
    }
  }

  var context = {
    $$typeof: REACT_CONTEXT_TYPE,
    _calculateChangedBits: calculateChangedBits,
    // As a workaround to support multiple concurrent renderers, we categorize
    // some renderers as primary and others as secondary. We only expect
    // there to be two concurrent renderers at most: React Native (primary) and
    // Fabric (secondary); React DOM (primary) and React ART (secondary).
    // Secondary renderers store their context values on separate fields.
    _currentValue: defaultValue,
    _currentValue2: defaultValue,
    // Used to track how many concurrent renderers this context currently
    // supports within in a single renderer. Such as parallel server rendering.
    _threadCount: 0,
    // These are circular
    Provider: null,
    Consumer: null
  };
  context.Provider = {
    $$typeof: REACT_PROVIDER_TYPE,
    _context: context
  };
  var hasWarnedAboutUsingNestedContextConsumers = false;
  var hasWarnedAboutUsingConsumerProvider = false;

  {
    // A separate object, but proxies back to the original context object for
    // backwards compatibility. It has a different $$typeof, so we can properly
    // warn for the incorrect usage of Context as a Consumer.
    var Consumer = {
      $$typeof: REACT_CONTEXT_TYPE,
      _context: context,
      _calculateChangedBits: context._calculateChangedBits
    }; // $FlowFixMe: Flow complains about not setting a value, which is intentional here

    Object.defineProperties(Consumer, {
      Provider: {
        get: function () {
          if (!hasWarnedAboutUsingConsumerProvider) {
            hasWarnedAboutUsingConsumerProvider = true;

            error('Rendering <Context.Consumer.Provider> is not supported and will be removed in ' + 'a future major release. Did you mean to render <Context.Provider> instead?');
          }

          return context.Provider;
        },
        set: function (_Provider) {
          context.Provider = _Provider;
        }
      },
      _currentValue: {
        get: function () {
          return context._currentValue;
        },
        set: function (_currentValue) {
          context._currentValue = _currentValue;
        }
      },
      _currentValue2: {
        get: function () {
          return context._currentValue2;
        },
        set: function (_currentValue2) {
          context._currentValue2 = _currentValue2;
        }
      },
      _threadCount: {
        get: function () {
          return context._threadCount;
        },
        set: function (_threadCount) {
          context._threadCount = _threadCount;
        }
      },
      Consumer: {
        get: function () {
          if (!hasWarnedAboutUsingNestedContextConsumers) {
            hasWarnedAboutUsingNestedContextConsumers = true;

            error('Rendering <Context.Consumer.Consumer> is not supported and will be removed in ' + 'a future major release. Did you mean to render <Context.Consumer> instead?');
          }

          return context.Consumer;
        }
      }
    }); // $FlowFixMe: Flow complains about missing properties because it doesn't understand defineProperty

    context.Consumer = Consumer;
  }

  {
    context._currentRenderer = null;
    context._currentRenderer2 = null;
  }

  return context;
}

function lazy(ctor) {
  var lazyType = {
    $$typeof: REACT_LAZY_TYPE,
    _ctor: ctor,
    // React uses these fields to store the result.
    _status: -1,
    _result: null
  };

  {
    // In production, this would just set it on the object.
    var defaultProps;
    var propTypes;
    Object.defineProperties(lazyType, {
      defaultProps: {
        configurable: true,
        get: function () {
          return defaultProps;
        },
        set: function (newDefaultProps) {
          error('React.lazy(...): It is not supported to assign `defaultProps` to ' + 'a lazy component import. Either specify them where the component ' + 'is defined, or create a wrapping component around it.');

          defaultProps = newDefaultProps; // Match production behavior more closely:

          Object.defineProperty(lazyType, 'defaultProps', {
            enumerable: true
          });
        }
      },
      propTypes: {
        configurable: true,
        get: function () {
          return propTypes;
        },
        set: function (newPropTypes) {
          error('React.lazy(...): It is not supported to assign `propTypes` to ' + 'a lazy component import. Either specify them where the component ' + 'is defined, or create a wrapping component around it.');

          propTypes = newPropTypes; // Match production behavior more closely:

          Object.defineProperty(lazyType, 'propTypes', {
            enumerable: true
          });
        }
      }
    });
  }

  return lazyType;
}

function forwardRef(render) {
  {
    if (render != null && render.$$typeof === REACT_MEMO_TYPE) {
      error('forwardRef requires a render function but received a `memo` ' + 'component. Instead of forwardRef(memo(...)), use ' + 'memo(forwardRef(...)).');
    } else if (typeof render !== 'function') {
      error('forwardRef requires a render function but was given %s.', render === null ? 'null' : typeof render);
    } else {
      if (render.length !== 0 && render.length !== 2) {
        error('forwardRef render functions accept exactly two parameters: props and ref. %s', render.length === 1 ? 'Did you forget to use the ref parameter?' : 'Any additional parameter will be undefined.');
      }
    }

    if (render != null) {
      if (render.defaultProps != null || render.propTypes != null) {
        error('forwardRef render functions do not support propTypes or defaultProps. ' + 'Did you accidentally pass a React component?');
      }
    }
  }

  return {
    $$typeof: REACT_FORWARD_REF_TYPE,
    render: render
  };
}

function isValidElementType(type) {
  return typeof type === 'string' || typeof type === 'function' || // Note: its typeof might be other than 'symbol' or 'number' if it's a polyfill.
  type === REACT_FRAGMENT_TYPE || type === REACT_CONCURRENT_MODE_TYPE || type === REACT_PROFILER_TYPE || type === REACT_STRICT_MODE_TYPE || type === REACT_SUSPENSE_TYPE || type === REACT_SUSPENSE_LIST_TYPE || typeof type === 'object' && type !== null && (type.$$typeof === REACT_LAZY_TYPE || type.$$typeof === REACT_MEMO_TYPE || type.$$typeof === REACT_PROVIDER_TYPE || type.$$typeof === REACT_CONTEXT_TYPE || type.$$typeof === REACT_FORWARD_REF_TYPE || type.$$typeof === REACT_FUNDAMENTAL_TYPE || type.$$typeof === REACT_RESPONDER_TYPE || type.$$typeof === REACT_SCOPE_TYPE || type.$$typeof === REACT_BLOCK_TYPE);
}

function memo(type, compare) {
  {
    if (!isValidElementType(type)) {
      error('memo: The first argument must be a component. Instead ' + 'received: %s', type === null ? 'null' : typeof type);
    }
  }

  return {
    $$typeof: REACT_MEMO_TYPE,
    type: type,
    compare: compare === undefined ? null : compare
  };
}

function resolveDispatcher() {
  var dispatcher = ReactCurrentDispatcher.current;

  if (!(dispatcher !== null)) {
    {
      throw Error( "Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://fb.me/react-invalid-hook-call for tips about how to debug and fix this problem." );
    }
  }

  return dispatcher;
}

function useContext(Context, unstable_observedBits) {
  var dispatcher = resolveDispatcher();

  {
    if (unstable_observedBits !== undefined) {
      error('useContext() second argument is reserved for future ' + 'use in React. Passing it is not supported. ' + 'You passed: %s.%s', unstable_observedBits, typeof unstable_observedBits === 'number' && Array.isArray(arguments[2]) ? '\n\nDid you call array.map(useContext)? ' + 'Calling Hooks inside a loop is not supported. ' + 'Learn more at https://fb.me/rules-of-hooks' : '');
    } // TODO: add a more generic warning for invalid values.


    if (Context._context !== undefined) {
      var realContext = Context._context; // Don't deduplicate because this legitimately causes bugs
      // and nobody should be using this in existing code.

      if (realContext.Consumer === Context) {
        error('Calling useContext(Context.Consumer) is not supported, may cause bugs, and will be ' + 'removed in a future major release. Did you mean to call useContext(Context) instead?');
      } else if (realContext.Provider === Context) {
        error('Calling useContext(Context.Provider) is not supported. ' + 'Did you mean to call useContext(Context) instead?');
      }
    }
  }

  return dispatcher.useContext(Context, unstable_observedBits);
}
function useState(initialState) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useState(initialState);
}
function useReducer(reducer, initialArg, init) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useReducer(reducer, initialArg, init);
}
function useRef(initialValue) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useRef(initialValue);
}
function useEffect(create, deps) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useEffect(create, deps);
}
function useLayoutEffect(create, deps) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useLayoutEffect(create, deps);
}
function useCallback(callback, deps) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useCallback(callback, deps);
}
function useMemo(create, deps) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useMemo(create, deps);
}
function useImperativeHandle(ref, create, deps) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useImperativeHandle(ref, create, deps);
}
function useDebugValue(value, formatterFn) {
  {
    var dispatcher = resolveDispatcher();
    return dispatcher.useDebugValue(value, formatterFn);
  }
}

var propTypesMisspellWarningShown;

{
  propTypesMisspellWarningShown = false;
}

function getDeclarationErrorAddendum() {
  if (ReactCurrentOwner.current) {
    var name = getComponentName(ReactCurrentOwner.current.type);

    if (name) {
      return '\n\nCheck the render method of `' + name + '`.';
    }
  }

  return '';
}

function getSourceInfoErrorAddendum(source) {
  if (source !== undefined) {
    var fileName = source.fileName.replace(/^.*[\\\/]/, '');
    var lineNumber = source.lineNumber;
    return '\n\nCheck your code at ' + fileName + ':' + lineNumber + '.';
  }

  return '';
}

function getSourceInfoErrorAddendumForProps(elementProps) {
  if (elementProps !== null && elementProps !== undefined) {
    return getSourceInfoErrorAddendum(elementProps.__source);
  }

  return '';
}
/**
 * Warn if there's no key explicitly set on dynamic arrays of children or
 * object keys are not valid. This allows us to keep track of children between
 * updates.
 */


var ownerHasKeyUseWarning = {};

function getCurrentComponentErrorInfo(parentType) {
  var info = getDeclarationErrorAddendum();

  if (!info) {
    var parentName = typeof parentType === 'string' ? parentType : parentType.displayName || parentType.name;

    if (parentName) {
      info = "\n\nCheck the top-level render call using <" + parentName + ">.";
    }
  }

  return info;
}
/**
 * Warn if the element doesn't have an explicit key assigned to it.
 * This element is in an array. The array could grow and shrink or be
 * reordered. All children that haven't already been validated are required to
 * have a "key" property assigned to it. Error statuses are cached so a warning
 * will only be shown once.
 *
 * @internal
 * @param {ReactElement} element Element that requires a key.
 * @param {*} parentType element's parent's type.
 */


function validateExplicitKey(element, parentType) {
  if (!element._store || element._store.validated || element.key != null) {
    return;
  }

  element._store.validated = true;
  var currentComponentErrorInfo = getCurrentComponentErrorInfo(parentType);

  if (ownerHasKeyUseWarning[currentComponentErrorInfo]) {
    return;
  }

  ownerHasKeyUseWarning[currentComponentErrorInfo] = true; // Usually the current owner is the offender, but if it accepts children as a
  // property, it may be the creator of the child that's responsible for
  // assigning it a key.

  var childOwner = '';

  if (element && element._owner && element._owner !== ReactCurrentOwner.current) {
    // Give the component that originally created this child.
    childOwner = " It was passed a child from " + getComponentName(element._owner.type) + ".";
  }

  setCurrentlyValidatingElement(element);

  {
    error('Each child in a list should have a unique "key" prop.' + '%s%s See https://fb.me/react-warning-keys for more information.', currentComponentErrorInfo, childOwner);
  }

  setCurrentlyValidatingElement(null);
}
/**
 * Ensure that every element either is passed in a static location, in an
 * array with an explicit keys property defined, or in an object literal
 * with valid key property.
 *
 * @internal
 * @param {ReactNode} node Statically passed child of any type.
 * @param {*} parentType node's parent's type.
 */


function validateChildKeys(node, parentType) {
  if (typeof node !== 'object') {
    return;
  }

  if (Array.isArray(node)) {
    for (var i = 0; i < node.length; i++) {
      var child = node[i];

      if (isValidElement(child)) {
        validateExplicitKey(child, parentType);
      }
    }
  } else if (isValidElement(node)) {
    // This element was passed in a valid location.
    if (node._store) {
      node._store.validated = true;
    }
  } else if (node) {
    var iteratorFn = getIteratorFn(node);

    if (typeof iteratorFn === 'function') {
      // Entry iterators used to provide implicit keys,
      // but now we print a separate warning for them later.
      if (iteratorFn !== node.entries) {
        var iterator = iteratorFn.call(node);
        var step;

        while (!(step = iterator.next()).done) {
          if (isValidElement(step.value)) {
            validateExplicitKey(step.value, parentType);
          }
        }
      }
    }
  }
}
/**
 * Given an element, validate that its props follow the propTypes definition,
 * provided by the type.
 *
 * @param {ReactElement} element
 */


function validatePropTypes(element) {
  {
    var type = element.type;

    if (type === null || type === undefined || typeof type === 'string') {
      return;
    }

    var name = getComponentName(type);
    var propTypes;

    if (typeof type === 'function') {
      propTypes = type.propTypes;
    } else if (typeof type === 'object' && (type.$$typeof === REACT_FORWARD_REF_TYPE || // Note: Memo only checks outer props here.
    // Inner props are checked in the reconciler.
    type.$$typeof === REACT_MEMO_TYPE)) {
      propTypes = type.propTypes;
    } else {
      return;
    }

    if (propTypes) {
      setCurrentlyValidatingElement(element);
      checkPropTypes(propTypes, element.props, 'prop', name, ReactDebugCurrentFrame.getStackAddendum);
      setCurrentlyValidatingElement(null);
    } else if (type.PropTypes !== undefined && !propTypesMisspellWarningShown) {
      propTypesMisspellWarningShown = true;

      error('Component %s declared `PropTypes` instead of `propTypes`. Did you misspell the property assignment?', name || 'Unknown');
    }

    if (typeof type.getDefaultProps === 'function' && !type.getDefaultProps.isReactClassApproved) {
      error('getDefaultProps is only used on classic React.createClass ' + 'definitions. Use a static property named `defaultProps` instead.');
    }
  }
}
/**
 * Given a fragment, validate that it can only be provided with fragment props
 * @param {ReactElement} fragment
 */


function validateFragmentProps(fragment) {
  {
    setCurrentlyValidatingElement(fragment);
    var keys = Object.keys(fragment.props);

    for (var i = 0; i < keys.length; i++) {
      var key = keys[i];

      if (key !== 'children' && key !== 'key') {
        error('Invalid prop `%s` supplied to `React.Fragment`. ' + 'React.Fragment can only have `key` and `children` props.', key);

        break;
      }
    }

    if (fragment.ref !== null) {
      error('Invalid attribute `ref` supplied to `React.Fragment`.');
    }

    setCurrentlyValidatingElement(null);
  }
}
function createElementWithValidation(type, props, children) {
  var validType = isValidElementType(type); // We warn in this case but don't throw. We expect the element creation to
  // succeed and there will likely be errors in render.

  if (!validType) {
    var info = '';

    if (type === undefined || typeof type === 'object' && type !== null && Object.keys(type).length === 0) {
      info += ' You likely forgot to export your component from the file ' + "it's defined in, or you might have mixed up default and named imports.";
    }

    var sourceInfo = getSourceInfoErrorAddendumForProps(props);

    if (sourceInfo) {
      info += sourceInfo;
    } else {
      info += getDeclarationErrorAddendum();
    }

    var typeString;

    if (type === null) {
      typeString = 'null';
    } else if (Array.isArray(type)) {
      typeString = 'array';
    } else if (type !== undefined && type.$$typeof === REACT_ELEMENT_TYPE) {
      typeString = "<" + (getComponentName(type.type) || 'Unknown') + " />";
      info = ' Did you accidentally export a JSX literal instead of a component?';
    } else {
      typeString = typeof type;
    }

    {
      error('React.createElement: type is invalid -- expected a string (for ' + 'built-in components) or a class/function (for composite ' + 'components) but got: %s.%s', typeString, info);
    }
  }

  var element = createElement.apply(this, arguments); // The result can be nullish if a mock or a custom function is used.
  // TODO: Drop this when these are no longer allowed as the type argument.

  if (element == null) {
    return element;
  } // Skip key warning if the type isn't valid since our key validation logic
  // doesn't expect a non-string/function type and can throw confusing errors.
  // We don't want exception behavior to differ between dev and prod.
  // (Rendering will throw with a helpful message and as soon as the type is
  // fixed, the key warnings will appear.)


  if (validType) {
    for (var i = 2; i < arguments.length; i++) {
      validateChildKeys(arguments[i], type);
    }
  }

  if (type === REACT_FRAGMENT_TYPE) {
    validateFragmentProps(element);
  } else {
    validatePropTypes(element);
  }

  return element;
}
var didWarnAboutDeprecatedCreateFactory = false;
function createFactoryWithValidation(type) {
  var validatedFactory = createElementWithValidation.bind(null, type);
  validatedFactory.type = type;

  {
    if (!didWarnAboutDeprecatedCreateFactory) {
      didWarnAboutDeprecatedCreateFactory = true;

      warn('React.createFactory() is deprecated and will be removed in ' + 'a future major release. Consider using JSX ' + 'or use React.createElement() directly instead.');
    } // Legacy hook: remove it


    Object.defineProperty(validatedFactory, 'type', {
      enumerable: false,
      get: function () {
        warn('Factory.type is deprecated. Access the class directly ' + 'before passing it to createFactory.');

        Object.defineProperty(this, 'type', {
          value: type
        });
        return type;
      }
    });
  }

  return validatedFactory;
}
function cloneElementWithValidation(element, props, children) {
  var newElement = cloneElement.apply(this, arguments);

  for (var i = 2; i < arguments.length; i++) {
    validateChildKeys(arguments[i], newElement.type);
  }

  validatePropTypes(newElement);
  return newElement;
}

{

  try {
    var frozenObject = Object.freeze({});
    var testMap = new Map([[frozenObject, null]]);
    var testSet = new Set([frozenObject]); // This is necessary for Rollup to not consider these unused.
    // https://github.com/rollup/rollup/issues/1771
    // TODO: we can remove these if Rollup fixes the bug.

    testMap.set(0, 0);
    testSet.add(0);
  } catch (e) {
  }
}

var createElement$1 =  createElementWithValidation ;
var cloneElement$1 =  cloneElementWithValidation ;
var createFactory =  createFactoryWithValidation ;
var Children = {
  map: mapChildren,
  forEach: forEachChildren,
  count: countChildren,
  toArray: toArray,
  only: onlyChild
};

react_development.Children = Children;
react_development.Component = Component;
react_development.Fragment = REACT_FRAGMENT_TYPE;
react_development.Profiler = REACT_PROFILER_TYPE;
react_development.PureComponent = PureComponent;
react_development.StrictMode = REACT_STRICT_MODE_TYPE;
react_development.Suspense = REACT_SUSPENSE_TYPE;
react_development.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = ReactSharedInternals;
react_development.cloneElement = cloneElement$1;
react_development.createContext = createContext;
react_development.createElement = createElement$1;
react_development.createFactory = createFactory;
react_development.createRef = createRef;
react_development.forwardRef = forwardRef;
react_development.isValidElement = isValidElement;
react_development.lazy = lazy;
react_development.memo = memo;
react_development.useCallback = useCallback;
react_development.useContext = useContext;
react_development.useDebugValue = useDebugValue;
react_development.useEffect = useEffect;
react_development.useImperativeHandle = useImperativeHandle;
react_development.useLayoutEffect = useLayoutEffect;
react_development.useMemo = useMemo;
react_development.useReducer = useReducer;
react_development.useRef = useRef;
react_development.useState = useState;
react_development.version = ReactVersion;
  })();
}

if (process.env.NODE_ENV === 'production') {
  react.exports = react_production_min;
} else {
  react.exports = react_development;
}

var React = react.exports;

const Icon = react.exports.forwardRef((props, ref) => {
    const { size = 24, badgeRadius, children, height, width } = props, rest = __rest(props, ["size", "badgeRadius", "children", "height", "width"]);
    return (React.createElement("svg", Object.assign({ xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 24 24", height: size !== null && size !== void 0 ? size : height, width: size !== null && size !== void 0 ? size : width, "aria-hidden": true, focusable: false, ref: ref }, rest), children));
});

/**
 * Convenience function around the Icon component for making icons.
 */
function createIcon(options) {
    const { path, rectFill } = options;
    return React.forwardRef((props, ref) => {
        const { badgeRadius = 12 } = props, rest = __rest(props, ["badgeRadius"]);
        return (React.createElement(Icon, Object.assign({}, rest, { ref: ref }),
            rectFill && (React.createElement("rect", { height: "24", width: "24", rx: badgeRadius, fill: rectFill })),
            path));
    });
}

const BLThreeP = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M9.67258 12L13.082 6.09711H6.26505L3.9 2H20.1771L12.0362 16.0939L9.67258 12Z", fill: "#E6362D" }),
        React.createElement("path", { d: "M9.67258 11.9996L13.082 17.903H6.26505L3.9 21.9996H20.1771L12.0362 7.90576L9.67258 11.9996Z", fill: "#29A844" }),
        React.createElement("path", { d: "M12.0362 7.90283L9.67118 11.9999L12.0362 16.097L14.4013 11.9999L12.0362 7.90283Z", fill: "#27732E" }))),
});

const BLThreePBadge = createIcon({
    rectFill: '#29A844',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M10.3055 12L12.8029 7.67615H7.80952L6.07713 4.67505H18L12.0369 14.9987L10.3055 12Z", fill: "#E6362D" }),
        React.createElement("path", { d: "M10.3055 11.9997L12.8029 16.3238H7.80952L6.07713 19.3246H18L12.0369 9.00098L10.3055 11.9997Z", fill: "white" }),
        React.createElement("path", { d: "M12.0369 8.99878L10.3045 11.9999L12.0369 15.001L13.7692 11.9999L12.0369 8.99878Z", fill: "#27732E" }))),
});

const Binance = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M8.11687 10.4039L12.001 6.51981L15.8884 10.4073L18.1483 8.14735L12.001 2L5.85696 8.14402L8.11687 10.4039ZM2 12.0007L4.25932 9.74138L6.51863 12.0007L4.25932 14.26L2 12.0007ZM12.001 17.4832L8.11684 13.5991L5.85361 15.8557L5.85694 15.859L12.001 22.003L18.1483 15.8557L15.8884 13.5958L12.001 17.4832ZM17.4814 12.0023L19.7407 9.74297L22 12.0023L19.7407 14.2616L17.4814 12.0023ZM12.001 9.70831L14.2942 12.0015L12.001 14.298L9.70779 12.0048V11.9982L10.1105 11.5955L10.3069 11.4024L12.001 9.70831Z", fill: "#F3BA2F" }))),
});

const BinanceBadge = createIcon({
    rectFill: '#2F2B32',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M8.89336 10.7234L12.0008 7.61599L15.1108 10.7261L16.9188 8.91806L12.0008 4L7.08537 8.9154L8.89336 10.7234ZM3.99964 12.0009L5.80716 10.1933L7.61468 12.0009L5.80716 13.8084L3.99964 12.0009ZM12.0007 16.387L8.89331 13.2796L7.08266 15.0849L7.08532 15.0876L12.0007 20.003L16.9188 15.0849L15.1108 13.277L12.0007 16.387ZM16.3852 12.0021L18.1927 10.1946L20.0002 12.0021L18.1927 13.8096L16.3852 12.0021ZM12.0007 10.1669L13.8354 12.0015L12.0007 13.8388L10.1661 12.0042V11.9988L10.4883 11.6767L10.6454 11.5222L12.0007 10.1669Z", fill: "#F3BA2F" }))),
});

const BitMart = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M18.0772 11.6933C18.9206 10.6265 19.3783 9.3058 19.3762 7.94592C19.3762 4.60072 16.6658 2 13.3221 2H5.97044V2.75658H13.1591C16.1142 2.75658 18.51 5.04485 18.51 8.00001C18.5118 9.14887 18.1423 10.2676 17.4566 11.1893L18.0772 11.6933Z", fill: "#55A49F" }),
        React.createElement("path", { d: "M17.2573 11.0668C18.0619 10.2489 18.5121 9.14718 18.5107 7.99991C18.5107 6.83874 18.0495 5.72512 17.2285 4.90398C16.4075 4.08284 15.2939 3.62144 14.1328 3.62125H7.91638V4.37855H14.2943C14.763 4.37827 15.2271 4.47033 15.6601 4.64948C16.0932 4.82862 16.4867 5.09134 16.8181 5.42262C17.1496 5.7539 17.4126 6.14725 17.592 6.58019C17.7714 7.01313 17.8637 7.47717 17.8637 7.94581C17.8643 8.46616 17.7508 8.98031 17.5312 9.45204C17.3116 9.92376 16.9912 10.3416 16.5925 10.6761L17.2573 11.0668Z", fill: "#4A8C89" }),
        React.createElement("path", { d: "M16.058 10.4962C17.0808 10.0492 17.8637 9.07552 17.8637 7.94598C17.8637 6.39366 16.389 5.1353 14.8367 5.1353H9.42955V5.56733H14.7812C16.0623 5.56733 17.3214 6.60861 17.3214 7.89189C17.3214 8.93175 16.4972 9.8136 15.5014 10.109L16.058 10.4962Z", fill: "#5AABA5" }),
        React.createElement("path", { d: "M3.80818 21.2434H4.99751V22H3.80818V21.2434Z", fill: "#4A8C8A" }),
        React.createElement("path", { d: "M4.99751 19.7297H9.7541V20.2699H4.99751V19.7297Z", fill: "#5AABA6" }),
        React.createElement("path", { d: "M4.99751 16.3788H10.0787V16.8116H4.99751V16.3788Z", fill: "#4B8F8E" }),
        React.createElement("path", { d: "M11.0516 16.3788H14.2951V16.8116H11.0516V16.3788Z", fill: "#7CC6C7" }),
        React.createElement("path", { d: "M5.97044 14.8648H7.69998V15.2976H5.97044V14.8648Z", fill: "#5AB5B4" }),
        React.createElement("path", { d: "M8.67299 14.8648H14.2944V15.2976H8.67299V14.8648Z", fill: "#428989" }),
        React.createElement("path", { d: "M10.5107 8.05429H14.1862V8.48703H10.5107V8.05429Z", fill: "#549391" }),
        React.createElement("path", { d: "M6.18684 5.1353H8.24094V5.56804H6.18684V5.1353Z", fill: "#306563" }),
        React.createElement("path", { d: "M6.72705 6.75655H14.2943V7.18929H6.72705V6.75655Z", fill: "#64B9B9" }),
        React.createElement("path", { d: "M4.78115 8.05429H9.42956V8.48703H4.78115V8.05429Z", fill: "#7FD6D5" }),
        React.createElement("path", { d: "M6.07866 21.1353V21.8919H14.2943C17.6395 21.8919 20.3484 19.2897 20.3484 15.946C20.3484 14.3403 19.7106 12.8004 18.5752 11.6651C17.4399 10.5297 15.9 9.89185 14.2943 9.89185H8.99752V10.541H14.1328C15.552 10.5411 16.913 11.1051 17.9165 12.1087C18.9199 13.1123 19.4837 14.4734 19.4837 15.8926C19.4837 18.8484 17.0879 21.136 14.1328 21.136L6.07866 21.1353Z", fill: "#55A49F" }),
        React.createElement("path", { d: "M7.37543 11.5132V12.2705H15.2673C15.7358 12.2704 16.1997 12.3626 16.6326 12.5418C17.0655 12.721 17.4588 12.9838 17.7902 13.315C18.1215 13.6463 18.3843 14.0396 18.5636 14.4724C18.7429 14.9053 18.8352 15.3692 18.8352 15.8377C18.8352 16.784 18.4593 17.6915 17.7902 18.3607C17.1211 19.0298 16.2135 19.4057 15.2673 19.4057H10.6189V20.2705H15.1029C15.6778 20.2705 16.2472 20.1572 16.7784 19.9372C17.3096 19.7171 17.7922 19.3946 18.1988 18.988C18.6053 18.5813 18.9278 18.0986 19.1477 17.5674C19.3677 17.0362 19.4809 16.4668 19.4808 15.8918C19.4808 14.7307 19.0196 13.617 18.1986 12.7959C17.3776 11.9748 16.264 11.5134 15.1029 11.5132H7.37543Z", fill: "#4A8C89" }),
        React.createElement("path", { d: "M9.64592 13.1352V13.5673H15.7541C17.0353 13.5673 18.2943 14.6086 18.2943 15.8918C18.2943 17.173 17.0381 18.2164 15.7541 18.2164H3.7V18.7566H15.8082C17.3605 18.7566 18.8353 17.4982 18.8353 15.9459C18.8353 14.3936 17.3605 13.1352 15.8082 13.1352H9.64592Z", fill: "#5AABA5" }))),
});

const BitMartBadge = createIcon({
    rectFill: 'white',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M17.2018 11.7546C17.8764 10.9012 18.2427 9.84464 18.2409 8.75673C18.2409 6.08057 16.0727 4 13.3976 4H7.51634V4.60527H13.2672C15.6314 4.60527 17.548 6.43588 17.548 8.80001C17.5494 9.71909 17.2538 10.614 16.7053 11.3515L17.2018 11.7546Z", fill: "#55A49F" }),
        React.createElement("path", { d: "M16.5458 11.2535C17.1895 10.5991 17.5497 9.71777 17.5485 8.79994C17.5485 7.87101 17.1796 6.98011 16.5228 6.3232C15.866 5.66629 14.9751 5.29717 14.0462 5.29702H9.07309V5.90286H14.1754C14.5504 5.90263 14.9216 5.97628 15.2681 6.1196C15.6145 6.26292 15.9293 6.47309 16.1945 6.73812C16.4597 7.00314 16.67 7.31782 16.8136 7.66417C16.9571 8.01052 17.031 8.38176 17.031 8.75667C17.0315 9.17295 16.9406 9.58427 16.7649 9.96165C16.5892 10.339 16.3329 10.6733 16.014 10.9409L16.5458 11.2535Z", fill: "#4A8C89" }),
        React.createElement("path", { d: "M15.5864 10.7969C16.4046 10.4394 17.031 9.66043 17.031 8.7568C17.031 7.51494 15.8512 6.50825 14.6093 6.50825H10.2836V6.85387H14.5649C15.5898 6.85387 16.5971 7.6869 16.5971 8.71352C16.5971 9.54541 15.9377 10.2509 15.1411 10.4872L15.5864 10.7969Z", fill: "#5AABA5" }),
        React.createElement("path", { d: "M5.78654 19.3947H6.738V20H5.78654V19.3947Z", fill: "#4A8C8A" }),
        React.createElement("path", { d: "M6.738 18.1838H10.5433V18.616H6.738V18.1838Z", fill: "#5AABA6" }),
        React.createElement("path", { d: "M6.738 15.5031H10.8029V15.8493H6.738V15.5031Z", fill: "#4B8F8E" }),
        React.createElement("path", { d: "M11.5813 15.5031H14.176V15.8493H11.5813V15.5031Z", fill: "#7CC6C7" }),
        React.createElement("path", { d: "M7.51634 14.2919H8.89997V14.6381H7.51634V14.2919Z", fill: "#5AB5B4" }),
        React.createElement("path", { d: "M9.67838 14.2919H14.1755V14.6381H9.67838V14.2919Z", fill: "#428989" }),
        React.createElement("path", { d: "M11.1485 8.84341H14.0889V9.1896H11.1485V8.84341Z", fill: "#549391" }),
        React.createElement("path", { d: "M7.68946 6.50825H9.33274V6.85444H7.68946V6.50825Z", fill: "#306563" }),
        React.createElement("path", { d: "M8.12163 7.80523H14.1754V8.15142H8.12163V7.80523Z", fill: "#64B9B9" }),
        React.createElement("path", { d: "M6.56491 8.84341H10.2836V9.1896H6.56491V8.84341Z", fill: "#7FD6D5" }),
        React.createElement("path", { d: "M7.60291 19.3082V19.9135H14.1755C16.8516 19.9135 19.0187 17.8318 19.0187 15.1568C19.0187 13.8722 18.5085 12.6403 17.6002 11.732C16.6919 10.8237 15.46 10.3135 14.1755 10.3135H9.93801V10.8328H14.0462C15.1816 10.8329 16.2704 11.284 17.0732 12.0869C17.8759 12.8898 18.3269 13.9787 18.3269 15.1141C18.3269 17.4788 16.4103 19.3088 14.0462 19.3088L7.60291 19.3082Z", fill: "#55A49F" }),
        React.createElement("path", { d: "M8.64034 11.6105V12.2164H14.9538C15.3286 12.2163 15.6998 12.2901 16.0461 12.4335C16.3924 12.5768 16.7071 12.787 16.9721 13.052C17.2372 13.3171 17.4474 13.6317 17.5909 13.978C17.7343 14.3242 17.8082 14.6954 17.8082 15.0702C17.8082 15.8272 17.5075 16.5532 16.9722 17.0885C16.4369 17.6238 15.7108 17.9246 14.9538 17.9246H11.2351V18.6164H14.8223C15.2823 18.6164 15.7377 18.5258 16.1627 18.3497C16.5877 18.1737 16.9738 17.9157 17.299 17.5904C17.6242 17.2651 17.8822 16.8789 18.0582 16.4539C18.2342 16.0289 18.3247 15.5735 18.3246 15.1135C18.3246 14.1845 17.9556 13.2936 17.2988 12.6367C16.642 11.9798 15.7512 11.6107 14.8223 11.6105H8.64034Z", fill: "#4A8C89" }),
        React.createElement("path", { d: "M10.4567 12.9082V13.2538H15.3433C16.3682 13.2538 17.3755 14.0869 17.3755 15.1135C17.3755 16.1384 16.3705 16.9731 15.3433 16.9731H5.69999V17.4053H15.3866C16.6284 17.4053 17.8082 16.3986 17.8082 15.1567C17.8082 13.9149 16.6284 12.9082 15.3866 12.9082H10.4567Z", fill: "#5AABA5" }))),
});

const Bitbank = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M12.0682 9.97717C11.3849 9.97717 10.717 10.1798 10.1489 10.5594C9.58084 10.939 9.13807 11.4785 8.8766 12.1097C8.61513 12.741 8.54672 13.4356 8.68002 14.1057C8.81331 14.7758 9.14232 15.3913 9.62545 15.8745C10.1086 16.3576 10.7241 16.6866 11.3942 16.8199C12.0643 16.9532 12.7589 16.8848 13.3902 16.6233C14.0214 16.3618 14.5609 15.9191 14.9405 15.351C15.3201 14.7829 15.5227 14.115 15.5227 13.4317C15.523 12.978 15.4339 12.5286 15.2604 12.1094C15.0869 11.6901 14.8324 11.3092 14.5116 10.9883C14.1907 10.6675 13.8098 10.413 13.3905 10.2395C12.9713 10.066 12.5219 9.97687 12.0682 9.97717V9.97717Z", fill: "#2EAA8F" }),
        React.createElement("path", { d: "M12.0682 4.86364C10.8782 4.8589 9.70072 5.10678 8.61364 5.59091V8.52273C9.71267 7.74848 11.0398 7.3656 12.3824 7.43547C13.7249 7.50533 15.0052 8.02389 16.0179 8.90804C17.0307 9.79219 17.7173 10.9907 17.9677 12.3116C18.2181 13.6324 18.0178 14.9991 17.399 16.1926C16.7802 17.3861 15.7786 18.3372 14.5547 18.8937C13.3309 19.4501 11.9557 19.5796 10.6496 19.2613C9.3434 18.9431 8.18189 18.1955 7.35118 17.1385C6.52047 16.0815 6.06867 14.7762 6.06818 13.4318V2H3.5V13.4318C3.5 15.1264 4.00251 16.783 4.944 18.192C5.88548 19.6011 7.22365 20.6993 8.78928 21.3478C10.3549 21.9963 12.0777 22.166 13.7398 21.8354C15.4018 21.5048 16.9285 20.6887 18.1268 19.4904C19.3251 18.2922 20.1411 16.7655 20.4717 15.1034C20.8023 13.4413 20.6327 11.7186 19.9841 10.1529C19.3356 8.58729 18.2374 7.24912 16.8284 6.30764C15.4194 5.36615 13.7628 4.86364 12.0682 4.86364V4.86364Z", fill: "#003F6B" }))),
});

const BitbankBadge = createIcon({
    rectFill: '#003F6B',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M12.0545 10.3818C11.5079 10.3818 10.9736 10.5439 10.5191 10.8476C10.0647 11.1512 9.71045 11.5828 9.50128 12.0878C9.2921 12.5928 9.23737 13.1485 9.34401 13.6846C9.45064 14.2207 9.71385 14.7131 10.1004 15.0996C10.4869 15.4861 10.9793 15.7493 11.5154 15.856C12.0515 15.9626 12.6071 15.9079 13.1121 15.6987C13.6171 15.4895 14.0487 15.1353 14.3524 14.6808C14.6561 14.2263 14.8182 13.692 14.8182 13.1454C14.8184 12.7824 14.7471 12.423 14.6083 12.0875C14.4695 11.7521 14.2659 11.4474 14.0093 11.1907C13.7526 10.934 13.4478 10.7305 13.1124 10.5917C12.777 10.4529 12.4175 10.3816 12.0545 10.3818V10.3818Z", fill: "#2EAA8F" }),
        React.createElement("path", { d: "M12.0545 6.29091C11.1025 6.28712 10.1606 6.48542 9.2909 6.87273V9.21818C10.1701 8.59878 11.2319 8.29248 12.3059 8.34837C13.3799 8.40427 14.4041 8.81911 15.2143 9.52643C16.0245 10.2337 16.5738 11.1926 16.7741 12.2493C16.9745 13.3059 16.8143 14.3993 16.3192 15.3541C15.8241 16.3088 15.0228 17.0698 14.0438 17.5149C13.0647 17.9601 11.9646 18.0636 10.9196 17.809C9.87471 17.5544 8.94551 16.9564 8.28094 16.1108C7.61638 15.2652 7.25493 14.221 7.25454 13.1455V4H5.2V13.1455C5.2 14.5012 5.60201 15.8264 6.3552 16.9536C7.10838 18.0809 8.17892 18.9594 9.43142 19.4782C10.6839 19.997 12.0621 20.1328 13.3918 19.8683C14.7214 19.6038 15.9428 18.951 16.9014 17.9923C17.8601 17.0337 18.5129 15.8124 18.7774 14.4827C19.0419 13.1531 18.9061 11.7748 18.3873 10.5223C17.8685 9.26983 16.9899 8.19929 15.8627 7.44611C14.7355 6.69292 13.4102 6.29091 12.0545 6.29091V6.29091Z", fill: "white" }))),
});

const Bitfinex = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M3.68229 18.45C4.51131 19.3378 9.0701 23.5913 16.225 18.6545C21.3999 14.5862 21.2701 5.7663 20.7734 3.10129C20.6003 3.48925 14.5964 16.7776 3.68229 18.45V18.45ZM20.7734 3.09954C20.7094 3.07333 14.0529 2.15762 7.47262 6.43736C3.38633 9.09364 2.84461 12.9837 3.03153 15.5823C12.5974 14.4953 20.5553 3.40537 20.7734 3.09954Z", fill: "#97C554" }),
        React.createElement("path", { d: "M20.7734 3.09954C20.7094 3.07333 14.0529 2.15762 7.47262 6.43736C3.38633 9.09364 2.84461 12.9837 3.03153 15.5823C12.5974 14.4953 20.5553 3.40537 20.7734 3.09954Z", fill: "#709B30" }))),
});

const BitfinexBadge = createIcon({
    rectFill: '#97C554',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M4.30646 17.9329C5.04335 18.722 9.09545 22.5028 15.4551 18.1146C20.0549 14.4985 19.9395 6.65889 19.498 4.29008C19.3442 4.63492 14.0075 16.4464 4.30646 17.9329V17.9329ZM19.498 4.28853C19.4411 4.26523 13.5245 3.45129 7.67552 7.25537C4.0434 9.61641 3.56188 13.0741 3.72803 15.3839C12.2307 14.4177 19.3042 4.56036 19.498 4.28853Z", fill: "white" }),
        React.createElement("path", { d: "M19.498 4.28853C19.4411 4.26523 13.5245 3.45129 7.67552 7.25537C4.0434 9.61641 3.56188 13.0741 3.72803 15.3839C12.2307 14.4177 19.3042 4.56036 19.498 4.28853Z", fill: "#709B30" }))),
});

const Bitflyer = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M2 2H8.02712V8.02712H2V2Z", fill: "#3498D4" }),
        React.createElement("path", { d: "M2 8.98582H8.02712V15.0129H2V8.98582Z", fill: "#3498D4" }),
        React.createElement("path", { d: "M2 15.9729H8.02712V22H2V15.9729Z", fill: "#3498D4" }),
        React.createElement("path", { d: "M8.9858 2H15.0129V8.02712H8.9858V2Z", fill: "#3498D4" }),
        React.createElement("path", { d: "M15.9729 2H22V8.02712H15.9729V2Z", fill: "#3498D4" }),
        React.createElement("path", { d: "M11.9994 14.8908C13.6637 14.8908 15.0129 13.5416 15.0129 11.8773C15.0129 10.2129 13.6637 8.86371 11.9994 8.86371C10.335 8.86371 8.9858 10.2129 8.9858 11.8773C8.9858 13.5416 10.335 14.8908 11.9994 14.8908Z", fill: "#E87D4A" }))),
});

const BitflyerBadge = createIcon({
    rectFill: '#3498D4',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M5.2 5.19993H9.41898V9.41891H5.2V5.19993Z", fill: "white" }),
        React.createElement("path", { d: "M5.2 10.09H9.41898V14.309H5.2V10.09Z", fill: "white" }),
        React.createElement("path", { d: "M5.2 14.981H9.41898V19.1999H5.2V14.981Z", fill: "white" }),
        React.createElement("path", { d: "M10.0901 5.19993H14.309V9.41891H10.0901V5.19993Z", fill: "white" }),
        React.createElement("path", { d: "M14.981 5.19993H19.2V9.41891H14.981V5.19993Z", fill: "white" }),
        React.createElement("path", { d: "M12.1995 14.2235C13.3646 14.2235 14.309 13.2791 14.309 12.114C14.309 10.949 13.3646 10.0045 12.1995 10.0045C11.0345 10.0045 10.0901 10.949 10.0901 12.114C10.0901 13.2791 11.0345 14.2235 12.1995 14.2235Z", fill: "#E87D4A" }))),
});

const Bithumb = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M5.34936 6.76321H8.16884L5.97661 12.1774C5.97661 12.1774 4.83061 12.1585 4.4802 11.1474C4.38204 10.8472 4.3738 10.5244 4.4565 10.2195L5.34936 6.76321Z", fill: "#D53127" }),
        React.createElement("path", { d: "M16.2845 6.87908L12.6993 6.81613L13.5061 4.12918C13.5804 3.88321 13.5967 3.62309 13.5537 3.36963C13.5107 3.11616 13.4095 2.87639 13.2582 2.66947C13.107 2.46256 12.9099 2.29425 12.6827 2.178C12.4555 2.06176 12.2045 2.0008 11.9499 2.00002H8.67771L4.93669 15.567C4.93669 15.567 3.59616 21.369 8.67771 21.894C8.67771 21.894 16.7109 23.5523 19.2885 13.7513C19.2885 13.7513 20.649 7.82342 16.2845 6.87908ZM13.8341 13.6078C13.8341 13.6078 13.6907 16.1109 11.8202 16.5503C11.544 16.6205 11.2522 16.5901 10.9959 16.4647C10.7029 16.3136 10.3998 16.0001 10.4073 15.3428C10.4122 15.1529 10.4424 14.9644 10.4971 14.7825L11.1879 12.1774H13.0734C13.0734 12.1774 13.9276 12.4582 13.8341 13.6078Z", fill: "#F47320" }),
        React.createElement("path", { d: "M19.4607 11.019C19.1178 7.03646 16.2846 6.87907 16.2846 6.87907L12.6994 6.81612L11.1594 12.2089H13.0399C13.3853 12.2278 14.015 12.8032 13.8105 13.8218", fill: "url(#Bithumb_a)" }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "Bithumb_a", x1: "18.8023", y1: "16.3463", x2: "13.0752", y2: "7.64235", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { offset: "0.41", stopColor: "#F47320" }),
                React.createElement("stop", { offset: "0.5", stopColor: "#F16D21" }),
                React.createElement("stop", { offset: "0.62", stopColor: "#E95C22" }),
                React.createElement("stop", { offset: "0.75", stopColor: "#DC4125" }),
                React.createElement("stop", { offset: "0.81", stopColor: "#D53127" }))))),
});

const BithumbBadge = createIcon({
    rectFill: 'white',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M7.05948 7.71054H9.31507L7.56128 12.0419C7.56128 12.0419 6.64448 12.0268 6.36415 11.2179C6.28563 10.9777 6.27904 10.7195 6.3452 10.4756L7.05948 7.71054Z", fill: "#D53127" }),
        React.createElement("path", { d: "M15.8076 7.80325L12.9394 7.75288L13.5849 5.60332C13.6444 5.40655 13.6574 5.19845 13.623 4.99568C13.5885 4.79291 13.5076 4.60109 13.3866 4.43556C13.2656 4.27003 13.1079 4.13538 12.9262 4.04239C12.7444 3.94939 12.5436 3.90063 12.3399 3.89999H9.72217L6.72935 14.7536C6.72935 14.7536 5.65692 19.3952 9.72217 19.8152C9.72217 19.8152 16.1487 21.1418 18.2108 13.301C18.2108 13.301 19.2992 8.55872 15.8076 7.80325ZM13.8473 13.1862C13.8473 13.1862 13.7325 15.1887 12.2361 15.5402C12.0152 15.5963 11.7817 15.5721 11.5767 15.4718C11.3423 15.3509 11.0999 15.1001 11.1058 14.5743C11.1098 14.4223 11.1339 14.2715 11.1777 14.126L11.7303 12.0419H13.2387C13.2387 12.0419 13.9221 12.2666 13.8473 13.1862Z", fill: "#F47320" }),
        React.createElement("path", { d: "M18.3486 11.1152C18.0742 7.92914 15.8077 7.80323 15.8077 7.80323L12.9396 7.75287L11.7075 12.0671H13.2119C13.4882 12.0822 13.992 12.5425 13.8284 13.3574", fill: "url(#BithumbBadge_a)" }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "BithumbBadge_a", x1: "17.8218", y1: "15.3771", x2: "13.2401", y2: "8.41386", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { offset: "0.41", stopColor: "#F47320" }),
                React.createElement("stop", { offset: "0.5", stopColor: "#F16D21" }),
                React.createElement("stop", { offset: "0.62", stopColor: "#E95C22" }),
                React.createElement("stop", { offset: "0.75", stopColor: "#DC4125" }),
                React.createElement("stop", { offset: "0.81", stopColor: "#D53127" }))))),
});

const Bitstamp = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M13.1937 10.8485C12.8451 10.7934 12.4872 10.8127 12.1354 10.8095C11.613 10.8095 11.0906 10.8163 10.5709 10.8064C10.5647 11.7518 10.5647 12.6969 10.5709 13.642C11.1982 13.6353 11.8227 13.6388 12.4486 13.6388C12.7806 13.6388 13.1207 13.6514 13.4388 13.5322C13.6533 13.4554 13.8449 13.3255 13.9956 13.1545C14.1463 12.9835 14.2511 12.7771 14.3003 12.5546C14.3743 12.1805 14.3357 11.771 14.1211 11.4484C13.9177 11.1259 13.5615 10.9225 13.1937 10.8485V10.8485Z", fill: "#149F49" }),
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22C17.5228 22 22 17.5228 22 12C22 6.47715 17.5228 2 12 2ZM7.83333 13.7518C8.36559 13.7612 8.875 13.4225 9.09453 12.9418C9.1966 12.7165 9.24095 12.4694 9.22357 12.2227C9.24597 11.7451 9.01389 11.2581 8.60753 10.9969C8.38351 10.8356 8.10753 10.7728 7.83647 10.7549C7.83333 10.3772 7.83647 10.0031 7.83333 9.62903C8.22357 9.64516 8.60394 9.46461 8.8638 9.17742C9.11501 8.89494 9.24391 8.52435 9.22222 8.14695C9.17742 7.68907 8.9086 7.24686 8.49328 7.03719C8.29301 6.92115 8.06407 6.87903 7.83513 6.86962C7.82841 6.45654 7.83513 6.04704 7.83199 5.6371C9.60932 5.63396 11.3866 5.63082 13.1671 5.6371C13.8737 5.6819 14.5901 5.931 15.1156 6.41801C15.4694 6.74943 15.7069 7.18603 15.793 7.66308C15.8705 8.23387 15.819 8.85663 15.4736 9.33737C15.2545 9.67921 14.9189 9.92742 14.5609 10.1147C15.1156 10.3275 15.6125 10.7177 15.8898 11.25C16.2706 11.9794 16.2608 12.9019 15.8513 13.6147C15.5703 14.1147 15.0995 14.4919 14.5739 14.7115C14.0484 14.931 13.4642 15.0081 12.8965 15.0018H7.83378C7.83244 14.5838 7.83557 14.1676 7.83244 13.7518H7.83333ZM16.1667 18.3611C15.0345 18.3741 13.8992 18.3647 12.7616 18.3678C11.1196 18.3647 9.47805 18.3741 7.83602 18.3611C7.82616 17.9162 7.82616 17.4677 7.83602 17.0193C9.55197 17.0063 11.2684 17.0193 12.9884 17.0161C14.0466 17.0193 15.108 17.0063 16.1658 17.0193C16.1743 17.4677 16.1743 17.9162 16.1644 18.3611H16.1667Z", fill: "#149F49" }),
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M12.2679 9.5806C12.5483 9.57433 12.8324 9.60659 13.103 9.51922C13.5483 9.39333 13.9484 9.02236 14.0192 8.55148C14.0837 8.16439 14.0098 7.73562 13.7387 7.43858C13.4516 7.11914 13.0062 6.96457 12.5837 6.9807H10.5645C10.5676 7.84853 10.5676 8.71277 10.5645 9.57926L12.2679 9.5806Z", fill: "#149F49" }),
        React.createElement("path", { d: "M12.8967 15C13.4644 15.0063 14.0482 14.9355 14.5742 14.7097C15.1001 14.4839 15.5706 14.1129 15.8515 13.6129C16.261 12.9001 16.2708 11.9776 15.89 11.2482C15.6127 10.716 15.1158 10.3257 14.5612 10.1129C14.9196 9.92565 15.2547 9.67744 15.4738 9.33559C15.8192 8.85486 15.8708 8.2321 15.7932 7.66131C15.7071 7.18426 15.4696 6.74765 15.1158 6.41623C14.5894 5.92923 13.8725 5.68057 13.1673 5.63532C11.3869 5.62905 9.60955 5.63218 7.83221 5.63532C7.83535 6.04527 7.82863 6.45477 7.83535 6.86785C8.06429 6.87726 8.29324 6.91937 8.49351 7.03541C8.90928 7.24509 9.1772 7.68729 9.22245 8.14518C9.24414 8.52258 9.11524 8.89317 8.86403 9.17564C8.60238 9.46283 8.222 9.64339 7.83356 9.62726C7.8367 10.0014 7.83356 10.3755 7.83669 10.7532C8.10775 10.7724 8.38508 10.8338 8.60775 10.9951C9.01412 11.2563 9.24619 11.7433 9.22379 12.2209C9.24117 12.4676 9.19683 12.7147 9.09476 12.94C8.87523 13.4207 8.36582 13.7594 7.83356 13.75C7.8367 14.1658 7.83356 14.582 7.83356 14.9982L12.8967 15ZM14.3 12.5547C14.2508 12.7772 14.1459 12.9836 13.9952 13.1546C13.8446 13.3255 13.653 13.4555 13.4384 13.5323C13.1225 13.6515 12.7802 13.6389 12.4483 13.6389C11.821 13.6389 11.1965 13.6353 10.5706 13.642C10.5643 12.6967 10.5643 11.7515 10.5706 10.8065C11.0903 10.8163 11.6127 10.8096 12.1351 10.8096C12.4868 10.8127 12.8448 10.7935 13.1933 10.8486C13.5612 10.9225 13.916 11.1259 14.119 11.4485C14.3354 11.7711 14.3739 12.1806 14.3 12.5547V12.5547ZM10.5643 6.98075H12.5836C13.0061 6.96462 13.4514 7.11919 13.7386 7.43864C14.0096 7.73568 14.0836 8.16444 14.019 8.55154C13.9483 9.02242 13.5482 9.39339 13.1028 9.51928C12.834 9.60665 12.5482 9.57439 12.2677 9.58066H10.5652C10.5674 8.71283 10.5674 7.84858 10.5643 6.98075V6.98075Z", fill: "white" }),
        React.createElement("path", { d: "M12.9871 17.0162C11.268 17.0193 9.55162 17.0063 7.83478 17.0193C7.82492 17.4674 7.82492 17.9154 7.83478 18.3612C9.4768 18.3742 11.1184 18.3648 12.7604 18.3679C13.8962 18.3648 15.0315 18.3742 16.1654 18.3612C16.1753 17.9163 16.1753 17.4678 16.1654 17.0193C15.1067 17.0063 14.0453 17.0193 12.9871 17.0162V17.0162Z", fill: "#73C692" }))),
});

const BitstampBadge = createIcon({
    rectFill: '#149F49',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M13.6029 10.687C13.2054 10.6241 12.7972 10.6461 12.3962 10.6425C11.8005 10.6425 11.2048 10.6502 10.6122 10.639C10.605 11.7169 10.605 12.7947 10.6122 13.8724C11.3274 13.8647 12.0396 13.8688 12.7533 13.8688C13.1319 13.8688 13.5196 13.8831 13.8824 13.7472C14.127 13.6596 14.3455 13.5115 14.5173 13.3165C14.6891 13.1215 14.8087 12.8862 14.8648 12.6324C14.9491 12.2059 14.9052 11.7389 14.6604 11.3711C14.4285 11.0032 14.0224 10.7713 13.6029 10.687V10.687Z", fill: "#149F49" }),
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M12.5472 9.24117C12.867 9.23401 13.1909 9.2708 13.4995 9.17117C14.0073 9.02762 14.4635 8.6046 14.5442 8.06766C14.6178 7.62626 14.5335 7.13734 14.2244 6.79862C13.897 6.43436 13.3891 6.2581 12.9074 6.2765H10.6048C10.6084 7.26608 10.6084 8.25158 10.6048 9.23963L12.5472 9.24117Z", fill: "#149F49" }),
        React.createElement("path", { d: "M13.2649 15.4209C13.9121 15.4281 14.5778 15.3473 15.1776 15.0899C15.7774 14.8324 16.3138 14.4094 16.6342 13.8392C17.1011 13.0264 17.1123 11.9745 16.6781 11.1428C16.3619 10.5358 15.7953 10.0908 15.1628 9.84817C15.5715 9.63462 15.9537 9.35158 16.2035 8.96178C16.5974 8.4136 16.6561 7.70346 16.5677 7.05259C16.4696 6.50862 16.1987 6.01076 15.7953 5.63284C15.195 5.07751 14.3776 4.79396 13.5734 4.74236C11.5432 4.73521 9.51648 4.73879 7.48979 4.74236C7.49337 5.20983 7.48571 5.67678 7.49337 6.14781C7.75443 6.15854 8.01549 6.20657 8.24386 6.33889C8.71796 6.57798 9.02347 7.08223 9.07507 7.60435C9.0998 8.0347 8.95282 8.45728 8.66636 8.77939C8.36801 9.10687 7.93426 9.31276 7.49133 9.29437C7.4949 9.72096 7.49132 10.1475 7.4949 10.5782C7.80399 10.6002 8.12023 10.6702 8.37414 10.8541C8.83751 11.1519 9.10215 11.7073 9.07661 12.2519C9.09643 12.5332 9.04586 12.815 8.92947 13.0719C8.67914 13.62 8.09826 14.0063 7.49133 13.9955C7.4949 14.4696 7.49133 14.9443 7.49133 15.4189L13.2649 15.4209ZM14.865 12.6325C14.8088 12.8862 14.6893 13.1216 14.5175 13.3166C14.3457 13.5115 14.1272 13.6597 13.8825 13.7473C13.5223 13.8831 13.132 13.8688 12.7535 13.8688C12.0382 13.8688 11.326 13.8648 10.6123 13.8724C10.6052 12.7944 10.6052 11.7166 10.6123 10.639C11.205 10.6503 11.8007 10.6426 12.3963 10.6426C12.7974 10.6462 13.2056 10.6242 13.6031 10.687C14.0225 10.7713 14.4271 11.0033 14.6586 11.3711C14.9053 11.739 14.9493 12.2059 14.865 12.6325V12.6325ZM10.6052 6.27656H12.9077C13.3895 6.25817 13.8973 6.43442 14.2248 6.79868C14.5339 7.1374 14.6182 7.62632 14.5446 8.06773C14.4639 8.60467 14.0077 9.02768 13.4999 9.17124C13.1933 9.27086 12.8674 9.23408 12.5476 9.24123H10.6062C10.6088 8.25164 10.6088 7.26614 10.6052 6.27656V6.27656Z", fill: "white" }),
        React.createElement("path", { d: "M13.3673 17.72C11.4071 17.7235 9.44986 17.7087 7.49215 17.7235C7.48091 18.2344 7.48091 18.7453 7.49215 19.2536C9.36455 19.2685 11.2364 19.2577 13.1088 19.2613C14.4039 19.2577 15.6985 19.2685 16.9916 19.2536C17.0028 18.7463 17.0028 18.2349 16.9916 17.7235C15.7843 17.7087 14.5741 17.7235 13.3673 17.72V17.72Z", fill: "#73C692" }))),
});

const Bittrex = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("g", { clipPath: "url(#Bittrex_a)" },
            React.createElement("path", { d: "M6.67245 2V5.10561H8.48919V3.95116H19.3896V15.6581H8.48919V9.36718H6.67245V17.6093H21.204V2H6.67245ZM2.9 6.38993V22H17.4331V18.7683H15.6171V20.0488H4.71597V8.34109H15.6171V14.5067H17.4331V6.38993H2.9Z", fill: "#0082D7" })),
        React.createElement("defs", null,
            React.createElement("clipPath", { id: "Bittrex_a" },
                React.createElement("rect", { width: "18.3063", height: "20", fill: "white", transform: "translate(2.9 2)" }))))),
});

const BittrexBadge = createIcon({
    rectFill: '#0082D7',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M8.47289 5V7.17393H9.66378V6.36581H16.8091V14.5607H9.66378V10.157H8.47289V15.9265H17.9985V5H8.47289ZM6 8.07295V19H15.5266V16.7378H14.3362V17.6342H7.19039V9.43877H14.3362V13.7547H15.5266V8.07295H6Z", fill: "white" }))),
});

const Bitvavo = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M10.6944 4.69998H16.5899L7.88564 19.2899H2L10.6944 4.69998Z", fill: "black" }),
        React.createElement("path", { d: "M16.1078 11.9481H22L17.648 19.2899H11.7589L16.1078 11.9481Z", fill: "black" }))),
});

const BitvavoBadge = createIcon({
    rectFill: '#0051FF',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M10.9555 5.49997H15.672L8.70851 17.1719H4L10.9555 5.49997Z", fill: "white" }),
        React.createElement("path", { d: "M15.2863 11.2984H20L16.5184 17.1719H11.8072L15.2863 11.2984Z", fill: "white" }))),
});

const Cex = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("g", { clipPath: "url(#Cex_a)" },
            React.createElement("path", { d: "M3.22631 8.1355C3.21056 8.17534 3.19573 8.21518 3.18091 8.25595L3.20222 8.24576L3.22631 8.1355Z", fill: "black" }),
            React.createElement("path", { d: "M12.2778 17.6666H12.4251H12.8995L12.5873 17.1265L12.2778 17.6629V17.6666Z", fill: "#19A6F2" }),
            React.createElement("path", { d: "M11.8478 19.4697C11.6477 19.4697 11.4494 19.4586 11.2539 19.4391L9.9012 21.7814C10.5395 21.927 11.1922 22.0004 11.8469 22H15.3983L13.9371 19.4697H11.8478Z", fill: "#19A6F2" }),
            React.createElement("path", { d: "M18.1767 15.3011L12.587 17.1301L12.8992 17.6703H16.1606L16.143 17.6536L18.6771 15.3011H18.1767Z", fill: "#18C1F3" }),
            React.createElement("path", { d: "M13.9378 19.4696L15.3989 21.9999H17.3706L18.311 19.4696H13.9378Z", fill: "#18C1F3" }),
            React.createElement("path", { d: "M18.8837 17.6702H18.9764L19.0264 17.5358L18.8837 17.6702Z", fill: "#18C1F3" }),
            React.createElement("path", { d: "M11.4131 15.0973C10.3068 14.6341 9.51652 13.4388 9.51652 12.0398C9.51652 11.9675 9.51652 11.8953 9.52301 11.8248L8.57517 10.1812L7.96644 15.3271L7.95069 15.4624L8.10356 15.517L12.5833 17.1301L11.4131 15.0973Z", fill: "#17B8F3" }),
            React.createElement("path", { d: "M8.10732 15.5172C8.595 16.1669 9.22344 16.6978 9.94551 17.0701C10.6676 17.4423 11.4646 17.6463 12.2767 17.6667L12.5871 17.1303L8.10732 15.5172Z", fill: "#18C2F2" }),
            React.createElement("path", { d: "M8.15662 18.267L8.37343 21.2837C8.86645 21.4959 9.37786 21.6624 9.90127 21.7813L11.254 19.439C10.1361 19.3288 9.06743 18.9244 8.15662 18.267V18.267Z", fill: "#18C2F2" }),
            React.createElement("path", { d: "M18.1766 15.3011H12.4248C12.0773 15.3009 11.7334 15.2316 11.413 15.0973L12.5869 17.1301L18.1766 15.3011Z", fill: "#18F2F2" }),
            React.createElement("path", { d: "M9.52323 11.8211C9.54556 11.4192 9.63643 11.0241 9.79192 10.6528L8.57539 10.1812L9.52323 11.8211Z", fill: "#18F2F2" }),
            React.createElement("path", { d: "M11.2935 12.0501C11.2979 12.3851 11.4344 12.7047 11.6734 12.9395C11.9123 13.1743 12.2344 13.3052 12.5693 13.3037H16.5831L11.514 11.3283C11.3683 11.5406 11.2913 11.7926 11.2935 12.0501V12.0501Z", fill: "#18F2F2" }),
            React.createElement("path", { d: "M9.79192 10.6557C9.88058 10.4433 9.9908 10.2406 10.1208 10.0507L8.57539 10.1813L9.79192 10.6557Z", fill: "#18D1F4" }),
            React.createElement("path", { d: "M18.0536 10.7733H12.5583C12.3524 10.775 12.1498 10.8264 11.968 10.9232C11.7862 11.02 11.6305 11.1593 11.5141 11.3293L16.5832 13.3037H19.3804L18.0536 10.7733Z", fill: "#18D1F4" }),
            React.createElement("path", { d: "M17.3708 21.9999H21.4354V19.4696H18.3112L17.3708 21.9999Z", fill: "#19DEF3" }),
            React.createElement("path", { d: "M19.0294 17.5361L18.9793 17.6704H21.4355V16.3733L20.9454 15.7525L19.0294 17.5361Z", fill: "#19DEF3" }),
            React.createElement("path", { d: "M21.4354 16.3768V15.3011L20.9452 15.7561L21.4354 16.3768Z", fill: "#19A7F3" }),
            React.createElement("path", { d: "M2.55367 13.0728C2.62027 13.7406 2.75057 14.4006 2.94281 15.0436L4.06113 13.0562L2.55367 13.0728V13.0728Z", fill: "#19D1F3" }),
            React.createElement("path", { d: "M5.25105 13.7909L4.06139 13.0562L2.94308 15.0436C3.2219 15.9771 3.63214 16.8662 4.16146 17.6842L6.35825 16.3972C5.83343 15.6032 5.45819 14.7199 5.25105 13.7909V13.7909Z", fill: "#02C1E9" }),
            React.createElement("path", { d: "M3.20217 8.24579L3.18086 8.25598C2.72853 9.45235 2.49777 10.7211 2.49986 12.0001C2.49986 12.1122 2.49986 12.2234 2.50542 12.3346L4.06106 13.0563L3.20217 8.24579Z", fill: "#18A8F2" }),
            React.createElement("path", { d: "M2.50551 12.3344C2.51292 12.5828 2.5296 12.8292 2.55369 13.0757L4.06114 13.059L2.50551 12.3344Z", fill: "#18F2F2" }),
            React.createElement("path", { d: "M4.06113 13.0563L5.25079 13.791C5.11808 13.2033 5.05126 12.6026 5.05159 12.0001C5.05216 11.7085 5.06825 11.4172 5.09976 11.1273L3.20224 8.24579L4.06113 13.0563Z", fill: "#18C2F3" }),
            React.createElement("path", { d: "M7.42523 9.767C7.11601 10.4843 6.95829 11.2577 6.96197 12.0388C6.95379 13.2117 7.30422 14.359 7.96633 15.3271L8.57506 10.1812L7.42523 9.767Z", fill: "#18E9F3" }),
            React.createElement("path", { d: "M5.09976 11.1273C5.17204 10.4346 5.33463 9.75428 5.58341 9.10375L3.20224 8.24579L5.09976 11.1273Z", fill: "#18E9F3" }),
            React.createElement("path", { d: "M6.3579 16.3974L4.1611 17.6843C5.17824 19.2743 6.64402 20.527 8.37309 21.2839L8.15628 18.2671C7.44861 17.7579 6.83927 17.1243 6.3579 16.3974V16.3974Z", fill: "#19E0F3" }),
            React.createElement("path", { d: "M18.6125 8.77563L18.3123 8.5162L18.0436 8.77563H18.6125Z", fill: "#19DFF3" }),
            React.createElement("path", { d: "M19.3756 13.3037H19.9834L19.7833 10.7733H18.0535L19.3756 13.3037Z", fill: "#19DFF3" }),
            React.createElement("path", { d: "M20.0271 13.3037L21.4938 12.127L20.0901 10.7733H19.7834L19.9835 13.3037H20.0271Z", fill: "#18C3F3" }),
            React.createElement("path", { d: "M21.3708 8.77568V7.00323L19.69 7.32381L21.3708 8.77568Z", fill: "#18C3F3" }),
            React.createElement("path", { d: "M17.8805 4.53034L16.4212 2H15.314L15.0166 4.53034H17.8805Z", fill: "#19E0F4" }),
            React.createElement("path", { d: "M18.819 6.56772L19.2971 6.98188L19.059 6.56772H18.819Z", fill: "#19E0F4" }),
            React.createElement("path", { d: "M18.0433 8.77563L18.312 8.5162L16.0605 6.5705H15.4611L16.9185 8.77841L18.0433 8.77563Z", fill: "#18F3E8" }),
            React.createElement("path", { d: "M21.3706 4.53034V4.005L18.0999 2H16.4211L17.8803 4.53034H21.3706Z", fill: "#19F3E7" }),
            React.createElement("path", { d: "M21.3704 7.00319V6.56772H19.0587L19.2968 6.98188L19.6897 7.32098L21.3704 7.00319Z", fill: "#19F3E7" }),
            React.createElement("path", { d: "M21.3705 2H18.0998L21.3705 4.005V2Z", fill: "#18CAF2" }),
            React.createElement("path", { d: "M9.39692 7.44241C8.52384 8.00477 7.83758 8.81391 7.42527 9.76707L8.57509 10.1812L9.39692 7.44241Z", fill: "#18A7F3" }),
            React.createElement("path", { d: "M3.20224 8.24564L5.58341 9.1036C6.40709 6.95962 8.11653 5.3243 10.2049 4.74893L10.3958 4.11426L3.20224 8.24564Z", fill: "#18A7F3" }),
            React.createElement("path", { d: "M13.6453 6.56779H12.4251C11.3526 6.56114 10.301 6.8649 9.39722 7.44244L8.57539 10.1812L13.6453 6.56779Z", fill: "#18C9F3" }),
            React.createElement("path", { d: "M10.2049 4.75262C10.6585 4.62829 11.1248 4.55617 11.5947 4.53767L10.3902 4.11795L10.1993 4.75262H10.2049Z", fill: "#18C9F3" }),
            React.createElement("path", { d: "M10.0503 2.1853C9.29461 2.3438 8.56293 2.60047 7.87385 2.94876L10.3959 4.11804L10.0503 2.1853Z", fill: "#18F3E6" }),
            React.createElement("path", { d: "M10.3958 4.11804L7.87378 2.94876C5.79002 4.00037 4.1232 5.85435 3.22633 8.13546L3.20224 8.24571L10.3958 4.11804Z", fill: "#009FDC" }),
            React.createElement("path", { d: "M11.5955 4.53776C11.6789 4.53776 11.7632 4.53034 11.8475 4.53034H13.9109L11.7919 2C11.2066 2.0032 10.623 2.06528 10.0501 2.18531L10.3956 4.11711L11.6001 4.53683L11.5955 4.53776Z", fill: "#17E6F2" }),
            React.createElement("path", { d: "M15.0166 4.53034L15.314 2H11.7932L13.9122 4.52942L15.0166 4.53034Z", fill: "#18CFF2" }),
            React.createElement("path", { d: "M10.1208 10.0505C10.6536 9.27596 11.4875 8.77563 12.4251 8.77563H16.9188L15.4613 6.56772H13.6454L8.57539 10.1812L10.1208 10.0505Z", fill: "#17E7F2" })),
        React.createElement("defs", null,
            React.createElement("clipPath", { id: "Cex_a" },
                React.createElement("rect", { width: "18.9929", height: "20", fill: "white", transform: "translate(2.5 2)" }))))),
});

const CexBadge = createIcon({
    rectFill: 'white',
    path: (React.createElement(React.Fragment, null,
        React.createElement("g", { clipPath: "url(#CexBadge_a)" },
            React.createElement("path", { d: "M3.98106 8.90839C3.96846 8.94026 3.9566 8.97213 3.94474 9.00474L3.96178 8.99659L3.98106 8.90839Z", fill: "black" }),
            React.createElement("path", { d: "M11.2223 16.5333H11.3401H11.7196L11.4698 16.1012L11.2223 16.5303V16.5333Z", fill: "#19A6F2" }),
            React.createElement("path", { d: "M10.8783 17.9758C10.7182 17.9758 10.5595 17.9669 10.4032 17.9513L9.32097 19.8251C9.83162 19.9416 10.3538 20.0003 10.8775 20H13.7186L12.5497 17.9758H10.8783Z", fill: "#19A6F2" }),
            React.createElement("path", { d: "M15.9414 14.6409L11.4696 16.1041L11.7194 16.5362H14.3285L14.3144 16.5229L16.3417 14.6409H15.9414Z", fill: "#18C1F3" }),
            React.createElement("path", { d: "M12.5502 17.9757L13.7191 20H15.2965L16.0488 17.9757H12.5502Z", fill: "#18C1F3" }),
            React.createElement("path", { d: "M16.507 16.5362H16.5811L16.6211 16.4287L16.507 16.5362Z", fill: "#18C1F3" }),
            React.createElement("path", { d: "M10.5305 14.4779C9.64549 14.1073 9.01322 13.1511 9.01322 12.0318C9.01322 11.974 9.01322 11.9162 9.01841 11.8599L8.26014 10.545L7.77316 14.6617L7.76056 14.7699L7.88286 14.8136L11.4667 16.1041L10.5305 14.4779Z", fill: "#17B8F3" }),
            React.createElement("path", { d: "M7.88586 14.8138C8.27601 15.3335 8.77876 15.7582 9.35641 16.0561C9.93407 16.3539 10.5717 16.5171 11.2214 16.5334L11.4697 16.1042L7.88586 14.8138Z", fill: "#18C2F2" }),
            React.createElement("path", { d: "M7.9253 17.0136L8.09875 19.427C8.49317 19.5967 8.9023 19.73 9.32102 19.825L10.4032 17.9512C9.50892 17.863 8.65395 17.5395 7.9253 17.0136V17.0136Z", fill: "#18C2F2" }),
            React.createElement("path", { d: "M15.9413 14.6409H11.3398C11.0619 14.6407 10.7867 14.5853 10.5304 14.4778L11.4695 16.1041L15.9413 14.6409Z", fill: "#18F2F2" }),
            React.createElement("path", { d: "M9.01859 11.8569C9.03646 11.5354 9.10915 11.2193 9.23355 10.9222L8.26032 10.545L9.01859 11.8569Z", fill: "#18F2F2" }),
            React.createElement("path", { d: "M10.4348 12.0401C10.4383 12.308 10.5476 12.5638 10.7387 12.7516C10.9299 12.9394 11.1875 13.0441 11.4555 13.0429H14.6665L10.6112 11.4626C10.4946 11.6325 10.4331 11.8341 10.4348 12.0401V12.0401Z", fill: "#18F2F2" }),
            React.createElement("path", { d: "M9.23355 10.9246C9.30447 10.7547 9.39265 10.5925 9.49668 10.4406L8.26032 10.5451L9.23355 10.9246Z", fill: "#18D1F4" }),
            React.createElement("path", { d: "M15.8429 11.0187H11.4467C11.2819 11.02 11.1199 11.0611 10.9744 11.1385C10.829 11.216 10.7044 11.3274 10.6113 11.4634L14.6665 13.043H16.9043L15.8429 11.0187Z", fill: "#18D1F4" }),
            React.createElement("path", { d: "M15.2966 20H18.5483V17.9757H16.0489L15.2966 20Z", fill: "#19DEF3" }),
            React.createElement("path", { d: "M16.6235 16.4289L16.5835 16.5363H18.5484V15.4986L18.1563 15.002L16.6235 16.4289Z", fill: "#19DEF3" }),
            React.createElement("path", { d: "M18.5483 15.5015V14.6409L18.1562 15.0049L18.5483 15.5015Z", fill: "#19A7F3" }),
            React.createElement("path", { d: "M3.44294 12.8583C3.49622 13.3925 3.60047 13.9205 3.75426 14.4349L4.64891 12.8449L3.44294 12.8583V12.8583Z", fill: "#19D1F3" }),
            React.createElement("path", { d: "M5.60085 13.4327L4.64912 12.8449L3.75447 14.4349C3.97753 15.1817 4.30572 15.893 4.72918 16.5473L6.48661 15.5178C6.06675 14.8826 5.76657 14.1759 5.60085 13.4327V13.4327Z", fill: "#02C1E9" }),
            React.createElement("path", { d: "M3.96174 8.99661L3.9447 9.00477C3.58284 9.96186 3.39823 10.9768 3.3999 12C3.3999 12.0897 3.3999 12.1787 3.40435 12.2676L4.64886 12.845L3.96174 8.99661Z", fill: "#18A8F2" }),
            React.createElement("path", { d: "M3.40442 12.2675C3.41034 12.4662 3.42369 12.6634 3.44296 12.8605L4.64893 12.8472L3.40442 12.2675Z", fill: "#18F2F2" }),
            React.createElement("path", { d: "M4.64891 12.845L5.60064 13.4328C5.49447 12.9626 5.44102 12.4821 5.44128 12C5.44174 11.7668 5.45461 11.5337 5.47982 11.3018L3.9618 8.99661L4.64891 12.845Z", fill: "#18C2F3" }),
            React.createElement("path", { d: "M7.34019 10.2136C7.09281 10.7875 6.96664 11.4062 6.96958 12.0311C6.96304 12.9694 7.24339 13.8872 7.77307 14.6617L8.26005 10.5449L7.34019 10.2136Z", fill: "#18E9F3" }),
            React.createElement("path", { d: "M5.47982 11.3018C5.53764 10.7476 5.66771 10.2034 5.86674 9.68298L3.9618 8.99661L5.47982 11.3018Z", fill: "#18E9F3" }),
            React.createElement("path", { d: "M6.48633 15.5179L4.72889 16.5475C5.5426 17.8195 6.71523 18.8216 8.09848 19.4271L7.92504 17.0137C7.3589 16.6063 6.87143 16.0995 6.48633 15.5179V15.5179Z", fill: "#19E0F3" }),
            React.createElement("path", { d: "M16.29 9.42046L16.0499 9.21292L15.8349 9.42046H16.29Z", fill: "#19DFF3" }),
            React.createElement("path", { d: "M16.9005 13.043H17.3868L17.2267 11.0187H15.8428L16.9005 13.043Z", fill: "#19DFF3" }),
            React.createElement("path", { d: "M17.4217 13.043L18.595 12.1016L17.4721 11.0187H17.2267L17.3868 13.043H17.4217Z", fill: "#18C3F3" }),
            React.createElement("path", { d: "M18.4966 9.42052V8.00256L17.152 8.25903L18.4966 9.42052Z", fill: "#18C3F3" }),
            React.createElement("path", { d: "M15.7044 6.02427L14.537 4H13.6512L13.4133 6.02427H15.7044Z", fill: "#19E0F4" }),
            React.createElement("path", { d: "M16.4552 7.65417L16.8377 7.9855L16.6472 7.65417H16.4552Z", fill: "#19E0F4" }),
            React.createElement("path", { d: "M15.8346 9.42051L16.0496 9.21297L14.2484 7.6564H13.7689L14.9348 9.42273L15.8346 9.42051Z", fill: "#18F3E8" }),
            React.createElement("path", { d: "M18.4965 6.02427V5.604L15.8799 4H14.5369L15.7043 6.02427H18.4965Z", fill: "#19F3E7" }),
            React.createElement("path", { d: "M18.4963 8.00255V7.65417H16.647L16.8375 7.9855L17.1517 8.25679L18.4963 8.00255Z", fill: "#19F3E7" }),
            React.createElement("path", { d: "M18.4964 4H15.8799L18.4964 5.604V4Z", fill: "#18CAF2" }),
            React.createElement("path", { d: "M8.91754 8.35394C8.21909 8.80383 7.67008 9.45114 7.34023 10.2137L8.26008 10.545L8.91754 8.35394Z", fill: "#18A7F3" }),
            React.createElement("path", { d: "M3.9618 8.99651L5.86674 9.68288C6.52568 7.9677 7.89324 6.65944 9.56395 6.19914L9.71664 5.69141L3.9618 8.99651Z", fill: "#18A7F3" }),
            React.createElement("path", { d: "M12.3163 7.65426H11.3401C10.4821 7.64894 9.64081 7.89194 8.91778 8.35397L8.26032 10.545L12.3163 7.65426Z", fill: "#18C9F3" }),
            React.createElement("path", { d: "M9.56393 6.2021C9.92679 6.10264 10.2998 6.04494 10.6758 6.03014L9.71218 5.69437L9.55949 6.2021H9.56393Z", fill: "#18C9F3" }),
            React.createElement("path", { d: "M9.44022 4.14825C8.8357 4.27506 8.25036 4.48039 7.69909 4.75902L9.7167 5.69444L9.44022 4.14825Z", fill: "#18F3E6" }),
            React.createElement("path", { d: "M9.71664 5.69445L7.69904 4.75903C6.03203 5.60032 4.69857 7.0835 3.98107 8.90839L3.9618 8.99659L9.71664 5.69445Z", fill: "#009FDC" }),
            React.createElement("path", { d: "M10.6764 6.0302C10.7431 6.0302 10.8106 6.02427 10.878 6.02427H12.5287L10.8335 4C10.3652 4.00256 9.8984 4.05222 9.44005 4.14824L9.71652 5.69369L10.6801 6.02946L10.6764 6.0302Z", fill: "#17E6F2" }),
            React.createElement("path", { d: "M13.4133 6.02427L13.6512 4H10.8346L12.5298 6.02353L13.4133 6.02427Z", fill: "#18CFF2" }),
            React.createElement("path", { d: "M9.49668 10.4404C9.92288 9.82077 10.59 9.42051 11.3401 9.42051H14.935L13.7691 7.65417H12.3163L8.26032 10.5449L9.49668 10.4404Z", fill: "#17E7F2" })),
        React.createElement("defs", null,
            React.createElement("clipPath", { id: "CexBadge_a" },
                React.createElement("rect", { width: "15.1943", height: "16", fill: "white", transform: "translate(3.40001 4)" }))))),
});

const ChangellyPro = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("circle", { cx: "12", cy: "12", r: "10", fill: "#2F2B32" }),
        React.createElement("path", { d: "M16.2521 7.09468C15.5222 6.3649 14.6383 6 13.614 6H8L9.56733 7.88061H13.614C14.1185 7.88061 14.5541 8.06306 14.919 8.42795C15.2976 8.79284 15.4805 9.24194 15.4805 9.7472C15.4805 10.2665 15.284 10.7016 14.919 11.0664C14.5541 11.4313 14.1185 11.6137 13.614 11.6137H8V17.2275H9.86651V13.4944H13.614C14.6383 13.4944 15.5222 13.1295 16.2521 12.3997C16.9957 11.6699 17.347 10.7717 17.347 9.7472C17.347 8.72267 16.9821 7.83851 16.2521 7.09468Z", fill: "#10D078" }))),
});

const ChangellyProBadge = createIcon({
    rectFill: '#2F2B32',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M17.0896 6.68971C16.2297 5.82992 15.1883 5.40002 13.9815 5.40002H7.36749L9.21401 7.61563H13.9815C14.5759 7.61563 15.089 7.83058 15.519 8.26047C15.9651 8.69037 16.1805 9.21947 16.1805 9.81473C16.1805 10.4265 15.949 10.9391 15.519 11.369C15.089 11.7988 14.5759 12.0137 13.9815 12.0137H7.36749V18.6276H9.56649V14.2294H13.9815C15.1883 14.2294 16.2297 13.7995 17.0896 12.9397C17.9656 12.0799 18.3795 11.0217 18.3795 9.81473C18.3795 8.6077 17.9495 7.56603 17.0896 6.68971Z", fill: "#10D078" }))),
});

const CoinDesk = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M11.9982 12.8919C12.5042 12.8919 12.9145 12.4831 12.9145 11.9789C12.9145 11.4746 12.5042 11.0658 11.9982 11.0658C11.4921 11.0658 11.0818 11.4746 11.0818 11.9789C11.0818 12.4831 11.4921 12.8919 11.9982 12.8919Z", fill: "#F8BF1E" }),
        React.createElement("path", { d: "M19.3048 12.8919C19.8109 12.8919 20.2212 12.4831 20.2212 11.9789C20.2212 11.4746 19.8109 11.0658 19.3048 11.0658C18.7987 11.0658 18.3885 11.4746 18.3885 11.9789C18.3885 12.4831 18.7987 12.8919 19.3048 12.8919Z", fill: "#F8BF1E" }),
        React.createElement("path", { d: "M19.3048 20.1846C19.8109 20.1846 20.2212 19.7757 20.2212 19.2715C20.2212 18.7672 19.8109 18.3584 19.3048 18.3584C18.7987 18.3584 18.3885 18.7672 18.3885 19.2715C18.3885 19.7757 18.7987 20.1846 19.3048 20.1846Z", fill: "#F8BF1E" }),
        React.createElement("path", { d: "M21.9934 4.51808C21.897 3.18451 20.8239 2.10323 19.4856 2.00712C18.6295 1.94704 17.8579 2.27143 17.3153 2.82408C16.9054 3.24458 16.3507 3.49688 15.7599 3.49688H15.5429C14.9401 3.49688 14.3734 3.24458 13.9514 2.81207C13.457 2.30747 12.7698 2.00712 12.0102 2.00712C11.2506 2.00712 10.5633 2.31949 10.069 2.81207C9.64701 3.24458 9.08034 3.49688 8.47748 3.49688H8.2725C7.68173 3.49688 7.11503 3.26861 6.70509 2.84811C6.6207 2.76401 6.53628 2.67991 6.45189 2.60783C5.42705 1.77885 3.91991 1.80287 2.93123 2.67991C1.73758 3.72515 1.68936 5.55131 2.7986 6.6566C2.81066 6.66861 2.82272 6.68063 2.83478 6.69264C3.26883 7.10113 3.49791 7.67783 3.49791 8.26652V8.47076C3.49791 9.07147 3.24472 9.63613 2.81066 10.0566C2.30426 10.5492 2.00284 11.234 2.00284 11.9909C2.00284 12.7478 2.31632 13.4326 2.81066 13.9252C3.24472 14.3457 3.49791 14.9104 3.49791 15.5111V15.7874C3.49791 16.3761 3.24472 16.9287 2.82272 17.3372C2.29221 17.8539 1.96667 18.5867 2.00284 19.3917C2.06312 20.8093 3.2206 21.9507 4.63128 21.9987C5.45117 22.0228 6.18664 21.6984 6.70509 21.1578C7.11503 20.7373 7.66964 20.4729 8.26045 20.4729H8.48953C9.08034 20.4729 9.63495 20.7252 10.0449 21.1578C10.5875 21.7224 11.3712 22.0468 12.2272 21.9867C13.5655 21.8906 14.6507 20.8093 14.7472 19.4637C14.8557 17.8659 13.6017 16.5443 12.0223 16.5443C11.2747 16.5443 10.5875 16.8446 10.0931 17.3372C9.67112 17.7577 9.10445 18.01 8.51364 18.01H8.26045C7.66964 18.01 7.09092 17.7818 6.66892 17.3492C6.65686 17.3372 6.65686 17.3372 6.64481 17.3252C6.21075 16.9047 5.95756 16.3401 5.95756 15.7393V15.4991C5.95756 14.8984 6.21075 14.3337 6.64481 13.9132C7.1512 13.4206 7.45264 12.7358 7.45264 11.9789C7.45264 11.222 7.13914 10.5372 6.64481 10.0446C6.21075 9.62411 5.95756 9.05945 5.95756 8.45874V8.24249C5.95756 7.64178 6.21075 7.07709 6.63275 6.6566C6.64481 6.64461 6.64481 6.64461 6.65686 6.63259C6.66892 6.62058 6.66892 6.62058 6.68097 6.60856C7.10297 6.18806 7.66964 5.93576 8.2725 5.93576H8.48953C9.0924 5.93576 9.65906 6.18806 10.0811 6.62058C10.5754 7.12516 11.2627 7.42552 12.0223 7.42552C12.7818 7.42552 13.4691 7.11314 13.9634 6.62058C14.3854 6.18806 14.9521 5.93576 15.555 5.93576H15.7479C16.3507 5.93576 16.9174 6.18806 17.3394 6.62058C17.8337 7.12516 18.521 7.42552 19.2806 7.42552C20.848 7.43754 22.102 6.11597 21.9934 4.51808Z", fill: "#F8BF1E" }))),
});

const CoinDeskBadge = createIcon({
    rectFill: '#F8BF1E',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M11.9987 12.6244C12.353 12.6244 12.6401 12.3382 12.6401 11.9852C12.6401 11.6322 12.353 11.3461 11.9987 11.3461C11.6445 11.3461 11.3573 11.6322 11.3573 11.9852C11.3573 12.3382 11.6445 12.6244 11.9987 12.6244Z", fill: "white" }),
        React.createElement("path", { d: "M17.1134 12.6244C17.4676 12.6244 17.7548 12.3382 17.7548 11.9852C17.7548 11.6322 17.4676 11.3461 17.1134 11.3461C16.7591 11.3461 16.4719 11.6322 16.4719 11.9852C16.4719 12.3382 16.7591 12.6244 17.1134 12.6244Z", fill: "white" }),
        React.createElement("path", { d: "M17.1134 17.7292C17.4676 17.7292 17.7548 17.443 17.7548 17.09C17.7548 16.737 17.4676 16.4509 17.1134 16.4509C16.7591 16.4509 16.4719 16.737 16.4719 17.09C16.4719 17.443 16.7591 17.7292 17.1134 17.7292Z", fill: "white" }),
        React.createElement("path", { d: "M18.9954 6.76266C18.9279 5.82915 18.1767 5.07226 17.2399 5.00498C16.6407 4.96293 16.1005 5.19 15.7207 5.57686C15.4338 5.8712 15.0455 6.04781 14.632 6.04781H14.48C14.0581 6.04781 13.6614 5.8712 13.366 5.56845C13.0199 5.21523 12.5389 5.00498 12.0071 5.00498C11.4754 5.00498 10.9943 5.22364 10.6483 5.56845C10.3529 5.8712 9.95624 6.04781 9.53423 6.04781H9.39075C8.97721 6.04781 8.58052 5.88802 8.29356 5.59368C8.23449 5.53481 8.1754 5.47594 8.11632 5.42548C7.39894 4.84519 6.34394 4.86201 5.65186 5.47594C4.81631 6.2076 4.78255 7.48592 5.55902 8.25962C5.56746 8.26803 5.5759 8.27644 5.58434 8.28485C5.88818 8.57079 6.04854 8.97448 6.04854 9.38656V9.52953C6.04854 9.95003 5.8713 10.3453 5.56746 10.6396C5.21299 10.9845 5.00199 11.4638 5.00199 11.9936C5.00199 12.5235 5.22143 13.0028 5.56746 13.3476C5.8713 13.642 6.04854 14.0373 6.04854 14.4578V14.6512C6.04854 15.0633 5.8713 15.4501 5.5759 15.7361C5.20455 16.0977 4.97667 16.6107 5.00199 17.1742C5.04419 18.1665 5.85442 18.9655 6.84189 18.9991C7.41582 19.0159 7.93065 18.7889 8.29356 18.4104C8.58052 18.1161 8.96875 17.9311 9.38231 17.9311H9.54267C9.95624 17.9311 10.3445 18.1077 10.6314 18.4104C11.0112 18.8057 11.5598 19.0328 12.1591 18.9907C13.0959 18.9234 13.8555 18.1665 13.923 17.2246C13.999 16.1061 13.1212 15.181 12.0156 15.181C11.4923 15.181 11.0112 15.3912 10.6652 15.7361C10.3698 16.0304 9.97312 16.207 9.55955 16.207H9.38231C8.96875 16.207 8.56364 16.0472 8.26824 15.7445C8.2598 15.7361 8.2598 15.7361 8.25136 15.7277C7.94753 15.4333 7.77029 15.038 7.77029 14.6175V14.4493C7.77029 14.0288 7.94753 13.6336 8.25136 13.3392C8.60584 12.9944 8.81685 12.5151 8.81685 11.9852C8.81685 11.4554 8.5974 10.976 8.25136 10.6312C7.94753 10.3369 7.77029 9.94162 7.77029 9.52112V9.36974C7.77029 8.94925 7.94753 8.55397 8.24293 8.25962C8.25137 8.25123 8.25137 8.25123 8.2598 8.24281C8.26824 8.2344 8.26824 8.2344 8.27668 8.22599C8.57208 7.93164 8.96875 7.75503 9.39075 7.75503H9.54267C9.96468 7.75503 10.3613 7.93164 10.6567 8.2344C11.0028 8.58761 11.4839 8.79787 12.0156 8.79787C12.5473 8.79787 13.0284 8.5792 13.3744 8.2344C13.6698 7.93164 14.0665 7.75503 14.4885 7.75503H14.6235C15.0455 7.75503 15.4422 7.93164 15.7376 8.2344C16.0836 8.58761 16.5647 8.79787 17.0964 8.79787C18.1936 8.80628 19.0714 7.88118 18.9954 6.76266Z", fill: "white" }))),
});

const Coinone = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M19.3429 12L21.6771 8.80097C20.9186 6.55441 19.3864 4.65048 17.3541 3.42899C15.3217 2.20749 12.9215 1.74791 10.5817 2.13227C8.24187 2.51663 6.11476 3.71991 4.57999 5.52737C3.04521 7.33483 2.20264 9.62885 2.20264 12C2.20264 14.3712 3.04521 16.6652 4.57999 18.4727C6.11476 20.2801 8.24187 21.4834 10.5817 21.8678C12.9215 22.2521 15.3217 21.7925 17.3541 20.571C19.3864 19.3495 20.9186 17.4456 21.6771 15.1991L19.3429 12ZM17.3429 14.9524C16.32 16.6124 14.2952 17.8095 12.2 17.8095C11.2019 17.8089 10.2208 17.5511 9.35134 17.061C8.48185 16.571 7.75328 15.8652 7.23587 15.0117C6.71846 14.1582 6.42967 13.1858 6.39733 12.1882C6.365 11.1907 6.59021 10.2016 7.05126 9.3164C7.51231 8.43119 8.19364 7.67968 9.02957 7.13435C9.86549 6.58901 10.8278 6.26823 11.8238 6.20294C12.8197 6.13765 13.8157 6.33005 14.7156 6.76158C15.6156 7.19312 16.3892 7.84924 16.9619 8.66668L19.2476 12L17.3429 14.9524Z", fill: "url(#Coinone_a)" }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "Coinone_a", x1: "9.94666", y1: "2.44859", x2: "14.36", y2: "21.3533", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#01AEFF" }),
                React.createElement("stop", { offset: "1", stopColor: "#0157FF" }))))),
});

const CoinoneBadge = createIcon({
    rectFill: 'url(#CoinoneBadge_a)',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M18.3059 11.6954L20.4068 8.8163C19.7241 6.7944 18.3452 5.08087 16.5161 3.98152C14.687 2.88218 12.5267 2.46856 10.4209 2.81448C8.31507 3.1604 6.40068 4.24335 5.01939 5.87006C3.63809 7.49677 2.87978 9.56139 2.87978 11.6954C2.87978 13.8295 3.63809 15.8941 5.01939 17.5208C6.40068 19.1475 8.31507 20.2305 10.4209 20.5764C12.5267 20.9223 14.687 20.5087 16.5161 19.4093C18.3452 18.31 19.7241 16.5965 20.4068 14.5746L18.3059 11.6954ZM16.5059 14.3526C15.5854 15.8466 13.7631 16.924 11.8774 16.924C10.9791 16.9234 10.0961 16.6914 9.3136 16.2504C8.53106 15.8093 7.87534 15.1741 7.40968 14.4059C6.94401 13.6378 6.6841 12.7626 6.65499 11.8648C6.62589 10.967 6.82858 10.0769 7.24353 9.28018C7.65847 8.48349 8.27167 7.80714 9.024 7.31634C9.77633 6.82554 10.6424 6.53684 11.5388 6.47808C12.4351 6.41931 13.3315 6.59247 14.1415 6.98085C14.9514 7.36924 15.6477 7.95974 16.1631 8.69544L18.2202 11.6954L16.5059 14.3526Z", fill: "white" }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "CoinoneBadge_a", x1: "9.54358", y1: "0.538311", x2: "14.7143", y2: "23.2849", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#01AEFF" }),
                React.createElement("stop", { offset: "1", stopColor: "#0157FF" }))))),
});

const Compound = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M12 22C17.5229 22 22 17.5229 22 12C22 6.4771 17.5229 2 12 2C6.4771 2 2 6.4772 2 12C2 17.5228 6.4772 22 12 22Z", fill: "#070A0E" }),
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M7.77642 15.3532C7.62933 15.2633 7.50776 15.1372 7.42335 14.9869C7.33895 14.8366 7.29452 14.6671 7.29432 14.4947V12.5411C7.29448 12.4673 7.31408 12.3949 7.35116 12.331C7.38823 12.2672 7.44147 12.2143 7.50551 12.1776C7.56955 12.1409 7.64213 12.1217 7.71593 12.122C7.78974 12.1223 7.86216 12.142 7.92592 12.1792L12.3351 14.75C12.4619 14.8239 12.567 14.9298 12.6402 15.057C12.7133 15.1842 12.7518 15.3283 12.7519 15.475V17.4994C12.7521 17.589 12.7284 17.677 12.6832 17.7544C12.638 17.8317 12.573 17.8956 12.4948 17.9395C12.4167 17.9833 12.3283 18.0055 12.2387 18.0037C12.1491 18.0019 12.0617 17.9763 11.9853 17.9294L7.77642 15.3532ZM14.3489 11.6437C14.4756 11.7177 14.5808 11.8235 14.6539 11.9507C14.727 12.078 14.7655 12.2221 14.7655 12.3688V16.4763C14.7656 16.5358 14.7498 16.5943 14.7198 16.6457C14.6897 16.6971 14.6465 16.7395 14.5946 16.7686L13.6292 17.3121C13.6169 17.3189 13.6039 17.3243 13.5904 17.3282V15.0475C13.5904 14.9023 13.5527 14.7595 13.4811 14.6331C13.4095 14.5067 13.3064 14.401 13.1818 14.3263L9.30982 12.01V9.43513C9.30998 9.36132 9.32958 9.28886 9.36666 9.22504C9.40373 9.16122 9.45697 9.1083 9.52101 9.07161C9.58505 9.03492 9.65763 9.01575 9.73143 9.01603C9.80524 9.01631 9.87766 9.03604 9.94142 9.07323L14.3489 11.6437ZM16.2789 8.60993C16.4061 8.68374 16.5117 8.78971 16.5851 8.9172C16.6584 9.0447 16.697 9.18924 16.6968 9.33633V15.3363C16.6965 15.3968 16.6799 15.4561 16.6487 15.508C16.6176 15.5598 16.5731 15.6023 16.5198 15.631L15.6052 16.125V11.9482C15.6051 11.8033 15.5676 11.6608 15.4962 11.5347C15.4249 11.4085 15.3221 11.303 15.1979 11.2282L11.2398 8.85433V6.41203C11.24 6.33803 11.2593 6.26535 11.2959 6.20103C11.352 6.10481 11.4439 6.03476 11.5516 6.00623C11.6592 5.9777 11.7738 5.99302 11.8701 6.04883L16.2789 8.60993Z", fill: "#00D395" }))),
});

const CompoundBadge = createIcon({
    rectFill: '#070A0E',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M6.24218 16.2694C6.04625 16.1496 5.88432 15.9816 5.77189 15.7814C5.65945 15.5812 5.60027 15.3554 5.60001 15.1258V12.5235C5.60022 12.4252 5.62633 12.3287 5.67572 12.2437C5.72511 12.1587 5.79602 12.0882 5.88132 12.0393C5.96663 11.9904 6.0633 11.9649 6.16161 11.9653C6.25993 11.9657 6.3564 11.9919 6.44133 12.0415L12.3146 15.4659C12.4834 15.5643 12.6235 15.7053 12.7209 15.8748C12.8183 16.0442 12.8696 16.2362 12.8698 16.4316V19.1282C12.87 19.2475 12.8384 19.3648 12.7782 19.4678C12.718 19.5709 12.6314 19.656 12.5273 19.7143C12.4233 19.7727 12.3055 19.8023 12.1862 19.7999C12.0669 19.7976 11.9503 19.7634 11.8486 19.701L6.24218 16.2694ZM14.9971 11.3282C15.1658 11.4267 15.3059 11.5677 15.4033 11.7371C15.5006 11.9066 15.5519 12.0986 15.552 12.294V17.7654C15.5521 17.8447 15.5311 17.9226 15.4911 17.991C15.451 18.0594 15.3935 18.116 15.3243 18.1548L14.0384 18.8787C14.022 18.8877 14.0046 18.8949 13.9867 18.9002V15.8622C13.9866 15.6687 13.9365 15.4785 13.8411 15.3101C13.7457 15.1418 13.6084 15.001 13.4424 14.9015L8.28474 11.8161V8.3862C8.28495 8.28789 8.31107 8.19136 8.36046 8.10636C8.40984 8.02135 8.48076 7.95086 8.56606 7.90198C8.65136 7.8531 8.74804 7.82757 8.84635 7.82794C8.94466 7.82832 9.04114 7.8546 9.12606 7.90413L14.9971 11.3282ZM17.5679 7.28699C17.7374 7.38532 17.878 7.52648 17.9757 7.6963C18.0734 7.86613 18.1247 8.05866 18.1246 8.25459V16.2469C18.1241 16.3274 18.102 16.4064 18.0605 16.4755C18.019 16.5446 17.9597 16.6012 17.8888 16.6394L16.6705 17.2974V11.7338C16.6704 11.5407 16.6204 11.3509 16.5253 11.1829C16.4303 11.0148 16.2934 10.8742 16.128 10.7747L10.8556 7.61255V4.35929C10.8559 4.26073 10.8816 4.16391 10.9303 4.07823C11.005 3.95007 11.1275 3.85676 11.2708 3.81875C11.4142 3.78075 11.5668 3.80115 11.6952 3.87549L17.5679 7.28699Z", fill: "#00D395" }))),
});

const CryptoCom = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M11.9623 2L3.30005 7V17L11.9623 22L20.6245 17V7L11.9623 2Z", fill: "url(#CryptoCom_a)" }),
        React.createElement("path", { d: "M11.9623 2L3.30005 7V17L11.9623 22V2Z", fill: "url(#CryptoCom_b)" }),
        React.createElement("path", { d: "M15.3394 6.32019H8.54119L7.75172 9.78511H16.1727L15.3394 6.32019ZM9.74732 14.5439V12.2413L7.72979 10.9693L5.4491 12.6579L8.56312 18.0746H9.81311L11.2824 16.693V16.0132L9.74732 14.5439Z", fill: "white" }),
        React.createElement("path", { d: "M14.1552 10.3114H9.76929L10.493 12.2412L10.2737 14.4122H13.6508L13.4315 12.2412L14.1552 10.3114Z", fill: "white" }),
        React.createElement("path", { d: "M16.1728 10.9473L14.1772 12.2412V14.5438L12.6641 16.0131V16.6929L14.1334 18.0526H15.3614L18.4536 12.6578L16.1728 10.9473Z", fill: "white" }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "CryptoCom_a", x1: "11.9546", y1: "2", x2: "11.9546", y2: "21.9877", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#25376C" }),
                React.createElement("stop", { offset: "1", stopColor: "#1F1F49" })),
            React.createElement("linearGradient", { id: "CryptoCom_b", x1: "7.62788", y1: "21.9877", x2: "7.62788", y2: "2", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#25376C" }),
                React.createElement("stop", { offset: "1", stopColor: "#1F1F49" }))))),
});

const CryptoComBadge = createIcon({
    rectFill: 'white',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M11.9623 2.72095L3.92458 7.36046V16.6395L11.9623 21.279L20 16.6395V7.36046L11.9623 2.72095Z", fill: "url(#CryptoComBadge_a)" }),
        React.createElement("path", { d: "M11.9623 2.72095L3.92458 7.36046V16.6395L11.9623 21.279V2.72095Z", fill: "url(#CryptoComBadge_b)" }),
        React.createElement("path", { d: "M15.096 6.72968H8.78794L8.05539 9.94479H15.8693L15.096 6.72968ZM9.90712 14.3605V12.2239L8.03504 11.0436L5.91879 12.6105L8.80829 17.6366H9.96816L11.3315 16.3547V15.7239L9.90712 14.3605Z", fill: "white" }),
        React.createElement("path", { d: "M13.9973 10.4331H9.92753L10.599 12.2238L10.3955 14.2383H13.5292L13.3258 12.2238L13.9973 10.4331Z", fill: "white" }),
        React.createElement("path", { d: "M15.8693 11.0232L14.0176 12.2238V14.3604L12.6135 15.7237V16.3545L13.9769 17.6162H15.1164L17.9856 12.6104L15.8693 11.0232Z", fill: "white" }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "CryptoComBadge_a", x1: "11.9552", y1: "2.72095", x2: "11.9552", y2: "21.2676", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#25376C" }),
                React.createElement("stop", { offset: "1", stopColor: "#1F1F49" })),
            React.createElement("linearGradient", { id: "CryptoComBadge_b", x1: "7.94038", y1: "21.2676", x2: "7.94038", y2: "2.72095", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#25376C" }),
                React.createElement("stop", { offset: "1", stopColor: "#1F1F49" }))))),
});

const CurrencyCom = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M7.2462 3.20001L8.4648 6.21609C6.52 7.40738 5.2222 9.55217 5.2222 12C5.2222 15.7432 8.2567 18.7777 12 18.7777C12.4961 18.778 12.9907 18.724 13.475 18.6167L14.6936 21.6329C13.8166 21.8772 12.9104 22.0007 12 21.9999C6.4772 21.9999 2 17.5227 2 12C2 8.19778 4.1219 4.8913 7.2462 3.20001Z", fill: "#FE4040" }),
        React.createElement("path", { d: "M12 15.5556C10.0363 15.5556 8.4444 13.9637 8.4444 12C8.4444 10.0363 10.0363 8.4444 12 8.4444C13.3837 8.4444 14.5829 9.2344 15.17 10.3889H18.5847C17.8617 7.4234 15.1877 5.2222 11.9996 5.2222C11.5035 5.22191 11.0089 5.2759 10.5246 5.3832L9.3064 2.367C10.1834 2.1227 11.0896 1.99923 12 2C17.5228 2 22.0001 6.4772 22.0001 12C22.0001 15.8021 19.8782 19.1087 16.7538 20.8L15.5352 17.7839C17.039 16.8628 18.1559 15.3716 18.5852 13.6111H15.17C14.8724 14.196 14.4187 14.6873 13.8593 15.0304C13.2998 15.3736 12.6563 15.5554 12 15.5556V15.5556Z", fill: "#00C46B" }))),
});

const CurrencyComBadge = createIcon({
    rectFill: '#00C46B',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M7.72158 4.08002L8.81832 6.79449C7.068 7.86665 5.89999 9.79696 5.89999 12C5.89999 15.3689 8.63103 18.0999 12 18.0999C12.4465 18.1002 12.8916 18.0516 13.3275 17.955L14.4242 20.6696C13.6349 20.8895 12.8193 21.0006 12 20.9999C7.02948 20.9999 3.00001 16.9704 3.00001 12C3.00001 8.57801 4.90972 5.60218 7.72158 4.08002Z", fill: "#FE4040" }),
        React.createElement("path", { d: "M12 15.2C10.2327 15.2 8.79996 13.7673 8.79996 12C8.79996 10.2327 10.2327 8.79996 12 8.79996C13.2454 8.79996 14.3246 9.51096 14.853 10.55H17.9263C17.2756 7.88106 14.869 5.89998 11.9997 5.89998C11.5532 5.89972 11.108 5.9483 10.6722 6.04488L9.57577 3.3303C10.3651 3.11043 11.1807 2.9993 12 3C16.9706 3 21.0001 7.02948 21.0001 12C21.0001 15.4219 19.0903 18.3978 16.2785 19.92L15.1817 17.2055C16.5351 16.3765 17.5403 15.0344 17.9267 13.45H14.853C14.5851 13.9764 14.1769 14.4185 13.6733 14.7274C13.1698 15.0362 12.5907 15.1998 12 15.2V15.2Z", fill: "white" }))),
});

const Curve = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M10.6559 13.9172L9.28369 14.2188L9.11433 13.5812L10.5734 13.3184L10.6559 13.9172Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M9.27935 14.2188L8.08514 14.6195L7.82893 13.956L9.10999 13.5812L9.27935 14.2188Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M10.5692 13.3184L9.1101 13.5812L8.95811 12.8358L10.4954 12.6118L10.5692 13.3184Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M9.11004 13.5811L7.82898 13.9559L7.59448 13.1805L8.95805 12.8358L9.11004 13.5811Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M10.7472 14.4041L9.46613 14.7315L9.28374 14.2145L10.656 13.913L10.7472 14.4041Z", fill: "#0000F1" }),
        React.createElement("path", { d: "M9.46634 14.7358L8.36767 15.1623L8.08975 14.6238L9.28396 14.2231L9.46634 14.7358Z", fill: "#0000DA" }),
        React.createElement("path", { d: "M10.4954 12.6118L8.96243 12.8358L8.82781 12.0043L10.4302 11.8234L10.4954 12.6118Z", fill: "#0058FF" }),
        React.createElement("path", { d: "M8.95808 12.8358L7.59885 13.1761L7.39475 12.3059L8.82346 12L8.95808 12.8358Z", fill: "#0048FF" }),
        React.createElement("path", { d: "M12.1585 13.719L10.656 13.9172L10.5691 13.314L12.1498 13.1589L12.1585 13.719Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M10.8427 14.7616L9.65279 15.1149L9.46172 14.7315L10.7428 14.4041L10.8427 14.7616Z", fill: "#0000DA" }),
        React.createElement("path", { d: "M8.08537 14.6194L7.1083 15.1191L6.76523 14.4341L7.82916 13.9559L8.08537 14.6194Z", fill: "#0000E8" }),
        React.createElement("path", { d: "M9.65722 15.1148L8.65843 15.5586L8.36748 15.1622L9.46615 14.7357L9.65722 15.1148Z", fill: "#0000C4" }),
        React.createElement("path", { d: "M12.1498 13.1589L10.5691 13.3183L10.4909 12.6118L12.1454 12.4998L12.1498 13.1589Z", fill: "#003CFF" }),
        React.createElement("path", { d: "M7.829 13.956L6.76506 14.4342L6.45674 13.6328L7.59884 13.1805L7.829 13.956Z", fill: "#0008FF" }),
        React.createElement("path", { d: "M12.1628 14.1714L10.7471 14.4041L10.6559 13.9172L12.1585 13.7191L12.1628 14.1714Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M8.36301 15.158L7.47712 15.6707L7.10801 15.1192L8.08508 14.6194L8.36301 15.158Z", fill: "#0000C8" }),
        React.createElement("path", { d: "M10.4258 11.8234L8.82343 12.0043L8.71487 11.1039L10.3737 10.9703L10.4258 11.8234Z", fill: "#0090FF" }),
        React.createElement("path", { d: "M8.82346 12.0043L7.39475 12.3101L7.22974 11.3666L8.71489 11.1038L8.82346 12.0043Z", fill: "#0084FF" }),
        React.createElement("path", { d: "M12.1455 12.4997L10.491 12.6117L10.4259 11.8233L12.1412 11.763L12.1455 12.4997Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M7.5943 13.1805L6.4522 13.6329L6.18296 12.7368L7.39454 12.3102L7.5943 13.1805Z", fill: "#003CFF" }),
        React.createElement("path", { d: "M12.1715 14.5032L10.8427 14.766L10.7471 14.4084L12.1628 14.1757L12.1715 14.5032Z", fill: "#0000F6" }),
        React.createElement("path", { d: "M10.9427 14.9814L9.85269 15.3519L9.65728 15.1149L10.8471 14.7617L10.9427 14.9814Z", fill: "#0000D1" }),
        React.createElement("path", { d: "M8.65398 15.5587L7.86364 16.08L7.47715 15.6707L8.36303 15.158L8.65398 15.5587Z", fill: "#0000AD" }),
        React.createElement("path", { d: "M9.85256 15.3518L8.9493 15.8042L8.654 15.5586L9.65714 15.1149L9.85256 15.3518Z", fill: "#0000BB" }),
        React.createElement("path", { d: "M12.1454 11.763L10.4301 11.8233L10.378 10.9703L12.1454 10.9617V11.763Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M7.39458 12.3102L6.18734 12.7368L5.96587 11.7631L7.22956 11.371L7.39458 12.3102Z", fill: "#0078FF" }),
        React.createElement("path", { d: "M12.1802 14.7013L10.9426 14.9856L10.8427 14.7659L12.1715 14.5031L12.1802 14.7013Z", fill: "#0000ED" }),
        React.createElement("path", { d: "M10.3738 10.9704L8.71498 11.1039L8.63247 10.1561L10.3348 10.0699L10.3738 10.9704Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M13.7175 13.6199L12.1542 13.719L12.1499 13.1589L13.7827 13.1029L13.7175 13.6199Z", fill: "#002CFF" }),
        React.createElement("path", { d: "M8.71471 11.1039L7.22955 11.3667L7.10361 10.3758L8.6322 10.1518L8.71471 11.1039Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M13.6481 14.0335L12.1629 14.1714L12.1542 13.719L13.7176 13.6199L13.6481 14.0335Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M13.7826 13.1029L12.1498 13.1589L12.1455 12.4998L13.8434 12.4955L13.7826 13.1029Z", fill: "#0050FF" }),
        React.createElement("path", { d: "M7.10804 15.1192L6.36112 15.7008L5.93555 15.0071L6.76064 14.4341L7.10804 15.1192Z", fill: "#0000DA" }),
        React.createElement("path", { d: "M6.76507 14.4342L5.93998 15.0072L5.55784 14.193L6.45675 13.6372L6.76507 14.4342Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M8.94929 15.8042L8.25448 16.3298L7.86365 16.0756L8.65834 15.5543L8.94929 15.8042Z", fill: "#0000A4" }),
        React.createElement("path", { d: "M7.4772 15.6706L6.81713 16.2566L6.36116 15.6965L7.10808 15.1149L7.4772 15.6706Z", fill: "#0000B6" }),
        React.createElement("path", { d: "M11.0424 15.0589L10.0436 15.4381L9.84822 15.3519L10.9382 14.9814L11.0424 15.0589Z", fill: "#0000D6" }),
        React.createElement("path", { d: "M13.5787 14.3308L12.1717 14.5031L12.163 14.1757L13.6482 14.0378L13.5787 14.3308Z", fill: "#0004FF" }),
        React.createElement("path", { d: "M13.8434 12.4954L12.1454 12.4998L12.1411 11.7587L13.8955 11.8061L13.8434 12.4954Z", fill: "#0078FF" }),
        React.createElement("path", { d: "M10.0436 15.438L9.24022 15.8946L8.94492 15.8042L9.84818 15.3518L10.0436 15.438Z", fill: "#0000BF" }),
        React.createElement("path", { d: "M12.141 10.9618L10.3736 10.9704L10.3345 10.0699L12.141 10.113V10.9618Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M6.45253 13.6329L5.55362 14.1886L5.21924 13.2753L6.18329 12.7368L6.45253 13.6329Z", fill: "#0034FF" }),
        React.createElement("path", { d: "M12.189 14.7616L11.0426 15.0589L10.9427 14.9814L12.1803 14.697L12.189 14.7616Z", fill: "#0000F1" }),
        React.createElement("path", { d: "M7.8636 16.0799L7.29038 16.6701L6.8127 16.2609L7.47277 15.6749L7.8636 16.0799Z", fill: "#00009F" }),
        React.createElement("path", { d: "M7.22973 11.3667L5.96604 11.7588L5.79668 10.7334L7.1038 10.3715L7.22973 11.3667Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M13.5091 14.5031L12.1803 14.7013L12.1716 14.5031L13.5786 14.3307L13.5091 14.5031Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M10.3346 10.0699L8.63229 10.1561L8.58018 9.18242L10.3129 9.14795L10.3346 10.0699Z", fill: "#23FFD4" }),
        React.createElement("path", { d: "M13.8955 11.8104L12.1411 11.763V10.9617L13.9389 11.0651L13.8955 11.8104Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M8.63231 10.1517L7.10372 10.3757L7.02122 9.35895L8.5802 9.18231L8.63231 10.1517Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M9.24465 15.8947L8.64537 16.4203L8.25454 16.3341L8.94935 15.8085L9.24465 15.8947Z", fill: "#0000AD" }),
        React.createElement("path", { d: "M6.1831 12.7367L5.21904 13.2752L4.94546 12.28L5.96163 11.763L6.1831 12.7367Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M11.1381 14.9899L10.2348 15.3691L10.0438 15.438L11.0382 15.0589L11.1381 14.9899Z", fill: "#0000E8" }),
        React.createElement("path", { d: "M8.25448 16.3298L7.7768 16.9157L7.29478 16.6659L7.86799 16.0756L8.25448 16.3298Z", fill: "#000096" }),
        React.createElement("path", { d: "M12.1411 10.1129L10.3346 10.0698L10.3085 9.14355L12.1411 9.24264V10.1129Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M13.4395 14.5505L12.1889 14.7616L12.1802 14.697L13.509 14.5031L13.4395 14.5505Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M15.2634 13.607L13.7174 13.6199L13.7825 13.1029L15.3849 13.1374L15.2634 13.607Z", fill: "#0044FF" }),
        React.createElement("path", { d: "M15.1288 13.9775L13.6479 14.0292L13.7174 13.6156L15.259 13.6027L15.1288 13.9775Z", fill: "#002CFF" }),
        React.createElement("path", { d: "M10.2347 15.3691L9.52685 15.8214L9.24023 15.8904L10.0436 15.4337L10.2347 15.3691Z", fill: "#0000D1" }),
        React.createElement("path", { d: "M13.9433 11.0651L12.1455 10.9617V10.1172L13.9824 10.281L13.9433 11.0651Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M12.2019 14.6884L11.138 14.9899L11.0424 15.0589L12.1932 14.7616L12.2019 14.6884Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M15.3851 13.1417L13.7826 13.103L13.8434 12.4955L15.5023 12.586L15.3851 13.1417Z", fill: "#0064FF" }),
        React.createElement("path", { d: "M7.10382 10.3758L5.7967 10.7377L5.68814 9.68213L7.02565 9.35901L7.10382 10.3758Z", fill: "#19FFDE" }),
        React.createElement("path", { d: "M14.9899 14.2404L13.5785 14.3265L13.648 14.0292L15.1288 13.9775L14.9899 14.2404Z", fill: "#001CFF" }),
        React.createElement("path", { d: "M6.36114 15.7008L5.84437 16.3471L5.34932 15.6534L5.93557 15.0072L6.36114 15.7008Z", fill: "#0000D1" }),
        React.createElement("path", { d: "M6.8171 16.2609L6.37416 16.9029L5.84436 16.3471L6.36113 15.7009L6.8171 16.2609Z", fill: "#0000A8" }),
        React.createElement("path", { d: "M10.3128 9.14367L8.58014 9.17814L8.55842 8.20447L10.3041 8.21739L10.3128 9.14367Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M15.5024 12.586L13.8435 12.4998L13.8956 11.8105L15.6022 11.957L15.5024 12.586Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M5.93548 15.0029L5.34924 15.6491L4.90195 14.8305L5.55334 14.1886L5.93548 15.0029Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M5.96182 11.763L4.94565 12.28L4.74155 11.2288L5.7968 10.7377L5.96182 11.763Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M8.58017 9.18242L7.02119 9.36337L6.9821 8.3423L8.55412 8.20874L8.58017 9.18242Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M14.8509 14.3868L13.5047 14.5031L13.5742 14.3308L14.9855 14.2446L14.8509 14.3868Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M9.52681 15.8257L9.02741 16.3427L8.64961 16.4203L9.24454 15.8947L9.52681 15.8257Z", fill: "#0000BF" }),
        React.createElement("path", { d: "M8.64537 16.4203L8.25454 16.9976L7.77686 16.9158L8.25888 16.3298L8.64537 16.4203Z", fill: "#00009B" }),
        React.createElement("path", { d: "M7.29035 16.6659L6.92558 17.3035L6.36973 16.9029L6.81267 16.2609L7.29035 16.6659Z", fill: "#000092" }),
        React.createElement("path", { d: "M13.3746 14.4686L12.202 14.6883L12.1934 14.7616L13.444 14.5505L13.3746 14.4686Z", fill: "#000CFF" }),
        React.createElement("path", { d: "M5.55333 14.1885L4.90194 14.8305L4.51545 13.9042L5.22329 13.2709L5.55333 14.1885Z", fill: "#002CFF" }),
        React.createElement("path", { d: "M12.1454 9.24265L10.3128 9.14356L10.3042 8.21729L12.1497 8.36807L12.1454 9.24265Z", fill: "#5DFF9A" }),
        React.createElement("path", { d: "M13.978 10.2767L12.1411 10.1129V9.24268L13.9997 9.4624L13.978 10.2767Z", fill: "#2CFFCA" }),
        React.createElement("path", { d: "M15.602 11.9569L13.8954 11.8104L13.9388 11.0651L15.6845 11.2676L15.602 11.9569Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M11.2292 14.7745L10.4128 15.1493L10.2347 15.369L11.138 14.9899L11.2292 14.7745Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M12.2104 14.4773L11.229 14.7746L11.1378 14.99L12.2017 14.6884L12.2104 14.4773Z", fill: "#000CFF" }),
        React.createElement("path", { d: "M14.7164 14.4169L13.4396 14.5505L13.5091 14.5031L14.8553 14.3868L14.7164 14.4169Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M10.4126 15.1494L9.796 15.5931L9.52676 15.8258L10.2346 15.3734L10.4126 15.1494Z", fill: "#0000F1" }),
        React.createElement("path", { d: "M7.02134 9.3591L5.68383 9.68222L5.63606 8.62669L6.9866 8.34235L7.02134 9.3591Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M7.77683 16.9158L7.49456 17.5405L6.93003 17.3035L7.29481 16.6659L7.77683 16.9158Z", fill: "#000089" }),
        React.createElement("path", { d: "M5.22346 13.2752L4.51996 13.9085L4.19861 12.9004L4.94988 12.28L5.22346 13.2752Z", fill: "#006CFF" }),
        React.createElement("path", { d: "M5.79207 10.7377L4.73681 11.2289L4.59785 10.1475L5.67916 9.68652L5.79207 10.7377Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M15.689 11.2676L13.9433 11.0651L13.978 10.2767L15.7541 10.5395L15.689 11.2676Z", fill: "#06ECF1" }),
        React.createElement("path", { d: "M10.3 8.21732L8.55425 8.20439L8.56293 7.25226L10.3043 7.31257L10.3 8.21732Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M13.3093 14.2618L12.2106 14.4816L12.2019 14.6927L13.3744 14.4729L13.3093 14.2618Z", fill: "#0024FF" }),
        React.createElement("path", { d: "M9.02752 16.3428L8.72354 16.9072L8.25454 16.9976L8.64537 16.4203L9.02752 16.3428Z", fill: "#0000AD" }),
        React.createElement("path", { d: "M16.5183 13.999L15.1287 13.9775L15.2633 13.607L16.705 13.6716L16.5183 13.999Z", fill: "#0044FF" }),
        React.createElement("path", { d: "M16.7051 13.6716L15.2634 13.607L15.385 13.1374L16.8745 13.2494L16.7051 13.6716Z", fill: "#005CFF" }),
        React.createElement("path", { d: "M14.0041 9.46243L12.1455 9.24271L12.1498 8.37244L14.0215 8.64817L14.0041 9.46243Z", fill: "#5DFF9A" }),
        React.createElement("path", { d: "M8.55846 8.20436L6.9821 8.34222L6.99079 7.34701L8.5628 7.25653L8.55846 8.20436Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M14.5861 14.3265L13.3702 14.4687L13.4354 14.5505L14.7121 14.417L14.5861 14.3265Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M9.79618 15.5931L9.38363 16.0971L9.02754 16.3427L9.52694 15.8257L9.79618 15.5931Z", fill: "#0000DF" }),
        React.createElement("path", { d: "M16.3276 14.2274L14.99 14.2404L15.129 13.9775L16.5186 13.9991L16.3276 14.2274Z", fill: "#0038FF" }),
        React.createElement("path", { d: "M16.8746 13.2537L15.3851 13.1417L15.5024 12.5859L17.0353 12.7496L16.8746 13.2537Z", fill: "#0078FF" }),
        React.createElement("path", { d: "M12.1497 8.37236L10.3042 8.22157L10.3128 7.31683L12.1584 7.51932L12.1497 8.37236Z", fill: "#90FF66" }),
        React.createElement("path", { d: "M8.25463 16.9976L8.05052 17.605L7.49033 17.5404L7.77694 16.9157L8.25463 16.9976Z", fill: "#00008D" }),
        React.createElement("path", { d: "M11.3116 14.417L10.5777 14.7789L10.4127 15.1494L11.2291 14.7746L11.3116 14.417Z", fill: "#001CFF" }),
        React.createElement("path", { d: "M16.1362 14.348L14.8551 14.391L14.9941 14.2446L16.3316 14.2316L16.1362 14.348Z", fill: "#0034FF" }),
        React.createElement("path", { d: "M12.2237 14.1326L11.3161 14.4169L11.2336 14.7745L12.215 14.4772L12.2237 14.1326Z", fill: "#0030FF" }),
        React.createElement("path", { d: "M17.0354 12.7496L15.5024 12.5859L15.6023 11.9569L17.1743 12.1809L17.0354 12.7496Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M15.7541 10.5395L13.978 10.2767L14.004 9.4624L15.7975 9.78552L15.7541 10.5395Z", fill: "#33FFC4" }),
        React.createElement("path", { d: "M4.94982 12.2757L4.19856 12.8961L3.95537 11.8319L4.74138 11.2288L4.94982 12.2757Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M5.84446 16.347L5.54047 17.0363L4.98897 16.3513L5.3494 15.6534L5.84446 16.347Z", fill: "#0000C8" }),
        React.createElement("path", { d: "M6.3742 16.9028L6.12668 17.5792L5.53608 17.0364L5.84006 16.347L6.3742 16.9028Z", fill: "#0000A4" }),
        React.createElement("path", { d: "M10.5778 14.7789L10.0437 15.2097L9.79614 15.5974L10.4128 15.1537L10.5778 14.7789Z", fill: "#0008FF" }),
        React.createElement("path", { d: "M5.34913 15.6534L4.9887 16.3513L4.48931 15.5371L4.90185 14.8305L5.34913 15.6534Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M6.98221 8.34226L5.63167 8.62661L5.64469 7.59693L6.99089 7.34705L6.98221 8.34226Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M15.9452 14.3567L14.7163 14.4175L14.8509 14.3871L16.1319 14.3437L15.9452 14.3567Z", fill: "#0034FF" }),
        React.createElement("path", { d: "M14.4643 14.1197L13.3091 14.2619L13.3699 14.473L14.5858 14.3308L14.4643 14.1197Z", fill: "#003CFF" }),
        React.createElement("path", { d: "M5.6837 9.68218L4.6024 10.1432L4.5416 9.05748L5.63593 8.62665L5.6837 9.68218Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M6.92574 17.3036L6.74336 17.9627L6.12671 17.5793L6.36989 16.9029L6.92574 17.3036Z", fill: "#000089" }),
        React.createElement("path", { d: "M13.2571 13.9258L12.2236 14.1326L12.2149 14.4772L13.3136 14.2575L13.2571 13.9258Z", fill: "#0044FF" }),
        React.createElement("path", { d: "M17.1742 12.1766L15.6022 11.9526L15.689 11.2632L17.2871 11.5476L17.1742 12.1766Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M14.0215 8.64811L12.1499 8.37238L12.1542 7.51935L14.0215 7.85108V8.64811Z", fill: "#90FF66" }),
        React.createElement("path", { d: "M10.3086 7.31687L8.56721 7.25655L8.6063 6.35181L10.3303 6.45521L10.3086 7.31687Z", fill: "#CAFF2C" }),
        React.createElement("path", { d: "M9.38356 16.0971L9.16643 16.6443L8.72783 16.9028L9.03181 16.3384L9.38356 16.0971Z", fill: "#0000CD" }),
        React.createElement("path", { d: "M4.90198 14.8305L4.48944 15.5371L4.05952 14.6151L4.51549 13.9086L4.90198 14.8305Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M8.56708 7.25655L6.99507 7.34702L7.05586 6.40351L8.61051 6.35181L8.56708 7.25655Z", fill: "#CEFF29" }),
        React.createElement("path", { d: "M12.1541 7.51944L10.3085 7.31695L10.3303 6.45959L12.1585 6.70948L12.1541 7.51944Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M8.72351 16.9072L8.59324 17.4974L8.05042 17.6051L8.25452 16.9976L8.72351 16.9072Z", fill: "#00009F" }),
        React.createElement("path", { d: "M15.8018 9.78558L14.0083 9.46246L14.0213 8.64819L15.8278 9.02732L15.8018 9.78558Z", fill: "#60FF97" }),
        React.createElement("path", { d: "M15.7628 14.2576L14.586 14.3265L14.7162 14.417L15.9452 14.3567L15.7628 14.2576Z", fill: "#0040FF" }),
        React.createElement("path", { d: "M10.0436 15.2054L9.71353 15.6922L9.3835 16.0972L9.79604 15.5931L10.0436 15.2054Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M7.49019 17.5404L7.37294 18.1824L6.74326 17.967L6.92565 17.3078L7.49019 17.5404Z", fill: "#000080" }),
        React.createElement("path", { d: "M4.74121 11.2245L3.95521 11.8276L3.79453 10.7247L4.60225 10.1388L4.74121 11.2245Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M17.2916 11.5519L15.6892 11.2676L15.7543 10.5395L17.3785 10.8842L17.2916 11.5519Z", fill: "#0FF8E7" }),
        React.createElement("path", { d: "M12.2325 13.663L11.39 13.9258L11.3162 14.417L12.2238 14.1326L12.2325 13.663Z", fill: "#0058FF" }),
        React.createElement("path", { d: "M11.3856 13.9258L10.7212 14.2661L10.5779 14.7788L11.3118 14.4169L11.3856 13.9258Z", fill: "#0048FF" }),
        React.createElement("path", { d: "M14.356 13.7966L13.2573 13.9258L13.3137 14.2576L14.4689 14.1154L14.356 13.7966Z", fill: "#0058FF" }),
        React.createElement("path", { d: "M4.51563 13.9086L4.05966 14.6152L3.70356 13.6027L4.19862 12.8962L4.51563 13.9086Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M17.7344 14.0852L16.5185 13.999L16.7008 13.6716L17.9559 13.7965L17.7344 14.0852Z", fill: "#0060FF" }),
        React.createElement("path", { d: "M17.5041 14.2791L16.3273 14.2274L16.5184 13.9991L17.7343 14.0853L17.5041 14.2791Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M17.9558 13.8009L16.7008 13.676L16.8745 13.2581L18.1643 13.4304L17.9558 13.8009Z", fill: "#0074FF" }),
        React.createElement("path", { d: "M13.2094 13.4778L12.2324 13.663L12.2237 14.1327L13.2615 13.9259L13.2094 13.4778Z", fill: "#006CFF" }),
        React.createElement("path", { d: "M10.7212 14.2662L10.2609 14.6712L10.0438 15.2054L10.5779 14.7746L10.7212 14.2662Z", fill: "#0038FF" }),
        React.createElement("path", { d: "M15.5935 14.0507L14.4645 14.1197L14.586 14.3265L15.7629 14.2575L15.5935 14.0507Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M14.0216 7.8511L12.1542 7.51936L12.1586 6.70941L14.0129 7.08854L14.0216 7.8511Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M8.0504 17.605L7.99394 18.2254L7.3686 18.1823L7.48585 17.5404L8.0504 17.605Z", fill: "#000084" }),
        React.createElement("path", { d: "M5.63154 8.62658L4.53721 9.05741L4.55458 7.99326L5.64456 7.59259L5.63154 8.62658Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M17.2697 14.3695L16.132 14.348L16.323 14.2274L17.4999 14.2791L17.2697 14.3695Z", fill: "#004CFF" }),
        React.createElement("path", { d: "M6.99522 7.34708L5.64902 7.59696L5.72719 6.61467L7.05602 6.40356L6.99522 7.34708Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M18.1642 13.426L16.8744 13.2536L17.0351 12.7496L18.3596 12.9779L18.1642 13.426Z", fill: "#0090FF" }),
        React.createElement("path", { d: "M17.3784 10.8842L15.7542 10.5395L15.802 9.78558L17.4435 10.1906L17.3784 10.8842Z", fill: "#36FFC1" }),
        React.createElement("path", { d: "M15.8236 9.0273L14.0171 8.64817L14.0214 7.85114L15.8236 8.28627V9.0273Z", fill: "#8DFF6A" }),
        React.createElement("path", { d: "M10.3301 6.45528L8.6061 6.35188L8.67558 5.52039L10.3692 5.66687L10.3301 6.45528Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M9.70918 15.6922L9.56587 16.2178L9.16201 16.6443L9.37914 16.0972L9.70918 15.6922Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M17.0439 14.3653L15.9452 14.361L16.1363 14.3523L17.274 14.374L17.0439 14.3653Z", fill: "#0050FF" }),
        React.createElement("path", { d: "M9.16641 16.6443L9.10996 17.2173L8.59753 17.4974L8.72781 16.9072L9.16641 16.6443Z", fill: "#0000C4" }),
        React.createElement("path", { d: "M18.3554 12.978L17.0353 12.7496L17.1742 12.1766L18.5248 12.461L18.3554 12.978Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M12.1627 6.70941L10.3345 6.45953L10.3736 5.66681L12.1714 5.95977L12.1627 6.70941Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M14.2603 13.37L13.2094 13.4777L13.2571 13.9258L14.3558 13.7965L14.2603 13.37Z", fill: "#0080FF" }),
        React.createElement("path", { d: "M8.60618 6.35188L7.05154 6.40358L7.15576 5.53331L8.67566 5.52039L8.60618 6.35188Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M4.60225 10.1431L3.79453 10.729L3.7207 9.62182L4.54145 9.05743L4.60225 10.1431Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M4.19847 12.9005L3.70776 13.607L3.43418 12.53L3.95529 11.832L4.19847 12.9005Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M10.2609 14.6711L10.0004 15.1321L9.71375 15.6921L10.0438 15.2053L10.2609 14.6711Z", fill: "#002CFF" }),
        React.createElement("path", { d: "M15.4416 13.7405L14.3559 13.7965L14.4645 14.1197L15.5935 14.0507L15.4416 13.7405Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M6.12662 17.5792L6.07451 18.2341L5.45786 17.6999L5.53603 17.0364L6.12662 17.5792Z", fill: "#00009F" }),
        React.createElement("path", { d: "M5.54038 17.0364L5.46221 17.6999L4.88899 17.0235L4.98887 16.3514L5.54038 17.0364Z", fill: "#0000C8" }),
        React.createElement("path", { d: "M12.2411 13.0771L11.4508 13.3097L11.3856 13.9258L12.2281 13.663L12.2411 13.0771Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M16.8224 14.2576L15.7628 14.2619L15.9452 14.3618L17.0439 14.3661L16.8224 14.2576Z", fill: "#005CFF" }),
        React.createElement("path", { d: "M11.4507 13.3097L10.8428 13.6199L10.7212 14.2661L11.3856 13.9258L11.4507 13.3097Z", fill: "#007CFF" }),
        React.createElement("path", { d: "M18.5247 12.4611L17.1741 12.1767L17.2914 11.552L18.6636 11.8924L18.5247 12.4611Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M6.74317 17.9626L6.71712 18.6046L6.07441 18.2297L6.12653 17.5749L6.74317 17.9626Z", fill: "#000089" }),
        React.createElement("path", { d: "M8.59761 17.4973L8.60195 18.0919L7.99834 18.2211L8.05479 17.6007L8.59761 17.4973Z", fill: "#00009B" }),
        React.createElement("path", { d: "M17.4434 10.1906L15.8019 9.7856L15.828 9.02734L17.4782 9.48833L17.4434 10.1906Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M4.98906 16.3513L4.88918 17.0234L4.37241 16.2134L4.494 15.537L4.98906 16.3513Z", fill: "#0000FA" }),
        React.createElement("path", { d: "M13.1702 12.922L12.2409 13.0771L12.2323 13.663L13.2093 13.4778L13.1702 12.922Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M14.0173 7.08861L12.163 6.70948L12.1717 5.95984L13.9999 6.38205L14.0173 7.08861Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M15.8279 8.28626L14.0258 7.85113L14.0171 7.08856L15.8062 7.5754L15.8279 8.28626Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M10.8427 13.6199L10.4389 13.9991L10.2565 14.6712L10.7168 14.2662L10.8427 13.6199Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M7.37311 18.178V18.8113L6.72173 18.6045L6.74778 17.9626L7.37311 18.178Z", fill: "#000080" }),
        React.createElement("path", { d: "M16.6183 14.0507H15.5934L15.7628 14.2575L16.8224 14.2532L16.6183 14.0507Z", fill: "#006CFF" }),
        React.createElement("path", { d: "M5.64455 7.59691L4.55457 7.99758L4.6501 6.98083L5.72272 6.61462L5.64455 7.59691Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M18.6637 11.8922L17.2915 11.5519L17.3826 10.8841L18.7723 11.2848L18.6637 11.8922Z", fill: "#19FFDE" }),
        React.createElement("path", { d: "M7.05168 6.40347L5.72285 6.61458L5.86181 5.70984L7.1559 5.5332L7.05168 6.40347Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M4.48953 15.537L4.36794 16.2134L3.92065 15.2958L4.05962 14.6151L4.48953 15.537Z", fill: "#0024FF" }),
        React.createElement("path", { d: "M15.3069 13.3356L14.2603 13.3701L14.3559 13.7966L15.4415 13.7406L15.3069 13.3356Z", fill: "#0094FF" }),
        React.createElement("path", { d: "M14.1821 12.8444L13.1703 12.922L13.2093 13.4777L14.2603 13.37L14.1821 12.8444Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M10.3694 5.66683L8.67576 5.52035L8.77564 4.78363L10.4215 4.96458L10.3694 5.66683Z", fill: "#FFB200" }),
        React.createElement("path", { d: "M3.95536 11.832L3.43425 12.53L3.2562 11.4184L3.79468 10.7291L3.95536 11.832Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M9.56607 16.2222L9.57476 16.7693L9.10576 17.2174L9.16221 16.6444L9.56607 16.2222Z", fill: "#0000F1" }),
        React.createElement("path", { d: "M12.1672 5.95981L10.3694 5.66685L10.4215 4.9646L12.1759 5.29634L12.1672 5.95981Z", fill: "#FFBD00" }),
        React.createElement("path", { d: "M10.0001 15.1321L9.92196 15.6361L9.56587 16.2178L9.70917 15.6922L10.0001 15.1321Z", fill: "#0020FF" }),
        React.createElement("path", { d: "M17.4739 9.48825L15.8237 9.02726L15.828 8.28192L17.4739 8.79892V9.48825Z", fill: "#8DFF6A" }),
        React.createElement("path", { d: "M18.4422 14.3782L17.5042 14.2748L17.7343 14.0809L18.6984 14.2145L18.4422 14.3782Z", fill: "#006CFF" }),
        React.createElement("path", { d: "M18.7029 14.2188L17.7388 14.0852L17.9603 13.8009L18.9504 13.9732L18.7029 14.2188Z", fill: "#0078FF" }),
        React.createElement("path", { d: "M4.54145 9.0574L3.7207 9.62178L3.73807 8.53609L4.55448 7.99756L4.54145 9.0574Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M18.186 14.4472L17.2741 14.3696L17.5086 14.2748L18.4466 14.3782L18.186 14.4472Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M18.946 13.9732L17.9559 13.8008L18.1644 13.4303L19.1762 13.65L18.946 13.9732Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M8.67581 5.52035L7.15591 5.53327L7.30356 4.76208L8.77569 4.78363L8.67581 5.52035Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M12.2498 12.3921L11.5028 12.5903L11.4551 13.3141L12.2454 13.0814L12.2498 12.3921Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M7.99394 18.2254L8.01999 18.8458L7.3686 18.8114V18.178L7.99394 18.2254Z", fill: "#000084" }),
        React.createElement("path", { d: "M9.11001 17.2173L9.17515 17.7903L8.60627 18.0962L8.60193 17.5016L9.11001 17.2173Z", fill: "#0000BB" }),
        React.createElement("path", { d: "M16.4317 13.7492L15.4416 13.7405L15.5936 14.0507H16.6184L16.4317 13.7492Z", fill: "#0084FF" }),
        React.createElement("path", { d: "M10.443 13.9991L10.2433 14.4342L10.0044 15.1365L10.265 14.6755L10.443 13.9991Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M18.7681 11.2849L17.3785 10.8842L17.4393 10.1906L18.8419 10.6515L18.7681 11.2849Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M13.1441 12.2758L12.2495 12.3921L12.2408 13.0771L13.1701 12.922L13.1441 12.2758Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M4.0596 14.6151L3.92063 15.2959L3.55151 14.2877L3.7035 13.607L4.0596 14.6151Z", fill: "#0064FF" }),
        React.createElement("path", { d: "M17.9299 14.426L17.044 14.3652L17.2742 14.3739L18.1861 14.4521L17.9299 14.426Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M11.5028 12.5902L10.9426 12.8616L10.8471 13.6199L11.4551 13.3097L11.5028 12.5902Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M19.1804 13.6458L18.1642 13.4261L18.3553 12.978L19.3888 13.2494L19.1804 13.6458Z", fill: "#00A4FF" }),
        React.createElement("path", { d: "M15.8064 7.57538L14.0173 7.08854L13.9956 6.38629L15.763 6.91621L15.8064 7.57538Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M13.9954 6.38635L12.1672 5.96413L12.1759 5.30066L13.965 5.75734L13.9954 6.38635Z", fill: "#FFC800" }),
        React.createElement("path", { d: "M15.1985 12.8401L14.1823 12.8445L14.2605 13.3701L15.3071 13.3356L15.1985 12.8401Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M17.6822 14.3093L16.8223 14.2576L17.0438 14.3653L17.9297 14.4256L17.6822 14.3093Z", fill: "#0074FF" }),
        React.createElement("path", { d: "M19.3933 13.2494L18.3598 12.978L18.5248 12.461L19.58 12.7841L19.3933 13.2494Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M14.1258 12.237L13.1443 12.2758L13.1704 12.922L14.1822 12.8445L14.1258 12.237Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M10.9382 12.8616L10.5821 13.2063L10.4388 13.999L10.8427 13.6199L10.9382 12.8616Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M17.4739 8.80324L15.828 8.28624L15.8063 7.57538L17.4435 8.14407L17.4739 8.80324Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M16.2709 13.3614L15.3069 13.3312L15.4372 13.7405L16.4273 13.7492L16.2709 13.3614Z", fill: "#00A4FF" }),
        React.createElement("path", { d: "M18.8418 10.6515L17.4391 10.1906L17.4695 9.49261L18.8765 10.0096L18.8418 10.6515Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M8.60191 18.0919L8.64968 18.6994L8.02 18.8416L7.99395 18.2212L8.60191 18.0919Z", fill: "#000096" }),
        React.createElement("path", { d: "M3.79462 10.729L3.25614 11.4183L3.17798 10.2982L3.72514 9.62177L3.79462 10.729Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M5.72276 6.61467L4.65015 6.98088L4.81951 6.04167L5.86173 5.70563L5.72276 6.61467Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M10.4216 4.96459L8.77573 4.78364L8.90167 4.15894L10.4867 4.37004L10.4216 4.96459Z", fill: "#FF7A00" }),
        React.createElement("path", { d: "M7.15581 5.53327L5.86172 5.70991L6.05714 4.90426L7.30346 4.76208L7.15581 5.53327Z", fill: "#FF9C00" }),
        React.createElement("path", { d: "M12.1803 5.29628L10.4259 4.96454L10.491 4.37L12.189 4.73189L12.1803 5.29628Z", fill: "#FF8900" }),
        React.createElement("path", { d: "M17.4565 14.1024L16.6184 14.0507L16.8225 14.2575L17.6824 14.3092L17.4565 14.1024Z", fill: "#0084FF" }),
        React.createElement("path", { d: "M6.07451 18.2297L6.14833 18.8286L5.53603 18.2987L5.45786 17.6998L6.07451 18.2297Z", fill: "#00009F" }),
        React.createElement("path", { d: "M19.5756 12.7841L18.5204 12.461L18.6593 11.8923L19.7276 12.2715L19.5756 12.7841Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M5.46226 17.6999L5.54043 18.2988L4.96721 17.6223L4.89338 17.0235L5.46226 17.6999Z", fill: "#0000C8" }),
        React.createElement("path", { d: "M9.92636 15.6362L9.99584 16.1618L9.58329 16.7692L9.57026 16.2221L9.92636 15.6362Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M3.70364 13.6026L3.55165 14.2833L3.26938 13.2106L3.4344 12.5298L3.70364 13.6026Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M6.71712 18.6046L6.79094 19.2035L6.14824 18.8286L6.07441 18.2298L6.71712 18.6046Z", fill: "#000089" }),
        React.createElement("path", { d: "M10.2434 14.4341L10.2217 14.9124L9.92205 15.6405L10.0002 15.1364L10.2434 14.4341Z", fill: "#005CFF" }),
        React.createElement("path", { d: "M12.2584 11.6208L11.5375 11.7716L11.5028 12.5859L12.2497 12.392L12.2584 11.6208Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M9.57916 16.7693L9.6964 17.3164L9.17529 17.7904L9.11016 17.2173L9.57916 16.7693Z", fill: "#0000ED" }),
        React.createElement("path", { d: "M15.7628 6.91625L13.9954 6.38633L13.965 5.75732L15.702 6.32602L15.7628 6.91625Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M13.1268 11.552L12.2583 11.6209L12.2496 12.3921L13.1442 12.2758L13.1268 11.552Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M4.55469 7.99331L3.73828 8.53615L3.84685 7.49785L4.65022 6.98517L4.55469 7.99331Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M4.88913 17.0235L4.96295 17.6223L4.44618 16.8167L4.36802 16.2135L4.88913 17.0235Z", fill: "#0000FA" }),
        React.createElement("path", { d: "M15.1201 12.2715L14.13 12.237L14.1865 12.8445L15.2026 12.8402L15.1201 12.2715Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M8.77569 4.78357L7.30356 4.76203L7.49464 4.10718L8.90163 4.15888L8.77569 4.78357Z", fill: "#FF6F00" }),
        React.createElement("path", { d: "M13.9649 5.75725L12.1758 5.29626L12.1845 4.73187L13.9215 5.22302L13.9649 5.75725Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M11.5376 11.776L11.0078 12.0086L10.9427 12.866L11.5029 12.5946L11.5376 11.776Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M17.2479 13.8138L16.4314 13.7491L16.6182 14.0507L17.4563 14.1067L17.2479 13.8138Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M10.5822 13.2063L10.4302 13.6113L10.2435 14.4342L10.4433 13.999L10.5822 13.2063Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M16.1407 12.8961L15.1983 12.8358L15.3069 13.3313L16.271 13.3614L16.1407 12.8961Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M19.7321 12.2714L18.6639 11.8923L18.7724 11.2848L19.8537 11.7199L19.7321 12.2714Z", fill: "#1FFFD7" }),
        React.createElement("path", { d: "M7.37312 18.8114L7.44695 19.4102L6.79555 19.2034L6.72173 18.6046L7.37312 18.8114Z", fill: "#000080" }),
        React.createElement("path", { d: "M18.8808 10.0096L17.4738 9.49261V8.80328L18.8808 9.37629V10.0096Z", fill: "#8DFF6A" }),
        React.createElement("path", { d: "M17.4434 8.14407L15.8062 7.57537L15.7628 6.9162L17.3826 7.52798L17.4434 8.14407Z", fill: "#E1FF16" }),
        React.createElement("path", { d: "M14.0909 11.5606L13.1312 11.552L13.1485 12.2758L14.1299 12.237L14.0909 11.5606Z", fill: "#23FFD4" }),
        React.createElement("path", { d: "M4.37228 16.2134L4.45045 16.8166L3.99882 15.8989L3.92065 15.2958L4.37228 16.2134Z", fill: "#0024FF" }),
        React.createElement("path", { d: "M19.0805 14.5247L18.4422 14.3825L18.6984 14.2231L19.3498 14.3954L19.0805 14.5247Z", fill: "#0084FF" }),
        React.createElement("path", { d: "M9.17081 17.7903L9.24463 18.3849L8.6497 18.7037L8.60193 18.0962L9.17081 17.7903Z", fill: "#0000BB" }),
        React.createElement("path", { d: "M18.8072 14.5678L18.1862 14.4472L18.4467 14.3782L19.0808 14.5247L18.8072 14.5678Z", fill: "#0080FF" }),
        React.createElement("path", { d: "M19.3544 14.3955L18.703 14.2231L18.9505 13.9775L19.6149 14.1887L19.3544 14.3955Z", fill: "#0090FF" }),
        React.createElement("path", { d: "M18.5377 14.529L17.9298 14.4213L18.186 14.4428L18.807 14.5634L18.5377 14.529Z", fill: "#0084FF" }),
        React.createElement("path", { d: "M19.6148 14.1843L18.9504 13.9732L19.1805 13.6458L19.8623 13.8999L19.6148 14.1843Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M11.0036 12.0043L10.6779 12.3102L10.5823 13.2063L10.9384 12.8616L11.0036 12.0043Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M3.43442 12.5299L3.2694 13.2106L3.08701 12.0991L3.26072 11.4227L3.43442 12.5299Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M17.0701 13.4476L16.271 13.3615L16.4317 13.7492L17.2481 13.8138L17.0701 13.4476Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M12.1889 4.73195L10.4909 4.37006L10.5691 3.90045L12.2019 4.28389L12.1889 4.73195Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M19.8493 11.72L18.768 11.2849L18.8418 10.6516L19.9275 11.147L19.8493 11.72Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M3.72097 9.62182L3.1738 10.2982L3.19552 9.1953L3.73834 8.53613L3.72097 9.62182Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M8.01999 18.8459L8.08947 19.4447L7.44243 19.4103L7.3686 18.8114L8.01999 18.8459Z", fill: "#000084" }),
        React.createElement("path", { d: "M10.4865 4.36997L8.90581 4.15887L9.0578 3.66772L10.569 3.90468L10.4865 4.36997Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M15.702 6.326L13.965 5.75731L13.9259 5.22308L15.6195 5.82193L15.702 6.326Z", fill: "#FFAB00" }),
        React.createElement("path", { d: "M18.2771 14.4083L17.6821 14.3092L17.9253 14.4255L18.5333 14.5332L18.2771 14.4083Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M15.068 11.6381L14.0909 11.5563L14.1257 12.2327L15.1201 12.2671L15.068 11.6381Z", fill: "#2CFFCA" }),
        React.createElement("path", { d: "M19.8581 13.8999L19.1807 13.6457L19.3935 13.2451L20.0839 13.5423L19.8581 13.8999Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M5.86177 5.70988L4.81956 6.04593L5.06274 5.21012L6.05719 4.90424L5.86177 5.70988Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M7.30799 4.75777L6.06167 4.89994L6.31354 4.21492L7.49906 4.10291L7.30799 4.75777Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M16.0407 12.3662L15.1157 12.2671L15.1982 12.8358L16.1406 12.8961L16.0407 12.3662Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M13.1226 10.7678L12.2627 10.785L12.2584 11.6208L13.1269 11.5519L13.1226 10.7678Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M12.2627 10.7894L11.5548 10.8928L11.5375 11.776L12.2583 11.6252L12.2627 10.7894Z", fill: "#4DFFAA" }),
        React.createElement("path", { d: "M18.8809 9.37188L17.4739 8.79888L17.4435 8.13971L18.8418 8.7601L18.8809 9.37188Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M10.2217 14.9124L10.3389 15.4121L9.99153 16.1618L9.92205 15.6361L10.2217 14.9124Z", fill: "#0058FF" }),
        React.createElement("path", { d: "M13.926 5.22308L12.189 4.73194L12.1976 4.28387L13.8782 4.79656L13.926 5.22308Z", fill: "#FF6F00" }),
        React.createElement("path", { d: "M3.92063 15.2958L3.9988 15.899L3.62968 14.8909L3.55151 14.2834L3.92063 15.2958Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M17.3825 7.52801L15.7627 6.91623L15.6976 6.32599L17.2913 6.97654L17.3825 7.52801Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M9.99155 16.1619L10.1522 16.6875L9.69191 17.3165L9.57466 16.7693L9.99155 16.1619Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M10.4301 13.607L10.4519 14.0551L10.2174 14.9081L10.2391 14.4299L10.4301 13.607Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M18.0384 14.2059L17.4565 14.1025L17.6866 14.3093L18.2816 14.4084L18.0384 14.2059Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M14.0778 10.8325L13.1268 10.7722L13.1311 11.5563L14.0908 11.5649L14.0778 10.8325Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M20.0794 13.5466L19.389 13.2494L19.5757 12.7884L20.2749 13.1374L20.0794 13.5466Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M8.90589 4.1589L7.4989 4.1072L7.72471 3.59021L9.05788 3.66776L8.90589 4.1589Z", fill: "#FF3F00" }),
        React.createElement("path", { d: "M4.65026 6.98086L3.85122 7.49354L4.05098 6.5328L4.82396 6.04596L4.65026 6.98086Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M11.5548 10.8885L11.0381 11.0737L11.0033 12.0043L11.5331 11.7717L11.5548 10.8885Z", fill: "#49FFAD" }),
        React.createElement("path", { d: "M16.9222 13.0125L16.1405 12.9005L16.2708 13.3657L17.0698 13.4519L16.9222 13.0125Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M19.9317 11.1426L18.846 10.6471L18.8851 10.0052L19.9751 10.5566L19.9317 11.1426Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M10.6821 12.3102L10.5606 12.6808L10.4303 13.6114L10.5823 13.2064L10.6821 12.3102Z", fill: "#09F0EE" }),
        React.createElement("path", { d: "M8.64977 18.6993L8.71926 19.2982L8.08957 19.4404L8.02009 18.8415L8.64977 18.6993Z", fill: "#00009B" }),
        React.createElement("path", { d: "M9.69631 17.3164L9.79184 17.898L9.24902 18.3806L9.1752 17.786L9.69631 17.3164Z", fill: "#0000E8" }),
        React.createElement("path", { d: "M17.8212 13.9257L17.2523 13.8137L17.4608 14.1024L18.0427 14.2058L17.8212 13.9257Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M20.2749 13.133L19.5757 12.7841L19.7277 12.2714L20.4356 12.672L20.2749 13.133Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M15.98 11.7846L15.068 11.6424L15.1202 12.2714L16.0451 12.3705L15.98 11.7846Z", fill: "#33FFC4" }),
        React.createElement("path", { d: "M15.0463 10.966L14.078 10.8325L14.091 11.5606L15.0681 11.6381L15.0463 10.966Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M12.1976 4.28384L10.5647 3.9004L10.6516 3.56866L12.2062 3.96933L12.1976 4.28384Z", fill: "#FF3B00" }),
        React.createElement("path", { d: "M6.15278 18.8286L6.27003 19.3628L5.66207 18.8372L5.54048 18.2944L6.15278 18.8286Z", fill: "#0000A8" }),
        React.createElement("path", { d: "M18.8417 8.76446L17.4434 8.14406L17.3826 7.53229L18.7679 8.19576L18.8417 8.76446Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M15.6196 5.82194L13.926 5.22309L13.8782 4.79657L15.5197 5.41696L15.6196 5.82194Z", fill: "#FF8600" }),
        React.createElement("path", { d: "M5.53604 18.2987L5.65763 18.8416L5.09309 18.1738L4.96282 17.6266L5.53604 18.2987Z", fill: "#0000CD" }),
        React.createElement("path", { d: "M3.25621 11.4184L3.08251 12.0948L3 10.9703L3.1737 10.2982L3.25621 11.4184Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M11.0382 11.0737L10.7298 11.3365L10.6821 12.3102L11.0078 12.0043L11.0382 11.0737Z", fill: "#46FFB1" }),
        React.createElement("path", { d: "M10.5647 3.90047L9.05347 3.66351L9.22717 3.31885L10.6515 3.56873L10.5647 3.90047Z", fill: "#FF2900" }),
        React.createElement("path", { d: "M3.55165 14.2833L3.62982 14.8908L3.34755 13.8223L3.26938 13.2106L3.55165 14.2833Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M13.1313 9.9493L12.2671 9.91052L12.2628 10.7894L13.1226 10.7722L13.1313 9.9493Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M6.79094 19.2035L6.89951 19.7377L6.26549 19.3672L6.14824 18.8329L6.79094 19.2035Z", fill: "#000092" }),
        React.createElement("path", { d: "M17.2958 6.97658L15.7021 6.32603L15.6196 5.82196L17.1785 6.50267L17.2958 6.97658Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M12.267 9.91052L11.5548 9.95791L11.5504 10.8885L12.2583 10.7851L12.267 9.91052Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M16.8138 12.5169L16.0408 12.3661L16.1407 12.8961L16.9223 13.0081L16.8138 12.5169Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M13.8782 4.80079L12.2019 4.28811L12.2106 3.9693L13.8217 4.49491L13.8782 4.80079Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M19.9709 10.5567L18.881 10.0053V9.37195L19.9709 9.97511V10.5567Z", fill: "#8AFF6D" }),
        React.createElement("path", { d: "M3.73838 8.5361L3.19556 9.19527L3.31715 8.13543L3.84694 7.4978L3.73838 8.5361Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M4.96279 17.6223L5.09306 18.1694L4.58064 17.3724L4.44602 16.8123L4.96279 17.6223Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M17.6302 13.5768L17.07 13.4476L17.248 13.8138L17.8169 13.9258L17.6302 13.5768Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M14.0822 10.0699L13.1269 9.94928L13.1182 10.7679L14.0692 10.8282L14.0822 10.0699Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M20.4396 12.6721L19.7317 12.2714L19.849 11.72L20.5612 12.1723L20.4396 12.6721Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M7.49461 4.10718L6.30908 4.2192L6.61306 3.67635L7.72476 3.58588L7.49461 4.10718Z", fill: "#FF3000" }),
        React.createElement("path", { d: "M6.05724 4.90425L5.06279 5.21014L5.37546 4.49928L6.30911 4.21924L6.05724 4.90425Z", fill: "#FF5900" }),
        React.createElement("path", { d: "M19.0935 14.7272L18.8069 14.5678L19.0805 14.5204L19.3714 14.697L19.0935 14.7272Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M19.3715 14.697L19.0849 14.5247L19.3541 14.3954L19.6494 14.5979L19.3715 14.697Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M7.44254 19.4102L7.54677 19.9401L6.89973 19.7377L6.79116 19.2034L7.44254 19.4102Z", fill: "#000084" }),
        React.createElement("path", { d: "M18.8156 14.6754L18.5333 14.5332L18.8026 14.572L19.0849 14.7271L18.8156 14.6754Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M11.5592 9.95789L11.0424 10.0914V11.0737L11.5592 10.8885V9.95789Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M19.6451 14.5979L19.3499 14.3954L19.6104 14.1843L19.9057 14.4213L19.6451 14.5979Z", fill: "#00A4FF" }),
        React.createElement("path", { d: "M10.456 14.0594L10.6124 14.5333L10.3388 15.4079L10.2215 14.9124L10.456 14.0594Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M9.24454 18.3849L9.31402 18.9881L8.71909 19.3026L8.64961 18.7038L9.24454 18.3849Z", fill: "#0000BB" }),
        React.createElement("path", { d: "M10.3391 15.4121L10.5389 15.9162L10.1524 16.6917L9.9917 16.1661L10.3391 15.4121Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M9.05356 3.66345L7.72039 3.5859L7.9766 3.224L9.22292 3.31878L9.05356 3.66345Z", fill: "#FF1600" }),
        React.createElement("path", { d: "M15.9539 11.1598L15.0463 10.9659L15.068 11.638L15.9799 11.7802L15.9539 11.1598Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M18.5551 14.5462L18.2815 14.4083L18.5421 14.529L18.8244 14.6711L18.5551 14.5462Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M4.45051 16.8167L4.58513 17.3768L4.14218 16.4721L3.99888 15.899L4.45051 16.8167Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M10.5606 12.6807L10.6127 13.0986L10.452 14.0594L10.4303 13.6113L10.5606 12.6807Z", fill: "#06ECF1" }),
        React.createElement("path", { d: "M18.7679 8.19584L17.3826 7.53236L17.2915 6.9809L18.655 7.68315L18.7679 8.19584Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M15.055 10.2638L14.0822 10.0699L14.0736 10.8325L15.042 10.9661L15.055 10.2638Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M19.9101 14.417L19.6148 14.18L19.8624 13.8957L20.162 14.1671L19.9101 14.417Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M17.4782 13.1675L16.9267 13.0081L17.0744 13.4433L17.6346 13.5725L17.4782 13.1675Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M15.5155 5.41688L13.874 4.79649L13.8176 4.4906L15.4026 5.12392L15.5155 5.41688Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M4.81959 6.04595L4.05095 6.53278L4.33756 5.67113L5.06712 5.21014L4.81959 6.04595Z", fill: "#FF9100" }),
        React.createElement("path", { d: "M20.5613 12.1766L19.8491 11.7199L19.9316 11.1426L20.6481 11.651L20.5613 12.1766Z", fill: "#46FFB1" }),
        React.createElement("path", { d: "M16.7442 11.9784L15.9799 11.7845L16.045 12.3662L16.818 12.517L16.7442 11.9784Z", fill: "#39FFBE" }),
        React.createElement("path", { d: "M12.2064 3.96931L10.6518 3.56864L10.7473 3.3877L12.2151 3.78837L12.2064 3.96931Z", fill: "#FF2200" }),
        React.createElement("path", { d: "M19.9707 9.97507L18.8807 9.37191L18.8416 8.76013L19.9273 9.41068L19.9707 9.97507Z", fill: "#ADFF49" }),
        React.createElement("path", { d: "M10.7297 11.3365L10.6255 11.6683L10.5604 12.6807L10.6819 12.3102L10.7297 11.3365Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M18.3077 14.348L18.0341 14.2101L18.2773 14.4126L18.5509 14.5505L18.3077 14.348Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M17.1784 6.50268L15.6194 5.82197L15.5152 5.41699L17.0351 6.11924L17.1784 6.50268Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M10.1567 16.6874L10.2696 17.2604L9.79192 17.9024L9.69639 17.3208L10.1567 16.6874Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M13.1485 9.11343L12.2713 9.01434L12.267 9.91047L13.1311 9.94924L13.1485 9.11343Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M20.1575 14.1713L19.8579 13.8999L20.0793 13.5466L20.3833 13.8611L20.1575 14.1713Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M8.09381 19.4447L8.18935 19.9747L7.54665 19.9402L7.44243 19.4103L8.09381 19.4447Z", fill: "#00008D" }),
        React.createElement("path", { d: "M13.8174 4.49504L12.2063 3.96943L12.215 3.79279L13.7479 4.32271L13.8174 4.49504Z", fill: "#FF3800" }),
        React.createElement("path", { d: "M3.26935 13.2106L3.35186 13.8224L3.16513 12.7152L3.08262 12.0991L3.26935 13.2106Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M14.1169 9.29445L13.1485 9.10919L13.1312 9.945L14.0865 10.0656L14.1169 9.29445Z", fill: "#ADFF49" }),
        React.createElement("path", { d: "M12.2714 9.01442L11.5419 9.0058L11.5549 9.96224L12.2671 9.91485L12.2714 9.01442Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M10.6516 3.56866L9.22288 3.31878L9.40961 3.12921L10.7471 3.38771L10.6516 3.56866Z", fill: "#F60B00" }),
        React.createElement("path", { d: "M11.0381 10.0914L10.7298 10.3068V11.3365L11.0381 11.0737V10.0914Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M3.1737 10.2983L3 10.9704L3.02171 9.85882L3.19542 9.19104L3.1737 10.2983Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M18.0863 14.0766L17.817 13.9258L18.0342 14.2058L18.3078 14.3437L18.0863 14.0766Z", fill: "#00C0FF" }),
        React.createElement("path", { d: "M3.99886 15.8989L4.13782 16.4676L3.77304 15.4724L3.62974 14.8908L3.99886 15.8989Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M17.3609 12.7109L16.8138 12.517L16.9223 13.0125L17.4738 13.1719L17.3609 12.7109Z", fill: "#1FFFD7" }),
        React.createElement("path", { d: "M20.3833 13.8612L20.0793 13.5467L20.2748 13.1331L20.5831 13.4907L20.3833 13.8612Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M15.967 10.5179L15.0594 10.2637L15.0507 10.966L15.9583 11.1599L15.967 10.5179Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M20.6482 11.651L19.9317 11.1426L19.9708 10.5567L20.6873 11.1125L20.6482 11.651Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M18.6593 7.67885L17.2958 6.9766L17.1785 6.50269L18.516 7.2351L18.6593 7.67885Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M15.0984 9.55287L14.1169 9.29437L14.0865 10.0699L15.0593 10.2637L15.0984 9.55287Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M11.5462 9.0014L11.0077 9.08326L11.0381 10.0914L11.5549 9.95784L11.5462 9.0014Z", fill: "#BAFF3C" }),
        React.createElement("path", { d: "M16.7137 11.4054L15.9538 11.1599L15.9798 11.7802L16.7441 11.9741L16.7137 11.4054Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M15.4025 5.12832L13.8175 4.495L13.7523 4.31836L15.2722 4.95168L15.4025 5.12832Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M3.85103 7.49352L3.32124 8.13546L3.54271 7.14886L4.05079 6.53278L3.85103 7.49352Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M19.9275 9.41071L18.8418 8.76016L18.768 8.19147L19.8406 8.88079L19.9275 9.41071Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M7.72472 3.59017L6.61736 3.68064L6.96042 3.2972L7.98527 3.22827L7.72472 3.59017Z", fill: "#F10800" }),
        React.createElement("path", { d: "M17.895 13.7449L17.6301 13.5768L17.8168 13.9258L18.086 14.0766L17.895 13.7449Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M9.79185 17.9023L9.86133 18.5098L9.3185 18.9923L9.24902 18.3891L9.79185 17.9023Z", fill: "#0000ED" }),
        React.createElement("path", { d: "M17.0352 6.11918L15.5153 5.41693L15.3981 5.12396L16.8702 5.83483L17.0352 6.11918Z", fill: "#FF7A00" }),
        React.createElement("path", { d: "M9.2273 3.31903L7.98098 3.22424L8.26325 3.02606L9.41403 3.12946L9.2273 3.31903Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M13.179 8.28194L12.2714 8.11823V9.01004L13.1486 9.10913L13.179 8.28194Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M12.2193 3.79271L10.7515 3.38773L10.8514 3.36188L12.2323 3.75824L12.2193 3.79271Z", fill: "#FA0F00" }),
        React.createElement("path", { d: "M6.30912 4.21926L5.37546 4.4993L5.74892 3.93491L6.61744 3.68073L6.30912 4.21926Z", fill: "#FF2500" }),
        React.createElement("path", { d: "M20.5832 13.495L20.2749 13.1374L20.4356 12.6765L20.7439 13.0814L20.5832 13.495Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M8.72338 19.3025L8.81023 19.8367L8.18924 19.9746L8.0937 19.4447L8.72338 19.3025Z", fill: "#00009F" }),
        React.createElement("path", { d: "M13.7522 4.31838L12.2193 3.78846L12.228 3.7583L13.6828 4.2796L13.7522 4.31838Z", fill: "#FF2500" }),
        React.createElement("path", { d: "M14.1693 8.5318L13.1791 8.28192L13.1487 9.11343L14.1171 9.29868L14.1693 8.5318Z", fill: "#DBFF1C" }),
        React.createElement("path", { d: "M12.2713 8.11825L11.5113 8.04932L11.5417 9.00145L12.2713 9.01006V8.11825Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M10.6125 13.0986L10.7949 13.551L10.6081 14.5376L10.4518 14.0637L10.6125 13.0986Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M17.2828 12.2111L16.7399 11.9785L16.8094 12.517L17.3566 12.7109L17.2828 12.2111Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M10.6125 14.5332L10.8427 15.0157L10.543 15.9162L10.3433 15.4121L10.6125 14.5332Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M10.6255 11.6682L10.695 12.056L10.6125 13.0986L10.5604 12.6807L10.6255 11.6682Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M10.7516 3.3886L9.41404 3.1301L9.6138 3.10425L10.8514 3.36275L10.7516 3.3886Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M6.26578 19.3671L6.37868 19.8152L5.78375 19.2982L5.65781 18.8415L6.26578 19.3671Z", fill: "#0000B2" }),
        React.createElement("path", { d: "M20.6873 11.1125L19.9708 10.5567V9.9751L20.683 10.5826L20.6873 11.1125Z", fill: "#8AFF6D" }),
        React.createElement("path", { d: "M5.65765 18.8373L5.78359 19.294L5.22774 18.6391L5.09311 18.1652L5.65765 18.8373Z", fill: "#0000DA" }),
        React.createElement("path", { d: "M16.0148 9.86742L15.0985 9.55292L15.0551 10.2638L15.9627 10.518L16.0148 9.86742Z", fill: "#A7FF50" }),
        React.createElement("path", { d: "M10.7296 10.3069L10.6254 10.5998V11.6683L10.7296 11.3366V10.3069Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M17.7388 13.3614L17.4782 13.1675L17.6302 13.5768L17.8951 13.7449L17.7388 13.3614Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M19.0154 14.9124L19.0936 14.7271L19.3715 14.7013L19.289 14.9038L19.0154 14.9124Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M18.5117 7.23511L17.1742 6.5027L17.0309 6.11926L18.338 6.86891L18.5117 7.23511Z", fill: "#FFAB00" }),
        React.createElement("path", { d: "M3.62966 14.8952L3.77296 15.4725L3.49504 14.4169L3.34739 13.8224L3.62966 14.8952Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M15.1723 8.85067L14.1692 8.53186L14.1171 9.29873L15.0985 9.55723L15.1723 8.85067Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M18.7419 14.8477L18.8157 14.6754L19.0893 14.7271L19.0111 14.9124L18.7419 14.8477Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M5.06285 5.21017L4.3333 5.66685L4.69808 4.93013L5.37552 4.495L5.06285 5.21017Z", fill: "#FF5500" }),
        React.createElement("path", { d: "M3.08251 12.0948L3.16502 12.7152L3.08251 11.5951L3 10.9747L3.08251 12.0948Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M6.89959 19.7377L6.99947 20.1815L6.37848 19.8196L6.26558 19.3672L6.89959 19.7377Z", fill: "#00009B" }),
        React.createElement("path", { d: "M15.2721 4.95169L13.7521 4.31838L13.6827 4.2796L15.1374 4.9043L15.2721 4.95169Z", fill: "#FF3F00" }),
        React.createElement("path", { d: "M19.289 14.9038L19.3715 14.7014L19.6451 14.598L19.5582 14.822L19.289 14.9038Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M11.0078 9.08325L10.6821 9.25558L10.7298 10.3111L11.0382 10.0957L11.0078 9.08325Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M10.543 15.9162L10.6733 16.4763L10.2694 17.2604L10.1565 16.6874L10.543 15.9162Z", fill: "#0050FF" }),
        React.createElement("path", { d: "M16.7267 10.8195L15.9668 10.5179L15.9538 11.1642L16.7137 11.4098L16.7267 10.8195Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M20.748 13.0771L20.4397 12.6721L20.5656 12.1724L20.874 12.6247L20.748 13.0771Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M19.8407 8.88518L18.768 8.19585L18.6595 7.68317L19.7191 8.41127L19.8407 8.88518Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M18.4813 14.7142L18.5551 14.5462L18.82 14.6755L18.7462 14.8478L18.4813 14.7142Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M5.09314 18.1694L5.22775 18.6433L4.72836 17.8635L4.58071 17.3767L5.09314 18.1694Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M16.8702 5.83919L15.3981 5.12832L15.2678 4.95599L16.6878 5.66686L16.8702 5.83919Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M19.5625 14.8219L19.6494 14.5979L19.9143 14.4213L19.8274 14.6755L19.5625 14.8219Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M13.2224 7.48056L12.2758 7.25653V8.1225L13.1834 8.28622L13.2224 7.48056Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M11.5159 8.04932L10.9471 8.07517L11.0122 9.0833L11.5507 9.00145L11.5159 8.04932Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M12.228 3.75824L10.8471 3.36188L10.9513 3.49113L12.2367 3.87456L12.228 3.75824Z", fill: "#ED0400" }),
        React.createElement("path", { d: "M13.6828 4.2796L12.2281 3.7583L12.2368 3.87462L13.6134 4.37869L13.6828 4.2796Z", fill: "#FF1E00" }),
        React.createElement("path", { d: "M14.2474 7.79515L13.2225 7.48065L13.1834 8.28199L14.1736 8.53187L14.2474 7.79515Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M18.238 14.516L18.3075 14.3437L18.555 14.5462L18.4812 14.7142L18.238 14.516Z", fill: "#00C0FF" }),
        React.createElement("path", { d: "M3.19546 9.19101L3.02175 9.85879L3.15203 8.79033L3.32139 8.13116L3.19546 9.19101Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M7.54676 19.9402L7.63361 20.3796L6.99959 20.1771L6.89971 19.7377L7.54676 19.9402Z", fill: "#000092" }),
        React.createElement("path", { d: "M12.2714 7.25657L11.468 7.12732L11.5158 8.04929L12.2758 8.11822V7.25657H12.2714Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M19.8231 14.6711L19.91 14.4169L20.1575 14.1713L20.0663 14.4557L19.8231 14.6711Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M17.2525 11.6854L16.714 11.4054L16.7444 11.9784L17.2872 12.211L17.2525 11.6854Z", fill: "#5DFF9A" }),
        React.createElement("path", { d: "M17.617 12.9348L17.3565 12.7108L17.4737 13.1718L17.7343 13.3657L17.617 12.9348Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M20.6831 10.5826L19.9665 9.97512L19.9231 9.41504L20.6353 10.0656L20.6831 10.5826Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M9.41411 3.12925L8.26333 3.02585L8.56297 3L9.60953 3.1034L9.41411 3.12925Z", fill: "#C80000" }),
        React.createElement("path", { d: "M9.31403 18.9881L9.39654 19.5266L8.81029 19.8368L8.72344 19.3026L9.31403 18.9881Z", fill: "#0000C4" }),
        React.createElement("path", { d: "M18.0209 14.2576L18.0904 14.0767L18.3119 14.3438L18.2424 14.5161L18.0209 14.2576Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M7.98103 3.22433L6.95618 3.29757L7.33398 3.08646L8.26764 3.03046L7.98103 3.22433Z", fill: "#CD0000" }),
        React.createElement("path", { d: "M16.1015 9.22978L15.1722 8.85065L15.0984 9.5529L16.0146 9.8674L16.1015 9.22978Z", fill: "#CEFF29" }),
        React.createElement("path", { d: "M15.1374 4.90431L13.6827 4.2796L13.6088 4.37869L14.9898 4.98186L15.1374 4.90431Z", fill: "#FF3800" }),
        React.createElement("path", { d: "M15.2765 8.17858L14.2473 7.79083L14.1691 8.53186L15.1723 8.85498L15.2765 8.17858Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M20.8741 12.629L20.5658 12.1767L20.6483 11.6511L20.9567 12.1508L20.8741 12.629Z", fill: "#4DFFAA" }),
        React.createElement("path", { d: "M4.58068 17.3725L4.72833 17.8593L4.29408 16.9718L4.13774 16.4677L4.58068 17.3725Z", fill: "#0030FF" }),
        React.createElement("path", { d: "M10.8514 3.36274L9.61377 3.10425L9.81787 3.24642L10.9556 3.49199L10.8514 3.36274Z", fill: "#D10000" }),
        React.createElement("path", { d: "M18.3422 6.86877L17.0351 6.11912L16.8744 5.83478L18.1468 6.59304L18.3422 6.86877Z", fill: "#FF9100" }),
        React.createElement("path", { d: "M10.2694 17.2604L10.3389 17.8678L9.86123 18.5055L9.79175 17.898L10.2694 17.2604Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M13.2702 6.731L12.2714 6.44666V7.26091L13.218 7.48494L13.2702 6.731Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M20.0662 14.4557L20.1574 14.1714L20.3832 13.8612L20.292 14.1843L20.0662 14.4557Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M16.779 10.225L16.0147 9.86743L15.9625 10.518L16.7225 10.8196L16.779 10.225Z", fill: "#A4FF53" }),
        React.createElement("path", { d: "M16.6921 5.66249L15.272 4.95163L15.1331 4.90424L16.501 5.60649L16.6921 5.66249Z", fill: "#FF5500" }),
        React.createElement("path", { d: "M19.7147 8.40683L18.6551 7.68304L18.5118 7.23499L19.554 7.98893L19.7147 8.40683Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M13.6131 4.3787L12.2408 3.87463L12.2495 4.13744L13.5392 4.61566L13.6131 4.3787Z", fill: "#FF1E00" }),
        React.createElement("path", { d: "M4.05081 6.53274L3.54272 7.14882L3.85973 6.26562L4.33307 5.67108L4.05081 6.53274Z", fill: "#FF8D00" }),
        React.createElement("path", { d: "M14.3385 7.10578L13.2703 6.73096L13.2182 7.4806L14.243 7.7951L14.3385 7.10578Z", fill: "#FFB600" }),
        React.createElement("path", { d: "M12.241 3.87465L10.9556 3.49121L11.0599 3.77556L12.2541 4.13315L12.241 3.87465Z", fill: "#F10800" }),
        React.createElement("path", { d: "M6.61295 3.68074L5.74878 3.93493L6.17435 3.52995L6.96036 3.2973L6.61295 3.68074Z", fill: "#E40000" }),
        React.createElement("path", { d: "M17.8298 13.9387L17.8949 13.7449L18.086 14.0766L18.0165 14.2576L17.8298 13.9387Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M11.4681 7.12735L10.8471 7.1015L10.9426 8.07949L11.5115 8.05364L11.4681 7.12735Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M12.2714 6.44227L11.4072 6.25702L11.468 7.12729L12.2714 7.25653V6.44227Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M8.18933 19.9746L8.2675 20.414L7.63783 20.3796L7.55098 19.9401L8.18933 19.9746Z", fill: "#000096" }),
        React.createElement("path", { d: "M10.9428 8.07513L10.5823 8.20007L10.6822 9.2513L11.0079 9.07896L10.9428 8.07513Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M17.5433 12.4697L17.2871 12.2112L17.3609 12.7109L17.6214 12.935L17.5433 12.4697Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M3.3474 13.8224L3.49505 14.417L3.31266 13.3227L3.16501 12.7152L3.3474 13.8224Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M14.9942 4.98182L13.6132 4.37866L13.5394 4.61131L14.8509 5.18431L14.9942 4.98182Z", fill: "#FF3800" }),
        React.createElement("path", { d: "M10.6819 9.25562L10.5604 9.5098L10.6255 10.6041L10.7297 10.3111L10.6819 9.25562Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M17.2655 11.1469L16.727 10.8195L16.714 11.4098L17.2525 11.6898L17.2655 11.1469Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M13.331 6.05029L12.2714 5.70563L12.2757 6.44234L13.2745 6.72669L13.331 6.05029Z", fill: "#FF7E00" }),
        React.createElement("path", { d: "M20.2923 14.1799L20.3878 13.8568L20.5832 13.4906L20.4877 13.8525L20.2923 14.1799Z", fill: "#09F0EE" }),
        React.createElement("path", { d: "M10.6254 10.5998L10.6949 10.9574V12.056L10.6254 11.6682V10.5998Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M15.4024 7.5539L14.3385 7.10583L14.243 7.79516L15.2722 8.18291L15.4024 7.5539Z", fill: "#FFC400" }),
        React.createElement("path", { d: "M13.5394 4.6113L12.2496 4.13739L12.2583 4.53806L13.4655 4.97751L13.5394 4.6113Z", fill: "#FF2900" }),
        React.createElement("path", { d: "M10.695 12.056L10.8947 12.4825L10.7992 13.5467L10.6168 13.0943L10.695 12.056Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M14.4515 6.48537L13.3311 6.05023L13.2746 6.73094L14.3429 7.10576L14.4515 6.48537Z", fill: "#FF9100" }),
        React.createElement("path", { d: "M20.6354 10.0612L19.9232 9.41066L19.8363 8.88074L20.5398 9.57006L20.6354 10.0612Z", fill: "#CAFF2C" }),
        React.createElement("path", { d: "M20.9565 12.1508L20.6482 11.651L20.6916 11.1168L21 11.664L20.9565 12.1508Z", fill: "#6AFF8D" }),
        React.createElement("path", { d: "M16.2231 8.62228L15.2764 8.17853L15.1722 8.85062L16.1015 9.22975L16.2231 8.62228Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M10.7992 13.5466L11.051 14.0119L10.8426 15.0158L10.6124 14.5332L10.7992 13.5466Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M18.1469 6.59743L16.8745 5.83487L16.6964 5.66254L17.9341 6.4251L18.1469 6.59743Z", fill: "#FF7A00" }),
        React.createElement("path", { d: "M16.5013 5.60649L15.1333 4.90424L14.99 4.98178L16.3015 5.66249L16.5013 5.60649Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M12.2498 4.13737L11.0556 3.77979L11.1555 4.21061L12.2542 4.53804L12.2498 4.13737Z", fill: "#FF1300" }),
        React.createElement("path", { d: "M10.9554 3.49112L9.81768 3.24554L10.0218 3.55143L11.0597 3.77977L10.9554 3.49112Z", fill: "#D60000" }),
        React.createElement("path", { d: "M13.396 5.46002L12.267 5.06366L12.2713 5.70559L13.3309 6.05026L13.396 5.46002Z", fill: "#FF5900" }),
        React.createElement("path", { d: "M3 10.9703L3.08251 11.5907L3.10422 10.4835L3.02171 9.85876L3 10.9703Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M13.4656 4.97753L12.2584 4.53809L12.2671 5.0637L13.3962 5.46006L13.4656 4.97753Z", fill: "#FF3B00" }),
        React.createElement("path", { d: "M4.13777 16.4677L4.28977 16.9761L3.93367 16.0024L3.773 15.4725L4.13777 16.4677Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M17.6736 13.5769L17.7387 13.3615L17.895 13.7449L17.8299 13.9388L17.6736 13.5769Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M14.8509 5.18866L13.5394 4.61566L13.4656 4.97756L14.7119 5.51178L14.8509 5.18866Z", fill: "#FF4300" }),
        React.createElement("path", { d: "M12.267 5.70558L11.3333 5.46863L11.4072 6.25705L12.2713 6.4423L12.267 5.70558Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M14.5774 5.94683L13.3962 5.45569L13.3311 6.04592L14.4515 6.48106L14.5774 5.94683Z", fill: "#FF6F00" }),
        React.createElement("path", { d: "M16.8789 9.6477L16.1059 9.2298L16.019 9.86742L16.7833 10.225L16.8789 9.6477Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M5.37549 4.49923L4.69805 4.93006L5.1323 4.33983L5.74895 3.93054L5.37549 4.49923Z", fill: "#FF1E00" }),
        React.createElement("path", { d: "M9.60933 3.1034L8.55842 3L8.86675 3.14648L9.81343 3.24557L9.60933 3.1034Z", fill: "#BB0000" }),
        React.createElement("path", { d: "M19.5542 7.98895L18.5119 7.235L18.3382 6.87311L19.3587 7.64429L19.5542 7.98895Z", fill: "#FFBD00" }),
        React.createElement("path", { d: "M14.7119 5.51177L13.4656 4.97754L13.3961 5.46007L14.5773 5.95121L14.7119 5.51177Z", fill: "#FF5500" }),
        React.createElement("path", { d: "M10.8429 15.0157L10.9862 15.5672L10.6735 16.4763L10.5432 15.9162L10.8429 15.0157Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M12.254 4.538L11.1554 4.21057L11.2466 4.77927L12.2627 5.06362L12.254 4.538Z", fill: "#FF2900" }),
        React.createElement("path", { d: "M12.2628 5.0637L11.251 4.77936L11.3378 5.46868L12.2715 5.70564L12.2628 5.0637Z", fill: "#FF4700" }),
        React.createElement("path", { d: "M15.5543 6.99379L14.4513 6.48541L14.3427 7.10581L15.4067 7.55387L15.5543 6.99379Z", fill: "#FFA300" }),
        React.createElement("path", { d: "M11.4072 6.25711L10.7254 6.17957L10.8513 7.09723L11.4723 7.12308L11.4072 6.25711Z", fill: "#FF8900" }),
        React.createElement("path", { d: "M20.4832 13.8526L20.5787 13.4907L20.7438 13.0771L20.6439 13.4778L20.4832 13.8526Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M16.3055 5.66252L14.994 4.98181L14.8507 5.1843L16.1057 5.83485L16.3055 5.66252Z", fill: "#FF5200" }),
        React.createElement("path", { d: "M17.5086 11.9871L17.2523 11.6855L17.2827 12.2111L17.539 12.4696L17.5086 11.9871Z", fill: "#60FF97" }),
        React.createElement("path", { d: "M18.3119 15.0503L18.7418 14.8478L19.011 14.9124L18.5724 15.1235L18.3119 15.0503Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M8.2632 3.02606L7.33389 3.08685L7.7334 3.05211L8.56284 3L8.2632 3.02606Z", fill: "#B20000" }),
        React.createElement("path", { d: "M18.5725 15.1235L19.0111 14.9124L19.2846 14.9038L18.8374 15.1278L18.5725 15.1235Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M9.85688 18.5056L9.93505 19.0527L9.39657 19.5266L9.31406 18.9881L9.85688 18.5056Z", fill: "#0000F1" }),
        React.createElement("path", { d: "M18.0601 14.9124L18.4856 14.7142L18.7462 14.8477L18.3163 15.0502L18.0601 14.9124Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M16.3796 8.0579L15.4068 7.55383L15.2766 8.17853L16.2276 8.62229L16.3796 8.0579Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M17.3219 10.6127L16.779 10.2293L16.7226 10.8239L17.2611 11.1556L17.3219 10.6127Z", fill: "#A0FF56" }),
        React.createElement("path", { d: "M17.9298 6.42508L16.6922 5.66251L16.5011 5.60651L17.6953 6.35615L17.9298 6.42508Z", fill: "#FF6F00" }),
        React.createElement("path", { d: "M11.0555 3.77973L10.0176 3.55139L10.2174 4.01238L11.1554 4.21056L11.0555 3.77973Z", fill: "#E40000" }),
        React.createElement("path", { d: "M15.728 6.51122L14.5772 5.94684L14.4513 6.48107L15.5543 6.98944L15.728 6.51122Z", fill: "#FF8200" }),
        React.createElement("path", { d: "M3.32141 8.13546L3.15205 8.79463L3.38655 7.79942L3.54288 7.14886L3.32141 8.13546Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M8.81043 19.8368L8.87557 20.2805L8.26327 20.4141L8.18511 19.9747L8.81043 19.8368Z", fill: "#0000A8" }),
        React.createElement("path", { d: "M10.8472 7.1015L10.4347 7.17905L10.5823 8.20011L10.9428 8.07517L10.8472 7.1015Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M17.5564 13.1761L17.6216 12.9348L17.7388 13.3613L17.6737 13.5768L17.5564 13.1761Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M18.8416 15.1278L19.2889 14.9038L19.5625 14.822L19.1065 15.0675L18.8416 15.1278Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M20.9958 11.6596L20.6875 11.1125L20.6832 10.5782L20.9915 11.1685L20.9958 11.6596Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M16.1058 5.83915L14.8508 5.1886L14.7119 5.51172L15.9148 6.1235L16.1058 5.83915Z", fill: "#FF5900" }),
        React.createElement("path", { d: "M20.5484 9.57447L19.8449 8.88514L19.719 8.40692L20.4138 9.13071L20.5484 9.57447Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M17.8212 14.7143L18.2381 14.5161L18.4813 14.7143L18.0557 14.9125L17.8212 14.7143Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M15.9105 6.1235L14.7076 5.51172L14.573 5.94686L15.7238 6.51124L15.9105 6.1235Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M11.3335 5.46863L10.5735 5.34369L10.7212 6.1795L11.403 6.25704L11.3335 5.46863Z", fill: "#FF5D00" }),
        React.createElement("path", { d: "M6.37843 19.8152L6.4566 20.1555L5.87903 19.6558L5.7835 19.3025L6.37843 19.8152Z", fill: "#0000C4" }),
        React.createElement("path", { d: "M17.0134 9.1006L16.2274 8.62238L16.1058 9.22984L16.8788 9.64775L17.0134 9.1006Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M19.1066 15.0674L19.5626 14.8219L19.8231 14.6711L19.3585 14.9382L19.1066 15.0674Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M19.3628 7.64435L18.3423 6.87317L18.1469 6.60175L19.1456 7.38154L19.3628 7.64435Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M11.1554 4.21069L10.2174 4.01251L10.4041 4.61567L11.2509 4.77939L11.1554 4.21069Z", fill: "#FF1300" }),
        React.createElement("path", { d: "M5.78349 19.2982L5.87903 19.6515L5.34055 19.0139L5.23198 18.639L5.78349 19.2982Z", fill: "#0000E8" }),
        React.createElement("path", { d: "M20.6482 13.4777L20.7481 13.0771L20.874 12.6247L20.7742 13.0641L20.6482 13.4777Z", fill: "#36FFC1" }),
        React.createElement("path", { d: "M17.6083 14.4601L18.0208 14.2576L18.2423 14.5161L17.8254 14.7142L17.6083 14.4601Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M11.251 4.77938L10.4085 4.61566L10.5779 5.34807L11.3378 5.47301L11.251 4.77938Z", fill: "#FF3400" }),
        React.createElement("path", { d: "M10.5822 8.20007L10.4259 8.41549L10.5562 9.50548L10.6777 9.25129L10.5822 8.20007Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M10.6732 16.4763L10.7384 17.088L10.3345 17.8678L10.265 17.2604L10.6732 16.4763Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M6.95622 3.29802L6.17021 3.53067L6.63487 3.30233L7.32968 3.08691L6.95622 3.29802Z", fill: "#BB0000" }),
        React.createElement("path", { d: "M9.81783 3.24551L8.87549 3.14642L9.18381 3.46523L10.0263 3.5514L9.81783 3.24551Z", fill: "#BF0000" }),
        React.createElement("path", { d: "M16.562 7.55816L15.5589 6.99377L15.4069 7.55385L16.3796 8.05793L16.562 7.55816Z", fill: "#FFB600" }),
        React.createElement("path", { d: "M17.6998 6.35615L16.5056 5.60651L16.3102 5.66682L17.4653 6.39923L17.6998 6.35615Z", fill: "#FF6800" }),
        React.createElement("path", { d: "M6.9995 20.1771L7.0603 20.5089L6.45668 20.1556L6.37852 19.8152L6.9995 20.1771Z", fill: "#0000AD" }),
        React.createElement("path", { d: "M3.77297 15.4725L3.93365 15.9981L3.66441 14.9641L3.49504 14.417L3.77297 15.4725Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M3.16513 12.7152L3.31277 13.3227L3.23027 12.2154L3.08262 11.595L3.16513 12.7152Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M17.5216 11.496L17.2654 11.147L17.2523 11.6856L17.5086 11.9871L17.5216 11.496Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M4.33313 5.66677L3.85979 6.26562L4.26799 5.50305L4.69791 4.93005L4.33313 5.66677Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M19.3586 14.9426L19.8233 14.6755L20.0708 14.4601L19.6018 14.7574L19.3586 14.9426Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M5.22771 18.6434L5.33628 19.0183L4.84991 18.26L4.72397 17.8636L5.22771 18.6434Z", fill: "#0004FF" }),
        React.createElement("path", { d: "M17.4782 12.7453L17.5434 12.4695L17.6215 12.9305L17.5564 13.1718L17.4782 12.7453Z", fill: "#49FFAD" }),
        React.createElement("path", { d: "M10.5562 9.50983L10.6126 9.83726L10.6951 10.9617L10.6257 10.6041L10.5562 9.50983Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M17.4218 14.1585L17.8256 13.9431L18.0167 14.2576L17.6041 14.46L17.4218 14.1585Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M17.4218 10.0914L16.879 9.65198L16.7834 10.2293L17.3263 10.6127L17.4218 10.0914Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M16.7659 7.12732L15.7281 6.51123L15.5587 6.99376L16.5618 7.55814L16.7659 7.12732Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M10.7254 6.17957L10.2477 6.21403L10.4388 7.17478L10.8513 7.09723L10.7254 6.17957Z", fill: "#FF7E00" }),
        React.createElement("path", { d: "M17.4607 6.39494L16.3056 5.66254L16.1058 5.83487L17.2219 6.53711L17.4607 6.39494Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M20.9913 11.1684L20.683 10.5782L20.6353 10.0612L20.9436 10.6859L20.9913 11.1684Z", fill: "#A7FF50" }),
        React.createElement("path", { d: "M20.4138 9.12644L19.719 8.40264L19.554 7.98474L20.2401 8.73007L20.4138 9.12644Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M17.1829 8.59639L16.3795 8.05786L16.2275 8.62224L17.0135 9.10046L17.1829 8.59639Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M19.1457 7.37723L18.1469 6.59744L17.9298 6.42511L18.9068 7.2049L19.1457 7.37723Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M10.695 10.9574L10.8948 11.3624V12.4825L10.695 12.056V10.9574Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M16.9876 6.78701L15.9107 6.12354L15.7239 6.51128L16.7661 7.12736L16.9876 6.78701Z", fill: "#FF8200" }),
        React.createElement("path", { d: "M17.2219 6.53703L16.1059 5.83478L15.9105 6.11912L16.9874 6.7826L17.2219 6.53703Z", fill: "#FF7300" }),
        React.createElement("path", { d: "M7.63347 20.3796L7.6769 20.707L7.06026 20.5089L6.99946 20.1771L7.63347 20.3796Z", fill: "#0000A4" }),
        React.createElement("path", { d: "M8.56278 3L7.73335 3.0517L8.1459 3.19818L8.87545 3.14648L8.56278 3Z", fill: "#A40000" }),
        React.createElement("path", { d: "M20.7699 13.0684L20.8698 12.629L20.9523 12.1508L20.8481 12.6333L20.7699 13.0684Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M19.5975 14.753L20.0708 14.4601L20.2923 14.1843L19.8146 14.5074L19.5975 14.753Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M10.0177 3.55144L9.1752 3.46527L9.47918 3.9478L10.2174 4.01243L10.0177 3.55144Z", fill: "#CD0000" }),
        React.createElement("path", { d: "M10.895 12.4825L11.1598 12.9306L11.0513 14.012L10.7994 13.5467L10.895 12.4825Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M17.2697 13.8095L17.6692 13.5768L17.8256 13.9387L17.4217 14.1542L17.2697 13.8095Z", fill: "#1FFFD7" }),
        React.createElement("path", { d: "M3.02175 9.85876L3.10426 10.4835L3.23454 9.42363L3.15203 8.79462L3.02175 9.85876Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M5.74887 3.93055L5.13223 4.33984L5.62728 3.91332L6.1701 3.52557L5.74887 3.93055Z", fill: "#DA0000" }),
        React.createElement("path", { d: "M9.39665 19.5265L9.44876 19.9789L8.87119 20.2804L8.80606 19.8367L9.39665 19.5265Z", fill: "#0000CD" }),
        React.createElement("path", { d: "M4.7285 17.8592L4.85443 18.2556L4.4332 17.394L4.29858 16.9717L4.7285 17.8592Z", fill: "#003CFF" }),
        React.createElement("path", { d: "M10.5735 5.34372L10.0176 5.33942L10.2434 6.214L10.7211 6.17953L10.5735 5.34372Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M17.578 11.0091L17.3218 10.6127L17.2653 11.1513L17.5215 11.5002L17.578 11.0091Z", fill: "#9DFF5A" }),
        React.createElement("path", { d: "M17.4435 12.2973L17.5086 11.9871L17.5434 12.4696L17.4782 12.7453L17.4435 12.2973Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M10.2175 4.01244L9.4793 3.94781L9.76156 4.57682L10.4043 4.6156L10.2175 4.01244Z", fill: "#E80000" }),
        React.createElement("path", { d: "M17.3827 8.14838L16.562 7.55383L16.3796 8.0579L17.183 8.59644L17.3827 8.14838Z", fill: "#FFC400" }),
        React.createElement("path", { d: "M10.4344 7.17908L10.2303 7.36002L10.4257 8.41986L10.5821 8.20445L10.4344 7.17908Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M18.9026 7.20481L17.9299 6.42501L17.6997 6.35608L18.6464 7.12726L18.9026 7.20481Z", fill: "#FF8600" }),
        React.createElement("path", { d: "M17.5649 9.59592L17.0134 9.10046L16.8788 9.64762L17.4216 10.0871L17.5649 9.59592Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M11.0511 14.0119L11.2031 14.5547L10.986 15.5672L10.8427 15.0157L11.0511 14.0119Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M10.4041 4.61562L9.76143 4.57684L10.022 5.33941L10.5778 5.34372L10.4041 4.61562Z", fill: "#FF2200" }),
        React.createElement("path", { d: "M10.3389 17.8679L10.4127 18.4237L9.93935 19.0527L9.86118 18.5055L10.3389 17.8679Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M20.2444 8.73434L19.5539 7.98901L19.3628 7.64435L20.0403 8.40691L20.2444 8.73434Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M19.8102 14.5075L20.2879 14.1844L20.4833 13.8569L19.9969 14.2145L19.8102 14.5075Z", fill: "#0FF8E7" }),
        React.createElement("path", { d: "M20.9434 10.6903L20.6394 10.0613L20.5482 9.57013L20.8522 10.2336L20.9434 10.6903Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M17.1568 13.4304L17.5563 13.1762L17.6735 13.5769L17.274 13.8095L17.1568 13.4304Z", fill: "#33FFC4" }),
        React.createElement("path", { d: "M8.26327 20.4141L8.28932 20.7372L7.67702 20.7027L7.63359 20.3753L8.26327 20.4141Z", fill: "#0000A8" }),
        React.createElement("path", { d: "M20.8523 12.6333L20.9566 12.1508L20.9957 11.6597L20.8914 12.181L20.8523 12.6333Z", fill: "#6AFF8D" }),
        React.createElement("path", { d: "M7.33393 3.08653L6.63911 3.30194L7.12548 3.25886L7.72911 3.05206L7.33393 3.08653Z", fill: "#9F0000" }),
        React.createElement("path", { d: "M17.5521 15.2786L18.312 15.0502L18.5769 15.1235L17.8039 15.3604L17.5521 15.2786Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M17.6085 7.77356L16.7661 7.12732L16.562 7.55384L17.3871 8.14838L17.6085 7.77356Z", fill: "#FFAB00" }),
        React.createElement("path", { d: "M17.3088 15.1364L18.0601 14.9124L18.312 15.0502L17.552 15.2786L17.3088 15.1364Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M18.6464 7.12726L17.6997 6.35608L17.4609 6.39485L18.3815 7.1488L18.6464 7.12726Z", fill: "#FF8200" }),
        React.createElement("path", { d: "M3.49506 14.417L3.66008 14.9641L3.48203 13.8914L3.31267 13.3184L3.49506 14.417Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M3.54283 7.14888L3.3865 7.79943L3.71654 6.90331L3.85984 6.26569L3.54283 7.14888Z", fill: "#FF8D00" }),
        React.createElement("path", { d: "M17.8039 15.3605L18.5768 15.1235L18.8417 15.1278L18.0601 15.3777L17.8039 15.3605Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M17.0829 14.9383L17.8255 14.7186L18.06 14.9167L17.3088 15.1408L17.0829 14.9383Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M8.87115 3.14642L8.1416 3.19812L8.55414 3.52124L9.17947 3.46524L8.87115 3.14642Z", fill: "#A80000" }),
        React.createElement("path", { d: "M10.4259 8.41547L10.4519 8.71274L10.617 9.83289L10.5605 9.50546L10.4259 8.41547Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M17.8559 7.47204L16.9873 6.78271L16.7659 7.12307L17.6127 7.76501L17.8559 7.47204Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M18.3815 7.14885L17.4609 6.3949L17.222 6.53707L18.1166 7.26518L18.3815 7.14885Z", fill: "#FF8200" }),
        React.createElement("path", { d: "M17.4565 11.8449L17.5217 11.496L17.5086 11.9871L17.4435 12.2973L17.4565 11.8449Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M17.6779 10.5352L17.4217 10.0914L17.3218 10.6127L17.578 11.0091L17.6779 10.5352Z", fill: "#BAFF3C" }),
        React.createElement("path", { d: "M17.7433 9.1479L17.1831 8.59644L17.0137 9.10051L17.5652 9.59596L17.7433 9.1479Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M18.0601 15.3777L18.8417 15.1278L19.1066 15.0675L18.3119 15.3303L18.0601 15.3777Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M20.0011 14.2102L20.4875 13.8526L20.6482 13.4778L20.1575 13.8655L20.0011 14.2102Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M16.8788 14.6841L17.6127 14.4601L17.8255 14.7143L17.0829 14.934L16.8788 14.6841Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M4.29427 16.9718L4.42889 17.394L4.08149 16.4505L3.93384 16.0024L4.29427 16.9718Z", fill: "#0078FF" }),
        React.createElement("path", { d: "M18.1164 7.26523L17.2219 6.54144L16.9874 6.78702L17.8559 7.47634L18.1164 7.26523Z", fill: "#FF8900" }),
        React.createElement("path", { d: "M20.0405 8.40688L19.363 7.64L19.1416 7.3772L19.806 8.15269L20.0405 8.40688Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M10.986 15.5673L11.0511 16.1877L10.7384 17.0924L10.6733 16.4806L10.986 15.5673Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M3.08262 11.5907L3.23027 12.2111L3.25198 11.1211L3.09999 10.4835L3.08262 11.5907Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M10.2478 6.21832L9.97852 6.3648L10.2304 7.36002L10.4345 7.17907L10.2478 6.21832Z", fill: "#FF7300" }),
        React.createElement("path", { d: "M17.0788 13.0253L17.4739 12.7453L17.5521 13.1761L17.1526 13.4303L17.0788 13.0253Z", fill: "#4DFFAA" }),
        React.createElement("path", { d: "M20.848 10.2379L20.544 9.57447L20.4138 9.1264L20.7134 9.82004L20.848 10.2379Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M4.69796 4.93011L4.26804 5.50311L4.75441 4.89133L5.13656 4.34418L4.69796 4.93011Z", fill: "#FF1A00" }),
        React.createElement("path", { d: "M18.3119 15.3303L19.1066 15.0675L19.3584 14.9426L18.555 15.2269L18.3119 15.3303Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M16.6964 14.3868L17.4216 14.1541L17.6084 14.46L16.8745 14.684L16.6964 14.3868Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M20.8914 12.181L20.9956 11.6597L20.9912 11.1686L20.8827 11.7287L20.8914 12.181Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M10.6124 9.83295L10.7992 10.2164L10.8947 11.3624L10.6949 10.9574L10.6124 9.83295Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M9.17958 3.46527L8.55425 3.52128L8.95377 4.01673L9.48357 3.9478L9.17958 3.46527Z", fill: "#B60000" }),
        React.createElement("path", { d: "M17.9515 8.7516L17.3827 8.14844L17.1829 8.5965L17.7431 9.14796L17.9515 8.7516Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M19.8057 8.15271L19.1413 7.37723L18.9025 7.2049L19.5539 7.98038L19.8057 8.15271Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M9.93499 19.0527L9.97842 19.5137L9.45297 19.979L9.40085 19.5266L9.93499 19.0527Z", fill: "#0000FA" }),
        React.createElement("path", { d: "M8.87563 20.2805L8.88432 20.6123L8.28939 20.7415L8.26333 20.4184L8.87563 20.2805Z", fill: "#0000BB" }),
        React.createElement("path", { d: "M20.1576 13.8654L20.6483 13.4777L20.7742 13.0684L20.2792 13.4906L20.1576 13.8654Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M18.5553 15.2226L19.3587 14.9382L19.5975 14.7487L18.7811 15.0545L18.5553 15.2226Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M17.8213 10.0914L17.5651 9.59595L17.4261 10.0871L17.6824 10.5308L17.8213 10.0914Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M10.0219 5.34369L9.67881 5.46001L9.98279 6.36475L10.252 6.21827L10.0219 5.34369Z", fill: "#FF3F00" }),
        React.createElement("path", { d: "M17.5085 11.3968L17.5737 11.0048L17.5172 11.4916L17.4521 11.8406L17.5085 11.3968Z", fill: "#9AFF5D" }),
        React.createElement("path", { d: "M6.17009 3.52991L5.62727 3.91766L6.17009 3.66778L6.63475 3.30157L6.17009 3.52991Z", fill: "#B20000" }),
        React.createElement("path", { d: "M6.45664 20.1556L6.4827 20.371L5.92685 19.8885L5.87908 19.6516L6.45664 20.1556Z", fill: "#0000D6" }),
        React.createElement("path", { d: "M16.5532 14.0507L17.274 13.8094L17.426 14.1541L16.7008 14.3868L16.5532 14.0507Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M5.87896 19.6515L5.92673 19.8885L5.40561 19.2724L5.33613 19.0139L5.87896 19.6515Z", fill: "#0000FA" }),
        React.createElement("path", { d: "M17.0484 12.6075L17.4436 12.3016L17.4784 12.7496L17.0788 13.0297L17.0484 12.6075Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M10.8948 11.3624L11.1597 11.7975V12.9306L10.8948 12.4825V11.3624Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M9.47916 3.94781L8.95371 4.01675L9.33152 4.66729L9.76143 4.57682L9.47916 3.94781Z", fill: "#D60000" }),
        React.createElement("path", { d: "M7.72898 3.05206L7.12537 3.25455L7.63345 3.39673L8.14152 3.19854L7.72898 3.05206Z", fill: "#960000" }),
        React.createElement("path", { d: "M20.7136 9.82L20.4139 9.12637L20.2446 8.73431L20.5399 9.44949L20.7136 9.82Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M9.76156 4.57684L9.33164 4.66732L9.67905 5.45573L10.0221 5.33941L9.76156 4.57684Z", fill: "#FF1300" }),
        React.createElement("path", { d: "M7.06036 20.5088L7.0647 20.7156L6.48279 20.3753L6.45674 20.1599L7.06036 20.5088Z", fill: "#0000BF" }),
        React.createElement("path", { d: "M18.1904 8.4198L17.6085 7.77356L17.3826 8.14838L17.9515 8.75154L18.1904 8.4198Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M3.15205 8.79463L3.23456 9.42363L3.46906 8.43273L3.38655 7.7951L3.15205 8.79463Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M19.5539 7.98037L18.9025 7.20487L18.6463 7.12732L19.2803 7.8942L19.5539 7.98037Z", fill: "#FF9C00" }),
        React.createElement("path", { d: "M20.8871 11.7286L20.9957 11.1685L20.9479 10.6903L20.8394 11.2849L20.8871 11.7286Z", fill: "#A0FF56" }),
        React.createElement("path", { d: "M10.2305 7.36005L10.2088 7.63147L10.4476 8.71715L10.4216 8.41988L10.2305 7.36005Z", fill: "#FFAB00" }),
        React.createElement("path", { d: "M5.34064 19.0139L5.41012 19.2724L4.94112 18.54L4.85427 18.2513L5.34064 19.0139Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M18.781 15.0588L19.5974 14.753L19.8145 14.5074L18.9894 14.8348L18.781 15.0588Z", fill: "#06ECF1" }),
        React.createElement("path", { d: "M3.93364 16.0024L4.08129 16.4505L3.81639 15.4466L3.66006 14.9641L3.93364 16.0024Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M10.7383 17.0881L10.8078 17.6525L10.4083 18.4236L10.3345 17.8679L10.7383 17.0881Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M16.4402 13.6845L17.1568 13.426L17.274 13.8052L16.5531 14.0464L16.4402 13.6845Z", fill: "#39FFBE" }),
        React.createElement("path", { d: "M18.4508 8.16131L17.8558 7.47198L17.6083 7.76926L18.1902 8.4155L18.4508 8.16131Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M11.1598 12.9305L11.3161 13.4691L11.2032 14.5548L11.0512 14.0119L11.1598 12.9305Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M19.2802 7.8942L18.6462 7.12732L18.3813 7.14455L19.0023 7.8942H19.2802Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M3.31262 13.3226L3.48632 13.8956L3.40815 12.8143L3.23445 12.2197L3.31262 13.3226Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M20.2749 13.4907L20.77 13.0685L20.8525 12.6334L20.3531 13.09L20.2749 13.4907Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M17.9992 9.69079L17.7387 9.14795L17.5606 9.60032L17.8168 10.0958L17.9992 9.69079Z", fill: "#EEFF09" }),
        React.createElement("path", { d: "M18.7247 7.98472L18.1167 7.26093L17.8562 7.47203L18.4511 8.16136L18.7247 7.98472Z", fill: "#FF9F00" }),
        React.createElement("path", { d: "M19.0024 7.89423L18.3814 7.14459L18.1165 7.26092L18.7245 7.98471L19.0024 7.89423Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M17.6085 10.9703L17.678 10.5395L17.5781 11.0134L17.5129 11.4055L17.6085 10.9703Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M7.67697 20.7071L7.6596 20.9053L7.06467 20.7157L7.06033 20.5089L7.67697 20.7071Z", fill: "#0000B6" }),
        React.createElement("path", { d: "M16.284 15.3862L17.3089 15.1364L17.552 15.2785L16.5142 15.5327L16.284 15.3862Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M20.5396 9.44953L20.2443 8.73435L20.0402 8.40692L20.3312 9.13933L20.5396 9.44953Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M17.057 12.1852L17.4565 11.8448L17.4478 12.2972L17.0526 12.6031L17.057 12.1852Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M16.5141 15.5328L17.5519 15.2786L17.8038 15.3605L16.7529 15.6233L16.5141 15.5328Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M16.0667 15.1839L17.0829 14.9383L17.3087 15.1365L16.2838 15.3864L16.0667 15.1839Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M16.7529 15.6233L17.8038 15.3605L18.06 15.3777L16.9961 15.6534L16.7529 15.6233Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M3.85983 6.26568L3.71653 6.9033L4.13776 6.13212L4.26804 5.50311L3.85983 6.26568Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M15.8716 14.9297L16.8791 14.6841L17.0832 14.934L16.067 15.1795L15.8716 14.9297Z", fill: "#09F0EE" }),
        React.createElement("path", { d: "M18.9895 14.8348L19.8146 14.5074L20.0013 14.2101L19.1675 14.5634L18.9895 14.8348Z", fill: "#19FFDE" }),
        React.createElement("path", { d: "M4.84989 18.2556L4.93674 18.5443L4.52854 17.7128L4.42866 17.394L4.84989 18.2556Z", fill: "#0048FF" }),
        React.createElement("path", { d: "M16.3664 13.3011L17.0786 13.0253L17.1524 13.4303L16.4359 13.6888L16.3664 13.3011Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M20.8349 11.2848L20.9435 10.6903L20.848 10.2379L20.7394 10.8626L20.8349 11.2848Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M8.14168 3.19818L7.63359 3.39636L8.14168 3.71948L8.55423 3.5213L8.14168 3.19818Z", fill: "#960000" }),
        React.createElement("path", { d: "M18.2122 9.33751L17.9516 8.75159L17.7388 9.14795L17.9994 9.69079L18.2122 9.33751Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M9.45305 19.9789L9.44437 20.3193L8.88417 20.6123L8.87549 20.2805L9.45305 19.9789Z", fill: "#0000DA" }),
        React.createElement("path", { d: "M16.9961 15.6534L18.0601 15.3777L18.3119 15.3346L17.2393 15.6233L16.9961 15.6534Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M10.4518 8.71277L10.6125 9.07897L10.8036 10.2164L10.6168 9.83292L10.4518 8.71277Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M15.6976 14.6324L16.6964 14.3868L16.8744 14.6841L15.8669 14.9296L15.6976 14.6324Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M9.97846 6.36481L9.90029 6.61469L10.213 7.63574L10.2347 7.36432L9.97846 6.36481Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M3.10415 10.4877L3.25614 11.121L3.38207 10.0741L3.23443 9.42358L3.10415 10.4877Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M20.3531 13.0857L20.8525 12.629L20.8916 12.1766L20.3879 12.6635L20.3531 13.0857Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M5.13205 4.33991L4.7499 4.88706L5.30141 4.439L5.62276 3.91339L5.13205 4.33991Z", fill: "#D10000" }),
        React.createElement("path", { d: "M20.3312 9.13931L20.0403 8.4069L19.8058 8.15271L20.0924 8.89374L20.3312 9.13931Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M11.2033 14.5547L11.2684 15.1794L11.0513 16.1876L10.9862 15.5672L11.2033 14.5547Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M17.7473 10.5653L17.8211 10.0914L17.6778 10.5352L17.6083 10.966L17.7473 10.5653Z", fill: "#CEFF29" }),
        React.createElement("path", { d: "M6.63482 3.3016L6.16582 3.66781L6.73904 3.60749L7.12553 3.25421L6.63482 3.3016Z", fill: "#960000" }),
        React.createElement("path", { d: "M17.1091 11.7716L17.5086 11.4011L17.4521 11.8492L17.0526 12.1895L17.1091 11.7716Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M8.28936 20.7414L8.24594 20.9396L7.65535 20.9052L7.67272 20.707L8.28936 20.7414Z", fill: "#0000BB" }),
        React.createElement("path", { d: "M17.2348 15.619L18.3074 15.3303L18.5506 15.2226L17.4649 15.5242L17.2348 15.619Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M10.4084 18.4236L10.4431 18.8975L9.97844 19.5136L9.93501 19.0526L10.4084 18.4236Z", fill: "#0020FF" }),
        React.createElement("path", { d: "M19.1675 14.5634L20.0013 14.2101L20.1576 13.8698L19.3195 14.2489L19.1675 14.5634Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M15.5587 14.3049L16.5488 14.0507L16.6964 14.3868L15.6977 14.6323L15.5587 14.3049Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M18.4553 9.04881L18.1904 8.4198L17.9515 8.75154L18.2121 9.33746L18.4553 9.04881Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M16.3361 12.9004L17.0483 12.6031L17.083 13.0211L16.3708 13.2968L16.3361 12.9004Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M20.7396 10.8583L20.8481 10.2379L20.7135 9.82001L20.6049 10.4662L20.7396 10.8583Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M20.0926 8.89376L19.806 8.15274L19.5498 7.98041L19.8321 8.72143L20.0926 8.89376Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M8.55414 3.5213L8.1416 3.71948L8.63665 4.21924L8.95366 4.01675L8.55414 3.5213Z", fill: "#A80000" }),
        React.createElement("path", { d: "M3.66012 14.964L3.81646 15.4466L3.64275 14.404L3.48208 13.8913L3.66012 14.964Z", fill: "#19FFDE" }),
        React.createElement("path", { d: "M10.7994 10.2164L11.0556 10.6429L11.1598 11.7975L10.895 11.3624L10.7994 10.2164Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M9.67441 5.45569L9.52676 5.68403L9.90022 6.61031L9.97839 6.36043L9.67441 5.45569Z", fill: "#FF3400" }),
        React.createElement("path", { d: "M4.42868 17.394L4.52856 17.7128L4.19418 16.8038L4.08127 16.4462L4.42868 17.394Z", fill: "#0080FF" }),
        React.createElement("path", { d: "M18.716 8.82912L18.4467 8.16565L18.1862 8.42414L18.4511 9.05315L18.716 8.82912Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M17.4694 15.5285L18.5551 15.2269L18.7809 15.0589L17.6822 15.3777L17.4694 15.5285Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M20.3878 12.6677L20.8915 12.1809L20.8872 11.7285L20.3834 12.2455L20.3878 12.6677Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M15.4545 13.943L16.4446 13.6845L16.5576 14.0507L15.5631 14.3006L15.4545 13.943Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M17.9256 10.2078L17.9994 9.6908L17.817 10.0958L17.7432 10.5697L17.9256 10.2078Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M19.8361 8.72135L19.5538 7.98033L19.2846 7.89417L19.5625 8.62657L19.8361 8.72135Z", fill: "#FFB200" }),
        React.createElement("path", { d: "M8.95365 4.01678L8.63665 4.21927L9.1013 4.88275L9.33146 4.66734L8.95365 4.01678Z", fill: "#C80000" }),
        React.createElement("path", { d: "M9.33152 4.6673L9.10137 4.88271L9.52694 5.68836L9.67459 5.46002L9.33152 4.6673Z", fill: "#F10800" }),
        React.createElement("path", { d: "M17.2046 11.3753L17.6085 10.9703L17.5086 11.4012L17.1091 11.7717L17.2046 11.3753Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M18.9936 8.68265L18.7243 7.98901L18.4507 8.16565L18.72 8.83344L18.9936 8.68265Z", fill: "#FFB200" }),
        React.createElement("path", { d: "M3.3821 7.79941L3.46461 8.43703L3.79465 7.54953L3.71214 6.90759L3.3821 7.79941Z", fill: "#FF8D00" }),
        React.createElement("path", { d: "M19.3151 14.2446L20.1533 13.8655L20.2705 13.4863L19.4237 13.887L19.3151 14.2446Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M19.5583 8.62657L19.2804 7.89417H19.0025L19.276 8.61364L19.5583 8.62657Z", fill: "#FFAB00" }),
        React.createElement("path", { d: "M19.276 8.61364L19.0024 7.89417L18.7245 7.98464L18.9938 8.67827L19.276 8.61364Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M16.3404 12.504L17.057 12.1852L17.0483 12.6074L16.3361 12.9047L16.3404 12.504Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M15.0507 15.662L16.2796 15.3863L16.5141 15.5328L15.2678 15.8171L15.0507 15.662Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M14.8463 15.451L16.0666 15.1796L16.2837 15.3821L15.0548 15.6621L14.8463 15.451Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M3.23005 12.2154L3.40376 12.8099L3.42547 11.7415L3.25177 11.1211L3.23005 12.2154Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M20.6048 10.4663L20.7134 9.82004L20.5397 9.44952L20.4311 10.1173L20.6048 10.4663Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M6.48278 20.371L6.45672 20.4572L5.92258 19.9962V19.8885L6.48278 20.371Z", fill: "#0000ED" }),
        React.createElement("path", { d: "M11.0512 16.1877L11.1163 16.765L10.8036 17.6568L10.7342 17.0924L11.0512 16.1877Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M11.1597 11.7975L11.316 12.3318L11.3117 13.4692L11.1554 12.9306L11.1597 11.7975Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M15.2722 15.8171L16.5185 15.5328L16.7573 15.6233L15.5023 15.9205L15.2722 15.8171Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M5.92673 19.8884V19.9962L5.43167 19.4145L5.40996 19.2767L5.92673 19.8884Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M10.2088 7.63141L10.3304 7.98038L10.6083 9.07899L10.4476 8.71279L10.2088 7.63141Z", fill: "#FFA300" }),
        React.createElement("path", { d: "M14.66 15.1924L15.8716 14.9296L16.067 15.1838L14.8467 15.4552L14.66 15.1924Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M17.6821 15.3733L18.7808 15.0545L18.9892 14.8305L17.8819 15.1666L17.6821 15.3733Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M8.88416 20.608L8.81902 20.8105L8.25015 20.9355L8.29357 20.7373L8.88416 20.608Z", fill: "#0000CD" }),
        React.createElement("path", { d: "M15.3807 13.5682L16.3665 13.3011L16.4403 13.6888L15.4502 13.9473L15.3807 13.5682Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M7.0647 20.7156L7.01259 20.7889L6.45674 20.4657L6.48279 20.3796L7.0647 20.7156Z", fill: "#0000D6" }),
        React.createElement("path", { d: "M18.134 9.89323L18.2122 9.33746L17.9994 9.68643L17.9256 10.2034L18.134 9.89323Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M15.498 15.9206L16.7531 15.6233L16.9962 15.6534L15.7282 15.9593L15.498 15.9206Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M7.12535 3.25421L6.73887 3.60318L7.32945 3.73243L7.63343 3.39208L7.12535 3.25421Z", fill: "#890000" }),
        React.createElement("path", { d: "M14.4992 14.8952L15.7021 14.6367L15.8714 14.934L14.6598 15.1968L14.4992 14.8952Z", fill: "#19FFDE" }),
        React.createElement("path", { d: "M9.9785 19.5137L9.95679 19.867L9.44436 20.315L9.45305 19.9747L9.9785 19.5137Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M20.3791 12.2455L20.8828 11.7285L20.8307 11.2848L20.327 11.8276L20.3791 12.2455Z", fill: "#A0FF56" }),
        React.createElement("path", { d: "M5.40567 19.2767L5.42738 19.4146L4.9801 18.7166L4.93667 18.5443L5.40567 19.2767Z", fill: "#0024FF" }),
        React.createElement("path", { d: "M4.26802 5.50307L4.13774 6.13208L4.64583 5.50738L4.75005 4.8913L4.26802 5.50307Z", fill: "#FF1600" }),
        React.createElement("path", { d: "M17.3391 11.0091L17.7517 10.5697L17.6127 10.9704L17.2088 11.3754L17.3391 11.0091Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M20.4311 10.1173L20.5397 9.44948L20.3312 9.13928L20.227 9.81999L20.4311 10.1173Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M19.4281 13.8914L20.2749 13.4907L20.353 13.0857L19.5019 13.5122L19.4281 13.8914Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M5.62716 3.9176L5.30581 4.44322L5.90943 4.17179L6.16998 3.66772L5.62716 3.9176Z", fill: "#A80000" }),
        React.createElement("path", { d: "M15.7281 15.9594L16.9961 15.6535L17.235 15.619L15.9539 15.9378L15.7281 15.9594Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M16.3926 12.1164L17.1091 11.7717L17.057 12.1853L16.3405 12.5041L16.3926 12.1164Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M14.3647 14.5592L15.5589 14.3007L15.6979 14.6324L14.495 14.8909L14.3647 14.5592Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M4.0814 16.4505L4.19431 16.8081L3.94244 15.8387L3.8165 15.4467L4.0814 16.4505Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M17.8777 15.1709L18.9894 14.8348L19.1674 14.5634L18.047 14.9124L17.8777 15.1709Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M7.65952 20.9009L7.58136 20.9656L7.01682 20.7846L7.06893 20.7114L7.65952 20.9009Z", fill: "#0000CD" }),
        React.createElement("path", { d: "M15.3504 13.1805L16.3362 12.9005L16.3709 13.2968L15.3851 13.5639L15.3504 13.1805Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M18.3728 9.63906L18.4553 9.04883L18.2164 9.33748L18.1383 9.89325L18.3728 9.63906Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M3.23445 9.42364L3.3821 10.0742L3.61225 9.09621L3.46461 8.43274L3.23445 9.42364Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M11.3162 13.4691L11.3813 14.0981L11.2684 15.1795L11.2033 14.5548L11.3162 13.4691Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M15.9538 15.9378L17.2348 15.619L17.465 15.5285L16.1709 15.8559L15.9538 15.9378Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M20.2228 9.82002L20.327 9.13931L20.0882 8.89374L19.984 9.58306L20.2228 9.82002Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M20.3314 11.8277L20.8351 11.2848L20.7396 10.8626L20.2402 11.427L20.3314 11.8277Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M10.6083 9.07898L10.8471 9.49688L11.0555 10.6429L10.7993 10.2164L10.6083 9.07898Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M4.93684 18.5443L4.98027 18.7166L4.59378 17.9239L4.52864 17.7128L4.93684 18.5443Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M3.48197 13.8913L3.64265 14.404L3.56448 13.3528L3.39946 12.8099L3.48197 13.8913Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M14.2603 14.2016L15.4502 13.9431L15.5588 14.3006L14.3645 14.5591L14.2603 14.2016Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M10.808 17.6567L10.8341 18.1479L10.4433 18.9018L10.4085 18.4279L10.808 17.6567Z", fill: "#005CFF" }),
        React.createElement("path", { d: "M9.90029 6.61035L9.96977 6.95071L10.3302 7.98039L10.2086 7.63142L9.90029 6.61035Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M18.6289 9.44949L18.7158 8.8291L18.4552 9.04882L18.3727 9.63906L18.6289 9.44949Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M17.5087 10.6817L17.9256 10.2078L17.7476 10.5697L17.3394 11.0092L17.5087 10.6817Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M7.63347 3.39636L7.32949 3.73672L7.92008 4.05122L8.13721 3.71948L7.63347 3.39636Z", fill: "#890000" }),
        React.createElement("path", { d: "M19.5019 13.5122L20.3531 13.0856L20.3878 12.6677L19.5323 13.1201L19.5019 13.5122Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M19.988 9.58303L20.0922 8.89371L19.8316 8.72137L19.7317 9.4107L19.988 9.58303Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M16.4792 11.7458L17.2044 11.3753L17.1089 11.7717L16.3923 12.1163L16.4792 11.7458Z", fill: "#ADFF49" }),
        React.createElement("path", { d: "M18.0513 14.9124L19.1673 14.5592L19.315 14.2404L18.1902 14.6109L18.0513 14.9124Z", fill: "#2CFFCA" }),
        React.createElement("path", { d: "M15.3547 12.797L16.3405 12.504L16.3318 12.9004L15.346 13.1805L15.3547 12.797Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M13.7739 16.08L15.1592 15.7482L14.9464 15.563L13.5568 15.8904L13.7739 16.08Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M13.5568 15.8904L14.9464 15.5629L14.751 15.326L13.357 15.6491L13.5568 15.8904Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M18.9025 9.3288L18.9937 8.68256L18.7158 8.82904L18.6289 9.44943L18.9025 9.3288Z", fill: "#FFC400" }),
        React.createElement("path", { d: "M9.44457 20.3193L9.35772 20.5347L8.81924 20.8147L8.88438 20.6122L9.44457 20.3193Z", fill: "#0000ED" }),
        React.createElement("path", { d: "M16.1752 15.8558L17.4693 15.5284L17.6865 15.3776L16.3793 15.718L16.1752 15.8558Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M13.9998 16.2092L15.3808 15.8775L15.155 15.7482L13.7697 16.08L13.9998 16.2092Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M8.25022 20.9356L8.14165 20.9964L7.57712 20.966L7.65529 20.9009L8.25022 20.9356Z", fill: "#0000D1" }),
        React.createElement("path", { d: "M19.732 9.41076L19.8319 8.72143L19.5583 8.62665L19.4584 9.31166L19.732 9.41076Z", fill: "#FFC400" }),
        React.createElement("path", { d: "M14.1909 13.8267L15.3808 13.5682L15.4502 13.9473L14.2604 14.2058L14.1909 13.8267Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M13.3571 15.6534L14.7467 15.3303L14.573 15.0502L13.1791 15.369L13.3571 15.6534Z", fill: "#0FF8E7" }),
        React.createElement("path", { d: "M19.1804 9.28149L19.276 8.61371L18.9937 8.68264L18.9025 9.32888L19.1804 9.28149Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M20.2399 11.4269L20.7436 10.8582L20.609 10.4662L20.1053 11.0564L20.2399 11.4269Z", fill: "#CEFF29" }),
        React.createElement("path", { d: "M19.463 9.31161L19.5629 8.63091L19.2806 8.61798L19.1851 9.28576L19.463 9.31161Z", fill: "#FFBD00" }),
        React.createElement("path", { d: "M14.2341 16.2781L15.615 15.942L15.3848 15.8731L14.0039 16.2048L14.2341 16.2781Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M17.7127 10.4016L18.1383 9.89325L17.9298 10.2034L17.5129 10.6774L17.7127 10.4016Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M9.52676 5.68408L9.53544 6.01582L9.9697 6.95072L9.90022 6.61037L9.52676 5.68408Z", fill: "#FF2D00" }),
        React.createElement("path", { d: "M13.179 15.3691L14.573 15.0503L14.4253 14.7314L13.027 15.046L13.179 15.3691Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M3.71653 6.90326L3.79904 7.5452L4.22461 6.77832L4.1421 6.13208L3.71653 6.90326Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M11.0556 10.6429L11.2076 11.1728L11.3162 12.3317L11.1598 11.7975L11.0556 10.6429Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M8.14164 3.71948L7.92451 4.05122L8.49773 4.54667L8.63235 4.21924L8.14164 3.71948Z", fill: "#9B0000" }),
        React.createElement("path", { d: "M3.2562 11.1211L3.4299 11.7415L3.55584 10.7162L3.38214 10.0742L3.2562 11.1211Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M4.52859 17.7171L4.59373 17.9282L4.27238 17.0622L4.19421 16.8123L4.52859 17.7171Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M19.5365 13.1201L20.392 12.6678L20.3833 12.2455L19.5278 12.7195L19.5365 13.1201Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M14.4689 16.2911L15.8455 15.955L15.6153 15.9464L14.2344 16.2825L14.4689 16.2911Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M6.16578 3.66774L5.90522 4.17181L6.54358 4.08995L6.739 3.60742L6.16578 3.66774Z", fill: "#8D0000" }),
        React.createElement("path", { d: "M16.6097 11.4055L17.3436 11.0092L17.209 11.3754L16.4837 11.7459L16.6097 11.4055Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M18.1904 14.6151L19.3151 14.2446L19.428 13.8913L18.2946 14.279L18.1904 14.6151Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M16.3796 15.7137L17.6867 15.3734L17.8821 15.1666L16.5663 15.5155L16.3796 15.7137Z", fill: "#0FF8E7" }),
        React.createElement("path", { d: "M10.4434 18.9019L10.4086 19.2724L9.95698 19.8669L9.9787 19.5136L10.4434 18.9019Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M11.2684 15.1796L11.3335 15.7741L11.1208 16.765L11.0556 16.1877L11.2684 15.1796Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M15.4026 12.4223L16.3927 12.1121L16.3449 12.4998L15.3592 12.7928L15.4026 12.4223Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M3.81623 15.4467L3.94217 15.8387L3.77715 14.8392L3.64687 14.4041L3.81623 15.4467Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M6.45663 20.4572L6.40018 20.4141L5.89644 19.9747L5.92683 19.9962L6.45663 20.4572Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M14.1604 13.4433L15.3502 13.1848L15.385 13.5725L14.1951 13.831L14.1604 13.4433Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M5.92694 19.9961L5.89654 19.9746L5.42754 19.4188V19.4059L5.92694 19.9961Z", fill: "#0010FF" }),
        React.createElement("path", { d: "M13.0271 15.046L14.4254 14.7315L14.3082 14.3825L12.9055 14.6927L13.0271 15.046Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M20.1054 11.0565L20.6048 10.4706L20.4311 10.1216L19.9361 10.7247L20.1054 11.0565Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M9.1013 4.88275L9.0405 5.21018L9.53556 6.01583L9.52687 5.68409L9.1013 4.88275Z", fill: "#E80000" }),
        React.createElement("path", { d: "M8.6324 4.21924L8.49778 4.54667L9.04061 5.21014L9.1014 4.88271L8.6324 4.21924Z", fill: "#BB0000" }),
        React.createElement("path", { d: "M4.75437 4.89136L4.65015 5.50744L5.22337 5.04646L5.30588 4.4433L4.75437 4.89136Z", fill: "#D10000" }),
        React.createElement("path", { d: "M17.9387 10.1733L18.3729 9.63904L18.1341 9.89323L17.7085 10.4016L17.9387 10.1733Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M7.01257 20.7846L6.92572 20.7243L6.40027 20.4184L6.45672 20.4615L7.01257 20.7846Z", fill: "#0000F1" }),
        React.createElement("path", { d: "M10.3301 7.98041L10.5385 8.394L10.8468 9.49692L10.608 9.07902L10.3301 7.98041Z", fill: "#FF9F00" }),
        React.createElement("path", { d: "M14.6903 16.2351L16.0669 15.899L15.8411 15.9507L14.4645 16.2868L14.6903 16.2351Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M5.43186 19.4146V19.4275L5.00628 18.7683L4.98457 18.7166L5.43186 19.4146Z", fill: "#0038FF" }),
        React.createElement("path", { d: "M8.8191 20.8105L8.68882 20.8794L8.146 21.0001L8.25456 20.9397L8.8191 20.8105Z", fill: "#0000E3" }),
        React.createElement("path", { d: "M19.5278 12.7151L20.379 12.2455L20.3269 11.8276L19.4714 12.3188L19.5278 12.7151Z", fill: "#9DFF5A" }),
        React.createElement("path", { d: "M12.9056 14.6926L14.3082 14.3824L14.2213 14.0119L12.8187 14.3178L12.9056 14.6926Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M19.9358 10.7204L20.4309 10.1173L20.2225 9.82001L19.7317 10.4318L19.9358 10.7204Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M16.562 15.5155L17.8778 15.1708L18.0471 14.9166L16.7226 15.2742L16.562 15.5155Z", fill: "#1FFFD7" }),
        React.createElement("path", { d: "M16.7703 11.1039L17.5086 10.6816L17.3392 11.0091L16.6096 11.4054L16.7703 11.1039Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M12.3453 16.4461L13.7697 16.0799L13.5526 15.8947L12.1195 16.2522L12.3453 16.4461Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M18.2947 14.279L19.4281 13.8913L19.502 13.5121L18.3642 13.9128L18.2947 14.279Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M12.1236 16.2479L13.5567 15.8903L13.3569 15.6534L11.9152 16.0024L12.1236 16.2479Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M18.1905 10.0096L18.6334 9.44952L18.3729 9.63909L17.9429 10.1733L18.1905 10.0096Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M14.1646 13.0599L15.3545 12.7971L15.3458 13.1805L14.156 13.439L14.1646 13.0599Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M15.485 12.0689L16.4794 11.7458L16.3926 12.1163L15.4025 12.4265L15.485 12.0689Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M7.58136 20.9655L7.45977 20.8923L6.92563 20.72L7.01249 20.7803L7.58136 20.9655Z", fill: "#0000E8" }),
        React.createElement("path", { d: "M12.5843 16.5798L13.9999 16.2093L13.7741 16.08L12.3454 16.4462L12.5843 16.5798Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M3.40386 12.81L3.56888 13.3528L3.59059 12.3188L3.42557 11.7415L3.40386 12.81Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M11.9154 16.0024L13.3571 15.6534L13.1791 15.3691L11.7286 15.7051L11.9154 16.0024Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M14.9075 16.123L16.2797 15.7913L16.0669 15.9033L14.6903 16.2393L14.9075 16.123Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M11.3162 12.3318L11.3813 12.9651L11.377 14.0982L11.3118 13.4692L11.3162 12.3318Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M3.46472 8.43279L3.61237 9.09627L3.9424 8.21738L3.7991 7.54529L3.46472 8.43279Z", fill: "#FF9100" }),
        React.createElement("path", { d: "M9.95684 19.8669L9.85262 20.0995L9.35757 20.5304L9.44442 20.3149L9.95684 19.8669Z", fill: "#0008FF" }),
        React.createElement("path", { d: "M19.7365 10.4317L20.2272 9.81996L19.9927 9.58301L19.5107 10.2034L19.7365 10.4317Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M12.8229 16.6529L14.2342 16.2781L13.9997 16.2092L12.584 16.5797L12.8229 16.6529Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M11.1205 16.765L11.1422 17.2777L10.8382 18.148L10.8122 17.6568L11.1205 16.765Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M4.19423 16.808L4.27239 17.0579L4.02921 16.1359L3.93801 15.8386L4.19423 16.808Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M18.4511 9.91054L18.9027 9.32892L18.6291 9.44955L18.1862 10.0096L18.4511 9.91054Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M4.98473 18.7166L5.00644 18.7683L4.63732 18.023L4.5939 17.9282L4.98473 18.7166Z", fill: "#0064FF" }),
        React.createElement("path", { d: "M11.7287 15.7051L13.1791 15.3691L13.0271 15.046L11.568 15.3691L11.7287 15.7051Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M12.8185 14.3179L14.2211 14.012L14.169 13.6329L12.762 13.9301L12.8185 14.3179Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M6.73895 3.60742L6.54353 4.08995L7.19926 4.20196L7.32519 3.73667L6.73895 3.60742Z", fill: "#800000" }),
        React.createElement("path", { d: "M19.4758 12.3188L20.3313 11.8276L20.2401 11.4269L19.389 11.9353L19.4758 12.3188Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M19.5059 10.1992L19.988 9.57876L19.7317 9.40643L19.2541 10.0225L19.5059 10.1992Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M16.9613 10.8454L17.7082 10.3973L17.5041 10.6774L16.7659 11.0996L16.9613 10.8454Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M18.7244 9.88029L19.1847 9.28143L18.9068 9.32882L18.4551 9.91044L18.7244 9.88029Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M13.0661 16.6659L14.4688 16.2911L14.2386 16.2825L12.8273 16.6573L13.0661 16.6659Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M16.7226 15.2699L18.0471 14.9124L18.186 14.6108L16.8529 14.977L16.7226 15.2699Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M19.2586 10.0268L19.7363 9.41074L19.4627 9.31165L18.9937 9.92342L19.2586 10.0268Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M18.9938 9.91915L19.4628 9.31168L19.1848 9.28583L18.7245 9.88468L18.9938 9.91915Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M18.3642 13.9172L19.5019 13.5165L19.5367 13.1202L18.3946 13.5338L18.3642 13.9172Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M14.2082 12.6936L15.4024 12.4222L15.359 12.797L14.1691 13.0598L14.2082 12.6936Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M15.6021 11.7458L16.6052 11.4011L16.4793 11.7415L15.4849 12.0646L15.6021 11.7458Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M15.1028 15.9508L16.4751 15.619L16.2797 15.787L14.9074 16.1188L15.1028 15.9508Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M11.5678 15.369L13.0269 15.0459L12.9053 14.6926L11.4419 15.0028L11.5678 15.369Z", fill: "#2CFFCA" }),
        React.createElement("path", { d: "M9.96973 6.95068L10.1391 7.36428L10.5386 8.39396L10.3302 7.98036L9.96973 6.95068Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M10.8471 9.49689L10.9947 10.0268L11.2119 11.1728L11.0599 10.6429L10.8471 9.49689Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M8.14178 20.9966L7.98979 20.9227L7.46001 20.8923L7.5816 20.9662L8.14178 20.9966Z", fill: "#0000ED" }),
        React.createElement("path", { d: "M3.64709 14.404L3.77737 14.8391L3.70789 13.8266L3.57327 13.3527L3.64709 14.404Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M12.7665 13.9345L14.1735 13.6372L14.1604 13.2538L12.7534 13.5468L12.7665 13.9345Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M13.3006 16.6098L14.6902 16.235L14.4644 16.2867L13.0661 16.6615L13.3006 16.6098Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M4.13774 6.13211L4.22025 6.77836L4.72399 6.15796L4.64148 5.51172L4.13774 6.13211Z", fill: "#FF1A00" }),
        React.createElement("path", { d: "M19.3888 11.9354L20.2399 11.427L20.1096 11.0565L19.2628 11.5778L19.3888 11.9354Z", fill: "#CAFF2C" }),
        React.createElement("path", { d: "M6.4003 20.4141L6.34385 20.2461L5.87051 19.8368L5.89656 19.9747L6.4003 20.4141Z", fill: "#000CFF" }),
        React.createElement("path", { d: "M9.35748 20.5305L9.20114 20.6123L8.68872 20.8794L8.82334 20.8148L9.35748 20.5305Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M10.9644 16.8468L12.3453 16.4461L12.1195 16.2523L10.7212 16.6443L10.9644 16.8468Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M10.7256 16.64L12.1239 16.2479L11.9154 15.998L10.5041 16.3729L10.7256 16.64Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M5.89654 19.9789L5.87048 19.841L5.43188 19.324L5.42754 19.4274L5.89654 19.9789Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M17.1829 10.6429L17.9429 10.1733L17.7127 10.3973L16.9658 10.8454L17.1829 10.6429Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M5.30175 4.43896L5.21924 5.04212L5.84891 4.76208L5.90537 4.16754L5.30175 4.43896Z", fill: "#A40000" }),
        React.createElement("path", { d: "M11.2161 16.9933L12.584 16.584L12.3451 16.4504L10.9642 16.8511L11.2161 16.9933Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M10.8341 18.1479L10.7863 18.5443L10.4085 19.2724L10.4433 18.9019L10.8341 18.1479Z", fill: "#0064FF" }),
        React.createElement("path", { d: "M3.3821 10.0741L3.55581 10.7161L3.78162 9.76394L3.61226 9.10046L3.3821 10.0741Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M4.59362 17.9238L4.63705 18.0186L4.33741 17.2L4.27661 17.0579L4.59362 17.9238Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M11.4421 15.0029L12.9055 14.6927L12.8187 14.3179L11.3465 14.6151L11.4421 15.0029Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M10.5039 16.3772L11.9152 16.0024L11.7285 15.7051L10.3042 16.0627L10.5039 16.3772Z", fill: "#06ECF1" }),
        React.createElement("path", { d: "M6.9257 20.7243L6.83451 20.539L6.3438 20.246L6.40025 20.4141L6.9257 20.7243Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M16.8529 14.9814L18.1861 14.6152L18.2903 14.2791L16.9484 14.6539L16.8529 14.9814Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M18.3944 13.5338L19.5365 13.1202L19.5278 12.7195L18.3857 13.1503L18.3944 13.5338Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M7.33392 3.73676L7.20798 4.20205L7.86371 4.50363L7.92451 4.05557L7.33392 3.73676Z", fill: "#840000" }),
        React.createElement("path", { d: "M15.2764 15.7267L16.6443 15.3993L16.4706 15.6233L15.0984 15.9551L15.2764 15.7267Z", fill: "#19FFDE" }),
        React.createElement("path", { d: "M11.3813 14.0981L11.4464 14.7056L11.3378 15.7784L11.2727 15.1881L11.3813 14.0981Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M11.4724 17.0709L12.823 16.6573L12.5798 16.584L11.2162 16.9933L11.4724 17.0709Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M15.7586 11.4614L16.7704 11.0995L16.6097 11.4011L15.6066 11.7458L15.7586 11.4614Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M14.2864 12.3489L15.485 12.0689L15.4025 12.4222L14.2083 12.6936L14.2864 12.3489Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M5.42756 19.4231L5.4319 19.3197L5.03672 18.7036L5.00632 18.7682L5.42756 19.4231Z", fill: "#004CFF" }),
        React.createElement("path", { d: "M13.5223 16.4936L14.9075 16.123L14.6904 16.2351L13.3008 16.6099L13.5223 16.4936Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M10.3043 16.0627L11.7243 15.7051L11.5636 15.3691L10.1306 15.7051L10.3043 16.0627Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M19.2587 11.5777L20.1055 11.0564L19.9361 10.7204L19.0937 11.2503L19.2587 11.5777Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M9.53555 6.01575L9.65714 6.43365L10.1392 7.36423L9.96981 6.95064L9.53555 6.01575Z", fill: "#FF2900" }),
        React.createElement("path", { d: "M17.4173 10.5008L18.1859 10.0139L17.9341 10.1776L17.1741 10.6472L17.4173 10.5008Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M12.749 13.5424L14.1561 13.2495L14.1778 12.8746L12.7664 13.1633L12.749 13.5424Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M3.94241 15.8387L4.03361 16.136L3.87727 15.1838L3.77739 14.8392L3.94241 15.8387Z", fill: "#1FFFD7" }),
        React.createElement("path", { d: "M7.45977 20.8923L7.33818 20.6941L6.83445 20.5347L6.92564 20.72L7.45977 20.8923Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M11.7241 17.0837L13.0659 16.6658L12.8271 16.6572L11.4722 17.0708L11.7241 17.0837Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M11.3463 14.6151L12.8184 14.3178L12.7663 13.9301L11.2898 14.2101L11.3463 14.6151Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M8.6887 20.8794L8.50631 20.8105L7.98955 20.9225L8.14154 20.9957L8.6887 20.8794Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M10.1349 15.7095L11.5679 15.3734L11.442 15.0072L10.0003 15.3217L10.1349 15.7095Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M19.0936 11.2547L19.936 10.7248L19.7363 10.4361L18.9025 10.9703L19.0936 11.2547Z", fill: "#EEFF09" }),
        React.createElement("path", { d: "M7.92444 4.05115L7.86365 4.49921L8.50201 4.98174L8.49766 4.5466L7.92444 4.05115Z", fill: "#920000" }),
        React.createElement("path", { d: "M10.4082 19.2724L10.2866 19.5266L9.85239 20.0996L9.95661 19.8669L10.4082 19.2724Z", fill: "#0038FF" }),
        React.createElement("path", { d: "M17.6736 10.4189L18.4553 9.91052L18.1904 10.0096L17.4218 10.4964L17.6736 10.4189Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M18.386 13.146L19.5281 12.7195L19.476 12.3231L18.3382 12.7626L18.386 13.146Z", fill: "#9AFF5D" }),
        React.createElement("path", { d: "M5.00614 18.7683L5.03654 18.7037L4.69347 18.0014L4.64136 18.0186L5.00614 18.7683Z", fill: "#0074FF" }),
        React.createElement("path", { d: "M16.9526 14.654L18.2945 14.2791L18.364 13.9172L17.0178 14.2964L16.9526 14.654Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M9.70057 17.2819L10.9643 16.8467L10.7254 16.64L9.44436 17.0622L9.70057 17.2819Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M9.44436 17.0622L10.7254 16.64L10.504 16.3772L9.20552 16.7779L9.44436 17.0622Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M3.42979 11.7415L3.5948 12.3188L3.7164 11.3279L3.55572 10.7204L3.42979 11.7415Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M15.9409 11.2245L16.9657 10.8453L16.7746 11.0995L15.7628 11.4614L15.9409 11.2245Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M9.0405 5.20581L9.10564 5.62802L9.65715 6.42937L9.53556 6.01146L9.0405 5.20581Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M15.4242 15.4552L16.7921 15.1321L16.6445 15.4035L15.2766 15.7309L15.4242 15.4552Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M11.2074 11.1729L11.2769 11.8105L11.3855 12.9651L11.3204 12.3318L11.2074 11.1729Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M9.9698 17.4414L11.2161 16.9933L10.9643 16.8469L9.70056 17.282L9.9698 17.4414Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M13.7218 16.3169L15.1027 15.955L14.9073 16.1273L13.522 16.4978L13.7218 16.3169Z", fill: "#09F0EE" }),
        React.createElement("path", { d: "M14.3948 12.0301L15.6021 11.7458L15.4848 12.0689L14.2863 12.3446L14.3948 12.0301Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M8.49778 4.54663L8.50212 4.98177L9.10575 5.63232L9.04061 5.21011L8.49778 4.54663Z", fill: "#B20000" }),
        React.createElement("path", { d: "M11.9717 17.0235L13.2962 16.6099L13.0617 16.6659L11.7198 17.0838L11.9717 17.0235Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M9.20556 16.7779L10.504 16.3772L10.3042 16.0627L8.98843 16.4376L9.20556 16.7779Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M18.9025 10.9703L19.7363 10.4317L19.5061 10.1991L18.681 10.7376L18.9025 10.9703Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M3.79893 7.54519L3.94223 8.22159L4.36346 7.46334L4.2245 6.77832L3.79893 7.54519Z", fill: "#FF5200" }),
        React.createElement("path", { d: "M17.9297 10.4016L18.7201 9.88031L18.4508 9.91047L17.6692 10.4188L17.9297 10.4016Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M10.5388 8.39398L10.6734 8.92821L10.9948 10.0311L10.8471 9.50121L10.5388 8.39398Z", fill: "#FF9F00" }),
        React.createElement("path", { d: "M4.27678 17.0579L4.33757 17.2001L4.10742 16.3298L4.03359 16.1359L4.27678 17.0579Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M6.3439 20.2461L6.33522 19.9704L5.89662 19.5912L5.8749 19.8368L6.3439 20.2461Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M10.2477 17.5275L11.4723 17.0708L11.216 16.9933L9.96973 17.4413L10.2477 17.5275Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M12.7708 13.1633L14.1822 12.8746L14.2429 12.517L12.8316 12.7971L12.7708 13.1633Z", fill: "#9AFF5D" }),
        React.createElement("path", { d: "M11.3334 15.774L11.3508 16.3083L11.1424 17.2776L11.1207 16.765L11.3334 15.774Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M5.87053 19.8411L5.89225 19.5955L5.48839 19.113L5.43193 19.3241L5.87053 19.8411Z", fill: "#0040FF" }),
        React.createElement("path", { d: "M11.2901 14.2144L12.7666 13.9344L12.7492 13.5466L11.2727 13.8094L11.2901 14.2144Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M10.0001 15.3173L11.4419 15.0028L11.3463 14.6151L9.8959 14.9037L10.0001 15.3173Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M18.681 10.7377L19.5061 10.1992L19.2586 10.0269L18.4422 10.5654L18.681 10.7377Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M18.1903 10.4533L18.9937 9.92336L18.7245 9.88458L17.9298 10.4059L18.1903 10.4533Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M7.98961 20.9225L7.83328 20.7243L7.33389 20.6984L7.45548 20.8966L7.98961 20.9225Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M18.4422 10.5653L19.2586 10.0268L18.9937 9.91907L18.1904 10.4533L18.4422 10.5653Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M8.98844 16.4375L10.3042 16.0627L10.1349 15.7051L8.80606 16.0541L8.98844 16.4375Z", fill: "#0FF8E7" }),
        React.createElement("path", { d: "M6.83441 20.5347L6.79098 20.2418L6.33501 19.9747L6.34369 20.2504L6.83441 20.5347Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M5.9096 4.17182L5.85315 4.76637L6.51756 4.67159L6.54796 4.08997L5.9096 4.17182Z", fill: "#890000" }),
        React.createElement("path", { d: "M9.85251 20.0995L9.67012 20.1986L9.20112 20.6079L9.35746 20.5261L9.85251 20.0995Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M18.3381 12.7583L19.4802 12.3189L19.389 11.9354L18.2512 12.3835L18.3381 12.7583Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M16.1451 11.0349L17.1786 10.6429L16.9615 10.8454L15.9366 11.2245L16.1451 11.0349Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M5.43182 19.3198L5.48828 19.1086L5.11916 18.5356L5.03665 18.7037L5.43182 19.3198Z", fill: "#0060FF" }),
        React.createElement("path", { d: "M17.0177 14.2963L18.3639 13.9172L18.3943 13.5381L17.0437 13.9258L17.0177 14.2963Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M10.5213 17.5405L11.7285 17.0838L11.4723 17.0709L10.2477 17.5275L10.5213 17.5405Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M3.56909 13.3528L3.70371 13.8267L3.72543 12.8315L3.5908 12.3145L3.56909 13.3528Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M12.2064 16.8985L13.5222 16.4893L13.3008 16.6056L11.9763 17.0192L12.2064 16.8985Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M8.61503 17.7516L9.70068 17.2863L9.44446 17.0623L8.33276 17.506L8.61503 17.7516Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M15.5415 15.1408L16.9094 14.822L16.7921 15.1322L15.4242 15.4553L15.5415 15.1408Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M13.9042 16.08L15.2764 15.7267L15.1027 15.9507L13.7218 16.3126L13.9042 16.08Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M8.33272 17.5059L9.44442 17.0622L9.20558 16.7778L8.07217 17.1957L8.33272 17.5059Z", fill: "#00C0FF" }),
        React.createElement("path", { d: "M4.63728 18.0186L4.68939 18.0014L4.40712 17.2345L4.3333 17.2001L4.63728 18.0186Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M14.5427 11.7544L15.7586 11.4614L15.6067 11.7458L14.3994 12.0301L14.5427 11.7544Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M4.64575 5.50743L4.72826 6.15368L5.30148 5.697L5.22332 5.04645L4.64575 5.50743Z", fill: "#D10000" }),
        React.createElement("path", { d: "M8.90585 17.9196L9.96978 17.4414L9.70054 17.2863L8.61489 17.7516L8.90585 17.9196Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M8.80599 16.0541L10.1348 15.7051L10.0002 15.313L8.654 15.6319L8.80599 16.0541Z", fill: "#23FFD4" }),
        React.createElement("path", { d: "M7.33838 20.6984L7.26021 20.3925L6.79556 20.246L6.83898 20.539L7.33838 20.6984Z", fill: "#0010FF" }),
        React.createElement("path", { d: "M8.07205 17.1958L9.20546 16.7779L8.99268 16.4375L7.84189 16.8252L8.07205 17.1958Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M9.90044 14.9037L11.3509 14.6151L11.2944 14.2144L9.83965 14.4772L9.90044 14.9037Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M9.20116 20.6123L8.99272 20.5563L8.50635 20.8105L8.68874 20.8794L9.20116 20.6123Z", fill: "#0008FF" }),
        React.createElement("path", { d: "M11.2727 13.8094L12.7492 13.5466L12.7709 13.1632L11.2944 13.4131L11.2727 13.8094Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M12.8314 12.797L14.2428 12.517L14.3383 12.1852L12.927 12.461L12.8314 12.797Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M18.2511 12.3835L19.3888 11.9354L19.2586 11.5778L18.1295 12.0302L18.2511 12.3835Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M9.20984 18.0143L10.2477 17.5275L9.97414 17.4413L8.9102 17.9195L9.20984 18.0143Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M16.3707 10.9057L17.4173 10.4964L17.1785 10.6386L16.1449 11.0306L16.3707 10.9057Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M11.138 17.2776L11.0815 17.6998L10.7862 18.5442L10.834 18.1479L11.138 17.2776Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M10.7862 17.4759L11.9761 17.0235L11.7285 17.0795L10.5256 17.5405L10.7862 17.4759Z", fill: "#00C0FF" }),
        React.createElement("path", { d: "M6.33504 19.9746L6.42623 19.6127L6.02237 19.2637L5.89644 19.5955L6.33504 19.9746Z", fill: "#0040FF" }),
        React.createElement("path", { d: "M5.03666 18.7037L5.11917 18.54L4.79782 17.8851L4.68926 18.0015L5.03666 18.7037Z", fill: "#0088FF" }),
        React.createElement("path", { d: "M3.77739 14.8391L3.87727 15.1838L3.80779 14.223L3.70356 13.831L3.77739 14.8391Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M5.89639 19.5955L6.02232 19.2638L5.64452 18.82L5.48818 19.1173L5.89639 19.5955Z", fill: "#0058FF" }),
        React.createElement("path", { d: "M3.61238 9.09617L3.78174 9.75964L4.10743 8.9023L3.94676 8.21729L3.61238 9.09617Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M7.8377 16.8295L8.98848 16.4418L8.80609 16.0583L7.63359 16.4116L7.8377 16.8295Z", fill: "#06ECF1" }),
        React.createElement("path", { d: "M7.73757 18.2341L8.61044 17.7516L8.32817 17.5103L7.42925 17.967L7.73757 18.2341Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M12.4191 16.7132L13.7218 16.3168L13.5177 16.4935L12.2019 16.9028L12.4191 16.7132Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M7.42933 17.9669L8.33259 17.5059L8.07203 17.1957L7.14272 17.6266L7.42933 17.9669Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M11.3856 12.965L11.4507 13.5854L11.4464 14.7056L11.3813 14.0981L11.3856 12.965Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M6.79115 20.2417L6.84326 19.8583L6.42203 19.6127L6.33084 19.9746L6.79115 20.2417Z", fill: "#0034FF" }),
        React.createElement("path", { d: "M17.0439 13.9215L18.3945 13.5337L18.3858 13.146L17.0353 13.5337L17.0439 13.9215Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M8.50621 20.8104L8.31513 20.6166L7.83311 20.7243L7.98944 20.9225L8.50621 20.8104Z", fill: "#0008FF" }),
        React.createElement("path", { d: "M8.65402 15.6362L10.0002 15.3174L9.90034 14.9038L8.54546 15.1882L8.65402 15.6362Z", fill: "#39FFBE" }),
        React.createElement("path", { d: "M10.1394 7.36432L10.2566 7.89855L10.6735 8.92823L10.5389 8.394L10.1394 7.36432Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M8.05909 18.4193L8.90589 17.9196L8.6106 17.7473L7.73774 18.2298L8.05909 18.4193Z", fill: "#0094FF" }),
        React.createElement("path", { d: "M14.712 11.5261L15.941 11.2202L15.7586 11.4572L14.5427 11.7501L14.712 11.5261Z", fill: "#E1FF16" }),
        React.createElement("path", { d: "M14.0518 15.7956L15.4241 15.4509L15.2764 15.7223L13.9042 16.0756L14.0518 15.7956Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M15.6193 14.7918L16.9915 14.4773L16.909 14.822L15.5411 15.1408L15.6193 14.7918Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M5.48816 19.113L5.6445 18.8157L5.30143 18.2858L5.11904 18.5357L5.48816 19.113Z", fill: "#0074FF" }),
        React.createElement("path", { d: "M9.50516 18.0273L10.5213 17.5405L10.2477 17.5275L9.20552 18.0144L9.50516 18.0273Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M18.1252 12.0302L19.2586 11.5778L19.0936 11.2547L17.9689 11.7114L18.1252 12.0302Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M7.14713 17.6266L8.07644 17.1958L7.84194 16.8296L6.89092 17.2216L7.14713 17.6266Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M16.6096 10.841L17.6692 10.4188L17.4174 10.5007L16.3708 10.91L16.6096 10.841Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M4.03348 16.136L4.10731 16.3298L3.95966 15.4294L3.87715 15.1838L4.03348 16.136Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M7.83323 20.7243L7.72032 20.4142L7.25566 20.3883L7.33383 20.6942L7.83323 20.7243Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M9.83499 14.4772L11.2898 14.2144L11.2724 13.8094L9.81328 14.0507L9.83499 14.4772Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M6.54778 4.08997L6.51738 4.67158L7.20351 4.77067V4.19767L6.54778 4.08997Z", fill: "#800000" }),
        React.createElement("path", { d: "M6.42202 19.6127L6.66087 19.1862L6.29175 18.863L6.01816 19.2637L6.42202 19.6127Z", fill: "#005CFF" }),
        React.createElement("path", { d: "M7.09077 18.7165L7.73782 18.2297L7.42949 17.9626L6.75205 18.4236L7.09077 18.7165Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M6.01804 19.2637L6.29162 18.8674L5.94422 18.4581L5.64023 18.82L6.01804 19.2637Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M7.63338 16.4073L8.80587 16.054L8.65388 15.6318L7.46836 15.9506L7.63338 16.4073Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M6.75204 18.4237L7.42948 17.9627L7.14287 17.6224L6.43938 18.0489L6.75204 18.4237Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M8.38907 18.5227L9.20983 18.0143L8.91019 17.9196L8.06338 18.4193L8.38907 18.5227Z", fill: "#0094FF" }),
        React.createElement("path", { d: "M7.25582 20.3882L7.27319 19.9919L6.84327 19.854L6.79116 20.2374L7.25582 20.3882Z", fill: "#002CFF" }),
        React.createElement("path", { d: "M10.9904 10.0269L11.0598 10.6688L11.277 11.8105L11.2075 11.1729L10.9904 10.0269Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M11.0381 17.3423L12.2106 16.8985L11.9761 17.0234L10.7862 17.4758L11.0381 17.3423Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M10.7862 18.5443L10.6516 18.8243L10.2868 19.5266L10.4084 19.2724L10.7862 18.5443Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M11.2942 13.4131L12.7707 13.1632L12.8315 12.8013L11.355 13.0383L11.2942 13.4131Z", fill: "#9AFF5D" }),
        React.createElement("path", { d: "M12.9229 12.461L14.3342 12.1852L14.4645 11.8879L13.0531 12.1594L12.9229 12.461Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M6.66062 19.1862L7.09054 18.7165L6.75182 18.4236L6.2915 18.863L6.66062 19.1862Z", fill: "#0074FF" }),
        React.createElement("path", { d: "M7.44679 18.9234L8.06343 18.4194L7.74208 18.2298L7.09504 18.7166L7.44679 18.9234Z", fill: "#0080FF" }),
        React.createElement("path", { d: "M6.84325 19.8584L7.04735 19.4103L6.66086 19.1863L6.42202 19.6128L6.84325 19.8584Z", fill: "#004CFF" }),
        React.createElement("path", { d: "M4.33763 17.2001L4.41145 17.2346L4.19867 16.4203L4.11182 16.3298L4.33763 17.2001Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M17.9689 11.7114L19.0936 11.2547L18.9025 10.9747L17.7865 11.4313L17.9689 11.7114Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M6.29179 18.8631L6.75211 18.4237L6.43944 18.0532L5.94873 18.4581L6.29179 18.8631Z", fill: "#0084FF" }),
        React.createElement("path", { d: "M16.8572 10.8367L17.9298 10.4016L17.6692 10.4188L16.6096 10.8411L16.8572 10.8367Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M6.88651 17.2216L7.83754 16.8296L7.63343 16.4117L6.66504 16.765L6.88651 17.2216Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M6.43925 18.0532L7.14275 17.6267L6.88653 17.2217L6.15264 17.6094L6.43925 18.0532Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M5.64453 18.8157L5.94851 18.4538L5.63585 17.9713L5.30581 18.2858L5.64453 18.8157Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M4.69363 18.0014L4.80219 17.8851L4.54163 17.1743L4.4157 17.2346L4.69363 18.0014Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M7.04714 19.4102L7.44232 18.9234L7.09056 18.7166L6.66064 19.1862L7.04714 19.4102Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M17.0351 13.5338L18.3857 13.146L18.3379 12.7583L16.9874 13.146L17.0351 13.5338Z", fill: "#9AFF5D" }),
        React.createElement("path", { d: "M5.11915 18.5356L5.30154 18.2857L5.00625 17.6826L4.7978 17.8807L5.11915 18.5356Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M12.6057 16.4635L13.8998 16.08L13.7218 16.3127L12.419 16.709L12.6057 16.4635Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M9.79183 17.9626L10.7863 17.4801L10.5214 17.5447L9.50522 18.0359L9.79183 17.9626Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M3.55591 10.7161L3.71658 11.3236L3.93805 10.3973L3.78172 9.75964L3.55591 10.7161Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M8.54556 15.1882L9.90044 14.9038L9.83965 14.4773L8.48042 14.7272L8.54556 15.1882Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M14.9072 11.3538L16.1449 11.035L15.9364 11.2202L14.7075 11.5261L14.9072 11.3538Z", fill: "#EEFF09" }),
        React.createElement("path", { d: "M17.7821 11.427L18.9025 10.9703L18.6853 10.7377L17.578 11.1943L17.7821 11.427Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M5.94856 18.4581L6.44362 18.0531L6.16135 17.6094L5.64023 17.9713L5.94856 18.4581Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M17.1048 10.8928L18.1904 10.449L17.9299 10.4016L16.8573 10.8367L17.1048 10.8928Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M7.80292 19.0354L8.38917 18.5227L8.06347 18.4193L7.44683 18.9234L7.80292 19.0354Z", fill: "#007CFF" }),
        React.createElement("path", { d: "M8.71493 18.54L9.50528 18.0273L9.20564 18.0143L8.38923 18.5227L8.71493 18.54Z", fill: "#0094FF" }),
        React.createElement("path", { d: "M10.2869 19.5265L10.0828 19.6557L9.67024 20.2029L9.85263 20.1038L10.2869 19.5265Z", fill: "#0044FF" }),
        React.createElement("path", { d: "M4.22036 6.77402L4.35932 7.45904L4.85872 6.84726L4.7241 6.15363L4.22036 6.77402Z", fill: "#FF1E00" }),
        React.createElement("path", { d: "M15.663 14.4169L17.0353 14.1068L16.9919 14.473L15.624 14.7875L15.663 14.4169Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M7.27315 19.9962L7.44251 19.5352L7.04734 19.4103L6.84324 19.8583L7.27315 19.9962Z", fill: "#0048FF" }),
        React.createElement("path", { d: "M17.5735 11.1944L18.6809 10.7377L18.442 10.561L17.3477 11.0134L17.5735 11.1944Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M14.169 15.4725L15.5369 15.1407L15.4197 15.4553L14.0474 15.7999L14.169 15.4725Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M17.3479 11.0134L18.4422 10.5611L18.1903 10.449L17.1047 10.8928L17.3479 11.0134Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M7.47284 15.9507L8.65836 15.6319L8.5498 15.1838L7.35124 15.4596L7.47284 15.9507Z", fill: "#36FFC1" }),
        React.createElement("path", { d: "M7.44254 19.5351L7.80298 19.0354L7.44254 18.9233L7.04736 19.4102L7.44254 19.5351Z", fill: "#0064FF" }),
        React.createElement("path", { d: "M6.1528 17.6094L6.8867 17.2217L6.66523 16.765L5.90962 17.1054L6.1528 17.6094Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M9.65728 6.43365L9.75715 6.97219L10.2566 7.89847L10.1393 7.36424L9.65728 6.43365Z", fill: "#FF2900" }),
        React.createElement("path", { d: "M9.81328 14.0464L11.2724 13.8051L11.2941 13.4088L9.83499 13.6242L9.81328 14.0464Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M7.72032 20.4141L7.69861 20.0177L7.27303 19.9962L7.25566 20.3925L7.72032 20.4141Z", fill: "#0030FF" }),
        React.createElement("path", { d: "M6.66511 16.7649L7.63784 16.4116L7.47283 15.955L6.48706 16.2652L6.66511 16.7649Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M11.4419 14.7013L11.4549 15.2571L11.3463 16.304L11.329 15.7741L11.4419 14.7013Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M5.30157 18.2858L5.6316 17.9713L5.36236 17.4198L5.00193 17.6869L5.30157 18.2858Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M9.67027 20.1987L9.43577 20.1686L8.99282 20.5563L9.20127 20.608L9.67027 20.1987Z", fill: "#002CFF" }),
        React.createElement("path", { d: "M5.22363 5.0464L5.3018 5.69695L5.93148 5.41691L5.84897 4.76636L5.22363 5.0464Z", fill: "#A80000" }),
        React.createElement("path", { d: "M11.2638 17.1398L12.4189 16.709L12.2061 16.8985L11.0336 17.3423L11.2638 17.1398Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M7.20359 4.19775V4.77076L7.88972 5.05941L7.86367 4.49933L7.20359 4.19775Z", fill: "#800000" }),
        React.createElement("path", { d: "M8.31527 20.6166L8.16328 20.315L7.71599 20.4141L7.8289 20.7243L8.31527 20.6166Z", fill: "#0020FF" }),
        React.createElement("path", { d: "M13.0529 12.1595L14.4643 11.888L14.6206 11.6339L13.2093 11.901L13.0529 12.1595Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M5.63591 17.9713L6.15702 17.6094L5.9095 17.1053L5.36667 17.4199L5.63591 17.9713Z", fill: "#00C0FF" }),
        React.createElement("path", { d: "M8.99262 20.5562L8.77115 20.3796L8.31519 20.6165L8.50626 20.8104L8.99262 20.5562Z", fill: "#0020FF" }),
        React.createElement("path", { d: "M11.3509 13.034L12.8274 12.797L12.9229 12.461L11.4465 12.6807L11.3509 13.034Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M16.9875 13.146L18.338 12.7582L18.2512 12.3834L16.905 12.7712L16.9875 13.146Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M3.59062 12.3188L3.72524 12.8358L3.84249 11.8837L3.71222 11.3279L3.59062 12.3188Z", fill: "#CEFF29" }),
        React.createElement("path", { d: "M8.16327 19.0569L8.71912 18.5399L8.39343 18.5227L7.80718 19.0354L8.16327 19.0569Z", fill: "#007CFF" }),
        React.createElement("path", { d: "M15.1202 11.2331L16.3709 10.9056L16.1451 11.0349L14.9074 11.3494L15.1202 11.2331Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M10.0653 17.8163L11.0381 17.3423L10.7862 17.4759L9.79175 17.9584L10.0653 17.8163Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M4.8021 17.8852L5.01054 17.6827L4.76736 17.0235L4.53721 17.17L4.8021 17.8852Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M9.03193 18.4667L9.79622 17.9626L9.50961 18.0272L8.71926 18.5399L9.03193 18.4667Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M8.47615 14.7272L9.83538 14.4773L9.81367 14.0464L8.4501 14.2619L8.47615 14.7272Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M7.69881 20.0177L7.82909 19.5568L7.43826 19.5352L7.27324 19.9962L7.69881 20.0177Z", fill: "#004CFF" }),
        React.createElement("path", { d: "M12.7667 16.1617L14.0521 15.7955L13.9001 16.0799L12.606 16.4633L12.7667 16.1617Z", fill: "#23FFD4" }),
        React.createElement("path", { d: "M7.83326 19.5567L8.15895 19.057L7.80286 19.0397L7.44243 19.5395L7.83326 19.5567Z", fill: "#0064FF" }),
        React.createElement("path", { d: "M5.90943 17.1053L6.66504 16.765L6.48265 16.2609L5.70967 16.5539L5.90943 17.1053Z", fill: "#09F0EE" }),
        React.createElement("path", { d: "M9.10576 5.63232L9.18393 6.17948L9.75715 6.97651L9.65727 6.43797L9.10576 5.63232Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M15.6715 14.0292L17.0438 13.7276L17.0351 14.111L15.6628 14.4212L15.6715 14.0292Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M4.41134 17.2345L4.53728 17.1742L4.33752 16.416L4.19421 16.4203L4.41134 17.2345Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M3.70356 13.831L3.80779 14.2231L3.8295 13.2753L3.72528 12.8358L3.70356 13.831Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M7.86365 4.49933L7.8897 5.05941L8.55411 5.53332L8.502 4.98186L7.86365 4.49933Z", fill: "#920000" }),
        React.createElement("path", { d: "M14.2516 15.1063L15.6196 14.7875L15.5371 15.1364L14.1691 15.4682L14.2516 15.1063Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M7.34701 15.4638L8.54557 15.1881L8.47608 14.7271L7.26885 14.9641L7.34701 15.4638Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M6.48276 16.2609L7.46853 15.9507L7.34694 15.4639L6.3438 15.731L6.48276 16.2609Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M16.9049 12.7711L18.2511 12.3834L18.1295 12.0301L16.7876 12.4178L16.9049 12.7711Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M4.10741 16.3298L4.19426 16.4203L4.0553 15.5759L3.95977 15.4294L4.10741 16.3298Z", fill: "#2CFFCA" }),
        React.createElement("path", { d: "M5.00627 17.6869L5.36236 17.4198L5.14089 16.8167L4.76309 17.0278L5.00627 17.6869Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M3.8772 15.1839L3.95971 15.4294L3.89457 14.5204L3.80771 14.2188L3.8772 15.1839Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M8.50217 4.98181L8.55428 5.53327L9.18396 6.17521L9.10579 5.62805L8.50217 4.98181Z", fill: "#B20000" }),
        React.createElement("path", { d: "M5.36666 17.4198L5.90948 17.1053L5.70973 16.5538L5.14519 16.8166L5.36666 17.4198Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M15.3459 11.1771L16.6096 10.8411L16.3708 10.91L15.1201 11.2374L15.3459 11.1771Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M9.83525 13.6286L11.2944 13.4132L11.3552 13.0341L9.89605 13.2279L9.83525 13.6286Z", fill: "#9DFF5A" }),
        React.createElement("path", { d: "M13.2094 11.9052L14.6207 11.6381L14.8031 11.4356L13.3918 11.7027L13.2094 11.9052Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M11.4681 16.8727L12.6102 16.4634L12.4234 16.7133L11.2683 17.1441L11.4681 16.8727Z", fill: "#09F0EE" }),
        React.createElement("path", { d: "M11.3508 16.304L11.29 16.7564L11.0859 17.6956L11.1424 17.2734L11.3508 16.304Z", fill: "#06ECF1" }),
        React.createElement("path", { d: "M8.16768 20.315L8.11557 19.9229L7.70303 20.0134L7.7204 20.4098L8.16768 20.315Z", fill: "#003CFF" }),
        React.createElement("path", { d: "M8.50615 18.9752L9.0316 18.4668L8.71459 18.54L8.15874 19.057L8.50615 18.9752Z", fill: "#0088FF" }),
        React.createElement("path", { d: "M11.2771 11.8105L11.3422 12.4481L11.4465 13.5855L11.3813 12.9651L11.2771 11.8105Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M10.6733 8.92822L10.7428 9.57446L11.0641 10.6731L10.9946 10.0311L10.6733 8.92822Z", fill: "#FF9F00" }),
        React.createElement("path", { d: "M11.4463 12.685L12.9228 12.4653L13.053 12.1637L11.5766 12.3748L11.4463 12.685Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M3.94241 8.21739L4.10308 8.9024L4.51563 8.16569L4.35929 7.46344L3.94241 8.21739Z", fill: "#FF5900" }),
        React.createElement("path", { d: "M10.313 17.5964L11.264 17.1397L11.0339 17.3422L10.0611 17.8161L10.313 17.5964Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M16.7834 12.4178L18.1253 12.0301L17.969 11.707L16.6358 12.0904L16.7834 12.4178Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M9.32723 18.3073L10.0655 17.8162L9.79623 17.9626L9.03193 18.4667L9.32723 18.3073Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M15.5805 11.1815L16.8572 10.8368L16.6097 10.8411L15.346 11.1771L15.5805 11.1815Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M8.21091 19.4706L8.50621 18.9751L8.1588 19.0526L7.83311 19.5524L8.21091 19.4706Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M8.11558 19.9272L8.21546 19.4749L7.83765 19.561L7.70303 20.022L8.11558 19.9272Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M8.4501 14.2661L9.81367 14.0507L9.83538 13.6285L8.47181 13.8137L8.4501 14.2661Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M15.6413 13.6372L17.0179 13.3399L17.0483 13.7277L15.676 14.0292L15.6413 13.6372Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M5.70966 16.5538L6.48264 16.2609L6.34802 15.731L5.56201 15.9722L5.70966 16.5538Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M12.888 15.8171L14.169 15.4725L14.0518 15.7999L12.7664 16.1618L12.888 15.8171Z", fill: "#39FFBE" }),
        React.createElement("path", { d: "M8.77115 20.3796L8.58876 20.0953L8.16753 20.315L8.31952 20.6166L8.77115 20.3796Z", fill: "#0038FF" }),
        React.createElement("path", { d: "M4.53724 17.1743L4.76739 17.0278L4.585 16.3298L4.33748 16.416L4.53724 17.1743Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M14.2996 14.7186L15.6675 14.417L15.6241 14.7918L14.2562 15.1106L14.2996 14.7186Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M11.0817 17.6998L10.934 18.0143L10.6518 18.8286L10.7864 18.5486L11.0817 17.6998Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M16.6356 12.0948L17.9688 11.7114L17.7821 11.4313L16.4576 11.8105L16.6356 12.0948Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M7.26892 14.9641L8.47616 14.7271L8.45011 14.2618L7.23853 14.46L7.26892 14.9641Z", fill: "#6AFF8D" }),
        React.createElement("path", { d: "M15.8149 11.2504L17.1047 10.8928L16.8572 10.8325L15.5804 11.1771L15.8149 11.2504Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M6.34803 15.7309L7.35117 15.4681L7.273 14.9684L6.26118 15.1838L6.34803 15.7309Z", fill: "#49FFAD" }),
        React.createElement("path", { d: "M13.3961 11.6984L14.8075 11.4313L15.0116 11.2848L13.6002 11.5476L13.3961 11.6984Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M5.84875 4.76204L5.92692 5.4169L6.59568 5.32643L6.51751 4.67157L5.84875 4.76204Z", fill: "#8D0000" }),
        React.createElement("path", { d: "M9.43575 20.1685L9.18388 20.0177L8.77134 20.3839L8.99281 20.5605L9.43575 20.1685Z", fill: "#0040FF" }),
        React.createElement("path", { d: "M5.14519 16.8167L5.70973 16.5539L5.55774 15.968L4.98018 16.1748L5.14519 16.8167Z", fill: "#1FFFD7" }),
        React.createElement("path", { d: "M4.7675 17.0277L5.1453 16.8166L4.98028 16.1747L4.58511 16.3298L4.7675 17.0277Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M16.4576 11.8062L17.7821 11.427L17.5737 11.1944L16.2579 11.5649L16.4576 11.8062Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M9.89172 13.2278L11.3508 13.034L11.4464 12.685L9.9916 12.8573L9.89172 13.2278Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M16.0407 11.3797L17.3435 11.0135L17.1046 10.8928L15.8149 11.2504L16.0407 11.3797Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M10.6515 18.8243L10.4301 18.9837L10.0827 19.6515L10.2868 19.5222L10.6515 18.8243Z", fill: "#007CFF" }),
        React.createElement("path", { d: "M16.258 11.5692L17.5738 11.1986L17.3479 11.0177L16.0452 11.3839L16.258 11.5692Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M11.633 16.5496L12.7664 16.1619L12.6058 16.4634L11.4636 16.8727L11.633 16.5496Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M10.0828 19.6558H9.82223L9.4314 20.1728L9.6659 20.203L10.0828 19.6558Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M4.72837 6.1537L4.86299 6.84733L5.43186 6.39927L5.30158 5.69702L4.72837 6.1537Z", fill: "#D60000" }),
        React.createElement("path", { d: "M8.83204 18.8028L9.3271 18.3074L9.0318 18.4668L8.50635 18.9752L8.83204 18.8028Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M11.581 12.3705L13.0531 12.1594L13.2095 11.9009L11.7417 12.0991L11.581 12.3705Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M3.78179 9.75963L3.93812 10.3973L4.25079 9.56576L4.10748 8.90228L3.78179 9.75963Z", fill: "#FF9C00" }),
        React.createElement("path", { d: "M4.19409 16.4202L4.33739 16.4159L4.20712 15.6318L4.05513 15.5758L4.19409 16.4202Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M15.5719 13.2495L16.9485 12.9565L17.0136 13.3399L15.637 13.6372L15.5719 13.2495Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M8.58901 20.0952L8.50216 19.7204L8.11567 19.9272L8.16778 20.3192L8.58901 20.0952Z", fill: "#0050FF" }),
        React.createElement("path", { d: "M10.5301 17.3078L11.4637 16.877L11.264 17.1441L10.3129 17.5964L10.5301 17.3078Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M9.59649 18.0703L10.313 17.5964L10.0655 17.8162L9.32725 18.3073L9.59649 18.0703Z", fill: "#00C0FF" }),
        React.createElement("path", { d: "M13.6047 11.5476L15.016 11.2848L15.2375 11.1987L13.8305 11.4615L13.6047 11.5476Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M8.46724 13.8095L9.83081 13.6242L9.89161 13.2236L8.52803 13.3744L8.46724 13.8095Z", fill: "#A0FF56" }),
        React.createElement("path", { d: "M12.975 15.4294L14.2517 15.1063L14.1692 15.4725L12.8881 15.8171L12.975 15.4294Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M8.56713 19.281L8.83202 18.8027L8.50633 18.9751L8.21103 19.4705L8.56713 19.281Z", fill: "#0080FF" }),
        React.createElement("path", { d: "M5.55779 15.9723L6.3438 15.731L6.25694 15.1796L5.46226 15.3648L5.55779 15.9723Z", fill: "#46FFB1" }),
        React.createElement("path", { d: "M11.4462 13.5854L11.4593 14.1671L11.4549 15.2614L11.4419 14.7056L11.4462 13.5854Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M14.3037 14.3178L15.6716 14.0334L15.663 14.4212L14.295 14.7228L14.3037 14.3178Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M8.50211 19.7204L8.56725 19.2809L8.21116 19.4705L8.11128 19.9229L8.50211 19.7204Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M3.95987 15.4294L4.0554 15.5759L3.99895 14.7272L3.89473 14.5204L3.95987 15.4294Z", fill: "#5DFF9A" }),
        React.createElement("path", { d: "M10.2565 7.8985L10.326 8.54905L10.7385 9.57442L10.669 8.92818L10.2565 7.8985Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M3.71653 11.3236L3.84681 11.8794L4.05959 10.9919L3.938 10.3973L3.71653 11.3236Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M7.23853 14.46L8.45011 14.2661L8.46748 13.8137L7.2559 13.9688L7.23853 14.46Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M6.26115 15.1796L7.27298 14.9642L7.23824 14.4601L6.22207 14.6281L6.26115 15.1796Z", fill: "#6AFF8D" }),
        React.createElement("path", { d: "M15.4677 12.879L16.8487 12.5946L16.9485 12.9608L15.5719 13.2538L15.4677 12.879Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M4.3419 16.416L4.58943 16.3298L4.47218 15.606L4.21597 15.6319L4.3419 16.416Z", fill: "#36FFC1" }),
        React.createElement("path", { d: "M9.9917 12.853L11.4465 12.6807L11.5767 12.3661L10.1307 12.5169L9.9917 12.853Z", fill: "#CAFF2C" }),
        React.createElement("path", { d: "M11.7416 12.1034L13.2094 11.9052L13.3961 11.6984L11.9327 11.888L11.7416 12.1034Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M3.80771 14.2188L3.89457 14.5204L3.91628 13.6285L3.82943 13.2753L3.80771 14.2188Z", fill: "#90FF66" }),
        React.createElement("path", { d: "M3.7251 12.8358L3.82932 13.2753L3.94223 12.3662L3.84669 11.8794L3.7251 12.8358Z", fill: "#CAFF2C" }),
        React.createElement("path", { d: "M4.9802 16.1748L5.55776 15.968L5.46222 15.3648L4.87163 15.5113L4.9802 16.1748Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M13.8259 11.4615L15.2329 11.1987L15.4631 11.1729L14.0604 11.4357L13.8259 11.4615Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M9.18385 20.0177L8.97106 19.7592L8.58457 20.0996L8.76696 20.3839L9.18385 20.0177Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M11.7677 16.1747L12.8925 15.8171L12.7709 16.1617L11.6375 16.5495L11.7677 16.1747Z", fill: "#33FFC4" }),
        React.createElement("path", { d: "M4.58502 16.3298L4.9802 16.1747L4.87164 15.5155L4.46777 15.6103L4.58502 16.3298Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M9.12728 18.54L9.59628 18.0661L9.32704 18.3074L8.83198 18.8028L9.12728 18.54Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M6.51738 4.67157L6.59555 5.32643L7.28168 5.42552L7.20351 4.77066L6.51738 4.67157Z", fill: "#800000" }),
        React.createElement("path", { d: "M11.0598 10.6688L11.1249 11.3193L11.3377 12.4438L11.2726 11.8061L11.0598 10.6688Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M15.3284 12.5299L16.7137 12.2498L16.8483 12.5902L15.4674 12.8745L15.3284 12.5299Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M14.2689 13.9086L15.6412 13.6372L15.6715 14.0293L14.3036 14.3136L14.2689 13.9086Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M10.7125 16.9545L11.6331 16.5496L11.4681 16.8727L10.5344 17.3035L10.7125 16.9545Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M9.83525 17.7516L10.5301 17.3078L10.3129 17.5965L9.59641 18.0704L9.83525 17.7516Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M13.0225 15.0201L14.3036 14.7228L14.2602 15.1106L12.9791 15.4337L13.0225 15.0201Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M14.0606 11.4357L15.4633 11.1729L15.6978 11.2116L14.2951 11.4744L14.0606 11.4357Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M8.5325 13.3787L9.89607 13.2279L9.99595 12.8574L8.64106 12.978L8.5325 13.3787Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M11.4592 15.2614L11.3941 15.7439L11.2898 16.7564L11.3506 16.304L11.4592 15.2614Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M4.36362 7.46334L4.51996 8.16559L5.00633 7.56674L4.86302 6.85156L4.36362 7.46334Z", fill: "#FF2500" }),
        React.createElement("path", { d: "M5.46218 15.3648L6.26121 15.1795L6.22212 14.6238L5.41875 14.7573L5.46218 15.3648Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M8.89291 18.9923L9.12741 18.5399L8.83211 18.8027L8.56721 19.2809L8.89291 18.9923Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M9.82647 19.6515L9.54854 19.5309L9.18376 20.0134L9.43563 20.1642L9.82647 19.6515Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M15.1636 12.2197L16.5532 11.944L16.7183 12.2499L15.333 12.5299L15.1636 12.2197Z", fill: "#E1FF16" }),
        React.createElement("path", { d: "M11.9328 11.888L13.3962 11.6984L13.6047 11.5476L12.1499 11.7329L11.9328 11.888Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M8.97113 19.7549L8.85388 19.4059L8.49778 19.7204L8.58463 20.0952L8.97113 19.7549Z", fill: "#006CFF" }),
        React.createElement("path", { d: "M9.75264 6.97223L9.82646 7.62278L10.3259 8.54475L10.2564 7.8942L9.75264 6.97223Z", fill: "#FF2900" }),
        React.createElement("path", { d: "M4.05967 15.5758L4.21166 15.6318L4.15521 14.8434L3.99888 14.7271L4.05967 15.5758Z", fill: "#60FF97" }),
        React.createElement("path", { d: "M14.295 11.47L15.6977 11.2072L15.9279 11.3063L14.5295 11.5691L14.295 11.47Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M10.1306 12.5213L11.5766 12.3705L11.7417 12.1034L10.2999 12.237L10.1306 12.5213Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M7.26006 13.9646L8.47164 13.8138L8.53678 13.3787L7.32954 13.4907L7.26006 13.9646Z", fill: "#A4FF53" }),
        React.createElement("path", { d: "M8.85826 19.406L8.893 18.9924L8.56731 19.281L8.50217 19.7205L8.85826 19.406Z", fill: "#0080FF" }),
        React.createElement("path", { d: "M6.22207 14.6281L7.23824 14.4601L7.25561 13.9646L6.23944 14.0852L6.22207 14.6281Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M14.9725 11.9526L16.3621 11.6812L16.5488 11.944L15.1592 12.2197L14.9725 11.9526Z", fill: "#EEFF09" }),
        React.createElement("path", { d: "M14.5295 11.5735L15.9278 11.3107L16.1493 11.4701L14.7553 11.7373L14.5295 11.5735Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M5.30142 5.69703L5.43169 6.39928L6.05268 6.12355L5.93109 5.41699L5.30142 5.69703Z", fill: "#AD0000" }),
        React.createElement("path", { d: "M14.7598 11.7329L16.1537 11.4658L16.3622 11.6812L14.9726 11.9526L14.7598 11.7329Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M11.2856 16.7563L11.1293 17.1096L10.9339 18.0143L11.0815 17.6998L11.2856 16.7563Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M14.1951 13.5036L15.5717 13.2494L15.6411 13.6371L14.2689 13.9085L14.1951 13.5036Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M11.8587 15.7611L12.9791 15.4294L12.8923 15.8128L11.7675 16.1704L11.8587 15.7611Z", fill: "#4DFFAA" }),
        React.createElement("path", { d: "M10.4301 18.9881L10.1522 19.0269L9.82646 19.6559H10.087L10.4301 18.9881Z", fill: "#0088FF" }),
        React.createElement("path", { d: "M7.20359 4.77069L7.28176 5.42555L7.96789 5.7142L7.89406 5.05935L7.20359 4.77069Z", fill: "#800000" }),
        React.createElement("path", { d: "M4.87177 15.5156L5.46236 15.3691L5.42328 14.7617L4.82834 14.8478L4.87177 15.5156Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M10.934 18.0143L10.6995 18.2125L10.4303 18.988L10.6517 18.8286L10.934 18.0143Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M9.38785 18.191L9.83514 17.7473L9.59629 18.0661L9.12729 18.54L9.38785 18.191Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M13.0226 14.5892L14.3037 14.3135L14.2993 14.7185L13.0226 15.0157V14.5892Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M4.21156 15.6319L4.46777 15.606L4.41566 14.8779L4.1551 14.8392L4.21156 15.6319Z", fill: "#60FF97" }),
        React.createElement("path", { d: "M12.1455 11.7329L13.6002 11.5476L13.8217 11.4572L12.3713 11.6381L12.1455 11.7329Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M9.18376 6.17517L9.25759 6.83003L9.83081 7.62275L9.76133 6.9722L9.18376 6.17517Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M4.46786 15.6061L4.87172 15.5113L4.8283 14.8435L4.42009 14.878L4.46786 15.6061Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M3.89473 14.5203L3.99895 14.7271L4.02066 13.8913L3.92078 13.6285L3.89473 14.5203Z", fill: "#90FF66" }),
        React.createElement("path", { d: "M10.8558 16.5452L11.7677 16.1747L11.6374 16.5495L10.7168 16.9545L10.8558 16.5452Z", fill: "#2CFFCA" }),
        React.createElement("path", { d: "M8.63665 12.978L9.99153 12.8573L10.1305 12.5256L8.78429 12.6204L8.63665 12.978Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M4.10742 8.90236L4.25507 9.57014L4.65459 8.85497L4.51997 8.16565L4.10742 8.90236Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M10.035 17.3638L10.7125 16.9545L10.5301 17.3078L9.83525 17.7516L10.035 17.3638Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M7.8898 5.05939L7.96362 5.71425L8.62803 6.18816L8.5542 5.5333L7.8898 5.05939Z", fill: "#920000" }),
        React.createElement("path", { d: "M10.2998 12.2369L11.7415 12.1034L11.9326 11.8879L10.5039 12.0086L10.2998 12.2369Z", fill: "#EEFF09" }),
        React.createElement("path", { d: "M14.0865 13.1159L15.4675 12.8746L15.5717 13.2452L14.1951 13.4993L14.0865 13.1159Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M9.54841 19.5352L9.30957 19.3069L8.97085 19.7549L9.18364 20.0134L9.54841 19.5352Z", fill: "#007CFF" }),
        React.createElement("path", { d: "M8.55425 5.5332L8.62807 6.18806L9.2534 6.82999L9.17957 6.17514L8.55425 5.5332Z", fill: "#B20000" }),
        React.createElement("path", { d: "M11.3421 12.448L11.3595 13.0555L11.4637 14.167L11.4507 13.5854L11.3421 12.448Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M5.42314 14.7573L6.22652 14.6238L6.24389 14.0809L5.44051 14.1585L5.42314 14.7573Z", fill: "#8AFF6D" }),
        React.createElement("path", { d: "M12.3757 11.6424L13.8261 11.4615L14.0606 11.4356L12.6189 11.6166L12.3757 11.6424Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M7.3251 13.4907L8.53233 13.3787L8.63655 12.978L7.438 13.0556L7.3251 13.4907Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M9.17533 18.6133L9.38812 18.191L9.12757 18.54L8.89307 18.9924L9.17533 18.6133Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M10.7386 9.57013L10.808 10.2336L11.125 11.3193L11.0599 10.6687L10.7386 9.57013Z", fill: "#FFA300" }),
        React.createElement("path", { d: "M3.82947 13.2752L3.91632 13.6285L4.02488 12.7711L3.94237 12.3661L3.82947 13.2752Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M6.24404 14.0809L7.26021 13.9602L7.32535 13.4863L6.31352 13.5596L6.24404 14.0809Z", fill: "#A7FF50" }),
        React.createElement("path", { d: "M3.93801 10.4016L4.0596 10.9919L4.36359 10.1948L4.25068 9.57013L3.93801 10.4016Z", fill: "#FFA300" }),
        React.createElement("path", { d: "M11.9023 15.3174L13.0184 15.0201L12.9749 15.4337L11.8545 15.7612L11.9023 15.3174Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M12.9879 14.1585L14.2733 13.9086L14.308 14.3179L13.027 14.5936L12.9879 14.1585Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M3.84683 11.8794L3.94236 12.3662L4.14647 11.5218L4.05961 10.9919L3.84683 11.8794Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M13.9433 12.7583L15.3329 12.5342L15.4719 12.8789L14.0909 13.1202L13.9433 12.7583Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M9.30993 19.3069L9.16662 18.9924L8.85396 19.406L8.9712 19.7549L9.30993 19.3069Z", fill: "#0090FF" }),
        React.createElement("path", { d: "M9.16662 18.9923L9.17531 18.6132L8.8887 18.9923L8.85396 19.4059L9.16662 18.9923Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M12.6187 11.6166L14.0605 11.4356L14.2993 11.4744L12.8663 11.6553L12.6187 11.6166Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M3.99888 14.7271L4.15521 14.8434L4.17258 14.0679L4.01625 13.8913L3.99888 14.7271Z", fill: "#8DFF6A" }),
        React.createElement("path", { d: "M8.78452 12.6161L10.1307 12.5213L10.3001 12.237L8.96257 12.3102L8.78452 12.6161Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M10.5041 12.0086L11.9328 11.888L12.1456 11.7329L10.7256 11.8449L10.5041 12.0086Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M4.82395 14.8478L5.41888 14.7573L5.44059 14.1628L4.84566 14.1929L4.82395 14.8478Z", fill: "#8AFF6D" }),
        React.createElement("path", { d: "M9.60502 17.7688L10.0349 17.3638L9.83518 17.7516L9.38789 18.1953L9.60502 17.7688Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M10.1523 19.0225L9.85271 18.9406L9.54873 19.5308L9.82666 19.6515L10.1523 19.0225Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M10.9511 16.0929L11.8544 15.7612L11.7632 16.1748L10.8513 16.5453L10.9511 16.0929Z", fill: "#46FFB1" }),
        React.createElement("path", { d: "M13.7653 12.4351L15.1636 12.2197L15.3286 12.5299L13.939 12.754L13.7653 12.4351Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M5.93115 5.41695L6.05274 6.12351L6.71282 6.03304L6.59557 5.32648L5.93115 5.41695Z", fill: "#920000" }),
        React.createElement("path", { d: "M4.86284 6.85166L5.00615 7.56684L5.562 7.12739L5.43172 6.39929L4.86284 6.85166Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M12.8622 11.6554L14.2952 11.4744L14.5297 11.5778L13.1054 11.7631L12.8622 11.6554Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M10.187 16.9158L10.8557 16.5453L10.7124 16.9546L10.035 17.3639L10.187 16.9158Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M11.4595 14.1671L11.3944 14.684L11.39 15.7439L11.4552 15.2614L11.4595 14.1671Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M13.5653 12.1551L14.9723 11.9526L15.1634 12.2198L13.7651 12.4352L13.5653 12.1551Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M13.1094 11.7587L14.5338 11.5735L14.7596 11.7372L13.3482 11.9311L13.1094 11.7587Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M4.1551 14.8434L4.41566 14.8822L4.43303 14.167L4.17247 14.0679L4.1551 14.8434Z", fill: "#8DFF6A" }),
        React.createElement("path", { d: "M4.4157 14.8822L4.8239 14.8478L4.84127 14.1929L4.43307 14.1671L4.4157 14.8822Z", fill: "#8DFF6A" }),
        React.createElement("path", { d: "M12.9055 13.7276L14.1952 13.5036L14.2691 13.9086L12.9837 14.1585L12.9055 13.7276Z", fill: "#ADFF49" }),
        React.createElement("path", { d: "M13.3441 11.9268L14.7554 11.7329L14.9682 11.9483L13.5612 12.1508L13.3441 11.9268Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M7.43804 13.0555L8.63659 12.978L8.78424 12.6204L7.59437 12.6635L7.43804 13.0555Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M11.9066 14.852L13.027 14.5892L13.0227 15.0201L11.9066 15.3173V14.852Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M5.44072 14.1627L6.2441 14.0809L6.31358 13.5639L5.51889 13.5941L5.44072 14.1627Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M10.6994 18.2125L10.4041 18.2944L10.1479 19.0268L10.4258 18.988L10.6994 18.2125Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M10.7254 11.8449L12.1454 11.7329L12.3755 11.6424L10.9686 11.7501L10.7254 11.8449Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M6.31348 13.564L7.32529 13.4907L7.4382 13.0513L6.43507 13.0814L6.31348 13.564Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M9.41404 18.1479L9.60511 17.7688L9.38798 18.1953L9.1752 18.6175L9.41404 18.1479Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M11.39 15.7439L11.2293 16.136L11.1294 17.1096L11.2858 16.7563L11.39 15.7439Z", fill: "#46FFB1" }),
        React.createElement("path", { d: "M3.91626 13.6242L4.01614 13.887L4.11602 13.0857L4.02048 12.7668L3.91626 13.6242Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M10.3261 8.54907L10.3999 9.22547L10.8125 10.2379L10.7387 9.57444L10.3261 8.54907Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M8.96667 12.3101L10.3042 12.2369L10.5039 12.0085L9.17946 12.0646L8.96667 12.3101Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M9.85249 18.9406L9.59194 18.7554L9.30967 19.3068L9.54851 19.5352L9.85249 18.9406Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M11.1291 17.1096L10.886 17.3509L10.6992 18.2125L10.9337 18.0144L11.1291 17.1096Z", fill: "#0FF8E7" }),
        React.createElement("path", { d: "M12.7882 13.3184L14.0866 13.1202L14.1951 13.5079L12.9054 13.732L12.7882 13.3184Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M10.9992 15.606L11.9025 15.313L11.8547 15.7568L10.9515 16.0885L10.9992 15.606Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M11.1294 11.3193L11.1512 11.9483L11.3596 13.0512L11.3422 12.4437L11.1294 11.3193Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M4.51545 8.16562L4.65007 8.85495L5.12776 8.27764L5.00617 7.56677L4.51545 8.16562Z", fill: "#FF3000" }),
        React.createElement("path", { d: "M9.42696 18.4883L9.41393 18.1522L9.17509 18.6132L9.16641 18.9923L9.42696 18.4883Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M10.9686 11.7459L12.3756 11.6382L12.6188 11.6123L11.2292 11.7157L10.9686 11.7459Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M9.59198 18.7597L9.42696 18.4883L9.16641 18.9967L9.30971 19.3112L9.59198 18.7597Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M9.77434 17.2776L10.1869 16.9157L10.0349 17.3638L9.60498 17.7688L9.77434 17.2776Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M4.8457 14.1929L5.44063 14.1627L5.51446 13.594L4.92387 13.5682L4.8457 14.1929Z", fill: "#ADFF49" }),
        React.createElement("path", { d: "M6.59561 5.32648L6.71286 6.03734L7.3903 6.13643L7.28173 5.42557L6.59561 5.32648Z", fill: "#840000" }),
        React.createElement("path", { d: "M11.8633 14.3825L12.9881 14.1541L13.0272 14.5893L11.9068 14.8521L11.8633 14.3825Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M10.291 16.4203L10.9511 16.0928L10.8556 16.5452L10.1868 16.9157L10.291 16.4203Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M3.94241 12.3662L4.02492 12.7712L4.21599 11.9742L4.14651 11.5218L3.94241 12.3662Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M12.6319 12.9349L13.939 12.7583L14.0823 13.1202L12.7839 13.3184L12.6319 12.9349Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M7.59448 12.6635L8.78435 12.6204L8.96674 12.3145L7.79424 12.3317L7.59448 12.6635Z", fill: "#EEFF09" }),
        React.createElement("path", { d: "M4.01624 13.8914L4.17257 14.0681L4.2681 13.327L4.11611 13.0901L4.01624 13.8914Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M9.17959 12.0646L10.5041 12.0086L10.7299 11.8448L9.42277 11.8879L9.17959 12.0646Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M11.2248 11.72L12.6144 11.6166L12.8619 11.6554L11.4854 11.7631L11.2248 11.72Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M4.25068 9.57009L4.35925 10.1948L4.74574 9.50978L4.6502 8.85492L4.25068 9.57009Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M5.51433 13.5941L6.31337 13.5682L6.43496 13.0857L5.64895 13.0641L5.51433 13.5941Z", fill: "#CAFF2C" }),
        React.createElement("path", { d: "M4.43306 14.1671L4.84126 14.1929L4.92377 13.5682L4.51991 13.4821L4.43306 14.1671Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M4.05952 10.9919L4.14637 11.5218L4.43299 10.7635L4.35916 10.1948L4.05952 10.9919Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M6.43521 13.0857L7.43834 13.0556L7.59467 12.6635L6.60457 12.6549L6.43521 13.0857Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M9.82646 7.62714L9.90897 8.31646L10.404 9.2255L10.3302 8.54911L9.82646 7.62714Z", fill: "#FF2D00" }),
        React.createElement("path", { d: "M12.4452 12.5903L13.7653 12.4352L13.939 12.7583L12.6319 12.9349L12.4452 12.5903Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M10.4039 18.2944L10.0912 18.2599L9.85239 18.9449L10.152 19.0268L10.4039 18.2944Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M5.43193 6.39927L5.56655 7.12736L6.17451 6.86025L6.05292 6.12354L5.43193 6.39927Z", fill: "#BB0000" }),
        React.createElement("path", { d: "M4.17246 14.0679L4.43302 14.167L4.51987 13.482L4.268 13.3269L4.17246 14.0679Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M11.4854 11.7588L12.862 11.6511L13.1052 11.7545L11.7416 11.8665L11.4854 11.7588Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M10.9989 15.1019L11.9022 14.8521V15.313L10.9989 15.606V15.1019Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M11.7763 13.9215L12.9054 13.7276L12.9836 14.1584L11.8588 14.3868L11.7763 13.9215Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M9.60077 17.6136L9.77447 17.2776L9.60511 17.7687L9.41404 18.1479L9.60077 17.6136Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M12.2323 12.293L13.5654 12.1552L13.7652 12.4352L12.445 12.5903L12.2323 12.293Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M11.746 11.8707L13.1096 11.7587L13.3441 11.9268L11.9979 12.0517L11.746 11.8707Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M7.27764 5.42554L7.3862 6.13641L8.06364 6.42075L7.96376 5.71419L7.27764 5.42554Z", fill: "#890000" }),
        React.createElement("path", { d: "M11.9978 12.0516L13.344 11.9267L13.5655 12.155L12.2323 12.2929L11.9978 12.0516Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M11.3594 13.0513L11.2942 13.6027L11.3941 14.6798L11.4593 14.1628L11.3594 13.0513Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M9.42261 11.888L10.7297 11.8449L10.9729 11.7458L9.68316 11.7803L9.42261 11.888Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M7.78982 12.3274L8.96232 12.3102L9.1751 12.0646L8.01998 12.0603L7.78982 12.3274Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M10.3433 15.8904L10.999 15.6104L10.9513 16.0929L10.2912 16.4203L10.3433 15.8904Z", fill: "#60FF97" }),
        React.createElement("path", { d: "M9.8873 16.7349L10.2912 16.4203L10.1869 16.9158L9.77439 17.2777L9.8873 16.7349Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M9.25342 6.83008L9.34027 7.52802L9.90481 8.31213L9.8223 7.6228L9.25342 6.83008Z", fill: "#E40000" }),
        React.createElement("path", { d: "M10.0915 18.2599L9.81354 18.122L9.59641 18.7553L9.85697 18.9406L10.0915 18.2599Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M10.8862 17.3509L10.5778 17.4801L10.4041 18.2944L10.6994 18.2125L10.8862 17.3509Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M9.62682 17.9024L9.59643 17.6137L9.41404 18.1522L9.42707 18.4883L9.62682 17.9024Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M4.92371 13.5682L5.5143 13.594L5.64458 13.0641L5.06701 12.9866L4.92371 13.5682Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M7.96362 5.71857L8.0635 6.42512L8.71923 6.89473L8.62804 6.18817L7.96362 5.71857Z", fill: "#9B0000" }),
        React.createElement("path", { d: "M4.02481 12.7712L4.12034 13.09L4.30273 12.349L4.22022 11.9785L4.02481 12.7712Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M11.6462 13.4778L12.7883 13.3184L12.9056 13.7276L11.7765 13.9215L11.6462 13.4778Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M10.8122 10.2379L10.8382 10.8928L11.1465 11.9526L11.1248 11.3236L10.8122 10.2379Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M8.62808 6.18811L8.72361 6.89036L9.3446 7.52368L9.25775 6.82574L8.62808 6.18811Z", fill: "#BB0000" }),
        React.createElement("path", { d: "M9.81354 18.122L9.63115 17.898L9.4314 18.4839L9.59641 18.7554L9.81354 18.122Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M11.3943 14.6841L11.2336 15.1192V16.136L11.3943 15.7439V14.6841Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M6.60439 12.6548L7.5945 12.6634L7.78992 12.3274L6.81718 12.2843L6.60439 12.6548Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M10.9515 14.5936L11.8591 14.3868L11.9025 14.8564L10.9949 15.1063L10.9515 14.5936Z", fill: "#9AFF5D" }),
        React.createElement("path", { d: "M11.2292 16.1359L10.9773 16.4246L10.8818 17.3509L11.125 17.1096L11.2292 16.1359Z", fill: "#49FFAD" }),
        React.createElement("path", { d: "M9.6832 11.7808L10.9729 11.7461L11.2292 11.7157L9.96113 11.7504L9.6832 11.7808Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M5.64902 13.0642L6.43503 13.0857L6.60439 12.6549L5.83141 12.5946L5.64902 13.0642Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M5.00632 7.56676L5.12792 8.27763L5.67074 7.85542L5.56652 7.12732L5.00632 7.56676Z", fill: "#F10800" }),
        React.createElement("path", { d: "M4.52424 13.482L4.9281 13.5682L5.07141 12.9866L4.68058 12.8487L4.52424 13.482Z", fill: "#DBFF1C" }),
        React.createElement("path", { d: "M11.4766 13.0641L12.6317 12.9348L12.7881 13.3183L11.646 13.4777L11.4766 13.0641Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M8.02449 12.0603L9.17961 12.0646L9.41846 11.8879L8.28504 11.8664L8.02449 12.0603Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M4.12017 13.09L4.27216 13.3269L4.44152 12.6376L4.30255 12.3489L4.12017 13.09Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M6.05288 6.12785L6.17447 6.86457L6.82152 6.7784L6.71295 6.04169L6.05288 6.12785Z", fill: "#9F0000" }),
        React.createElement("path", { d: "M9.72218 17.0148L9.8872 16.7348L9.77429 17.2776L9.60059 17.6137L9.72218 17.0148Z", fill: "#36FFC1" }),
        React.createElement("path", { d: "M4.14653 11.5217L4.21601 11.9741L4.4896 11.2589L4.43749 10.7635L4.14653 11.5217Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M9.95698 11.7504L11.225 11.7157L11.4856 11.7591L10.2349 11.7939L9.95698 11.7504Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M10.3433 15.3346L10.999 15.102V15.6061L10.3433 15.8861V15.3346Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M4.26804 13.327L4.51991 13.4821L4.67624 12.8487L4.43306 12.6376L4.26804 13.327Z", fill: "#E1FF16" }),
        React.createElement("path", { d: "M11.2727 12.6936L12.4452 12.5902L12.6319 12.9349L11.4768 13.0641L11.2727 12.6936Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M9.94378 16.1489L10.3433 15.8904L10.2912 16.4203L9.88733 16.7348L9.94378 16.1489Z", fill: "#5DFF9A" }),
        React.createElement("path", { d: "M4.65015 8.8549L4.74568 9.50976L5.206 8.9583L5.12783 8.27759L4.65015 8.8549Z", fill: "#FF3B00" }),
        React.createElement("path", { d: "M10.5778 17.4801L10.2521 17.4973L10.0915 18.2556L10.4041 18.2901L10.5778 17.4801Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M10.8557 14.0852L11.7763 13.9215L11.8631 14.3825L10.9555 14.5893L10.8557 14.0852Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M10.2391 11.7975L11.4898 11.763L11.7503 11.875L10.5214 11.9181L10.2391 11.7975Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M4.36362 10.1948L4.43745 10.7635L4.80656 10.113L4.75011 9.50983L4.36362 10.1948Z", fill: "#FF7A00" }),
        React.createElement("path", { d: "M11.0424 12.3706L12.2323 12.293L12.4451 12.5903L11.2726 12.6937L11.0424 12.3706Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M6.82148 12.2887L7.79422 12.3318L8.02872 12.0647L7.0777 11.9957L6.82148 12.2887Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M10.5171 11.9181L11.746 11.8751L11.9979 12.0517L10.7906 12.112L10.5171 11.9181Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M5.06719 12.9865L5.64475 13.0641L5.83148 12.5902L5.27129 12.4695L5.06719 12.9865Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M10.7862 12.1121L11.9978 12.0518L12.2323 12.293L11.0424 12.3706L10.7862 12.1121Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M8.28486 11.8664L9.41828 11.888L9.67883 11.7803L8.56713 11.7458L8.28486 11.8664Z", fill: "#FFC800" }),
        React.createElement("path", { d: "M10.3997 9.22552L10.4345 9.90192L10.8383 10.8928L10.8123 10.238L10.3997 9.22552Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M11.1466 11.9526L11.0901 12.5386L11.2942 13.607L11.3594 13.0555L11.1466 11.9526Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M9.7656 17.2518L9.72652 17.0191L9.60059 17.6136L9.63098 17.9023L9.7656 17.2518Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M5.8314 12.5903L6.60438 12.6549L6.81716 12.2887L6.06155 12.1896L5.8314 12.5903Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M10.2519 17.4973L9.96093 17.4155L9.81328 18.122L10.0912 18.2599L10.2519 17.4973Z", fill: "#23FFD4" }),
        React.createElement("path", { d: "M9.96117 17.4155L9.76575 17.2475L9.63113 17.898L9.81352 18.1221L9.96117 17.4155Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M10.7124 13.6027L11.6461 13.4778L11.7763 13.9215L10.8557 14.0853L10.7124 13.6027Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M10.2912 14.7745L10.9556 14.5936L11.0034 15.1063L10.3476 15.3389L10.2912 14.7745Z", fill: "#9DFF5A" }),
        React.createElement("path", { d: "M4.21597 11.9741L4.29848 12.3447L4.55469 11.6769L4.48955 11.259L4.21597 11.9741Z", fill: "#FFC400" }),
        React.createElement("path", { d: "M10.9818 16.4246L10.6692 16.6056L10.5823 17.4802L10.8906 17.3509L10.9818 16.4246Z", fill: "#4DFFAA" }),
        React.createElement("path", { d: "M6.71294 6.03741L6.8215 6.77844L7.48158 6.87753L7.38604 6.14081L6.71294 6.03741Z", fill: "#920000" }),
        React.createElement("path", { d: "M8.56721 11.7461L9.67891 11.7808L9.9525 11.7504L8.86251 11.7157L8.56721 11.7461Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M4.67629 12.8487L5.06713 12.9866L5.26689 12.4696L4.89342 12.28L4.67629 12.8487Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M9.78751 16.3772L9.94818 16.1531L9.89173 16.7348L9.72671 17.0148L9.78751 16.3772Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M5.56641 7.12737L5.67063 7.85547L6.26122 7.60128L6.17437 6.86456L5.56641 7.12737Z", fill: "#C80000" }),
        React.createElement("path", { d: "M11.2941 13.6027L11.1378 14.0809L11.2333 15.1149L11.394 14.6797L11.2941 13.6027Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M9.9438 15.5414L10.3433 15.3346V15.8904L9.9438 16.1489V15.5414Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M7.07329 11.9914L8.02432 12.0603L8.28487 11.8664L7.3599 11.7803L7.07329 11.9914Z", fill: "#FFC800" }),
        React.createElement("path", { d: "M11.2337 15.1193L10.9818 15.4596V16.429L11.2337 16.1403V15.1193Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M10.53 13.1503L11.4767 13.0641L11.6461 13.4777L10.7124 13.6027L10.53 13.1503Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M4.29858 12.3489L4.43755 12.6376L4.67639 12.0215L4.5548 11.6812L4.29858 12.3489Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M9.90469 8.31213L9.95246 9.01008L10.4345 9.89758L10.3997 9.22549L9.90469 8.31213Z", fill: "#FF3400" }),
        React.createElement("path", { d: "M4.43745 12.6377L4.68064 12.8488L4.90211 12.2801L4.68064 12.0173L4.43745 12.6377Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M8.86692 11.7157L9.95691 11.7504L10.2392 11.7982L9.17524 11.7678L8.86692 11.7157Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M5.27109 12.4696L5.83128 12.5902L6.06578 12.1853L5.5273 12.0215L5.27109 12.4696Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M6.06606 12.1853L6.82167 12.2844L7.07354 11.9871L6.34399 11.8578L6.06606 12.1853Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M4.43745 10.7635L4.48956 11.259L4.83697 10.6472L4.80223 10.113L4.43745 10.7635Z", fill: "#FF8600" }),
        React.createElement("path", { d: "M10.1824 14.2188L10.8555 14.0852L10.9511 14.5893L10.2866 14.7702L10.1824 14.2188Z", fill: "#BAFF3C" }),
        React.createElement("path", { d: "M7.38596 6.14075L7.4815 6.87746L8.14591 7.16181L8.0634 6.4294L7.38596 6.14075Z", fill: "#960000" }),
        React.createElement("path", { d: "M10.3042 12.741L11.2725 12.6893L11.4766 13.0598L10.53 13.146L10.3042 12.741Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M9.83527 16.5495L9.78751 16.3772L9.72671 17.0191L9.76579 17.2518L9.83527 16.5495Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M10.669 16.6056L10.3346 16.6788L10.2521 17.4974L10.5778 17.4802L10.669 16.6056Z", fill: "#4DFFAA" }),
        React.createElement("path", { d: "M5.12783 8.27762L5.206 8.95833L5.72711 8.55335L5.67065 7.85541L5.12783 8.27762Z", fill: "#FF1300" }),
        React.createElement("path", { d: "M9.1752 11.763L10.2391 11.7932L10.5171 11.9138L9.47918 11.8922L9.1752 11.763Z", fill: "#FFBD00" }),
        React.createElement("path", { d: "M10.8384 10.8885L10.7906 11.5089L11.0903 12.5386L11.1467 11.9526L10.8384 10.8885Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M9.34021 7.52802L9.39666 8.23888L9.95251 9.01006L9.90909 8.31643L9.34021 7.52802Z", fill: "#F10800" }),
        React.createElement("path", { d: "M7.35981 11.7759L8.28478 11.8621L8.56705 11.7458L7.66814 11.6467L7.35981 11.7759Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M10.0523 12.392L11.0425 12.3705L11.2726 12.6893L10.3042 12.741L10.0523 12.392Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M4.74595 9.50986L4.8024 10.113L5.241 9.59172L5.20626 8.96271L4.74595 9.50986Z", fill: "#FF4A00" }),
        React.createElement("path", { d: "M9.4793 11.8966L10.5172 11.9181L10.7864 12.112H9.77459L9.4793 11.8966Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M9.77439 12.1077H10.7862L11.0424 12.3705L10.0523 12.392L9.77439 12.1077Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M8.06338 6.42511L8.14589 7.15751L8.78858 7.61419L8.7191 6.8904L8.06338 6.42511Z", fill: "#A40000" }),
        React.createElement("path", { d: "M9.88293 14.9253L10.2911 14.7745L10.3476 15.3346L9.94807 15.5413L9.88293 14.9253Z", fill: "#A0FF56" }),
        React.createElement("path", { d: "M8.72344 6.89465L8.79292 7.61844L9.40088 8.23883L9.34443 7.52797L8.72344 6.89465Z", fill: "#C40000" }),
        React.createElement("path", { d: "M10.035 16.6573L9.83091 16.5496L9.76143 17.2475L9.95684 17.4155L10.035 16.6573Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M9.78296 15.7095L9.94363 15.5414V16.1489L9.7873 16.3773L9.78296 15.7095Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M10.3346 16.6788L10.035 16.6572L9.96116 17.4155L10.2521 17.4973L10.3346 16.6788Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M10.0264 13.6846L10.7169 13.5984L10.8602 14.0852L10.1871 14.2188L10.0264 13.6846Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M4.89756 12.28L5.27102 12.4696L5.52723 12.0259L5.17548 11.7932L4.89756 12.28Z", fill: "#FFC800" }),
        React.createElement("path", { d: "M6.17439 6.86018L6.26124 7.59689L6.88657 7.51504L6.82143 6.77832L6.17439 6.86018Z", fill: "#AD0000" }),
        React.createElement("path", { d: "M4.48931 11.2634L4.55445 11.6813L4.88014 11.1083L4.83671 10.6473L4.48931 11.2634Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M6.3438 11.8621L7.07335 11.9913L7.35996 11.7759L6.66081 11.6251L6.3438 11.8621Z", fill: "#FFB600" }),
        React.createElement("path", { d: "M10.9816 15.4552L10.6689 15.6922V16.6055L10.9816 16.4246V15.4552Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M7.66831 11.6511L8.56722 11.7502L8.86686 11.7157L7.994 11.6123L7.66831 11.6511Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M5.5273 12.0259L6.06577 12.1896L6.3437 11.8665L5.83127 11.6726L5.5273 12.0259Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M11.0903 12.5386L10.9383 13.0599L11.1337 14.0852L11.29 13.607L11.0903 12.5386Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M4.67629 12.0216L4.89777 12.2844L5.17569 11.7976L4.97593 11.496L4.67629 12.0216Z", fill: "#FFB600" }),
        React.createElement("path", { d: "M4.55457 11.6812L4.67616 12.0215L4.98014 11.4916L4.8846 11.1082L4.55457 11.6812Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M11.1379 14.0809L10.8904 14.4687L10.9859 15.4553L11.2378 15.1149L11.1379 14.0809Z", fill: "#BAFF3C" }),
        React.createElement("path", { d: "M9.82207 13.189L10.5299 13.1503L10.7123 13.6026L10.0218 13.6888L9.82207 13.189Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M9.76582 14.3136L10.1827 14.2188L10.2913 14.7746L9.88307 14.9254L9.76582 14.3136Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M9.83073 15.8214L9.78296 15.7094V16.3772L9.83073 16.5538V15.8214Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M10.4344 9.89752L10.3953 10.5481L10.7862 11.5088L10.8339 10.8884L10.4344 9.89752Z", fill: "#FF7300" }),
        React.createElement("path", { d: "M7.99834 11.6123L8.87119 11.7157L9.17517 11.7674L8.33272 11.6726L7.99834 11.6123Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M4.8022 10.1129L4.83694 10.6472L5.24948 10.1517L5.24079 9.58301L4.8022 10.1129Z", fill: "#FF5D00" }),
        React.createElement("path", { d: "M9.71792 15.0287L9.88294 14.921L9.94373 15.5371L9.78306 15.7051L9.71792 15.0287Z", fill: "#A4FF53" }),
        React.createElement("path", { d: "M5.67056 7.85542L5.72701 8.55336L6.29589 8.30779L6.26115 7.59692L5.67056 7.85542Z", fill: "#DA0000" }),
        React.createElement("path", { d: "M9.57905 12.741H10.3086L10.5301 13.146L9.82224 13.1848L9.57905 12.741Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M6.65647 11.6251L7.35997 11.7759L7.67264 11.6467L6.99954 11.483L6.65647 11.6251Z", fill: "#FFA300" }),
        React.createElement("path", { d: "M10.6689 15.6922L10.3345 15.8258V16.6788L10.6689 16.6056V15.6922Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M6.82148 6.77832L6.89097 7.51934L7.53367 7.61843L7.48156 6.87741L6.82148 6.77832Z", fill: "#A40000" }),
        React.createElement("path", { d: "M8.33276 11.6682L9.17522 11.763L9.4792 11.8966L8.66714 11.8147L8.33276 11.6682Z", fill: "#FFAB00" }),
        React.createElement("path", { d: "M5.17573 11.7931L5.52748 12.0258L5.83146 11.6682L5.51011 11.4054L5.17573 11.7931Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M10.035 15.8646L9.83086 15.8215V16.5496L10.035 16.6573V15.8646Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M5.20605 8.95832L5.2408 9.58733L5.73585 9.2039L5.72717 8.55334L5.20605 8.95832Z", fill: "#FF2500" }),
        React.createElement("path", { d: "M9.29692 12.3576L10.0525 12.3921L10.3044 12.741H9.57485L9.29692 12.3576Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M8.66719 11.8148L9.47925 11.8966L9.77455 12.1077L8.99288 12.0431L8.66719 11.8148Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M10.3346 15.8257L10.035 15.8645V16.6572L10.3346 16.6788V15.8257Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M5.8314 11.6683L6.34382 11.8622L6.65649 11.6252L6.17012 11.4098L5.8314 11.6683Z", fill: "#FF9F00" }),
        React.createElement("path", { d: "M8.99282 12.0474L9.77449 12.112L10.0524 12.3963L9.2968 12.3619L8.99282 12.0474Z", fill: "#FFBD00" }),
        React.createElement("path", { d: "M9.59202 13.7276L10.0263 13.6845L10.1826 14.2187L9.76572 14.3135L9.59202 13.7276Z", fill: "#E1FF16" }),
        React.createElement("path", { d: "M9.95233 9.01007L9.93062 9.68647L10.3996 10.5524L10.4387 9.90189L9.95233 9.01007Z", fill: "#FF3F00" }),
        React.createElement("path", { d: "M4.83691 10.6515L4.88034 11.1125L5.26683 10.6515L5.24946 10.1561L4.83691 10.6515Z", fill: "#FF6F00" }),
        React.createElement("path", { d: "M10.7907 11.5088L10.6518 12.0689L10.9427 13.0555L11.0947 12.5342L10.7907 11.5088Z", fill: "#FFB600" }),
        React.createElement("path", { d: "M6.99507 11.4873L7.66817 11.651L7.99386 11.6122L7.3555 11.4442L6.99507 11.4873Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M4.97578 11.4916L5.17554 11.7932L5.50558 11.4011L5.33188 11.0608L4.97578 11.4916Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M10.8906 14.4686L10.5823 14.7616L10.6735 15.6922L10.9862 15.4552L10.8906 14.4686Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M7.48154 6.87738L7.52931 7.6141L8.17636 7.88983L8.14596 7.15742L7.48154 6.87738Z", fill: "#A40000" }),
        React.createElement("path", { d: "M9.757 15.0804L9.71792 15.0287L9.78306 15.7051L9.83083 15.8171L9.757 15.0804Z", fill: "#A7FF50" }),
        React.createElement("path", { d: "M9.58784 14.3609L9.76589 14.3135L9.88314 14.9253L9.71812 15.033L9.58784 14.3609Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M4.8802 11.1083L4.97574 11.4917L5.33617 11.0652L5.26669 10.6473L4.8802 11.1083Z", fill: "#FF8200" }),
        React.createElement("path", { d: "M10.9381 13.0555L10.6992 13.495L10.886 14.4687L11.1335 14.0809L10.9381 13.0555Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M9.36636 13.1805L9.82233 13.1891L10.0264 13.6845L9.59217 13.7276L9.36636 13.1805Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M9.40102 8.23883L9.39668 8.93678L9.93516 9.68211L9.95687 9.00571L9.40102 8.23883Z", fill: "#FF1300" }),
        React.createElement("path", { d: "M6.26118 7.5969L6.29592 8.30776L6.89954 8.23452L6.89086 7.51935L6.26118 7.5969Z", fill: "#C40000" }),
        React.createElement("path", { d: "M8.146 7.16187L8.17639 7.89427L8.80173 8.33802L8.7887 7.62285L8.146 7.16187Z", fill: "#B60000" }),
        React.createElement("path", { d: "M7.35542 11.4442L7.99378 11.6122L8.32817 11.6682L7.7202 11.5045L7.35542 11.4442Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M6.17021 11.4098L6.65658 11.6295L6.99965 11.4873L6.54802 11.2547L6.17021 11.4098Z", fill: "#FF8D00" }),
        React.createElement("path", { d: "M5.50576 11.4054L5.82711 11.6682L6.17017 11.4097L5.87922 11.1211L5.50576 11.4054Z", fill: "#FF8D00" }),
        React.createElement("path", { d: "M8.79287 7.61841L8.8059 8.33358L9.39649 8.93674L9.40083 8.2388L8.79287 7.61841Z", fill: "#D10000" }),
        React.createElement("path", { d: "M5.24077 9.5916L5.24946 10.156L5.71846 9.79409L5.74017 9.20386L5.24077 9.5916Z", fill: "#FF3800" }),
        React.createElement("path", { d: "M9.95245 15.0589L9.75703 15.0804L9.83085 15.8215L10.035 15.8645L9.95245 15.0589Z", fill: "#ADFF49" }),
        React.createElement("path", { d: "M10.5777 14.7617L10.2477 14.9555L10.3345 15.8258L10.6689 15.6922L10.5777 14.7617Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M9.09697 12.6893L9.579 12.7453L9.82218 13.189L9.36621 13.1804L9.09697 12.6893Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M5.72703 8.55337L5.73571 9.20392L6.27853 8.97128L6.2959 8.3078L5.72703 8.55337Z", fill: "#F10800" }),
        React.createElement("path", { d: "M7.72456 11.5045L8.33252 11.6682L8.6669 11.8147L8.09368 11.6682L7.72456 11.5045Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M10.2479 14.9554L9.95259 15.0588L10.0308 15.8645L10.3304 15.8257L10.2479 14.9554Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M9.39229 13.7147L9.5877 13.7276L9.7614 14.3136L9.58336 14.361L9.39229 13.7147Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M10.3998 10.5482L10.2738 11.147L10.6516 12.069L10.7906 11.5089L10.3998 10.5482Z", fill: "#FF7E00" }),
        React.createElement("path", { d: "M8.78848 12.2628L9.29656 12.3576L9.57448 12.741L9.09246 12.685L8.78848 12.2628Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M8.0937 11.6639L8.66692 11.8104L8.99262 12.0431L8.44979 11.9181L8.0937 11.6639Z", fill: "#FF9C00" }),
        React.createElement("path", { d: "M9.6139 14.348L9.58784 14.3609L9.71812 15.0287L9.7572 15.0804L9.6139 14.348Z", fill: "#CEFF29" }),
        React.createElement("path", { d: "M8.4501 11.9224L8.99292 12.0474L9.2969 12.3619L8.78882 12.2671L8.4501 11.9224Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M5.33613 11.0651L5.50984 11.4055L5.8833 11.1211L5.74434 10.7549L5.33613 11.0651Z", fill: "#FF7700" }),
        React.createElement("path", { d: "M6.54353 11.2546L6.99516 11.4873L7.35559 11.4442L6.93871 11.2072L6.54353 11.2546Z", fill: "#FF8200" }),
        React.createElement("path", { d: "M5.24956 10.156L5.26693 10.6515L5.70553 10.3155L5.71856 9.79846L5.24956 10.156Z", fill: "#FF4A00" }),
        React.createElement("path", { d: "M6.89092 7.51508L6.8996 8.23456L7.52059 8.32934L7.53362 7.61417L6.89092 7.51508Z", fill: "#B60000" }),
        React.createElement("path", { d: "M10.7038 13.495L10.4041 13.844L10.5822 14.7616L10.8905 14.4687L10.7038 13.495Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M5.2667 10.6472L5.33618 11.0651L5.74438 10.7549L5.7053 10.3155L5.2667 10.6472Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M5.87908 11.1212L6.17003 11.4098L6.54349 11.2547L6.28728 10.9489L5.87908 11.1212Z", fill: "#FF7700" }),
        React.createElement("path", { d: "M10.6517 12.0689L10.4259 12.5557L10.7038 13.4949L10.9426 13.0555L10.6517 12.0689Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M9.14487 13.1159L9.362 13.1805L9.58782 13.7277L9.3924 13.7148L9.14487 13.1159Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M9.8005 14.2618L9.61377 14.3437L9.75708 15.0761L9.95249 15.0546L9.8005 14.2618Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M9.93063 9.68213L9.82207 10.3154L10.2737 11.1469L10.3996 10.5481L9.93063 9.68213Z", fill: "#FF4A00" }),
        React.createElement("path", { d: "M6.93882 11.2072L7.35571 11.4442L7.72483 11.5045L7.34268 11.2718L6.93882 11.2072Z", fill: "#FF7A00" }),
        React.createElement("path", { d: "M5.74017 9.20392L5.71846 9.79416L6.23088 9.57874L6.28299 8.97559L5.74017 9.20392Z", fill: "#FF1A00" }),
        React.createElement("path", { d: "M6.30052 8.30776L6.28315 8.97555L6.85638 8.90662L6.90414 8.23883L6.30052 8.30776Z", fill: "#DA0000" }),
        React.createElement("path", { d: "M9.40536 13.6415L9.39668 13.7147L9.58775 14.361L9.61381 14.348L9.40536 13.6415Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M10.3998 13.8439L10.0785 14.0981L10.2435 14.9555L10.5735 14.7616L10.3998 13.8439Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M7.53368 7.61414L7.52065 8.32932L8.1373 8.59643L8.17638 7.89418L7.53368 7.61414Z", fill: "#BB0000" }),
        React.createElement("path", { d: "M8.84956 12.5731L9.09275 12.6851L9.36199 13.1762L9.14486 13.1116L8.84956 12.5731Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M10.0828 14.0981L9.80054 14.2619L9.95687 15.0589L10.2522 14.9555L10.0828 14.0981Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M5.73999 10.755L5.87895 11.1212L6.28716 10.9488L6.18293 10.5697L5.73999 10.755Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M7.34268 11.2719L7.72482 11.5046L8.09394 11.664L7.75088 11.4486L7.34268 11.2719Z", fill: "#FF7E00" }),
        React.createElement("path", { d: "M6.28733 10.9488L6.54354 11.2546L6.93872 11.2116L6.71724 10.9014L6.28733 10.9488Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M9.39235 8.9411L9.30549 9.60458L9.82226 10.3198L9.93083 9.68643L9.39235 8.9411Z", fill: "#FF1E00" }),
        React.createElement("path", { d: "M8.51074 12.1077L8.78866 12.2628L9.09698 12.685L8.8538 12.573L8.51074 12.1077Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M8.17629 7.88989L8.13721 8.59214L8.73648 9.02297L8.80162 8.33795L8.17629 7.88989Z", fill: "#C80000" }),
        React.createElement("path", { d: "M7.75071 11.4485L8.09377 11.6639L8.44986 11.9181L8.14154 11.7285L7.75071 11.4485Z", fill: "#FF8600" }),
        React.createElement("path", { d: "M5.7183 9.79419L5.70527 10.3112L6.18295 10.1087L6.23072 9.57446L5.7183 9.79419Z", fill: "#FF3000" }),
        React.createElement("path", { d: "M10.274 11.147L10.0655 11.6813L10.4216 12.5601L10.6474 12.069L10.274 11.147Z", fill: "#FF8900" }),
        React.createElement("path", { d: "M8.1416 11.7285L8.44993 11.9181L8.78865 12.2627L8.51073 12.1076L8.1416 11.7285Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M8.80176 8.33795L8.73662 9.02297L9.3055 9.60459L9.39235 8.94111L8.80176 8.33795Z", fill: "#E40000" }),
        React.createElement("path", { d: "M10.426 12.5558L10.1394 12.9565L10.3999 13.8397L10.6995 13.4907L10.426 12.5558Z", fill: "#FFC800" }),
        React.createElement("path", { d: "M5.70527 10.3155L5.74436 10.7549L6.1873 10.5697V10.113L5.70527 10.3155Z", fill: "#FF4A00" }),
        React.createElement("path", { d: "M9.13169 12.9866L9.14472 13.1158L9.39224 13.7147L9.40093 13.6414L9.13169 12.9866Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M9.57022 13.4993L9.40085 13.6458L9.6093 14.3524L9.79603 14.2705L9.57022 13.4993Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M6.89957 8.23456L6.85181 8.90665L7.44239 8.99712L7.52056 8.32934L6.89957 8.23456Z", fill: "#CD0000" }),
        React.createElement("path", { d: "M6.72173 10.8971L6.9432 11.2073L7.34706 11.2719L7.16467 10.9703L6.72173 10.8971Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M6.27858 8.97552L6.22647 9.57868L6.76929 9.51406L6.8518 8.90228L6.27858 8.97552Z", fill: "#F10800" }),
        React.createElement("path", { d: "M10.1392 12.9565L9.83525 13.271L10.0784 14.0982L10.3998 13.844L10.1392 12.9565Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M6.18296 10.5697L6.28718 10.9488L6.7171 10.8971L6.65196 10.5137L6.18296 10.5697Z", fill: "#FF5200" }),
        React.createElement("path", { d: "M9.83516 13.2709L9.57026 13.4949L9.79608 14.2618L10.0783 14.0981L9.83516 13.2709Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M8.81045 12.3921L8.84953 12.573L9.14483 13.1116L9.1318 12.9823L8.81045 12.3921Z", fill: "#FFB200" }),
        React.createElement("path", { d: "M9.82203 10.3155L9.6353 10.8885L10.0652 11.6812L10.2737 11.1513L9.82203 10.3155Z", fill: "#FF5900" }),
        React.createElement("path", { d: "M7.1647 10.9703L7.34709 11.2719L7.75095 11.4486L7.60764 11.1642L7.1647 10.9703Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M6.23073 9.57872L6.18296 10.113L6.6867 10.0526L6.76921 9.5141L6.23073 9.57872Z", fill: "#FF2200" }),
        React.createElement("path", { d: "M9.27939 12.7841L9.13608 12.9866L9.40532 13.6415L9.57468 13.495L9.27939 12.7841Z", fill: "#FFC400" }),
        React.createElement("path", { d: "M6.18296 10.113V10.5697L6.65196 10.5137L6.6867 10.0527L6.18296 10.113Z", fill: "#FF3800" }),
        React.createElement("path", { d: "M10.0654 11.6812L9.80054 12.1335L10.1393 12.9607L10.4259 12.56L10.0654 11.6812Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M7.5206 8.32935L7.44243 8.99713L8.03302 9.25132L8.13724 8.59646L7.5206 8.32935Z", fill: "#D10000" }),
        React.createElement("path", { d: "M8.43691 11.8837L8.51074 12.1077L8.84946 12.573L8.81038 12.392L8.43691 11.8837Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M7.60327 11.1642L7.74658 11.4528L8.1374 11.7329L8.02884 11.4744L7.60327 11.1642Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M8.03306 11.4702L8.14162 11.7287L8.51074 12.1078L8.43692 11.8837L8.03306 11.4702Z", fill: "#FF7E00" }),
        React.createElement("path", { d: "M9.30555 9.60028L9.14487 10.2077L9.63558 10.8885L9.82232 10.3155L9.30555 9.60028Z", fill: "#FF3000" }),
        React.createElement("path", { d: "M6.65207 10.5137L6.71721 10.8971L7.16016 10.9704L7.1341 10.5912L6.65207 10.5137Z", fill: "#FF4A00" }),
        React.createElement("path", { d: "M6.85609 8.90228L6.77358 9.51406L7.32943 9.60022L7.44668 8.99706L6.85609 8.90228Z", fill: "#E80000" }),
        React.createElement("path", { d: "M8.13728 8.59216L8.03306 9.24702L8.60627 9.65631L8.74089 9.02299L8.13728 8.59216Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M9.51814 12.4998L9.27495 12.7841L9.57025 13.4993L9.83514 13.2753L9.51814 12.4998Z", fill: "#FFB200" }),
        React.createElement("path", { d: "M8.74072 9.02295L8.6061 9.65627L9.14458 10.2077L9.30526 9.60026L8.74072 9.02295Z", fill: "#FA0F00" }),
        React.createElement("path", { d: "M9.80046 12.1336L9.51819 12.4998L9.8352 13.271L10.1392 12.9565L9.80046 12.1336Z", fill: "#FFA300" }),
        React.createElement("path", { d: "M8.9233 12.1379L8.80606 12.3921L9.12741 12.9823L9.27071 12.7798L8.9233 12.1379Z", fill: "#FF9F00" }),
        React.createElement("path", { d: "M9.63547 10.8885L9.39229 11.3882L9.80049 12.1336L10.0654 11.6812L9.63547 10.8885Z", fill: "#FF6800" }),
        React.createElement("path", { d: "M6.68682 10.0527L6.65207 10.5137L7.1341 10.5912L7.20792 10.1345L6.68682 10.0527Z", fill: "#FF3000" }),
        React.createElement("path", { d: "M7.13416 10.5912L7.16021 10.9704L7.60315 11.1642L7.61184 10.8024L7.13416 10.5912Z", fill: "#FF4A00" }),
        React.createElement("path", { d: "M6.7693 9.5141L6.68679 10.0526L7.2079 10.1345L7.32949 9.60026L6.7693 9.5141Z", fill: "#FF1A00" }),
        React.createElement("path", { d: "M8.52377 11.5864L8.43691 11.8836L8.80603 12.392L8.92328 12.1378L8.52377 11.5864Z", fill: "#FF7E00" }),
        React.createElement("path", { d: "M7.44235 8.99713L7.3251 9.60029L7.88095 9.84155L8.03294 9.25132L7.44235 8.99713Z", fill: "#ED0400" }),
        React.createElement("path", { d: "M7.61635 10.798L7.60767 11.1599L8.03758 11.4658L8.08535 11.1297L7.61635 10.798Z", fill: "#FF5500" }),
        React.createElement("path", { d: "M9.14052 11.8061L8.92339 12.1421L9.27514 12.7841L9.51832 12.4997L9.14052 11.8061Z", fill: "#FF8D00" }),
        React.createElement("path", { d: "M8.08082 11.134L8.03306 11.4701L8.43692 11.8837L8.51943 11.5821L8.08082 11.134Z", fill: "#FF6800" }),
        React.createElement("path", { d: "M9.3923 11.3882L9.13608 11.8061L9.51823 12.4997L9.8005 12.1335L9.3923 11.3882Z", fill: "#FF7A00" }),
        React.createElement("path", { d: "M9.14496 10.2078L8.93218 10.7464L9.39683 11.3883L9.64002 10.8885L9.14496 10.2078Z", fill: "#FF4300" }),
        React.createElement("path", { d: "M7.20798 10.1345L7.13416 10.5912L7.61618 10.798L7.72908 10.3586L7.20798 10.1345Z", fill: "#FF3400" }),
        React.createElement("path", { d: "M8.033 9.24707L7.88101 9.8373L8.41948 10.2207L8.60187 9.65205L8.033 9.24707Z", fill: "#FA0F00" }),
        React.createElement("path", { d: "M7.32518 9.60028L7.20359 10.1345L7.72469 10.3585L7.88102 9.84154L7.32518 9.60028Z", fill: "#FF1A00" }),
        React.createElement("path", { d: "M8.60612 9.65631L8.42373 10.225L8.93181 10.7463L9.14459 10.2078L8.60612 9.65631Z", fill: "#FF2200" }),
        React.createElement("path", { d: "M8.70631 11.2072L8.52393 11.5863L8.92779 12.1421L9.14492 11.8061L8.70631 11.2072Z", fill: "#FF6800" }),
        React.createElement("path", { d: "M8.93189 10.7462L8.70608 11.2072L9.14034 11.8061L9.39655 11.3881L8.93189 10.7462Z", fill: "#FF5500" }),
        React.createElement("path", { d: "M7.72475 10.3585L7.61184 10.798L8.08084 11.134L8.22848 10.7204L7.72475 10.3585Z", fill: "#FF3B00" }),
        React.createElement("path", { d: "M8.22861 10.7204L8.08096 11.134L8.5239 11.5864L8.70629 11.2072L8.22861 10.7204Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M7.88089 9.84149L7.72456 10.3585L8.2283 10.7204L8.41937 10.2249L7.88089 9.84149Z", fill: "#FF2500" }),
        React.createElement("path", { d: "M8.42386 10.2249L8.23279 10.7204L8.71047 11.2072L8.93629 10.7462L8.42386 10.2249Z", fill: "#FF3800" }))),
});

const CurveBadge = createIcon({
    rectFill: 'white',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M11.1053 13.7042L9.88551 13.9723L9.73497 13.4055L11.032 13.1719L11.1053 13.7042Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M9.88154 13.9722L8.82002 14.3284L8.59227 13.7386L9.73099 13.4055L9.88154 13.9722Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M11.0283 13.1719L9.73128 13.4055L9.59618 12.743L10.9626 12.5439L11.0283 13.1719Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M9.73126 13.4055L8.59254 13.7387L8.38409 13.0493L9.59616 12.743L9.73126 13.4055Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M11.1863 14.1369L10.0476 14.428L9.88548 13.9684L11.1053 13.7004L11.1863 14.1369Z", fill: "#0000F1" }),
        React.createElement("path", { d: "M10.0478 14.4318L9.07117 14.8109L8.82412 14.3322L9.88564 13.9761L10.0478 14.4318Z", fill: "#0000DA" }),
        React.createElement("path", { d: "M10.9626 12.5438L9.60004 12.7429L9.48037 12.0038L10.9047 11.843L10.9626 12.5438Z", fill: "#0058FF" }),
        React.createElement("path", { d: "M9.5961 12.7429L8.3879 13.0455L8.20647 12.2719L9.47644 12L9.5961 12.7429Z", fill: "#0048FF" }),
        React.createElement("path", { d: "M12.441 13.5281L11.1054 13.7042L11.0282 13.1681L12.4332 13.0302L12.441 13.5281Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M11.2713 14.4548L10.2136 14.7688L10.0438 14.428L11.1825 14.137L11.2713 14.4548Z", fill: "#0000DA" }),
        React.createElement("path", { d: "M8.82042 14.3284L7.95191 14.7726L7.64696 14.1637L8.59267 13.7386L8.82042 14.3284Z", fill: "#0000E8" }),
        React.createElement("path", { d: "M10.2176 14.7688L9.32976 15.1632L9.07114 14.8109L10.0477 14.4318L10.2176 14.7688Z", fill: "#0000C4" }),
        React.createElement("path", { d: "M12.4331 13.0302L11.028 13.1719L10.9585 12.5438L12.4292 12.4443L12.4331 13.0302Z", fill: "#003CFF" }),
        React.createElement("path", { d: "M8.59239 13.7386L7.64667 14.1637L7.3726 13.4514L8.38781 13.0493L8.59239 13.7386Z", fill: "#0008FF" }),
        React.createElement("path", { d: "M12.4448 13.9301L11.1864 14.1369L11.1054 13.7042L12.441 13.528L12.4448 13.9301Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M9.0672 14.8072L8.27975 15.2629L7.95165 14.7727L8.82016 14.3285L9.0672 14.8072Z", fill: "#0000C8" }),
        React.createElement("path", { d: "M10.9008 11.843L9.47646 12.0039L9.37996 11.2035L10.8545 11.0848L10.9008 11.843Z", fill: "#0090FF" }),
        React.createElement("path", { d: "M9.47629 12.0039L8.20633 12.2758L8.05965 11.4371L9.37979 11.2035L9.47629 12.0039Z", fill: "#0084FF" }),
        React.createElement("path", { d: "M12.4295 12.4443L10.9588 12.5439L10.9009 11.843L12.4256 11.7894L12.4295 12.4443Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M8.38379 13.0493L7.36859 13.4515L7.12927 12.6549L8.20623 12.2758L8.38379 13.0493Z", fill: "#003CFF" }),
        React.createElement("path", { d: "M12.4524 14.225L11.2712 14.4586L11.1863 14.1408L12.4446 13.934L12.4524 14.225Z", fill: "#0000F6" }),
        React.createElement("path", { d: "M11.3601 14.65L10.3912 14.9794L10.2175 14.7687L11.2752 14.4547L11.3601 14.65Z", fill: "#0000D1" }),
        React.createElement("path", { d: "M9.32585 15.1633L8.62332 15.6267L8.27977 15.2628L9.06722 14.8071L9.32585 15.1633Z", fill: "#0000AD" }),
        React.createElement("path", { d: "M10.3911 14.9794L9.58821 15.3815L9.32573 15.1632L10.2174 14.7687L10.3911 14.9794Z", fill: "#0000BB" }),
        React.createElement("path", { d: "M12.4292 11.7894L10.9045 11.843L10.8581 11.0847L12.4292 11.0771V11.7894Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M8.20622 12.2758L7.13312 12.6549L6.93626 11.7894L8.05954 11.4409L8.20622 12.2758Z", fill: "#0078FF" }),
        React.createElement("path", { d: "M12.4602 14.4011L11.3601 14.6539L11.2713 14.4586L12.4525 14.225L12.4602 14.4011Z", fill: "#0000ED" }),
        React.createElement("path", { d: "M10.8545 11.0847L9.38 11.2035L9.30666 10.361L10.8198 10.2844L10.8545 11.0847Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M13.8268 13.4399L12.4371 13.528L12.4333 13.0301L13.8847 12.9803L13.8268 13.4399Z", fill: "#002CFF" }),
        React.createElement("path", { d: "M9.37983 11.2034L8.05968 11.437L7.94774 10.5562L9.30649 10.3571L9.37983 11.2034Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M13.765 13.8076L12.4449 13.9301L12.4372 13.528L13.8268 13.4399L13.765 13.8076Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M13.8846 12.9805L12.4332 13.0302L12.4294 12.4443L13.9386 12.4405L13.8846 12.9805Z", fill: "#0050FF" }),
        React.createElement("path", { d: "M7.95159 14.7726L7.28766 15.2896L6.90937 14.673L7.64278 14.1637L7.95159 14.7726Z", fill: "#0000DA" }),
        React.createElement("path", { d: "M7.64676 14.1638L6.91335 14.6731L6.57366 13.9493L7.3727 13.4553L7.64676 14.1638Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M9.58831 15.3815L8.9707 15.8487L8.62329 15.6227L9.32969 15.1594L9.58831 15.3815Z", fill: "#0000A4" }),
        React.createElement("path", { d: "M8.27962 15.2628L7.69289 15.7836L7.28759 15.2857L7.95152 14.7687L8.27962 15.2628Z", fill: "#0000B6" }),
        React.createElement("path", { d: "M11.4488 14.719L10.561 15.056L10.3873 14.9794L11.3562 14.65L11.4488 14.719Z", fill: "#0000D6" }),
        React.createElement("path", { d: "M13.7034 14.0719L12.4527 14.2251L12.445 13.934L13.7651 13.8115L13.7034 14.0719Z", fill: "#0004FF" }),
        React.createElement("path", { d: "M13.9386 12.4404L12.4293 12.4442L12.4255 11.7855L13.9849 11.8276L13.9386 12.4404Z", fill: "#0078FF" }),
        React.createElement("path", { d: "M10.5611 15.056L9.84695 15.462L9.58446 15.3815L10.3874 14.9794L10.5611 15.056Z", fill: "#0000BF" }),
        React.createElement("path", { d: "M12.4253 11.0771L10.8543 11.0847L10.8195 10.2844L12.4253 10.3227V11.0771Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M7.36891 13.4514L6.56988 13.9454L6.27265 13.1335L7.12959 12.6548L7.36891 13.4514Z", fill: "#0034FF" }),
        React.createElement("path", { d: "M12.468 14.4548L11.449 14.7191L11.3602 14.6502L12.4603 14.3974L12.468 14.4548Z", fill: "#0000F1" }),
        React.createElement("path", { d: "M8.62315 15.6265L8.11362 16.1512L7.68901 15.7874L8.27574 15.2665L8.62315 15.6265Z", fill: "#00009F" }),
        React.createElement("path", { d: "M8.0598 11.437L6.93652 11.7855L6.78598 10.8741L7.94786 10.5524L8.0598 11.437Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M13.6415 14.225L12.4603 14.4011L12.4526 14.225L13.7032 14.0718L13.6415 14.225Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M10.8197 10.2844L9.30656 10.361L9.26024 9.49548L10.8004 9.46484L10.8197 10.2844Z", fill: "#23FFD4" }),
        React.createElement("path", { d: "M13.9849 11.8315L12.4255 11.7894V11.0771L14.0235 11.169L13.9849 11.8315Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M9.30652 10.3571L7.94778 10.5562L7.87444 9.65244L9.2602 9.49542L9.30652 10.3571Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M9.85082 15.4619L9.31813 15.9291L8.97072 15.8525L9.58833 15.3853L9.85082 15.4619Z", fill: "#0000AD" }),
        React.createElement("path", { d: "M7.12944 12.6549L6.2725 13.1336L6.02932 12.249L6.93258 11.7894L7.12944 12.6549Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M11.5338 14.6577L10.7309 14.9947L10.561 15.056L11.445 14.719L11.5338 14.6577Z", fill: "#0000E8" }),
        React.createElement("path", { d: "M8.97062 15.8486L8.54601 16.3694L8.11755 16.1473L8.62708 15.6227L8.97062 15.8486Z", fill: "#000096" }),
        React.createElement("path", { d: "M12.4255 10.3226L10.8197 10.2843L10.7965 9.46094L12.4255 9.54902V10.3226Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M13.5796 14.2671L12.4679 14.4548L12.4602 14.3973L13.6413 14.225L13.5796 14.2671Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M15.2009 13.4284L13.8267 13.4399L13.8846 12.9803L15.3089 13.011L15.2009 13.4284Z", fill: "#0044FF" }),
        React.createElement("path", { d: "M15.0811 13.7578L13.7648 13.8037L13.8266 13.4361L15.1969 13.4246L15.0811 13.7578Z", fill: "#002CFF" }),
        React.createElement("path", { d: "M10.7308 14.9947L10.1016 15.3968L9.84687 15.4581L10.561 15.0521L10.7308 14.9947Z", fill: "#0000D1" }),
        React.createElement("path", { d: "M14.0274 11.169L12.4294 11.0771V10.3265L14.0622 10.4721L14.0274 11.169Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M12.4795 14.3897L11.5338 14.6578L11.4489 14.7191L12.4718 14.4548L12.4795 14.3897Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M15.3089 13.0149L13.8846 12.9805L13.9386 12.4405L15.4131 12.5209L15.3089 13.0149Z", fill: "#0064FF" }),
        React.createElement("path", { d: "M7.94786 10.5562L6.78597 10.8779L6.68947 9.93968L7.87837 9.65247L7.94786 10.5562Z", fill: "#19FFDE" }),
        React.createElement("path", { d: "M14.9575 13.9914L13.703 14.068L13.7648 13.8038L15.0811 13.7578L14.9575 13.9914Z", fill: "#001CFF" }),
        React.createElement("path", { d: "M7.28763 15.2896L6.82828 15.864L6.38823 15.2475L6.90934 14.673L7.28763 15.2896Z", fill: "#0000D1" }),
        React.createElement("path", { d: "M7.69292 15.7875L7.29919 16.3581L6.82826 15.864L7.28761 15.2896L7.69292 15.7875Z", fill: "#0000A8" }),
        React.createElement("path", { d: "M10.8002 9.46101L9.26001 9.49165L9.24071 8.62616L10.7925 8.63765L10.8002 9.46101Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M15.4133 12.5209L13.9388 12.4443L13.9851 11.8315L15.5021 11.9617L15.4133 12.5209Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M6.90941 14.6692L6.3883 15.2437L5.99071 14.516L6.56972 13.9454L6.90941 14.6692Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M6.9327 11.7894L6.02944 12.249L5.84802 11.3146L6.78602 10.878L6.9327 11.7894Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M9.26025 9.49543L7.87449 9.65628L7.83975 8.74866L9.23709 8.62994L9.26025 9.49543Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M14.8342 14.1216L13.6375 14.225L13.6993 14.0718L14.9538 13.9952L14.8342 14.1216Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M10.1016 15.4008L9.65765 15.8603L9.32182 15.9292L9.85065 15.462L10.1016 15.4008Z", fill: "#0000BF" }),
        React.createElement("path", { d: "M9.3181 15.9291L8.9707 16.4423L8.54609 16.3695L8.97456 15.8487L9.3181 15.9291Z", fill: "#00009B" }),
        React.createElement("path", { d: "M8.11373 16.1475L7.78949 16.7142L7.2954 16.3581L7.68913 15.7875L8.11373 16.1475Z", fill: "#000092" }),
        React.createElement("path", { d: "M13.5218 14.1944L12.4796 14.3897L12.4719 14.4548L13.5836 14.2672L13.5218 14.1944Z", fill: "#000CFF" }),
        React.createElement("path", { d: "M6.56952 13.9454L5.99051 14.516L5.64696 13.6926L6.27615 13.1297L6.56952 13.9454Z", fill: "#002CFF" }),
        React.createElement("path", { d: "M12.4293 9.54907L10.8004 9.46099L10.7926 8.63763L12.4332 8.77167L12.4293 9.54907Z", fill: "#5DFF9A" }),
        React.createElement("path", { d: "M14.0583 10.4682L12.4255 10.3226V9.54907L14.0776 9.74438L14.0583 10.4682Z", fill: "#2CFFCA" }),
        React.createElement("path", { d: "M15.5018 11.9616L13.9847 11.8314L14.0233 11.1689L15.5751 11.3489L15.5018 11.9616Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M11.6148 14.4662L10.8891 14.7994L10.7308 14.9947L11.5337 14.6577L11.6148 14.4662Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M12.4871 14.2021L11.6147 14.4663L11.5337 14.6578L12.4794 14.3897L12.4871 14.2021Z", fill: "#000CFF" }),
        React.createElement("path", { d: "M14.7145 14.1484L13.5796 14.2671L13.6414 14.225L14.838 14.1216L14.7145 14.1484Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M10.8889 14.7994L10.3408 15.1938L10.1015 15.4006L10.7307 14.9985L10.8889 14.7994Z", fill: "#0000F1" }),
        React.createElement("path", { d: "M7.87441 9.6525L6.68552 9.93972L6.64305 9.00147L7.84353 8.74872L7.87441 9.6525Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M8.54605 16.3696L8.29514 16.9249L7.79333 16.7143L8.11758 16.1475L8.54605 16.3696Z", fill: "#000089" }),
        React.createElement("path", { d: "M6.27646 13.1336L5.65113 13.6965L5.36548 12.8004L6.03328 12.249L6.27646 13.1336Z", fill: "#006CFF" }),
        React.createElement("path", { d: "M6.78178 10.878L5.84378 11.3146L5.72026 10.3534L6.68142 9.9436L6.78178 10.878Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M15.579 11.349L14.0272 11.169L14.0581 10.4682L15.6369 10.7018L15.579 11.349Z", fill: "#06ECF1" }),
        React.createElement("path", { d: "M10.7888 8.63762L9.23704 8.62613L9.24476 7.77979L10.7927 7.8334L10.7888 8.63762Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M13.4638 14.0106L12.4872 14.2059L12.4795 14.3935L13.5217 14.1982L13.4638 14.0106Z", fill: "#0024FF" }),
        React.createElement("path", { d: "M9.65781 15.8603L9.38761 16.362L8.97072 16.4424L9.31813 15.9292L9.65781 15.8603Z", fill: "#0000AD" }),
        React.createElement("path", { d: "M16.3162 13.7769L15.081 13.7578L15.2007 13.4284L16.4822 13.4858L16.3162 13.7769Z", fill: "#0044FF" }),
        React.createElement("path", { d: "M16.4823 13.4859L15.2007 13.4285L15.3088 13.011L16.6328 13.1106L16.4823 13.4859Z", fill: "#005CFF" }),
        React.createElement("path", { d: "M14.0815 9.7444L12.4294 9.54909L12.4332 8.77551L14.0969 9.02061L14.0815 9.7444Z", fill: "#5DFF9A" }),
        React.createElement("path", { d: "M9.24095 8.62608L7.83975 8.74863L7.84747 7.86399L9.24481 7.78357L9.24095 8.62608Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M14.5989 14.068L13.5181 14.1944L13.576 14.2671L14.7108 14.1484L14.5989 14.068Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M10.341 15.1938L9.97429 15.6419L9.65776 15.8602L10.1017 15.4006L10.341 15.1938Z", fill: "#0000DF" }),
        React.createElement("path", { d: "M16.1468 13.9799L14.9579 13.9914L15.0814 13.7578L16.3166 13.777L16.1468 13.9799Z", fill: "#0038FF" }),
        React.createElement("path", { d: "M16.633 13.1144L15.309 13.0148L15.4132 12.5208L16.7758 12.6663L16.633 13.1144Z", fill: "#0078FF" }),
        React.createElement("path", { d: "M12.4332 8.77546L10.7926 8.64143L10.8004 7.83722L12.4409 8.01721L12.4332 8.77546Z", fill: "#90FF66" }),
        React.createElement("path", { d: "M8.97086 16.4423L8.78944 16.9822L8.29149 16.9248L8.54626 16.3695L8.97086 16.4423Z", fill: "#00008D" }),
        React.createElement("path", { d: "M11.6882 14.1484L11.0358 14.4701L10.8891 14.7995L11.6148 14.4663L11.6882 14.1484Z", fill: "#001CFF" }),
        React.createElement("path", { d: "M15.9766 14.0871L14.8379 14.1254L14.9614 13.9952L16.1503 13.9837L15.9766 14.0871Z", fill: "#0034FF" }),
        React.createElement("path", { d: "M12.4988 13.8956L11.692 14.1483L11.6187 14.4662L12.4911 14.2019L12.4988 13.8956Z", fill: "#0030FF" }),
        React.createElement("path", { d: "M16.7759 12.6664L15.4133 12.5209L15.5021 11.9617L16.8994 12.1609L16.7759 12.6664Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M15.637 10.7018L14.0583 10.4682L14.0814 9.74438L15.6756 10.0316L15.637 10.7018Z", fill: "#33FFC4" }),
        React.createElement("path", { d: "M6.03322 12.245L5.36543 12.7965L5.14926 11.8506L5.84793 11.3145L6.03322 12.245Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M6.82835 15.8641L6.55815 16.4768L6.06792 15.8679L6.3883 15.2475L6.82835 15.8641Z", fill: "#0000C8" }),
        React.createElement("path", { d: "M7.29935 16.3581L7.07933 16.9593L6.55436 16.4768L6.82456 15.8641L7.29935 16.3581Z", fill: "#0000A4" }),
        React.createElement("path", { d: "M11.0357 14.4702L10.5609 14.8531L10.3409 15.1978L10.889 14.8033L11.0357 14.4702Z", fill: "#0008FF" }),
        React.createElement("path", { d: "M6.38805 15.2474L6.06766 15.8678L5.62376 15.144L5.99046 14.516L6.38805 15.2474Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M7.83963 8.74871L6.63915 9.00146L6.65073 8.08619L7.84735 7.86407L7.83963 8.74871Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M15.8069 14.0949L14.7145 14.1489L14.8342 14.1219L15.9729 14.0833L15.8069 14.0949Z", fill: "#0034FF" }),
        React.createElement("path", { d: "M14.4904 13.8842L13.4636 14.0106L13.5176 14.1982L14.5985 14.0719L14.4904 13.8842Z", fill: "#003CFF" }),
        React.createElement("path", { d: "M6.68559 9.93971L5.72444 10.3495L5.6704 9.38442L6.64313 9.00146L6.68559 9.93971Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M7.78966 16.7142L7.62754 17.3002L7.07941 16.9593L7.29557 16.3581L7.78966 16.7142Z", fill: "#000089" }),
        React.createElement("path", { d: "M13.4174 13.7119L12.4987 13.8957L12.4909 14.202L13.4675 14.0067L13.4174 13.7119Z", fill: "#0044FF" }),
        React.createElement("path", { d: "M16.8993 12.157L15.502 11.9579L15.5792 11.3452L16.9997 11.5979L16.8993 12.157Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M14.097 9.02056L12.4333 8.77546L12.4371 8.01721L14.097 8.31209V9.02056Z", fill: "#90FF66" }),
        React.createElement("path", { d: "M10.7964 7.83726L9.24852 7.78365L9.28326 6.97943L10.8157 7.07134L10.7964 7.83726Z", fill: "#CAFF2C" }),
        React.createElement("path", { d: "M9.97432 15.6419L9.78132 16.1283L9.39145 16.358L9.66165 15.8564L9.97432 15.6419Z", fill: "#0000CD" }),
        React.createElement("path", { d: "M5.99071 14.516L5.62401 15.1441L5.24186 14.3245L5.64717 13.6965L5.99071 14.516Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M9.24858 7.78364L7.85123 7.86406L7.90528 7.02539L9.28718 6.97943L9.24858 7.78364Z", fill: "#CEFF29" }),
        React.createElement("path", { d: "M12.4371 8.01722L10.7965 7.83723L10.8158 7.07513L12.4409 7.29725L12.4371 8.01722Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M9.38751 16.3619L9.2717 16.8865L8.7892 16.9823L8.97062 16.4423L9.38751 16.3619Z", fill: "#00009F" }),
        React.createElement("path", { d: "M15.6794 10.0316L14.0852 9.74436L14.0967 9.02057L15.7025 9.35757L15.6794 10.0316Z", fill: "#60FF97" }),
        React.createElement("path", { d: "M15.6448 14.0068L14.5987 14.068L14.7145 14.1485L15.8069 14.0949L15.6448 14.0068Z", fill: "#0040FF" }),
        React.createElement("path", { d: "M10.5609 14.8492L10.2675 15.282L9.97417 15.642L10.3409 15.1939L10.5609 14.8492Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M8.29136 16.9249L8.18714 17.4955L7.62743 17.304L7.78955 16.7181L8.29136 16.9249Z", fill: "#000080" }),
        React.createElement("path", { d: "M5.84783 11.3106L5.14916 11.8468L5.00634 10.8664L5.72431 10.3456L5.84783 11.3106Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M17.0038 11.6017L15.5794 11.3489L15.6373 10.7017L17.081 11.0081L17.0038 11.6017Z", fill: "#0FF8E7" }),
        React.createElement("path", { d: "M12.5067 13.4781L11.7579 13.7118L11.6922 14.1483L12.499 13.8956L12.5067 13.4781Z", fill: "#0058FF" }),
        React.createElement("path", { d: "M11.754 13.7119L11.1634 14.0144L11.036 14.4701L11.6883 14.1484L11.754 13.7119Z", fill: "#0048FF" }),
        React.createElement("path", { d: "M14.3942 13.597L13.4176 13.7119L13.4678 14.0067L14.4946 13.8804L14.3942 13.597Z", fill: "#0058FF" }),
        React.createElement("path", { d: "M5.64729 13.6965L5.24198 14.3245L4.92545 13.4246L5.3655 12.7965L5.64729 13.6965Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M17.3971 13.8535L16.3163 13.7769L16.4784 13.4858L17.594 13.5969L17.3971 13.8535Z", fill: "#0060FF" }),
        React.createElement("path", { d: "M17.1926 14.0259L16.1465 13.98L16.3163 13.777L17.3972 13.8536L17.1926 14.0259Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M17.5941 13.6008L16.4785 13.4897L16.6329 13.1182L17.7794 13.2714L17.5941 13.6008Z", fill: "#0074FF" }),
        React.createElement("path", { d: "M13.375 13.3135L12.5065 13.4782L12.4988 13.8956L13.4213 13.7118L13.375 13.3135Z", fill: "#006CFF" }),
        React.createElement("path", { d: "M11.1632 14.0143L10.754 14.3743L10.561 14.8492L11.0358 14.4662L11.1632 14.0143Z", fill: "#0038FF" }),
        React.createElement("path", { d: "M15.4943 13.8228L14.4907 13.8841L14.5988 14.0679L15.6449 14.0066L15.4943 13.8228Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M14.097 8.31208L12.4372 8.0172L12.441 7.29724L14.0893 7.63424L14.097 8.31208Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M8.7893 16.9823L8.73912 17.5338L8.18327 17.4955L8.28749 16.9249L8.7893 16.9823Z", fill: "#000084" }),
        React.createElement("path", { d: "M6.63923 9.0015L5.66649 9.38446L5.68193 8.43855L6.65081 8.0824L6.63923 9.0015Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M16.9841 14.1063L15.9728 14.0871L16.1426 13.9799L17.1887 14.0259L16.9841 14.1063Z", fill: "#004CFF" }),
        React.createElement("path", { d: "M7.8514 7.86407L6.65477 8.08618L6.72425 7.21304L7.90544 7.02539L7.8514 7.86407Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M17.7792 13.2676L16.6327 13.1144L16.7755 12.6664L17.9529 12.8694L17.7792 13.2676Z", fill: "#0090FF" }),
        React.createElement("path", { d: "M17.0808 11.0082L15.6371 10.7018L15.6795 10.0316L17.1387 10.3916L17.0808 11.0082Z", fill: "#36FFC1" }),
        React.createElement("path", { d: "M15.6988 9.35762L14.093 9.02061L14.0968 8.31213L15.6988 8.69892V9.35762Z", fill: "#8DFF6A" }),
        React.createElement("path", { d: "M10.8157 7.07138L9.28322 6.97947L9.34498 6.24036L10.8504 6.37056L10.8157 7.07138Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M10.2636 15.2819L10.1362 15.7491L9.77725 16.1283L9.97025 15.6419L10.2636 15.2819Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M16.7835 14.1025L15.8069 14.0986L15.9767 14.0909L16.9881 14.1102L16.7835 14.1025Z", fill: "#0050FF" }),
        React.createElement("path", { d: "M9.78131 16.1284L9.73113 16.6377L9.27564 16.8866L9.39144 16.362L9.78131 16.1284Z", fill: "#0000C4" }),
        React.createElement("path", { d: "M17.9493 12.8693L16.7759 12.6664L16.8994 12.157L18.0999 12.4098L17.9493 12.8693Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M12.4446 7.2973L10.8195 7.07519L10.8543 6.37054L12.4523 6.63096L12.4446 7.2973Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M14.309 13.2178L13.3749 13.3136L13.4174 13.7118L14.394 13.597L14.309 13.2178Z", fill: "#0080FF" }),
        React.createElement("path", { d: "M9.28324 6.97947L7.90133 7.02542L7.99397 6.25185L9.345 6.24036L9.28324 6.97947Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M5.72421 10.3495L5.00624 10.8703L4.94062 9.88607L5.67017 9.3844L5.72421 10.3495Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M5.3654 12.8004L4.92921 13.4284L4.68602 12.471L5.14923 11.8506L5.3654 12.8004Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M10.7542 14.3743L10.5226 14.7841L10.2678 15.2819L10.5612 14.8492L10.7542 14.3743Z", fill: "#002CFF" }),
        React.createElement("path", { d: "M15.3592 13.5472L14.3942 13.597L14.4907 13.8843L15.4943 13.823L15.3592 13.5472Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M7.07919 16.9593L7.03287 17.5414L6.48474 17.0666L6.55422 16.4768L7.07919 16.9593Z", fill: "#00009F" }),
        React.createElement("path", { d: "M6.558 16.4768L6.48852 17.0665L5.97899 16.4653L6.06777 15.8679L6.558 16.4768Z", fill: "#0000C8" }),
        React.createElement("path", { d: "M12.5142 12.9574L11.8117 13.1642L11.7538 13.7118L12.5027 13.4782L12.5142 12.9574Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M16.5865 14.0068L15.6447 14.0106L15.8068 14.0994L16.7834 14.1033L16.5865 14.0068Z", fill: "#005CFF" }),
        React.createElement("path", { d: "M11.8118 13.1642L11.2714 13.4399L11.1633 14.0144L11.7539 13.7118L11.8118 13.1642Z", fill: "#007CFF" }),
        React.createElement("path", { d: "M18.0997 12.4099L16.8993 12.1571L17.0035 11.6018L18.2233 11.9043L18.0997 12.4099Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M7.62721 17.3001L7.60405 17.8707L7.03276 17.5375L7.07908 16.9554L7.62721 17.3001Z", fill: "#000089" }),
        React.createElement("path", { d: "M9.2757 16.8865L9.27956 17.415L8.74301 17.5298L8.79319 16.9784L9.2757 16.8865Z", fill: "#00009B" }),
        React.createElement("path", { d: "M17.1387 10.3917L15.6796 10.0317L15.7027 9.35767L17.1696 9.76743L17.1387 10.3917Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M6.06803 15.8678L5.97924 16.4652L5.51989 15.7453L5.62798 15.144L6.06803 15.8678Z", fill: "#0000FA" }),
        React.createElement("path", { d: "M13.3401 12.8195L12.5141 12.9574L12.5063 13.4782L13.3749 13.3135L13.3401 12.8195Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M14.0932 7.63433L12.445 7.29733L12.4527 6.63098L14.0778 7.00628L14.0932 7.63433Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M15.7026 8.6989L14.1007 8.31211L14.093 7.63428L15.6833 8.06702L15.7026 8.6989Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M11.2712 13.4399L10.9123 13.7769L10.7501 14.3744L11.1593 14.0144L11.2712 13.4399Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M8.18714 17.4916V18.0545L7.60813 17.8707L7.63129 17.3001L8.18714 17.4916Z", fill: "#000080" }),
        React.createElement("path", { d: "M16.4051 13.8228H15.4942L15.6447 14.0066L16.5866 14.0028L16.4051 13.8228Z", fill: "#006CFF" }),
        React.createElement("path", { d: "M6.65077 8.08616L5.68189 8.44231L5.76681 7.53853L6.72025 7.21301L6.65077 8.08616Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M18.2234 11.9043L17.0036 11.6018L17.0846 11.0082L18.3199 11.3643L18.2234 11.9043Z", fill: "#19FFDE" }),
        React.createElement("path", { d: "M7.90144 7.02528L6.72026 7.21293L6.84378 6.40872L7.99408 6.25171L7.90144 7.02528Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M5.62414 15.1441L5.51606 15.7454L5.11847 14.9297L5.24199 14.3246L5.62414 15.1441Z", fill: "#0024FF" }),
        React.createElement("path", { d: "M15.2395 13.1871L14.3092 13.2178L14.3941 13.5969L15.3591 13.5471L15.2395 13.1871Z", fill: "#0094FF" }),
        React.createElement("path", { d: "M14.2396 12.7505L13.3402 12.8195L13.375 13.3135L14.3091 13.2177L14.2396 12.7505Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M10.8505 6.37051L9.34503 6.24031L9.43381 5.58545L10.8968 5.74629L10.8505 6.37051Z", fill: "#FFB200" }),
        React.createElement("path", { d: "M5.14918 11.8507L4.68597 12.4711L4.52771 11.483L5.00635 10.8703L5.14918 11.8507Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M10.1366 15.753L10.1443 16.2393L9.72739 16.6376L9.77757 16.1283L10.1366 15.753Z", fill: "#0000F1" }),
        React.createElement("path", { d: "M12.4486 6.63097L10.8505 6.37056L10.8969 5.74634L12.4563 6.04122L12.4486 6.63097Z", fill: "#FFBD00" }),
        React.createElement("path", { d: "M10.5224 14.7841L10.4529 15.2322L10.1364 15.7492L10.2638 15.282L10.5224 14.7841Z", fill: "#0020FF" }),
        React.createElement("path", { d: "M17.1657 9.76724L15.6989 9.35747L15.7028 8.69495L17.1657 9.1545V9.76724Z", fill: "#8DFF6A" }),
        React.createElement("path", { d: "M18.0262 14.114L17.1925 14.0221L17.397 13.8497L18.254 13.9684L18.0262 14.114Z", fill: "#006CFF" }),
        React.createElement("path", { d: "M18.258 13.9722L17.4011 13.8535L17.598 13.6008L18.4781 13.7539L18.258 13.9722Z", fill: "#0078FF" }),
        React.createElement("path", { d: "M5.67017 9.3844L4.94062 9.88607L4.95606 8.92102L5.68175 8.44232L5.67017 9.3844Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M17.7988 14.1752L16.9882 14.1063L17.1966 14.022L18.0304 14.1139L17.7988 14.1752Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M18.4742 13.7539L17.5941 13.6007L17.7794 13.2714L18.6788 13.4667L18.4742 13.7539Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M9.34518 6.24029L7.99416 6.25178L8.1254 5.56628L9.43397 5.58543L9.34518 6.24029Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M12.522 12.3486L11.8581 12.5247L11.8156 13.1681L12.5182 12.9613L12.522 12.3486Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M8.73912 17.5338L8.76228 18.0852L8.18327 18.0546V17.4916L8.73912 17.5338Z", fill: "#000084" }),
        React.createElement("path", { d: "M9.73117 16.6376L9.78907 17.147L9.28341 17.4189L9.27954 16.8904L9.73117 16.6376Z", fill: "#0000BB" }),
        React.createElement("path", { d: "M16.2394 13.5549L15.3593 13.5472L15.4944 13.823H16.4054L16.2394 13.5549Z", fill: "#0084FF" }),
        React.createElement("path", { d: "M10.916 13.777L10.7384 14.1638L10.5261 14.788L10.7577 14.3782L10.916 13.777Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M18.316 11.3643L17.0808 11.0081L17.1348 10.3915L18.3816 10.8013L18.316 11.3643Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M13.3171 12.2452L12.5219 12.3486L12.5142 12.9575L13.3402 12.8196L13.3171 12.2452Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M5.24197 14.3245L5.11845 14.9296L4.79034 14.0335L4.92545 13.4284L5.24197 14.3245Z", fill: "#0064FF" }),
        React.createElement("path", { d: "M17.5711 14.1565L16.7837 14.1025L16.9883 14.1102L17.7989 14.1797L17.5711 14.1565Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M11.8581 12.5246L11.3601 12.7659L11.2752 13.4399L11.8156 13.1641L11.8581 12.5246Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M18.6826 13.463L17.7793 13.2677L17.9492 12.8694L18.8679 13.1106L18.6826 13.463Z", fill: "#00A4FF" }),
        React.createElement("path", { d: "M15.6835 8.0671L14.0932 7.63435L14.0739 7.01013L15.6449 7.48117L15.6835 8.0671Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M14.0737 7.0101L12.4487 6.6348L12.4564 6.04504L14.0467 6.45098L14.0737 7.0101Z", fill: "#FFC800" }),
        React.createElement("path", { d: "M15.143 12.7468L14.2398 12.7506L14.3093 13.2178L15.2396 13.1872L15.143 12.7468Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M17.3508 14.0527L16.5865 14.0068L16.7834 14.1025L17.5709 14.1561L17.3508 14.0527Z", fill: "#0074FF" }),
        React.createElement("path", { d: "M18.8717 13.1106L17.953 12.8693L18.0997 12.4098L19.0377 12.697L18.8717 13.1106Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M14.1896 12.2106L13.3172 12.245L13.3404 12.8195L14.2398 12.7505L14.1896 12.2106Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M11.3563 12.766L11.0397 13.0724L10.9124 13.777L11.2713 13.44L11.3563 12.766Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M17.1658 9.15839L15.7028 8.69884L15.6835 8.06696L17.1387 8.57246L17.1658 9.15839Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M16.0963 13.21L15.2393 13.1832L15.3551 13.547L16.2352 13.5547L16.0963 13.21Z", fill: "#00A4FF" }),
        React.createElement("path", { d: "M18.3816 10.8013L17.1348 10.3915L17.1618 9.77112L18.4125 10.2307L18.3816 10.8013Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M9.27952 17.415L9.32198 17.955L8.76227 18.0813L8.73911 17.5299L9.27952 17.415Z", fill: "#000096" }),
        React.createElement("path", { d: "M5.00621 10.8703L4.52757 11.483L4.45808 10.4873L4.94445 9.88605L5.00621 10.8703Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M6.72034 7.21301L5.76691 7.53852L5.91745 6.70368L6.84387 6.40497L6.72034 7.21301Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M10.8969 5.74635L9.43396 5.5855L9.5459 5.03021L10.9548 5.21786L10.8969 5.74635Z", fill: "#FF7A00" }),
        React.createElement("path", { d: "M7.99396 6.25178L6.84365 6.40879L7.01736 5.69266L8.1252 5.56628L7.99396 6.25178Z", fill: "#FF9C00" }),
        React.createElement("path", { d: "M12.4603 6.04119L10.9009 5.74632L10.9588 5.21783L12.4681 5.53952L12.4603 6.04119Z", fill: "#FF8900" }),
        React.createElement("path", { d: "M17.1502 13.8688L16.4052 13.8228L16.5867 14.0066L17.351 14.0526L17.1502 13.8688Z", fill: "#0084FF" }),
        React.createElement("path", { d: "M7.03287 17.5376L7.09849 18.0699L6.55422 17.5988L6.48474 17.0665L7.03287 17.5376Z", fill: "#00009F" }),
        React.createElement("path", { d: "M19.0339 12.697L18.0959 12.4098L18.2195 11.9043L19.169 12.2413L19.0339 12.697Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M6.48857 17.0666L6.55805 17.5989L6.04852 16.9976L5.9829 16.4653L6.48857 17.0666Z", fill: "#0000C8" }),
        React.createElement("path", { d: "M10.4568 15.2321L10.5186 15.6993L10.1519 16.2392L10.1403 15.7529L10.4568 15.2321Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M4.92543 13.4246L4.79033 14.0297L4.53942 13.0761L4.68611 12.4711L4.92543 13.4246Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M7.60405 17.8708L7.66967 18.4031L7.09838 18.0699L7.03276 17.5376L7.60405 17.8708Z", fill: "#000089" }),
        React.createElement("path", { d: "M10.7387 14.1637L10.7194 14.5888L10.453 15.236L10.5225 14.7879L10.7387 14.1637Z", fill: "#005CFF" }),
        React.createElement("path", { d: "M12.5296 11.663L11.8888 11.7971L11.8579 12.5208L12.5218 12.3485L12.5296 11.663Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M10.1482 16.2393L10.2524 16.7257L9.78919 17.1469L9.73129 16.6376L10.1482 16.2393Z", fill: "#0000ED" }),
        React.createElement("path", { d: "M15.6448 7.48109L14.0738 7.01005L14.0468 6.45093L15.5908 6.95643L15.6448 7.48109Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M13.3017 11.6018L12.5297 11.6631L12.522 12.3486L13.3171 12.2452L13.3017 11.6018Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M5.68194 8.43854L4.95625 8.92107L5.05275 7.99814L5.76686 7.54242L5.68194 8.43854Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M5.9792 16.4653L6.04482 16.9976L5.58547 16.2814L5.51599 15.7453L5.9792 16.4653Z", fill: "#0000FA" }),
        React.createElement("path", { d: "M15.0735 12.2412L14.1934 12.2106L14.2436 12.7505L15.1468 12.7467L15.0735 12.2412Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M9.43392 5.58537L8.12536 5.56622L8.2952 4.98413L9.54586 5.03009L9.43392 5.58537Z", fill: "#FF6F00" }),
        React.createElement("path", { d: "M14.0466 6.45087L12.4562 6.04111L12.464 5.53943L14.008 5.976L14.0466 6.45087Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M11.889 11.8009L11.4181 12.0077L11.3602 12.7698L11.8581 12.5285L11.889 11.8009Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M16.9648 13.6123L16.2391 13.5548L16.4051 13.8229L17.1501 13.8727L16.9648 13.6123Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M11.0397 13.0723L10.9046 13.4322L10.7386 14.1637L10.9162 13.7769L11.0397 13.0723Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M15.9807 12.7966L15.1431 12.743L15.2396 13.1834L16.0965 13.2102L15.9807 12.7966Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M19.1731 12.2412L18.2235 11.9042L18.32 11.3642L19.2811 11.751L19.1731 12.2412Z", fill: "#1FFFD7" }),
        React.createElement("path", { d: "M8.18715 18.0545L8.25277 18.5869L7.67375 18.403L7.60813 17.8707L8.18715 18.0545Z", fill: "#000080" }),
        React.createElement("path", { d: "M18.4162 10.2309L17.1656 9.7713V9.15857L18.4162 9.6679V10.2309Z", fill: "#8DFF6A" }),
        React.createElement("path", { d: "M17.1385 8.57246L15.6833 8.06695L15.6447 7.48102L17.0845 8.02482L17.1385 8.57246Z", fill: "#E1FF16" }),
        React.createElement("path", { d: "M14.1586 11.6095L13.3055 11.6018L13.321 12.2452L14.1933 12.2107L14.1586 11.6095Z", fill: "#23FFD4" }),
        React.createElement("path", { d: "M5.51992 15.7453L5.5894 16.2814L5.18795 15.4657L5.11847 14.9296L5.51992 15.7453Z", fill: "#0024FF" }),
        React.createElement("path", { d: "M18.5938 14.2441L18.0263 14.1178L18.2541 13.9761L18.8331 14.1293L18.5938 14.2441Z", fill: "#0084FF" }),
        React.createElement("path", { d: "M9.78522 17.147L9.85084 17.6755L9.32201 17.9588L9.27954 17.4189L9.78522 17.147Z", fill: "#0000BB" }),
        React.createElement("path", { d: "M18.3508 14.2825L17.7988 14.1752L18.0304 14.114L18.594 14.2442L18.3508 14.2825Z", fill: "#0080FF" }),
        React.createElement("path", { d: "M18.8372 14.1293L18.2582 13.9761L18.4782 13.7578L19.0688 13.9455L18.8372 14.1293Z", fill: "#0090FF" }),
        React.createElement("path", { d: "M18.1113 14.248L17.5709 14.1522L17.7987 14.1714L18.3506 14.2786L18.1113 14.248Z", fill: "#0084FF" }),
        React.createElement("path", { d: "M19.0687 13.9416L18.4781 13.7539L18.6827 13.4629L19.2887 13.6888L19.0687 13.9416Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M11.4143 12.0038L11.1248 12.2757L11.0399 13.0722L11.3564 12.7659L11.4143 12.0038Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M4.68624 12.471L4.53955 13.0761L4.37743 12.0881L4.53183 11.4868L4.68624 12.471Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M16.8067 13.2867L16.0964 13.2101L16.2392 13.5548L16.9649 13.6122L16.8067 13.2867Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M12.4678 5.53953L10.9585 5.21784L11.028 4.80042L12.4794 5.14125L12.4678 5.53953Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M19.2772 11.7511L18.3161 11.3643L18.3817 10.8013L19.3467 11.2417L19.2772 11.7511Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M4.94078 9.88601L4.45441 10.4873L4.47371 9.50689L4.95622 8.92096L4.94078 9.88601Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M8.76227 18.0852L8.82403 18.6175L8.24889 18.5869L8.18327 18.0546L8.76227 18.0852Z", fill: "#000084" }),
        React.createElement("path", { d: "M10.9546 5.21773L9.54954 5.03008L9.68464 4.59351L11.0279 4.80413L10.9546 5.21773Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M15.5906 6.95645L14.0466 6.45094L14.0119 5.97607L15.5173 6.50839L15.5906 6.95645Z", fill: "#FFAB00" }),
        React.createElement("path", { d: "M17.8796 14.1407L17.3508 14.0526L17.5669 14.156L18.1074 14.2517L17.8796 14.1407Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M15.0272 11.6784L14.1587 11.6056L14.1896 12.2068L15.0735 12.2375L15.0272 11.6784Z", fill: "#2CFFCA" }),
        React.createElement("path", { d: "M19.285 13.6888L18.6828 13.4629L18.872 13.1068L19.4857 13.371L19.285 13.6888Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M6.84383 6.40882L5.91741 6.70752L6.13358 5.96459L7.01753 5.69269L6.84383 6.40882Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M8.12934 5.56245L7.0215 5.68882L7.24539 5.07992L8.29918 4.98035L8.12934 5.56245Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M15.8917 12.3254L15.0695 12.2374L15.1429 12.7429L15.9805 12.7965L15.8917 12.3254Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M13.2979 10.9047L12.5336 10.92L12.5298 11.6629L13.3018 11.6016L13.2979 10.9047Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M12.5336 10.924L11.9044 11.0159L11.8889 11.8009L12.5297 11.6669L12.5336 10.924Z", fill: "#4DFFAA" }),
        React.createElement("path", { d: "M18.4164 9.66399L17.1657 9.15465L17.1387 8.56873L18.3816 9.12019L18.4164 9.66399Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M10.7194 14.5888L10.8236 15.033L10.5148 15.6994L10.453 15.2322L10.7194 14.5888Z", fill: "#0058FF" }),
        React.createElement("path", { d: "M14.012 5.97603L12.468 5.53945L12.4757 5.14117L13.9695 5.5969L14.012 5.97603Z", fill: "#FF6F00" }),
        React.createElement("path", { d: "M5.11845 14.9296L5.18793 15.4658L4.85983 14.5696L4.79034 14.0297L5.11845 14.9296Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M17.0845 8.02494L15.6447 7.48114L15.5868 6.95648L17.0034 7.53475L17.0845 8.02494Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M10.5148 15.6995L10.6576 16.1667L10.2484 16.7258L10.1442 16.2394L10.5148 15.6995Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M10.9046 13.4284L10.9239 13.8267L10.7154 14.585L10.7347 14.1599L10.9046 13.4284Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M17.6674 13.9607L17.1502 13.8688L17.3548 14.0526L17.8836 14.1407L17.6674 13.9607Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M14.147 10.9622L13.3016 10.9086L13.3055 11.6056L14.1585 11.6132L14.147 10.9622Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M19.4818 13.3748L18.868 13.1106L19.034 12.7008L19.6555 13.011L19.4818 13.3748Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M9.54973 5.0301L8.29908 4.98415L8.4998 4.5246L9.68484 4.59353L9.54973 5.0301Z", fill: "#FF3F00" }),
        React.createElement("path", { d: "M5.76691 7.53854L5.05666 7.99426L5.23422 7.14026L5.92132 6.70752L5.76691 7.53854Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M11.9042 11.0121L11.4448 11.1768L11.414 12.0039L11.8849 11.7971L11.9042 11.0121Z", fill: "#49FFAD" }),
        React.createElement("path", { d: "M16.6752 12.9L15.9804 12.8004L16.0962 13.214L16.8064 13.2906L16.6752 12.9Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M19.3503 11.2379L18.3852 10.7975L18.42 10.2269L19.3889 10.7171L19.3503 11.2379Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M11.1287 12.2758L11.0206 12.6051L10.9048 13.4323L11.0399 13.0723L11.1287 12.2758Z", fill: "#09F0EE" }),
        React.createElement("path", { d: "M9.32203 17.955L9.38379 18.4873L8.82407 18.6136L8.76231 18.0813L9.32203 17.955Z", fill: "#00009B" }),
        React.createElement("path", { d: "M10.2522 16.7256L10.3371 17.2426L9.85459 17.6716L9.78897 17.1431L10.2522 16.7256Z", fill: "#0000E8" }),
        React.createElement("path", { d: "M17.4743 13.7118L16.9687 13.6122L17.1539 13.8688L17.6712 13.9607L17.4743 13.7118Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M19.6554 13.0072L19.0339 12.697L19.169 12.2413L19.7982 12.5974L19.6554 13.0072Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M15.8379 11.8085L15.0272 11.6821L15.0736 12.2412L15.8958 12.3293L15.8379 11.8085Z", fill: "#33FFC4" }),
        React.createElement("path", { d: "M15.0078 11.0809L14.147 10.9622L14.1585 11.6094L15.0271 11.6784L15.0078 11.0809Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M12.4756 5.1412L11.0243 4.80037L11.1015 4.50549L12.4834 4.86164L12.4756 5.1412Z", fill: "#FF3B00" }),
        React.createElement("path", { d: "M7.10254 18.0699L7.20676 18.5448L6.66635 18.0776L6.55827 17.595L7.10254 18.0699Z", fill: "#0000A8" }),
        React.createElement("path", { d: "M18.3814 9.12401L17.1385 8.57255L17.0845 8.02875L18.3158 8.6185L18.3814 9.12401Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M15.5175 6.50842L14.012 5.97611L13.9696 5.59698L15.4287 6.14844L15.5175 6.50842Z", fill: "#FF8600" }),
        React.createElement("path", { d: "M6.55424 17.5989L6.66232 18.0814L6.16051 17.4878L6.04471 17.0015L6.55424 17.5989Z", fill: "#0000CD" }),
        React.createElement("path", { d: "M4.52774 11.4831L4.37334 12.0843L4.3 11.0848L4.4544 10.4874L4.52774 11.4831Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M11.4451 11.1767L11.171 11.4103L11.1286 12.2758L11.4181 12.0039L11.4451 11.1767Z", fill: "#46FFB1" }),
        React.createElement("path", { d: "M11.0243 4.80044L9.68097 4.58981L9.83537 4.28345L11.1015 4.50556L11.0243 4.80044Z", fill: "#FF2900" }),
        React.createElement("path", { d: "M4.79033 14.0296L4.85981 14.5696L4.60891 13.6199L4.53942 13.076L4.79033 14.0296Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M13.3057 10.1772L12.5375 10.1427L12.5337 10.9239L13.298 10.9086L13.3057 10.1772Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M7.66977 18.4031L7.76627 18.8779L7.2027 18.5486L7.09848 18.0737L7.66977 18.4031Z", fill: "#000092" }),
        React.createElement("path", { d: "M17.0074 7.53469L15.5907 6.95642L15.5174 6.50836L16.9031 7.11344L17.0074 7.53469Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M12.5373 10.1427L11.9043 10.1848L11.9004 11.012L12.5296 10.9201L12.5373 10.1427Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M16.579 12.4595L15.8919 12.3255L15.9807 12.7965L16.6755 12.8961L16.579 12.4595Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M13.9694 5.6008L12.4795 5.14508L12.4872 4.86169L13.9193 5.3289L13.9694 5.6008Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M19.3854 10.7171L18.4165 10.2269V9.66394L19.3854 10.2001V10.7171Z", fill: "#8AFF6D" }),
        React.createElement("path", { d: "M4.95622 8.92098L4.47371 9.5069L4.58179 8.56482L5.05272 7.99805L4.95622 8.92098Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M6.04473 16.9977L6.16053 17.484L5.70504 16.7756L5.58538 16.2777L6.04473 16.9977Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M17.3046 13.4016L16.8067 13.2867L16.9649 13.6123L17.4706 13.7118L17.3046 13.4016Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M14.1509 10.2844L13.3017 10.1772L13.294 10.9048L14.1394 10.9584L14.1509 10.2844Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M19.8019 12.5974L19.1727 12.2412L19.2769 11.751L19.91 12.1531L19.8019 12.5974Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M8.2952 4.98419L7.2414 5.08376L7.51161 4.60123L8.49979 4.52081L8.2952 4.98419Z", fill: "#FF3000" }),
        React.createElement("path", { d: "M7.01759 5.69264L6.13364 5.96454L6.41156 5.33266L7.24148 5.08374L7.01759 5.69264Z", fill: "#FF5900" }),
        React.createElement("path", { d: "M18.6053 14.4242L18.3505 14.2825L18.5937 14.2404L18.8524 14.3974L18.6053 14.4242Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M18.8523 14.3973L18.5976 14.2442L18.8369 14.1293L19.0994 14.3093L18.8523 14.3973Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M8.24895 18.5868L8.34159 19.0579L7.76644 18.8779L7.66994 18.403L8.24895 18.5868Z", fill: "#000084" }),
        React.createElement("path", { d: "M18.3583 14.3781L18.1074 14.2517L18.3468 14.2862L18.5977 14.424L18.3583 14.3781Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M11.9082 10.1848L11.4489 10.3035V11.1766L11.9082 11.0119V10.1848Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M19.0956 14.3093L18.8331 14.1293L19.0647 13.9417L19.3272 14.1523L19.0956 14.3093Z", fill: "#00A4FF" }),
        React.createElement("path", { d: "M10.9276 13.8306L11.0665 14.2518L10.8233 15.0292L10.7191 14.5888L10.9276 13.8306Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M9.85065 17.6754L9.91241 18.2116L9.38358 18.4911L9.32182 17.9588L9.85065 17.6754Z", fill: "#0000BB" }),
        React.createElement("path", { d: "M10.8236 15.033L11.0012 15.481L10.6577 16.1703L10.5148 15.7031L10.8236 15.033Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M9.68104 4.58972L8.496 4.52078L8.72374 4.1991L9.83158 4.28335L9.68104 4.58972Z", fill: "#FF1600" }),
        React.createElement("path", { d: "M15.8145 11.2532L15.0077 11.0809L15.027 11.6783L15.8376 11.8047L15.8145 11.2532Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M18.1268 14.2633L17.8836 14.1407L18.1152 14.248L18.3661 14.3744L18.1268 14.2633Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M5.58931 16.2815L5.70897 16.7793L5.31524 15.9751L5.18786 15.4658L5.58931 16.2815Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M11.0206 12.6051L11.0669 12.9766L10.9241 13.8306L10.9048 13.4323L11.0206 12.6051Z", fill: "#06ECF1" }),
        React.createElement("path", { d: "M18.316 8.61852L17.0846 8.02876L17.0036 7.53857L18.2156 8.1628L18.316 8.61852Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M15.0154 10.4567L14.1508 10.2844L14.1431 10.9622L15.0039 11.0809L15.0154 10.4567Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M19.3313 14.1484L19.0688 13.9378L19.2889 13.6851L19.5552 13.9263L19.3313 14.1484Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M17.1696 13.0378L16.6794 12.8961L16.8106 13.2829L17.3086 13.3978L17.1696 13.0378Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M15.4249 6.14837L13.9658 5.59691L13.9156 5.32501L15.3245 5.88796L15.4249 6.14837Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M5.91751 6.70741L5.23428 7.14016L5.48905 6.37424L6.13754 5.96448L5.91751 6.70741Z", fill: "#FF9100" }),
        React.createElement("path", { d: "M19.9101 12.157L19.277 11.7511L19.3504 11.2379L19.9873 11.6898L19.9101 12.157Z", fill: "#46FFB1" }),
        React.createElement("path", { d: "M16.517 11.9808L15.8377 11.8085L15.8956 12.3255L16.5827 12.4595L16.517 11.9808Z", fill: "#39FFBE" }),
        React.createElement("path", { d: "M12.4834 4.86166L11.1015 4.50551L11.1864 4.34467L12.4911 4.70082L12.4834 4.86166Z", fill: "#FF2200" }),
        React.createElement("path", { d: "M19.385 10.2001L18.4161 9.66398L18.3813 9.12018L19.3464 9.69845L19.385 10.2001Z", fill: "#ADFF49" }),
        React.createElement("path", { d: "M11.1709 11.4103L11.0783 11.7052L11.0204 12.6051L11.1284 12.2758L11.1709 11.4103Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M17.9069 14.087L17.6637 13.9645L17.8799 14.1445L18.1231 14.267L17.9069 14.087Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M16.9029 7.11349L15.5172 6.50842L15.4245 6.14844L16.7756 6.77266L16.9029 7.11349Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M10.6616 16.1666L10.762 16.6759L10.3374 17.2465L10.2524 16.7295L10.6616 16.1666Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M13.3209 9.43415L12.5412 9.34607L12.5374 10.1426L13.3055 10.1771L13.3209 9.43415Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M19.5512 13.9301L19.2848 13.6888L19.4817 13.3748L19.7519 13.6543L19.5512 13.9301Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M8.82776 18.6175L8.91268 19.0885L8.3414 19.0579L8.24876 18.5869L8.82776 18.6175Z", fill: "#00008D" }),
        React.createElement("path", { d: "M13.9154 5.32894L12.4834 4.86173L12.4911 4.70471L13.8537 5.17575L13.9154 5.32894Z", fill: "#FF3800" }),
        React.createElement("path", { d: "M4.53951 13.0762L4.61285 13.62L4.44686 12.6358L4.37352 12.0881L4.53951 13.0762Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M14.1818 9.59503L13.321 9.43036L13.3055 10.1733L14.1547 10.2805L14.1818 9.59503Z", fill: "#ADFF49" }),
        React.createElement("path", { d: "M12.5413 9.3461L11.8928 9.33844L11.9044 10.1886L12.5375 10.1465L12.5413 9.3461Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M11.1014 4.50549L9.83147 4.28337L9.99746 4.11487L11.1864 4.34464L11.1014 4.50549Z", fill: "#F60B00" }),
        React.createElement("path", { d: "M11.4449 10.3035L11.1709 10.495V11.4103L11.4449 11.1767V10.3035Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M4.4544 10.4873L4.3 11.0847L4.3193 10.0967L4.4737 9.50311L4.4544 10.4873Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M17.71 13.8459L17.4707 13.7119L17.6637 13.9608L17.9069 14.0833L17.71 13.8459Z", fill: "#00C0FF" }),
        React.createElement("path", { d: "M5.18784 15.4658L5.31137 15.9713L4.98712 15.0866L4.85974 14.5696L5.18784 15.4658Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M17.0653 12.6319L16.5789 12.4595L16.6755 12.8999L17.1657 13.0416L17.0653 12.6319Z", fill: "#1FFFD7" }),
        React.createElement("path", { d: "M19.7517 13.6545L19.4815 13.3749L19.6552 13.0073L19.9293 13.3251L19.7517 13.6545Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M15.8261 10.6826L15.0193 10.4567L15.0116 11.0809L15.8184 11.2532L15.8261 10.6826Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M19.9872 11.6899L19.3503 11.238L19.3851 10.7172L20.022 11.2112L19.9872 11.6899Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M18.2195 8.15901L17.0074 7.53478L16.9032 7.11353L18.0921 7.76456L18.2195 8.15901Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M15.0542 9.82481L14.1818 9.59503L14.1548 10.2844L15.0194 10.4567L15.0542 9.82481Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M11.8965 9.33453L11.4179 9.4073L11.4449 10.3034L11.9042 10.1847L11.8965 9.33453Z", fill: "#BAFF3C" }),
        React.createElement("path", { d: "M16.49 11.4715L15.8145 11.2532L15.8376 11.8047L16.517 11.977L16.49 11.4715Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M15.3245 5.89184L13.9156 5.32889L13.8577 5.17188L15.2087 5.73483L15.3245 5.89184Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M5.05654 7.99426L4.58561 8.56486L4.78247 7.68789L5.2341 7.14026L5.05654 7.99426Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M19.3467 9.69846L18.3817 9.12019L18.3161 8.61469L19.2695 9.22742L19.3467 9.69846Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M8.49985 4.52457L7.51553 4.60499L7.82048 4.26415L8.73145 4.20288L8.49985 4.52457Z", fill: "#F10800" }),
        React.createElement("path", { d: "M17.5401 13.551L17.3046 13.4017L17.4706 13.7119L17.7099 13.8459L17.5401 13.551Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M10.3372 17.2465L10.399 17.7864L9.91644 18.2153L9.85468 17.6792L10.3372 17.2465Z", fill: "#0000ED" }),
        React.createElement("path", { d: "M16.7757 6.77264L15.4247 6.14841L15.3204 5.888L16.629 6.51988L16.7757 6.77264Z", fill: "#FF7A00" }),
        React.createElement("path", { d: "M9.83546 4.28348L8.72762 4.19923L8.97852 4.02307L10.0014 4.11498L9.83546 4.28348Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M13.348 8.69502L12.5413 8.5495V9.34222L13.321 9.4303L13.348 8.69502Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M12.4949 4.70468L11.1902 4.34469L11.2789 4.32172L12.5064 4.67404L12.4949 4.70468Z", fill: "#FA0F00" }),
        React.createElement("path", { d: "M7.24135 5.0838L6.41144 5.33272L6.7434 4.83105L7.51542 4.6051L7.24135 5.0838Z", fill: "#FF2500" }),
        React.createElement("path", { d: "M19.9295 13.3288L19.6555 13.011L19.7983 12.6012L20.0724 12.9612L19.9295 13.3288Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M9.38751 18.4911L9.46471 18.966L8.91272 19.0886L8.8278 18.6175L9.38751 18.4911Z", fill: "#00009F" }),
        React.createElement("path", { d: "M13.8575 5.17192L12.4949 4.70088L12.5026 4.67407L13.7957 5.13745L13.8575 5.17192Z", fill: "#FF2500" }),
        React.createElement("path", { d: "M14.2283 8.91706L13.3482 8.69495L13.3211 9.43406L14.1819 9.59873L14.2283 8.91706Z", fill: "#DBFF1C" }),
        React.createElement("path", { d: "M12.5412 8.54955L11.8657 8.48828L11.8927 9.33462L12.5412 9.34228V8.54955Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M11.0667 12.9766L11.2288 13.3787L11.0628 14.2556L10.9238 13.8344L11.0667 12.9766Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M16.9957 12.1876L16.5132 11.9808L16.575 12.4595L17.0614 12.6319L16.9957 12.1876Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M11.0667 14.2517L11.2712 14.6806L11.0049 15.481L10.8273 15.0329L11.0667 14.2517Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M11.0783 11.7051L11.14 12.0497L11.0667 12.9765L11.0204 12.605L11.0783 11.7051Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M11.1902 4.34547L10.0013 4.11569L10.1788 4.09271L11.279 4.32249L11.1902 4.34547Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M7.203 18.5486L7.30336 18.9468L6.77453 18.4873L6.66259 18.0814L7.203 18.5486Z", fill: "#0000B2" }),
        React.createElement("path", { d: "M20.0222 11.2111L19.3852 10.7171V10.2001L20.0183 10.7401L20.0222 11.2111Z", fill: "#8AFF6D" }),
        React.createElement("path", { d: "M6.66233 18.0775L6.77427 18.4835L6.28018 17.9014L6.16052 17.4801L6.66233 18.0775Z", fill: "#0000DA" }),
        React.createElement("path", { d: "M15.8686 10.1043L15.0541 9.82477L15.0155 10.4566L15.8223 10.6826L15.8686 10.1043Z", fill: "#A7FF50" }),
        React.createElement("path", { d: "M11.1707 10.4951L11.078 10.7555V11.7052L11.1707 11.4103V10.4951Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M17.4011 13.2101L17.1695 13.0378L17.3046 13.4016L17.54 13.5509L17.4011 13.2101Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M18.536 14.5888L18.6055 14.4242L18.8525 14.4012L18.7792 14.5812L18.536 14.5888Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M18.0883 7.76451L16.8993 7.11348L16.772 6.77264L17.9338 7.439L18.0883 7.76451Z", fill: "#FFAB00" }),
        React.createElement("path", { d: "M4.85972 14.5735L4.98711 15.0867L4.74006 14.1484L4.60882 13.6199L4.85972 14.5735Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M15.1199 9.20056L14.2282 8.91718L14.1819 9.59884L15.0543 9.82862L15.1199 9.20056Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M18.2929 14.5313L18.3585 14.3781L18.6017 14.4241L18.5322 14.5887L18.2929 14.5313Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M6.13369 5.96463L5.4852 6.37057L5.80945 5.71571L6.41162 5.32892L6.13369 5.96463Z", fill: "#FF5500" }),
        React.createElement("path", { d: "M4.37334 12.0843L4.44668 12.6357L4.37334 11.64L4.3 11.0886L4.37334 12.0843Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M7.76637 18.8779L7.85515 19.2724L7.30316 18.9507L7.2028 18.5486L7.76637 18.8779Z", fill: "#00009B" }),
        React.createElement("path", { d: "M15.2084 5.73481L13.8574 5.17186L13.7956 5.13739L15.0888 5.69268L15.2084 5.73481Z", fill: "#FF3F00" }),
        React.createElement("path", { d: "M18.7791 14.5812L18.8524 14.4012L19.0956 14.3093L19.0184 14.5084L18.7791 14.5812Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M11.4181 9.40729L11.1286 9.56047L11.171 10.4987L11.4451 10.3072L11.4181 9.40729Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M11.0048 15.481L11.1206 15.9789L10.7616 16.6758L10.6612 16.1665L11.0048 15.481Z", fill: "#0050FF" }),
        React.createElement("path", { d: "M16.5016 10.9507L15.826 10.6827L15.8145 11.2571L16.49 11.4754L16.5016 10.9507Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M20.0759 12.9575L19.8018 12.5975L19.9138 12.1533L20.1878 12.5554L20.0759 12.9575Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M19.2695 9.23123L18.3161 8.6185L18.2196 8.16278L19.1614 8.80998L19.2695 9.23123Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M18.061 14.4127L18.1266 14.2633L18.3621 14.3782L18.2965 14.5314L18.061 14.4127Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M6.16058 17.4839L6.28024 17.9052L5.83634 17.212L5.7051 16.7793L6.16058 17.4839Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M16.629 6.52371L15.3204 5.89183L15.2046 5.73865L16.4669 6.37053L16.629 6.52371Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M19.0222 14.5084L19.0994 14.3092L19.3349 14.1522L19.2577 14.3782L19.0222 14.5084Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M13.3867 7.98271L12.5452 7.78357V8.55332L13.3519 8.69885L13.3867 7.98271Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M11.8698 8.48828L11.3641 8.51126L11.422 9.40738L11.9007 9.33462L11.8698 8.48828Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M12.5027 4.67404L11.2752 4.32172L11.3678 4.4366L12.5104 4.77744L12.5027 4.67404Z", fill: "#ED0400" }),
        React.createElement("path", { d: "M13.7958 5.13745L12.5027 4.67407L12.5104 4.77747L13.734 5.22553L13.7958 5.13745Z", fill: "#FF1E00" }),
        React.createElement("path", { d: "M14.2977 8.26235L13.3867 7.98279L13.3519 8.69509L14.232 8.9172L14.2977 8.26235Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M17.845 14.2365L17.9068 14.0833L18.1268 14.2633L18.0612 14.4127L17.845 14.2365Z", fill: "#00C0FF" }),
        React.createElement("path", { d: "M4.4737 9.50312L4.3193 10.0967L4.4351 9.14696L4.58564 8.56104L4.4737 9.50312Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M8.3416 19.058L8.41881 19.4486L7.85523 19.2686L7.76645 18.878L8.3416 19.058Z", fill: "#000092" }),
        React.createElement("path", { d: "M12.5412 7.78365L11.8271 7.66876L11.8696 8.48829L12.5451 8.54957V7.78365H12.5412Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M19.2538 14.3743L19.331 14.1483L19.551 13.9301L19.47 14.1828L19.2538 14.3743Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M16.9689 11.7204L16.4902 11.4715L16.5173 11.9808L16.9998 12.1876L16.9689 11.7204Z", fill: "#5DFF9A" }),
        React.createElement("path", { d: "M17.2929 12.831L17.0613 12.6319L17.1655 13.0417L17.3971 13.214L17.2929 12.831Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M20.0182 10.74L19.3813 10.2001L19.3427 9.70221L19.9758 10.2805L20.0182 10.74Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M10.0015 4.11489L8.97853 4.02298L9.24488 4L10.1752 4.09191L10.0015 4.11489Z", fill: "#C80000" }),
        React.createElement("path", { d: "M9.91251 18.2116L9.98585 18.6903L9.46474 18.966L9.38754 18.4912L9.91251 18.2116Z", fill: "#0000C4" }),
        React.createElement("path", { d: "M17.652 14.0068L17.7138 13.8459L17.9106 14.0834L17.8489 14.2366L17.652 14.0068Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M8.72752 4.19931L7.81654 4.26441L8.15237 4.07676L8.98229 4.02698L8.72752 4.19931Z", fill: "#CD0000" }),
        React.createElement("path", { d: "M15.9458 9.53763L15.1198 9.20062L15.0541 9.82485L15.8686 10.1044L15.9458 9.53763Z", fill: "#CEFF29" }),
        React.createElement("path", { d: "M15.0889 5.69268L13.7958 5.13739L13.7301 5.22547L14.9577 5.76162L15.0889 5.69268Z", fill: "#FF3800" }),
        React.createElement("path", { d: "M15.2124 8.60315L14.2976 8.25848L14.2281 8.91717L15.1197 9.20439L15.2124 8.60315Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M20.188 12.5591L19.914 12.157L19.9873 11.6898L20.2614 12.1341L20.188 12.5591Z", fill: "#4DFFAA" }),
        React.createElement("path", { d: "M5.70498 16.7755L5.83622 17.2082L5.45022 16.4193L5.31126 15.9713L5.70498 16.7755Z", fill: "#0030FF" }),
        React.createElement("path", { d: "M11.279 4.32249L10.1789 4.09271L10.3603 4.21909L11.3717 4.43737L11.279 4.32249Z", fill: "#D10000" }),
        React.createElement("path", { d: "M17.9374 7.439L16.7755 6.77265L16.6327 6.5199L17.7637 7.1939L17.9374 7.439Z", fill: "#FF9100" }),
        React.createElement("path", { d: "M10.7618 16.6759L10.8236 17.2159L10.399 17.7827L10.3372 17.2427L10.7618 16.6759Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M13.4291 7.31641L12.5413 7.06366V7.78745L13.3828 7.98658L13.4291 7.31641Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M19.47 14.1829L19.5511 13.9301L19.7518 13.6544L19.6708 13.9416L19.47 14.1829Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M16.548 10.4223L15.8686 10.1044L15.8223 10.6827L16.4978 10.9508L16.548 10.4223Z", fill: "#A4FF53" }),
        React.createElement("path", { d: "M16.4707 6.36669L15.2084 5.73481L15.0849 5.69269L16.3008 6.31691L16.4707 6.36669Z", fill: "#FF5500" }),
        React.createElement("path", { d: "M19.1576 8.80611L18.2158 8.16274L18.0884 7.76447L19.0148 8.43464L19.1576 8.80611Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M13.7339 5.22553L12.5142 4.77747L12.5219 5.01107L13.6683 5.43615L13.7339 5.22553Z", fill: "#FF1E00" }),
        React.createElement("path", { d: "M5.23416 7.14025L4.78253 7.68788L5.06432 6.90281L5.48507 6.37433L5.23416 7.14025Z", fill: "#FF8D00" }),
        React.createElement("path", { d: "M14.3786 7.64958L13.429 7.31641L13.3827 7.98275L14.2937 8.26231L14.3786 7.64958Z", fill: "#FFB600" }),
        React.createElement("path", { d: "M12.5143 4.77742L11.3717 4.43658L11.4643 4.68934L12.5258 5.00719L12.5143 4.77742Z", fill: "#F10800" }),
        React.createElement("path", { d: "M7.51162 4.60505L6.74347 4.831L7.12176 4.47102L7.82043 4.26422L7.51162 4.60505Z", fill: "#E40000" }),
        React.createElement("path", { d: "M17.482 13.7234L17.5399 13.551L17.7097 13.8459L17.648 14.0067L17.482 13.7234Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M11.8272 7.66879L11.2752 7.64581L11.3601 8.51513L11.8658 8.49216L11.8272 7.66879Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M12.5413 7.05975L11.7731 6.89508L11.8272 7.66865L12.5413 7.78354V7.05975Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M8.91269 19.0886L8.98217 19.4792L8.42246 19.4485L8.34526 19.0579L8.91269 19.0886Z", fill: "#000096" }),
        React.createElement("path", { d: "M11.3603 8.51123L11.0399 8.62229L11.1287 9.55671L11.4182 9.40352L11.3603 8.51123Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M17.2274 12.4175L16.9997 12.1877L17.0653 12.632L17.2969 12.8311L17.2274 12.4175Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M4.60872 13.62L4.73996 14.1485L4.57784 13.1758L4.44659 12.6358L4.60872 13.62Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M14.9615 5.76167L13.734 5.22552L13.6683 5.43232L14.8341 5.94166L14.9615 5.76167Z", fill: "#FF3800" }),
        React.createElement("path", { d: "M11.1284 9.56055L11.0204 9.78649L11.0783 10.7592L11.1709 10.4988L11.1284 9.56055Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M16.9805 11.2417L16.5018 10.9507L16.4902 11.4753L16.9689 11.7243L16.9805 11.2417Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M13.4831 6.71133L12.5413 6.40497L12.5451 7.05983L13.4329 7.31258L13.4831 6.71133Z", fill: "#FF7E00" }),
        React.createElement("path", { d: "M19.6709 13.9377L19.7558 13.6505L19.9295 13.325L19.8446 13.6467L19.6709 13.9377Z", fill: "#09F0EE" }),
        React.createElement("path", { d: "M11.078 10.7554L11.1398 11.0732V12.0498L11.078 11.7051V10.7554Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M15.3244 8.04787L14.3787 7.6496L14.2938 8.26233L15.2086 8.60699L15.3244 8.04787Z", fill: "#FFC400" }),
        React.createElement("path", { d: "M13.6684 5.4323L12.522 5.01105L12.5297 5.3672L13.6028 5.75782L13.6684 5.4323Z", fill: "#FF2900" }),
        React.createElement("path", { d: "M11.1399 12.0499L11.3175 12.429L11.2326 13.3749L11.0704 12.9728L11.1399 12.0499Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M14.4791 7.09809L13.4832 6.7113L13.433 7.31638L14.3826 7.64955L14.4791 7.09809Z", fill: "#FF9100" }),
        React.createElement("path", { d: "M19.9758 10.2767L19.3427 9.69839L19.2655 9.22736L19.8909 9.84009L19.9758 10.2767Z", fill: "#CAFF2C" }),
        React.createElement("path", { d: "M20.2613 12.1341L19.9873 11.6898L20.0259 11.215L20.2999 11.7013L20.2613 12.1341Z", fill: "#6AFF8D" }),
        React.createElement("path", { d: "M16.0538 8.9976L15.2123 8.60315L15.1196 9.20056L15.9457 9.53757L16.0538 8.9976Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M11.2325 13.3748L11.4564 13.7884L11.2711 14.6807L11.0665 14.2517L11.2325 13.3748Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M17.7639 7.19772L16.6329 6.51988L16.4746 6.3667L17.5747 7.04453L17.7639 7.19772Z", fill: "#FF7A00" }),
        React.createElement("path", { d: "M16.3012 6.31691L15.0852 5.69269L14.9579 5.76162L16.1236 6.36669L16.3012 6.31691Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M12.5221 5.01097L11.4606 4.69312L11.5494 5.07607L12.526 5.36712L12.5221 5.01097Z", fill: "#FF1300" }),
        React.createElement("path", { d: "M11.3715 4.43655L10.3602 4.21826L10.5416 4.49016L11.4642 4.69313L11.3715 4.43655Z", fill: "#D60000" }),
        React.createElement("path", { d: "M13.541 6.18667L12.5374 5.83435L12.5412 6.40496L13.4831 6.71133L13.541 6.18667Z", fill: "#FF5900" }),
        React.createElement("path", { d: "M4.3 11.0848L4.37334 11.6362L4.39264 10.652L4.3193 10.0967L4.3 11.0848Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M13.6029 5.75781L12.5298 5.36719L12.5375 5.8344L13.5411 6.18672L13.6029 5.75781Z", fill: "#FF3B00" }),
        React.createElement("path", { d: "M5.31128 15.9712L5.44639 16.4231L5.12986 15.5576L4.98704 15.0866L5.31128 15.9712Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M17.3432 13.4016L17.4011 13.2101L17.5401 13.551L17.4822 13.7233L17.3432 13.4016Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M14.8342 5.94543L13.6685 5.4361L13.6028 5.75778L14.7107 6.23265L14.8342 5.94543Z", fill: "#FF4300" }),
        React.createElement("path", { d: "M12.5373 6.40502L11.7074 6.1944L11.773 6.89521L12.5412 7.05989L12.5373 6.40502Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M14.591 6.61937L13.541 6.1828L13.4831 6.70745L14.479 7.09424L14.591 6.61937Z", fill: "#FF6F00" }),
        React.createElement("path", { d: "M16.6367 9.90907L15.9496 9.5376L15.8724 10.1044L16.5517 10.4222L16.6367 9.90907Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M6.41159 5.33271L5.80942 5.71567L6.19542 5.19102L6.74355 4.82721L6.41159 5.33271Z", fill: "#FF1E00" }),
        React.createElement("path", { d: "M10.1748 4.09191L9.24071 4L9.51478 4.13021L10.3563 4.21829L10.1748 4.09191Z", fill: "#BB0000" }),
        React.createElement("path", { d: "M19.0148 8.43467L18.0884 7.76449L17.934 7.44281L18.8411 8.12831L19.0148 8.43467Z", fill: "#FFBD00" }),
        React.createElement("path", { d: "M14.7106 6.23268L13.6028 5.75781L13.541 6.18673L14.591 6.6233L14.7106 6.23268Z", fill: "#FF5500" }),
        React.createElement("path", { d: "M11.2713 14.6806L11.3987 15.1708L11.1208 15.9788L11.005 15.481L11.2713 14.6806Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M12.5259 5.3671L11.5493 5.07605L11.6304 5.58156L12.5336 5.83431L12.5259 5.3671Z", fill: "#FF2900" }),
        React.createElement("path", { d: "M12.5335 5.83442L11.6341 5.58167L11.7113 6.1944L12.5412 6.40503L12.5335 5.83442Z", fill: "#FF4700" }),
        React.createElement("path", { d: "M15.4594 7.55004L14.479 7.09814L14.3825 7.6496L15.3282 8.04788L15.4594 7.55004Z", fill: "#FFA300" }),
        React.createElement("path", { d: "M11.773 6.89523L11.167 6.82629L11.2789 7.64199L11.8309 7.66497L11.773 6.89523Z", fill: "#FF8900" }),
        React.createElement("path", { d: "M19.8407 13.6467L19.9256 13.325L20.0723 12.9574L19.9835 13.3135L19.8407 13.6467Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M16.1271 6.36667L14.9614 5.7616L14.834 5.94159L15.9496 6.51985L16.1271 6.36667Z", fill: "#FF5200" }),
        React.createElement("path", { d: "M17.1964 11.9884L16.9687 11.7203L16.9957 12.1875L17.2234 12.4173L17.1964 11.9884Z", fill: "#60FF97" }),
        React.createElement("path", { d: "M17.9105 14.7114L18.2927 14.5314L18.532 14.5888L18.1421 14.7765L17.9105 14.7114Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M8.9783 4.02316L8.15225 4.0772L8.50737 4.04632L9.24465 4L8.9783 4.02316Z", fill: "#B20000" }),
        React.createElement("path", { d: "M18.1421 14.7764L18.532 14.5888L18.7752 14.5811L18.3776 14.7803L18.1421 14.7764Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M10.3951 17.7827L10.4646 18.2691L9.98593 18.6903L9.91259 18.2116L10.3951 17.7827Z", fill: "#0000F1" }),
        React.createElement("path", { d: "M17.6867 14.5888L18.065 14.4126L18.2966 14.5313L17.9145 14.7113L17.6867 14.5888Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M16.1929 8.49585L15.3283 8.04779L15.2124 8.60308L16.0578 8.99753L16.1929 8.49585Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M17.0305 10.767L16.548 10.4261L16.4978 10.9546L16.9765 11.2495L17.0305 10.767Z", fill: "#A0FF56" }),
        React.createElement("path", { d: "M17.5709 7.04452L16.4708 6.36668L16.3009 6.31689L17.3624 6.98324L17.5709 7.04452Z", fill: "#FF6F00" }),
        React.createElement("path", { d: "M11.4604 4.69308L10.5378 4.49011L10.7154 4.89988L11.5492 5.07604L11.4604 4.69308Z", fill: "#E40000" }),
        React.createElement("path", { d: "M15.6139 7.12118L14.5909 6.61951L14.479 7.09437L15.4595 7.54627L15.6139 7.12118Z", fill: "#FF8200" }),
        React.createElement("path", { d: "M4.58565 8.56484L4.4351 9.15077L4.64355 8.26613L4.78251 7.68787L4.58565 8.56484Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M9.46476 18.966L9.52266 19.3605L8.97839 19.4792L8.90891 19.0886L9.46476 18.966Z", fill: "#0000A8" }),
        React.createElement("path", { d: "M11.2754 7.64581L10.9087 7.71475L11.0399 8.62236L11.3603 8.5113L11.2754 7.64581Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M17.2391 13.0455L17.297 12.831L17.4012 13.2101L17.3433 13.4016L17.2391 13.0455Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M18.3813 14.7803L18.7789 14.5811L19.0221 14.5084L18.6168 14.7266L18.3813 14.7803Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M20.2962 11.6974L20.0221 11.2111L20.0183 10.7362L20.2924 11.2609L20.2962 11.6974Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M15.9497 6.5237L14.8341 5.94543L14.7106 6.23265L15.7798 6.77646L15.9497 6.5237Z", fill: "#FF5900" }),
        React.createElement("path", { d: "M19.8985 9.84397L19.2732 9.23124L19.1612 8.80615L19.7788 9.44952L19.8985 9.84397Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M17.4744 14.4127L17.845 14.2366L18.0611 14.4127L17.6828 14.5889L17.4744 14.4127Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M15.7761 6.77647L14.7069 6.23267L14.5872 6.61946L15.6101 7.12113L15.7761 6.77647Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M11.7076 6.19437L11.0321 6.08331L11.1633 6.82625L11.7693 6.89518L11.7076 6.19437Z", fill: "#FF5D00" }),
        React.createElement("path", { d: "M7.30309 18.9469L7.37257 19.2494L6.85918 18.8052L6.77426 18.4911L7.30309 18.9469Z", fill: "#0000C4" }),
        React.createElement("path", { d: "M16.7563 9.42276L16.0577 8.99768L15.9496 9.53765L16.6367 9.90912L16.7563 9.42276Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M18.6171 14.7266L19.0224 14.5084L19.254 14.3743L18.841 14.6118L18.6171 14.7266Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M18.8447 8.1283L17.9376 7.4428L17.7639 7.20154L18.6517 7.89469L18.8447 8.1283Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M11.5492 5.07619L10.7154 4.90002L10.8814 5.43617L11.6341 5.58169L11.5492 5.07619Z", fill: "#FF1300" }),
        React.createElement("path", { d: "M6.77414 18.4874L6.85906 18.8014L6.38041 18.2346L6.28391 17.9014L6.77414 18.4874Z", fill: "#0000E8" }),
        React.createElement("path", { d: "M19.9873 13.3135L20.076 12.9573L20.188 12.5552L20.0992 12.9458L19.9873 13.3135Z", fill: "#36FFC1" }),
        React.createElement("path", { d: "M17.2851 14.1868L17.6518 14.0068L17.8486 14.2365L17.4781 14.4127L17.2851 14.1868Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M11.6341 5.58162L10.8852 5.4361L11.0358 6.08713L11.7113 6.19818L11.6341 5.58162Z", fill: "#FF3400" }),
        React.createElement("path", { d: "M11.0398 8.62225L10.9009 8.81373L11.0167 9.78262L11.1248 9.55667L11.0398 8.62225Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M11.1206 15.9789L11.1785 16.5227L10.8195 17.2158L10.7577 16.6759L11.1206 15.9789Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M7.81668 4.26486L7.11801 4.47166L7.53104 4.26869L8.14865 4.07721L7.81668 4.26486Z", fill: "#BB0000" }),
        React.createElement("path", { d: "M10.3603 4.21827L9.52265 4.13019L9.79672 4.41358L10.5456 4.49017L10.3603 4.21827Z", fill: "#BF0000" }),
        React.createElement("path", { d: "M16.355 8.05167L15.4634 7.54999L15.3283 8.04784L16.1929 8.4959L16.355 8.05167Z", fill: "#FFB600" }),
        React.createElement("path", { d: "M17.3666 6.98324L16.305 6.31689L16.1313 6.37051L17.1581 7.02154L17.3666 6.98324Z", fill: "#FF6800" }),
        React.createElement("path", { d: "M7.8552 19.2686L7.90924 19.5635L7.37269 19.2494L7.30321 18.9469L7.8552 19.2686Z", fill: "#0000AD" }),
        React.createElement("path", { d: "M4.98707 15.0867L5.12989 15.5539L4.89057 14.6348L4.74002 14.1484L4.98707 15.0867Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M4.44687 12.6358L4.57811 13.1757L4.50477 12.1915L4.37352 11.6401L4.44687 12.6358Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M17.208 11.552L16.9802 11.2418L16.9687 11.7205L17.1964 11.9886L17.208 11.552Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M5.48499 6.37049L5.06424 6.90281L5.42709 6.22497L5.80924 5.71564L5.48499 6.37049Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M18.8409 14.6156L19.2539 14.3782L19.4739 14.1867L19.0571 14.4509L18.8409 14.6156Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M6.28016 17.9053L6.37666 18.2384L5.94434 17.5644L5.83239 17.2121L6.28016 17.9053Z", fill: "#0004FF" }),
        React.createElement("path", { d: "M17.1695 12.6625L17.2274 12.4174L17.2969 12.8272L17.239 13.0416L17.1695 12.6625Z", fill: "#49FFAD" }),
        React.createElement("path", { d: "M11.0167 9.78656L11.0669 10.0776L11.1402 11.0771L11.0784 10.7593L11.0167 9.78656Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M17.1194 13.9186L17.4784 13.7271L17.6482 14.0067L17.2815 14.1867L17.1194 13.9186Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M17.1193 10.3035L16.6368 9.9129L16.5518 10.4261L17.0343 10.7669L17.1193 10.3035Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M16.5365 7.66872L15.6139 7.12109L15.4634 7.55001L16.355 8.05168L16.5365 7.66872Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M11.1669 6.82629L10.7423 6.85693L10.9122 7.71093L11.2789 7.64199L11.1669 6.82629Z", fill: "#FF7E00" }),
        React.createElement("path", { d: "M17.1539 7.01773L16.1271 6.3667L15.9496 6.51988L16.9416 7.1441L17.1539 7.01773Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M20.2923 11.2609L20.0182 10.7362L19.9758 10.2767L20.2498 10.832L20.2923 11.2609Z", fill: "#A7FF50" }),
        React.createElement("path", { d: "M19.7789 9.44569L19.1613 8.80232L19.0146 8.43085L19.6245 9.09337L19.7789 9.44569Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M16.907 8.97454L16.1929 8.49585L16.0578 8.99752L16.7565 9.4226L16.907 8.97454Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M18.6517 7.89089L17.7639 7.19774L17.5709 7.04456L18.4394 7.73771L18.6517 7.89089Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M11.1401 11.0733L11.3176 11.4333V12.429L11.1401 12.0498V11.0733Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M16.7335 7.36618L15.7762 6.77643L15.6102 7.12109L16.5366 7.66872L16.7335 7.36618Z", fill: "#FF8200" }),
        React.createElement("path", { d: "M16.9416 7.14412L15.9496 6.5199L15.7759 6.77265L16.7332 7.36241L16.9416 7.14412Z", fill: "#FF7300" }),
        React.createElement("path", { d: "M8.41871 19.4486L8.45731 19.7397L7.90918 19.5635L7.85514 19.2686L8.41871 19.4486Z", fill: "#0000A4" }),
        React.createElement("path", { d: "M9.24476 4L8.50748 4.04595L8.87419 4.17616L9.52268 4.13021L9.24476 4Z", fill: "#A40000" }),
        React.createElement("path", { d: "M20.0955 12.9497L20.1843 12.5591L20.2576 12.134L20.165 12.5629L20.0955 12.9497Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M19.0532 14.4472L19.474 14.1867L19.6708 13.9417L19.2462 14.2289L19.0532 14.4472Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M10.5378 4.49017L9.78897 4.41357L10.0592 4.84249L10.7154 4.89993L10.5378 4.49017Z", fill: "#CD0000" }),
        React.createElement("path", { d: "M11.3178 12.4289L11.5533 12.8272L11.4568 13.7884L11.2329 13.3748L11.3178 12.4289Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M16.9843 13.6085L17.3394 13.4017L17.4784 13.7234L17.1194 13.9148L16.9843 13.6085Z", fill: "#1FFFD7" }),
        React.createElement("path", { d: "M4.3193 10.0967L4.39264 10.652L4.50844 9.70988L4.4351 9.15076L4.3193 10.0967Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M6.74335 4.82714L6.19522 5.19095L6.63527 4.81183L7.11777 4.46716L6.74335 4.82714Z", fill: "#DA0000" }),
        React.createElement("path", { d: "M9.98581 18.6902L10.0321 19.0924L9.51874 19.3604L9.46084 18.966L9.98581 18.6902Z", fill: "#0000CD" }),
        React.createElement("path", { d: "M5.83655 17.2083L5.94849 17.5606L5.57407 16.7947L5.45441 16.4194L5.83655 17.2083Z", fill: "#003CFF" }),
        React.createElement("path", { d: "M11.0319 6.08336L10.5378 6.07953L10.7385 6.85694L11.1632 6.8263L11.0319 6.08336Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M17.2583 11.1192L17.0305 10.7669L16.9804 11.2456L17.2081 11.5558L17.2583 11.1192Z", fill: "#9DFF5A" }),
        React.createElement("path", { d: "M17.1387 12.2643L17.1966 11.9885L17.2275 12.4174L17.1696 12.6625L17.1387 12.2643Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M10.7156 4.89991L10.0594 4.84247L10.3103 5.40159L10.8816 5.43605L10.7156 4.89991Z", fill: "#E80000" }),
        React.createElement("path", { d: "M17.0846 8.57627L16.355 8.04779L16.1929 8.49585L16.907 8.97455L17.0846 8.57627Z", fill: "#FFC400" }),
        React.createElement("path", { d: "M10.9083 7.71472L10.7269 7.87556L10.9006 8.81764L11.0396 8.62616L10.9083 7.71472Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M18.4356 7.73764L17.571 7.04449L17.3664 6.98322L18.2079 7.66871L18.4356 7.73764Z", fill: "#FF8600" }),
        React.createElement("path", { d: "M17.2465 9.86307L16.7563 9.42267L16.6366 9.90903L17.1191 10.2996L17.2465 9.86307Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M11.4566 13.7884L11.5917 14.2709L11.3987 15.1709L11.2713 14.6807L11.4566 13.7884Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M10.8814 5.43614L10.3101 5.40167L10.5417 6.07951L11.0358 6.08334L10.8814 5.43614Z", fill: "#FF2200" }),
        React.createElement("path", { d: "M10.8234 17.2159L10.889 17.7099L10.4683 18.269L10.3988 17.7827L10.8234 17.2159Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M19.6284 9.09724L19.0146 8.43472L18.8448 8.12836L19.447 8.80619L19.6284 9.09724Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M19.2423 14.2289L19.6669 13.9417L19.8406 13.6506L19.4083 13.9685L19.2423 14.2289Z", fill: "#0FF8E7" }),
        React.createElement("path", { d: "M20.2496 10.8359L19.9794 10.2768L19.8983 9.84021L20.1685 10.43L20.2496 10.8359Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M16.8839 13.2714L17.239 13.0455L17.3432 13.4016L16.9881 13.6084L16.8839 13.2714Z", fill: "#33FFC4" }),
        React.createElement("path", { d: "M8.9785 19.4792L9.00166 19.7664L8.45739 19.7358L8.41879 19.4448L8.9785 19.4792Z", fill: "#0000A8" }),
        React.createElement("path", { d: "M20.1688 12.563L20.2614 12.1341L20.2962 11.6975L20.2035 12.1609L20.1688 12.563Z", fill: "#6AFF8D" }),
        React.createElement("path", { d: "M8.15244 4.07696L7.53483 4.26844L7.96716 4.23015L8.50371 4.04633L8.15244 4.07696Z", fill: "#9F0000" }),
        React.createElement("path", { d: "M17.2352 14.9143L17.9107 14.7113L18.1462 14.7764L17.4591 14.987L17.2352 14.9143Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M17.2854 8.2432L16.5366 7.66876L16.3551 8.04789L17.0886 8.57637L17.2854 8.2432Z", fill: "#FFAB00" }),
        React.createElement("path", { d: "M17.019 14.7879L17.6868 14.5888L17.9107 14.7114L17.2351 14.9143L17.019 14.7879Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M18.2079 7.66871L17.3664 6.98322L17.1541 7.01768L17.9724 7.68786L18.2079 7.66871Z", fill: "#FF8200" }),
        React.createElement("path", { d: "M4.74015 14.1484L4.88684 14.6348L4.72857 13.6812L4.57803 13.1719L4.74015 14.1484Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M4.78248 7.68789L4.64352 8.26616L4.93688 7.46961L5.06427 6.90283L4.78248 7.68789Z", fill: "#FF8D00" }),
        React.createElement("path", { d: "M17.459 14.9871L18.1461 14.7764L18.3816 14.7803L17.6867 15.0024L17.459 14.9871Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M16.8181 14.6118L17.4782 14.4165L17.6867 14.5927L17.0189 14.7918L16.8181 14.6118Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M9.5188 4.13019L8.87031 4.17614L9.23701 4.46336L9.79286 4.41358L9.5188 4.13019Z", fill: "#A80000" }),
        React.createElement("path", { d: "M10.9009 8.81378L10.924 9.07802L11.0707 10.0737L11.0205 9.78267L10.9009 8.81378Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M17.5051 7.9751L16.7331 7.36237L16.5362 7.6649L17.2889 8.23552L17.5051 7.9751Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M17.9724 7.68788L17.1541 7.0177L16.9418 7.14408L17.7369 7.79128L17.9724 7.68788Z", fill: "#FF8200" }),
        React.createElement("path", { d: "M17.1503 11.8621L17.2082 11.5519L17.1966 11.9885L17.1387 12.2642L17.1503 11.8621Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M17.347 10.698L17.1192 10.3035L17.0305 10.7669L17.2582 11.1192L17.347 10.698Z", fill: "#BAFF3C" }),
        React.createElement("path", { d: "M17.4051 9.4648L16.9071 8.97461L16.7566 9.42267L17.2468 9.86307L17.4051 9.4648Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M17.6867 15.0024L18.3815 14.7803L18.617 14.7267L17.9106 14.9603L17.6867 15.0024Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M19.4121 13.9646L19.8445 13.6467L19.9873 13.3135L19.5511 13.6582L19.4121 13.9646Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M16.6366 14.3858L17.289 14.1867L17.4781 14.4127L16.818 14.608L16.6366 14.3858Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M5.45035 16.4193L5.57001 16.7946L5.2612 15.956L5.12996 15.5577L5.45035 16.4193Z", fill: "#0078FF" }),
        React.createElement("path", { d: "M17.7368 7.79132L16.9416 7.14795L16.7331 7.36624L17.5051 7.97897L17.7368 7.79132Z", fill: "#FF8900" }),
        React.createElement("path", { d: "M19.4471 8.80614L18.845 8.12447L18.6481 7.89087L19.2387 8.5802L19.4471 8.80614Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M11.3987 15.171L11.4566 15.7224L11.1787 16.5266L11.1208 15.9828L11.3987 15.171Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M4.37352 11.6362L4.50477 12.1876L4.52407 11.2188L4.38896 10.652L4.37352 11.6362Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M10.7424 6.86078L10.5031 6.99098L10.727 7.87562L10.9084 7.71478L10.7424 6.86078Z", fill: "#FF7300" }),
        React.createElement("path", { d: "M16.8145 12.9114L17.1657 12.6625L17.2352 13.0454L16.8801 13.2714L16.8145 12.9114Z", fill: "#4DFFAA" }),
        React.createElement("path", { d: "M20.1649 10.4337L19.8947 9.84396L19.7789 9.44568L20.0452 10.0622L20.1649 10.4337Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M5.80921 5.71565L5.42706 6.22499L5.85939 5.68118L6.19908 5.19482L5.80921 5.71565Z", fill: "#FF1A00" }),
        React.createElement("path", { d: "M17.9105 14.9603L18.6169 14.7267L18.8408 14.6156L18.1267 14.8684L17.9105 14.9603Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M16.4746 14.1215L17.1193 13.9147L17.2852 14.1866L16.6329 14.3858L16.4746 14.1215Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M20.2034 12.1609L20.296 11.6975L20.2922 11.2609L20.1957 11.7588L20.2034 12.1609Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M11.0665 10.0737L11.2325 10.4146L11.3174 11.4332L11.1399 11.0733L11.0665 10.0737Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M9.79289 4.41357L9.23704 4.46336L9.59217 4.90376L10.0631 4.84249L9.79289 4.41357Z", fill: "#B60000" }),
        React.createElement("path", { d: "M17.5903 9.11256L17.0846 8.57642L16.9071 8.97469L17.405 9.46488L17.5903 9.11256Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M19.2385 8.58023L18.6479 7.89091L18.4356 7.73773L19.0146 8.42705L19.2385 8.58023Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M10.4644 18.269L10.503 18.6788L10.0359 19.0924L9.98956 18.6903L10.4644 18.269Z", fill: "#0000FA" }),
        React.createElement("path", { d: "M9.52281 19.3604L9.53053 19.6553L9.0017 19.7702L8.97853 19.483L9.52281 19.3604Z", fill: "#0000BB" }),
        React.createElement("path", { d: "M19.5511 13.6582L19.9873 13.3135L20.0993 12.9497L19.6592 13.325L19.5511 13.6582Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M18.127 14.8645L18.8411 14.6117L19.0534 14.4432L18.3277 14.7151L18.127 14.8645Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M17.4746 10.3034L17.2468 9.86304L17.1233 10.2996L17.351 10.6941L17.4746 10.3034Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M10.5418 6.08331L10.2368 6.18671L10.507 6.99092L10.7463 6.86072L10.5418 6.08331Z", fill: "#FF3F00" }),
        React.createElement("path", { d: "M17.1965 11.4638L17.2544 11.1154L17.2042 11.5481L17.1463 11.8583L17.1965 11.4638Z", fill: "#9AFF5D" }),
        React.createElement("path", { d: "M7.11775 4.47103L6.63524 4.8157L7.11775 4.59358L7.53078 4.26807L7.11775 4.47103Z", fill: "#B20000" }),
        React.createElement("path", { d: "M7.37267 19.2494L7.39583 19.4409L6.90174 19.012L6.85928 18.8013L7.37267 19.2494Z", fill: "#0000D6" }),
        React.createElement("path", { d: "M16.3473 13.8229L16.9881 13.6085L17.1232 13.9148L16.4786 14.1216L16.3473 13.8229Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M6.85902 18.8014L6.90148 19.012L6.43827 18.4644L6.37651 18.2346L6.85902 18.8014Z", fill: "#0000FA" }),
        React.createElement("path", { d: "M16.7876 12.54L17.1389 12.2681L17.1697 12.6664L16.8146 12.9153L16.7876 12.54Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M11.3175 11.4332L11.5529 11.82V12.8272L11.3175 12.4289V11.4332Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M10.0593 4.84247L9.59227 4.90374L9.9281 5.48201L10.3102 5.40159L10.0593 4.84247Z", fill: "#D60000" }),
        React.createElement("path", { d: "M8.50359 4.04633L7.96704 4.22632L8.41867 4.35269L8.8703 4.17653L8.50359 4.04633Z", fill: "#960000" }),
        React.createElement("path", { d: "M20.0455 10.0622L19.7791 9.44566L19.6286 9.09717L19.8911 9.73288L20.0455 10.0622Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M10.3104 5.40167L9.92821 5.48209L10.237 6.18291L10.542 6.07951L10.3104 5.40167Z", fill: "#FF1300" }),
        React.createElement("path", { d: "M7.90915 19.5634L7.91301 19.7473L7.39576 19.4447L7.3726 19.2532L7.90915 19.5634Z", fill: "#0000BF" }),
        React.createElement("path", { d: "M17.8024 8.81754L17.2852 8.2431L17.0845 8.57628L17.5901 9.11242L17.8024 8.81754Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M4.4351 9.15073L4.50845 9.70985L4.71689 8.82905L4.64355 8.26227L4.4351 9.15073Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M19.0146 8.42703L18.4356 7.7377L18.2079 7.66876L18.7714 8.35043L19.0146 8.42703Z", fill: "#FF9C00" }),
        React.createElement("path", { d: "M20.1998 11.7587L20.2963 11.2609L20.2538 10.8358L20.1573 11.3643L20.1998 11.7587Z", fill: "#A0FF56" }),
        React.createElement("path", { d: "M10.7272 7.87555L10.7079 8.11681L10.9202 9.08187L10.897 8.81763L10.7272 7.87555Z", fill: "#FFAB00" }),
        React.createElement("path", { d: "M6.38053 18.2346L6.44229 18.4644L6.0254 17.8133L5.9482 17.5568L6.38053 18.2346Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M18.3276 14.7191L19.0533 14.4472L19.2463 14.2289L18.5129 14.5199L18.3276 14.7191Z", fill: "#06ECF1" }),
        React.createElement("path", { d: "M5.12981 15.5577L5.26105 15.956L5.02559 15.0637L4.88662 14.6348L5.12981 15.5577Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M11.1785 16.5228L11.2403 17.0244L10.8851 17.7099L10.8195 17.2159L11.1785 16.5228Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M16.2469 13.4974L16.8838 13.2676L16.9881 13.6046L16.3473 13.819L16.2469 13.4974Z", fill: "#39FFBE" }),
        React.createElement("path", { d: "M18.0339 8.58784L17.5051 7.9751L17.2851 8.23934L17.8023 8.81378L18.0339 8.58784Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M11.5532 12.8272L11.6922 13.3059L11.5918 14.271L11.4567 13.7884L11.5532 12.8272Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M18.7714 8.35043L18.2078 7.66876L17.9723 7.68408L18.5243 8.35043H18.7714Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M4.57789 13.1757L4.73229 13.685L4.66281 12.7238L4.5084 12.1953L4.57789 13.1757Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M19.6555 13.3251L20.0955 12.9498L20.1689 12.563L19.7249 12.9689L19.6555 13.3251Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M17.6326 9.94737L17.401 9.46484L17.2428 9.86695L17.4705 10.3074L17.6326 9.94737Z", fill: "#EEFF09" }),
        React.createElement("path", { d: "M18.2774 8.43085L17.737 7.78748L17.5054 7.97513L18.0342 8.58786L18.2774 8.43085Z", fill: "#FF9F00" }),
        React.createElement("path", { d: "M18.5243 8.35043L17.9723 7.68408L17.7368 7.78748L18.2772 8.43085L18.5243 8.35043Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M17.2852 11.0847L17.347 10.7017L17.2582 11.123L17.2003 11.4715L17.2852 11.0847Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M8.45727 19.7396L8.44183 19.9157L7.913 19.7472L7.90914 19.5634L8.45727 19.7396Z", fill: "#0000B6" }),
        React.createElement("path", { d: "M16.1079 15.01L17.0189 14.7879L17.235 14.9143L16.3125 15.1402L16.1079 15.01Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M19.8907 9.73291L19.6282 9.0972L19.4468 8.80615L19.7054 9.45718L19.8907 9.73291Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M16.7951 12.1647L17.1502 11.8621L17.1425 12.2642L16.7913 12.5361L16.7951 12.1647Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M16.3124 15.1404L17.235 14.9144L17.4588 14.9872L16.5247 15.2208L16.3124 15.1404Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M15.9149 14.8301L16.8181 14.6118L17.0189 14.788L16.1079 15.0101L15.9149 14.8301Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M16.5247 15.2207L17.4589 14.9871L17.6866 15.0024L16.7409 15.2475L16.5247 15.2207Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M5.06433 6.90281L4.93694 7.46959L5.31137 6.78409L5.42717 6.22498L5.06433 6.90281Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M15.7414 14.6041L16.6369 14.3858L16.8184 14.6079L15.9151 14.8262L15.7414 14.6041Z", fill: "#09F0EE" }),
        React.createElement("path", { d: "M18.5128 14.5198L19.2462 14.2287L19.4122 13.9645L18.671 14.2785L18.5128 14.5198Z", fill: "#19FFDE" }),
        React.createElement("path", { d: "M5.94441 17.5605L6.02161 17.8171L5.65877 17.0779L5.56998 16.7946L5.94441 17.5605Z", fill: "#0048FF" }),
        React.createElement("path", { d: "M16.1812 13.1565L16.8143 12.9114L16.8799 13.2714L16.243 13.5012L16.1812 13.1565Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M20.1533 11.3643L20.2498 10.8358L20.1649 10.4337L20.0684 10.989L20.1533 11.3643Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M8.87042 4.17615L8.41879 4.35231L8.87042 4.63953L9.23713 4.46337L8.87042 4.17615Z", fill: "#960000" }),
        React.createElement("path", { d: "M17.8218 9.63331L17.5902 9.11249L17.4011 9.46481L17.6327 9.94734L17.8218 9.63331Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M10.036 19.0923L10.0283 19.3949L9.53037 19.6553L9.52265 19.3604L10.036 19.0923Z", fill: "#0000DA" }),
        React.createElement("path", { d: "M16.7409 15.2474L17.6867 15.0023L17.9105 14.9641L16.9571 15.2206L16.7409 15.2474Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M10.9238 9.078L11.0667 9.40352L11.2365 10.4145L11.0705 10.0737L10.9238 9.078Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M15.5868 14.3399L16.4746 14.1216L16.6328 14.3858L15.7373 14.6041L15.5868 14.3399Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M10.503 6.99091L10.4335 7.21302L10.7114 8.12063L10.7307 7.87936L10.503 6.99091Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M4.3926 10.6558L4.5277 11.2188L4.63964 10.2882L4.5084 9.7099L4.3926 10.6558Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M19.7251 12.9651L20.169 12.5591L20.2037 12.157L19.756 12.5898L19.7251 12.9651Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M6.19506 5.19108L5.85537 5.67744L6.3456 5.27916L6.63125 4.81195L6.19506 5.19108Z", fill: "#D10000" }),
        React.createElement("path", { d: "M19.7055 9.45718L19.4469 8.80615L19.2384 8.5802L19.4932 9.23889L19.7055 9.45718Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M11.5918 14.2709L11.6497 14.8262L11.4567 15.7223L11.3988 15.1709L11.5918 14.2709Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M17.4086 10.7248L17.4742 10.3035L17.3468 10.698L17.2851 11.0809L17.4086 10.7248Z", fill: "#CEFF29" }),
        React.createElement("path", { d: "M7.53099 4.26814L7.11411 4.59365L7.62363 4.54004L7.96718 4.22601L7.53099 4.26814Z", fill: "#960000" }),
        React.createElement("path", { d: "M16.8414 11.7971L17.1966 11.4677L17.1464 11.866L16.7913 12.1685L16.8414 11.7971Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M9.00166 19.7702L8.96306 19.9464L8.43809 19.9157L8.45353 19.7396L9.00166 19.7702Z", fill: "#0000BB" }),
        React.createElement("path", { d: "M16.953 15.2169L17.9065 14.9603L18.1226 14.8646L17.1576 15.1326L16.953 15.2169Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M10.8853 17.7099L10.9161 18.1312L10.5031 18.6788L10.4645 18.269L10.8853 17.7099Z", fill: "#0020FF" }),
        React.createElement("path", { d: "M18.6711 14.2785L19.4122 13.9645L19.5512 13.662L18.8062 13.999L18.6711 14.2785Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M15.4634 14.0488L16.3435 13.8228L16.4747 14.1215L15.5869 14.3398L15.4634 14.0488Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M18.038 9.37668L17.8025 8.81757L17.5902 9.11244L17.8218 9.63327L18.038 9.37668Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M16.1543 12.8003L16.7874 12.5361L16.8182 12.9075L16.1852 13.1526L16.1543 12.8003Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M20.0686 10.9851L20.1651 10.4336L20.0454 10.0621L19.9489 10.6366L20.0686 10.9851Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M19.4934 9.23893L19.2387 8.58025L19.0109 8.42706L19.2618 9.08575L19.4934 9.23893Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M9.23701 4.46338L8.87031 4.63954L9.31035 5.08377L9.59214 4.90378L9.23701 4.46338Z", fill: "#A80000" }),
        React.createElement("path", { d: "M4.8868 14.6347L5.02576 15.0636L4.87136 14.1369L4.72853 13.6812L4.8868 14.6347Z", fill: "#19FFDE" }),
        React.createElement("path", { d: "M11.2329 10.4146L11.4606 10.7937L11.5533 11.82L11.3178 11.4332L11.2329 10.4146Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M10.2327 6.1828L10.1015 6.38577L10.4334 7.20913L10.5029 6.98701L10.2327 6.1828Z", fill: "#FF3400" }),
        React.createElement("path", { d: "M5.56997 16.7947L5.65875 17.0781L5.36152 16.2701L5.26116 15.9522L5.56997 16.7947Z", fill: "#0080FF" }),
        React.createElement("path", { d: "M18.2698 9.18143L18.0304 8.59167L17.7988 8.82145L18.0343 9.38056L18.2698 9.18143Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M17.1617 15.1365L18.1267 14.8685L18.3274 14.7191L17.3508 15.0025L17.1617 15.1365Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M19.7558 12.5936L20.2036 12.1608L20.1997 11.7587L19.752 12.2183L19.7558 12.5936Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M15.3708 13.7272L16.2509 13.4974L16.3512 13.8229L15.4673 14.045L15.3708 13.7272Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M17.5671 10.4069L17.6328 9.94739L17.4706 10.3074L17.405 10.7286L17.5671 10.4069Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M19.2654 9.08568L19.0145 8.42699L18.7752 8.3504L19.0222 9.00143L19.2654 9.08568Z", fill: "#FFB200" }),
        React.createElement("path", { d: "M9.59212 4.90381L9.31034 5.0838L9.72336 5.67356L9.92795 5.48208L9.59212 4.90381Z", fill: "#C80000" }),
        React.createElement("path", { d: "M9.92806 5.48206L9.72348 5.67354L10.1018 6.38967L10.233 6.1867L9.92806 5.48206Z", fill: "#F10800" }),
        React.createElement("path", { d: "M16.9263 11.4448L17.2853 11.0848L17.1965 11.4677L16.8414 11.7971L16.9263 11.4448Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M18.5164 9.05119L18.2771 8.43463L18.0339 8.59164L18.2732 9.18523L18.5164 9.05119Z", fill: "#FFB200" }),
        React.createElement("path", { d: "M4.63961 8.26617L4.71295 8.83295L5.00632 8.04406L4.93298 7.47345L4.63961 8.26617Z", fill: "#FF8D00" }),
        React.createElement("path", { d: "M18.8023 13.9952L19.5473 13.6582L19.6515 13.3212L18.8988 13.6774L18.8023 13.9952Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M19.0186 9.00143L18.7715 8.3504H18.5245L18.7677 8.98994L19.0186 9.00143Z", fill: "#FFAB00" }),
        React.createElement("path", { d: "M18.7675 8.98994L18.5243 8.3504L18.2772 8.43082L18.5166 9.04738L18.7675 8.98994Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M16.1582 12.448L16.7951 12.1646L16.7874 12.5399L16.1543 12.8041L16.1582 12.448Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M15.0116 15.2552L16.104 15.0101L16.3125 15.1403L15.2046 15.3931L15.0116 15.2552Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M14.8301 15.0676L15.9148 14.8263L16.1078 15.0063L15.0154 15.2552L14.8301 15.0676Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M4.5045 12.1915L4.6589 12.7199L4.6782 11.7702L4.5238 11.2188L4.5045 12.1915Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M19.9487 10.6367L20.0452 10.0623L19.8908 9.73291L19.7943 10.3265L19.9487 10.6367Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M7.39583 19.441L7.37267 19.5176L6.89788 19.1078V19.0121L7.39583 19.441Z", fill: "#0000ED" }),
        React.createElement("path", { d: "M11.4566 15.7223L11.5145 16.2355L11.2365 17.0282L11.1748 16.5265L11.4566 15.7223Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M11.5532 11.8199L11.6921 12.2948L11.6883 13.3058L11.5493 12.8271L11.5532 11.8199Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M15.2085 15.393L16.3164 15.1403L16.5287 15.2207L15.4131 15.4849L15.2085 15.393Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M6.90158 19.012V19.1077L6.46153 18.5907L6.44223 18.4682L6.90158 19.012Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M10.7079 8.11682L10.8159 8.42702L11.063 9.40356L10.9202 9.07805L10.7079 8.11682Z", fill: "#FFA300" }),
        React.createElement("path", { d: "M14.6644 14.8377L15.7414 14.6041L15.9151 14.83L14.8304 15.0713L14.6644 14.8377Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M17.3508 14.9985L18.3274 14.7151L18.5127 14.516L17.5283 14.8147L17.3508 14.9985Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M9.53038 19.6516L9.47248 19.8315L8.96682 19.9426L9.00542 19.7664L9.53038 19.6516Z", fill: "#0000CD" }),
        React.createElement("path", { d: "M15.3051 13.3941L16.1813 13.1566L16.2469 13.5013L15.3668 13.7311L15.3051 13.3941Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M7.91301 19.7473L7.86669 19.8124L7.3726 19.5251L7.39576 19.4485L7.91301 19.7473Z", fill: "#0000D6" }),
        React.createElement("path", { d: "M17.7525 10.1273L17.822 9.6333L17.6329 9.9435L17.5672 10.403L17.7525 10.1273Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M15.4094 15.4849L16.5249 15.2207L16.7411 15.2475L15.614 15.5194L15.4094 15.4849Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M7.96707 4.22601L7.62352 4.53621L8.14849 4.6511L8.41869 4.34856L7.96707 4.22601Z", fill: "#890000" }),
        React.createElement("path", { d: "M14.5215 14.5735L15.5907 14.3438L15.7413 14.608L14.6643 14.8416L14.5215 14.5735Z", fill: "#19FFDE" }),
        React.createElement("path", { d: "M10.5032 18.6788L10.4839 18.9928L10.0284 19.3911L10.0361 19.0885L10.5032 18.6788Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M19.748 12.2182L20.1957 11.7586L20.1494 11.3642L19.7017 11.8467L19.748 12.2182Z", fill: "#A0FF56" }),
        React.createElement("path", { d: "M6.43839 18.4682L6.45769 18.5908L6.0601 17.9704L6.0215 17.8172L6.43839 18.4682Z", fill: "#0024FF" }),
        React.createElement("path", { d: "M5.42706 6.22495L5.31126 6.78407L5.76289 6.22878L5.85553 5.68115L5.42706 6.22495Z", fill: "#FF1600" }),
        React.createElement("path", { d: "M17.0459 11.1193L17.4126 10.7286L17.289 11.0848L16.9301 11.4448L17.0459 11.1193Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M19.7944 10.3265L19.8909 9.73288L19.7056 9.45715L19.613 10.0622L19.7944 10.3265Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M18.9027 13.6812L19.6554 13.3251L19.7249 12.9651L18.9683 13.3442L18.9027 13.6812Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M6.63527 4.81562L6.34963 5.28283L6.88618 5.04157L7.11778 4.59351L6.63527 4.81562Z", fill: "#A80000" }),
        React.createElement("path", { d: "M15.6139 15.5195L16.741 15.2476L16.9533 15.2169L15.8146 15.5003L15.6139 15.5195Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M16.2045 12.1035L16.8415 11.7971L16.7951 12.1648L16.1582 12.4481L16.2045 12.1035Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M14.402 14.2748L15.4635 14.045L15.5871 14.3399L14.5178 14.5697L14.402 14.2748Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M5.26133 15.956L5.36169 16.2738L5.13781 15.4122L5.02587 15.0637L5.26133 15.956Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M17.5247 14.8186L18.5129 14.5199L18.6712 14.2786L17.6753 14.5888L17.5247 14.8186Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M8.44183 19.912L8.37235 19.9694L7.87054 19.8086L7.91686 19.7435L8.44183 19.912Z", fill: "#0000CD" }),
        React.createElement("path", { d: "M15.2782 13.0493L16.1544 12.8004L16.1853 13.1527L15.309 13.3902L15.2782 13.0493Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M17.9648 9.90136L18.0381 9.37671L17.8258 9.63329L17.7563 10.1273L17.9648 9.90136Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M4.5084 9.70984L4.63965 10.2881L4.84423 9.41879L4.71299 8.82904L4.5084 9.70984Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M11.6922 13.3058L11.7501 13.865L11.6497 14.8262L11.5918 14.2709L11.6922 13.3058Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M15.8145 15.5002L16.9532 15.2168L17.1578 15.1364L16.0075 15.4274L15.8145 15.5002Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M19.6093 10.0622L19.7019 9.45712L19.4896 9.23883L19.397 9.85156L19.6093 10.0622Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M19.7057 11.8468L20.1535 11.3643L20.0686 10.989L19.6247 11.4906L19.7057 11.8468Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M11.0629 9.4035L11.2752 9.77497L11.4604 10.7936L11.2327 10.4145L11.0629 9.4035Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M6.02153 17.8171L6.06013 17.9703L5.71658 17.2657L5.65868 17.078L6.02153 17.8171Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M4.72835 13.6811L4.87117 14.1369L4.80169 13.2024L4.65501 12.7199L4.72835 13.6811Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M14.3092 13.9569L15.3668 13.7271L15.4634 14.045L14.4018 14.2747L14.3092 13.9569Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M11.2404 17.0283L11.2635 17.4648L10.9161 18.135L10.8852 17.7138L11.2404 17.0283Z", fill: "#005CFF" }),
        React.createElement("path", { d: "M10.4335 7.20923L10.4953 7.51177L10.8156 8.42704L10.7076 8.11684L10.4335 7.20923Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M18.1925 9.73286L18.2697 9.1814L18.0381 9.37671L17.9647 9.90136L18.1925 9.73286Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M17.1966 10.8282L17.5672 10.4069L17.4089 10.7286L17.0461 11.1192L17.1966 10.8282Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M8.41855 4.35236L8.14834 4.65489L8.67331 4.93445L8.86632 4.63957L8.41855 4.35236Z", fill: "#890000" }),
        React.createElement("path", { d: "M18.9684 13.3441L19.725 12.965L19.7559 12.5935L18.9954 12.9956L18.9684 13.3441Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M19.4004 9.85149L19.4931 9.23875L19.2615 9.08557L19.1727 9.6983L19.4004 9.85149Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M16.2816 11.7741L16.9262 11.4448L16.8413 11.7971L16.2044 12.1035L16.2816 11.7741Z", fill: "#ADFF49" }),
        React.createElement("path", { d: "M17.6789 14.5888L18.6709 14.2748L18.8022 13.9914L17.8024 14.3207L17.6789 14.5888Z", fill: "#2CFFCA" }),
        React.createElement("path", { d: "M15.282 12.7085L16.1582 12.4481L16.1505 12.8004L15.2743 13.0493L15.282 12.7085Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M13.8767 15.6266L15.1081 15.3317L14.919 15.1671L13.6837 15.4581L13.8767 15.6266Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M13.6839 15.4582L14.9191 15.1671L14.7454 14.9565L13.5063 15.2437L13.6839 15.4582Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M18.4356 9.62559L18.5167 9.05115L18.2697 9.18135L18.1925 9.73281L18.4356 9.62559Z", fill: "#FFC400" }),
        React.createElement("path", { d: "M10.0284 19.3949L9.95121 19.5864L9.47256 19.8353L9.53046 19.6553L10.0284 19.3949Z", fill: "#0000ED" }),
        React.createElement("path", { d: "M16.0114 15.4274L17.1617 15.1364L17.3547 15.0023L16.1928 15.3049L16.0114 15.4274Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M14.0776 15.7414L15.3051 15.4466L15.1044 15.3317L13.8731 15.6265L14.0776 15.7414Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M8.96677 19.9427L8.87027 19.9968L8.36847 19.9698L8.43795 19.9119L8.96677 19.9427Z", fill: "#0000D1" }),
        React.createElement("path", { d: "M19.1728 9.69845L19.2616 9.08572L19.0184 9.00146L18.9296 9.61037L19.1728 9.69845Z", fill: "#FFC400" }),
        React.createElement("path", { d: "M14.2474 13.6238L15.305 13.394L15.3668 13.731L14.3091 13.9608L14.2474 13.6238Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M13.5063 15.2474L14.7415 14.9602L14.5871 14.7113L13.348 14.9947L13.5063 15.2474Z", fill: "#0FF8E7" }),
        React.createElement("path", { d: "M18.6826 9.58345L18.7675 8.98987L18.5166 9.05114L18.4356 9.62558L18.6826 9.58345Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M19.6244 11.4906L20.0722 10.9851L19.9525 10.6366L19.5047 11.1612L19.6244 11.4906Z", fill: "#CEFF29" }),
        React.createElement("path", { d: "M18.9338 9.61034L19.0225 9.00526L18.7716 8.99377L18.6867 9.58736L18.9338 9.61034Z", fill: "#FFBD00" }),
        React.createElement("path", { d: "M14.2858 15.8028L15.5133 15.5041L15.3087 15.4428L14.0812 15.7377L14.2858 15.8028Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M17.3778 10.5792L17.7561 10.1273L17.5708 10.403L17.2003 10.8243L17.3778 10.5792Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M10.1015 6.3858L10.1092 6.68068L10.4952 7.5117L10.4334 7.20917L10.1015 6.3858Z", fill: "#FF2D00" }),
        React.createElement("path", { d: "M13.348 14.9948L14.5871 14.7114L14.4559 14.428L13.2129 14.7075L13.348 14.9948Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M4.93694 7.46961L5.01028 8.04022L5.38857 7.35856L5.31523 6.78412L4.93694 7.46961Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M11.4606 10.7936L11.5957 11.2647L11.6922 12.2948L11.5533 11.82L11.4606 10.7936Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M8.87029 4.63959L8.67729 4.93447L9.18682 5.37487L9.30648 5.08382L8.87029 4.63959Z", fill: "#9B0000" }),
        React.createElement("path", { d: "M4.52771 11.2187L4.68211 11.7702L4.79405 10.8588L4.63965 10.2881L4.52771 11.2187Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M5.6588 17.0819L5.7167 17.2696L5.43106 16.4998L5.36158 16.2777L5.6588 17.0819Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M18.9991 12.9957L19.7596 12.5936L19.7518 12.2183L18.9914 12.6395L18.9991 12.9957Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M14.4947 15.8143L15.7183 15.5156L15.5137 15.5079L14.2862 15.8066L14.4947 15.8143Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M7.11409 4.59359L6.88248 5.04165L7.44992 4.96889L7.62362 4.53998L7.11409 4.59359Z", fill: "#8D0000" }),
        React.createElement("path", { d: "M16.3975 11.4716L17.0498 11.1193L16.9302 11.4448L16.2855 11.7741L16.3975 11.4716Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M17.8025 14.3245L18.8023 13.9952L18.9026 13.6812L17.8952 14.0258L17.8025 14.3245Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M16.1929 15.3012L17.3548 14.9986L17.5285 14.8148L16.3589 15.125L16.1929 15.3012Z", fill: "#0FF8E7" }),
        React.createElement("path", { d: "M10.9164 18.135L10.8855 18.4644L10.484 18.9928L10.5033 18.6788L10.9164 18.135Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M11.6498 14.8263L11.7077 15.3548L11.5185 16.2356L11.4606 15.7224L11.6498 14.8263Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M15.3246 12.3753L16.2047 12.0996L16.1622 12.4443L15.286 12.7047L15.3246 12.3753Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M5.02545 15.0637L5.13739 15.4122L4.99071 14.5237L4.8749 14.137L5.02545 15.0637Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M7.37262 19.5175L7.32244 19.4792L6.87467 19.0886L6.90169 19.1077L7.37262 19.5175Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M14.2203 13.2829L15.2779 13.0531L15.3088 13.3978L14.2511 13.6275L14.2203 13.2829Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M6.90176 19.1076L6.87474 19.0885L6.45786 18.5944V18.5829L6.90176 19.1076Z", fill: "#0010FF" }),
        React.createElement("path", { d: "M13.213 14.7075L14.4559 14.4279L14.3517 14.1177L13.1049 14.3935L13.213 14.7075Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M19.5048 11.1613L19.9487 10.6405L19.7943 10.3303L19.3542 10.8665L19.5048 11.1613Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M9.72329 5.67346L9.66925 5.96451L10.1093 6.68065L10.1016 6.38577L9.72329 5.67346Z", fill: "#E80000" }),
        React.createElement("path", { d: "M9.30661 5.08374L9.18694 5.37479L9.66946 5.96454L9.7235 5.6735L9.30661 5.08374Z", fill: "#BB0000" }),
        React.createElement("path", { d: "M5.85955 5.68111L5.76691 6.22874L6.27644 5.81898L6.34978 5.28284L5.85955 5.68111Z", fill: "#D10000" }),
        React.createElement("path", { d: "M17.5788 10.3763L17.9648 9.90143L17.7525 10.1274L17.3742 10.5793L17.5788 10.3763Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M7.86678 19.8085L7.78958 19.7549L7.32251 19.483L7.37269 19.5213L7.86678 19.8085Z", fill: "#0000F1" }),
        React.createElement("path", { d: "M10.8156 8.42706L11.0009 8.7947L11.275 9.77507L11.0627 9.4036L10.8156 8.42706Z", fill: "#FF9F00" }),
        React.createElement("path", { d: "M14.6914 15.7645L15.9151 15.4658L15.7144 15.5117L14.4907 15.8104L14.6914 15.7645Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M6.4616 18.5907V18.6022L6.08331 18.0163L6.06401 17.9703L6.4616 18.5907Z", fill: "#0038FF" }),
        React.createElement("path", { d: "M9.47253 19.8315L9.35672 19.8928L8.87421 20L8.97072 19.9464L9.47253 19.8315Z", fill: "#0000E3" }),
        React.createElement("path", { d: "M18.9915 12.6356L19.7481 12.2182L19.7017 11.8467L18.9413 12.2833L18.9915 12.6356Z", fill: "#9DFF5A" }),
        React.createElement("path", { d: "M13.1049 14.3935L14.3517 14.1177L14.2745 13.7884L13.0277 14.0603L13.1049 14.3935Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M19.3541 10.8625L19.7942 10.3264L19.6089 10.0621L19.1727 10.6059L19.3541 10.8625Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M16.3551 15.1249L17.5247 14.8185L17.6753 14.5926L16.498 14.9104L16.3551 15.1249Z", fill: "#1FFFD7" }),
        React.createElement("path", { d: "M16.5402 11.2034L17.1965 10.8281L17.0459 11.1192L16.3974 11.4715L16.5402 11.2034Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M12.6069 15.952L13.873 15.6265L13.68 15.4619L12.4062 15.7797L12.6069 15.952Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M17.8954 14.0258L18.9028 13.6811L18.9685 13.3441L17.9571 13.7003L17.8954 14.0258Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M12.4099 15.776L13.6837 15.4581L13.5062 15.2475L12.2246 15.5577L12.4099 15.776Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M17.8026 10.2308L18.1964 9.73291L17.9648 9.90141L17.5826 10.3763L17.8026 10.2308Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M14.2241 12.9421L15.2817 12.7085L15.274 13.0493L14.2164 13.2791L14.2241 12.9421Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M15.3977 12.0612L16.2817 11.774L16.2045 12.1033L15.3244 12.3791L15.3977 12.0612Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M8.37229 19.9693L8.26421 19.9042L7.78942 19.751L7.86663 19.8047L8.37229 19.9693Z", fill: "#0000E8" }),
        React.createElement("path", { d: "M12.8193 16.0708L14.0777 15.7415L13.8769 15.6266L12.607 15.9521L12.8193 16.0708Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M4.65891 12.7199L4.8056 13.2025L4.8249 12.2834L4.67821 11.7702L4.65891 12.7199Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M12.2247 15.5576L13.5063 15.2474L13.348 14.9947L12.0587 15.2934L12.2247 15.5576Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M14.8843 15.6649L16.1041 15.3701L15.915 15.4696L14.6913 15.7683L14.8843 15.6649Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M11.6922 12.2949L11.7501 12.8579L11.7462 13.8651L11.6883 13.3059L11.6922 12.2949Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M4.71314 8.82912L4.84438 9.41887L5.13774 8.63764L5.01036 8.04022L4.71314 8.82912Z", fill: "#FF9100" }),
        React.createElement("path", { d: "M10.4839 18.9927L10.3912 19.1995L9.95119 19.5825L10.0284 19.391L10.4839 18.9927Z", fill: "#0008FF" }),
        React.createElement("path", { d: "M19.177 10.606L19.6131 10.0622L19.4047 9.85156L18.9762 10.403L19.177 10.606Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M13.0314 16.136L14.2859 15.8028L14.0774 15.7415L12.8191 16.0709L13.0314 16.136Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M11.5182 16.2355L11.5375 16.6913L11.2673 17.4648L11.2442 17.0283L11.5182 16.2355Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M5.36161 16.2738L5.43109 16.4959L5.21493 15.6764L5.13387 15.4121L5.36161 16.2738Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M18.0343 10.1427L18.4358 9.62567L18.1926 9.7329L17.7988 10.2307L18.0343 10.1427Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M6.06422 17.9703L6.08352 18.0163L5.75542 17.3538L5.71682 17.2695L6.06422 17.9703Z", fill: "#0064FF" }),
        React.createElement("path", { d: "M12.0589 15.2934L13.3481 14.9947L13.213 14.7075L11.916 14.9947L12.0589 15.2934Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M13.0276 14.0604L14.2744 13.7885L14.2281 13.4515L12.9774 13.7158L13.0276 14.0604Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M7.62351 4.53998L7.44981 4.96889L8.03268 5.06846L8.14462 4.65487L7.62351 4.53998Z", fill: "#800000" }),
        React.createElement("path", { d: "M18.9452 12.2833L19.7056 11.8468L19.6246 11.4906L18.868 11.9425L18.9452 12.2833Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M18.9719 10.3993L19.4004 9.84782L19.1727 9.69464L18.7481 10.2423L18.9719 10.3993Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M16.7099 10.9737L17.3738 10.5754L17.1924 10.8243L16.5362 11.1996L16.7099 10.9737Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M18.2771 10.1158L18.6863 9.5835L18.4393 9.62562L18.0378 10.1426L18.2771 10.1158Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M13.2476 16.1475L14.4944 15.8143L14.2898 15.8066L13.0353 16.1398L13.2476 16.1475Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M16.4978 14.9066L17.6752 14.5888L17.7987 14.3207L16.6136 14.6462L16.4978 14.9066Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M18.7521 10.246L19.1768 9.69837L18.9336 9.61029L18.5167 10.1541L18.7521 10.246Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M18.5166 10.1504L18.9335 9.61038L18.6864 9.5874L18.2772 10.1197L18.5166 10.1504Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M17.9569 13.7042L18.9683 13.348L18.9992 12.9957L17.984 13.3634L17.9569 13.7042Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M14.2628 12.6166L15.3243 12.3754L15.2857 12.7085L14.2281 12.9421L14.2628 12.6166Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M15.5019 11.7741L16.3935 11.4677L16.2816 11.7702L15.3977 12.0575L15.5019 11.7741Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M15.058 15.5118L16.2778 15.2169L16.1041 15.3663L14.8843 15.6612L15.058 15.5118Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M11.9158 14.9947L13.2128 14.7075L13.1047 14.3935L11.8039 14.6692L11.9158 14.9947Z", fill: "#2CFFCA" }),
        React.createElement("path", { d: "M10.4953 7.51172L10.6459 7.87936L11.001 8.79463L10.8157 8.42699L10.4953 7.51172Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M11.2752 9.77502L11.4064 10.2461L11.5994 11.2647L11.4643 10.7937L11.2752 9.77502Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M8.8704 19.9969L8.7353 19.9313L8.26438 19.9043L8.37246 19.9699L8.8704 19.9969Z", fill: "#0000ED" }),
        React.createElement("path", { d: "M4.87527 14.1369L4.99107 14.5237L4.92931 13.6237L4.80965 13.2025L4.87527 14.1369Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M12.9814 13.7195L14.232 13.4553L14.2205 13.1144L12.9698 13.3749L12.9814 13.7195Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M13.456 16.0976L14.6912 15.7645L14.4905 15.8104L13.2476 16.1436L13.456 16.0976Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M5.31126 6.78413L5.3846 7.35857L5.83237 6.80711L5.75902 6.23267L5.31126 6.78413Z", fill: "#FF1A00" }),
        React.createElement("path", { d: "M18.8678 11.9426L19.6244 11.4907L19.5086 11.1613L18.7559 11.6247L18.8678 11.9426Z", fill: "#CAFF2C" }),
        React.createElement("path", { d: "M7.3224 19.4792L7.27222 19.3298L6.85147 18.966L6.87463 19.0886L7.3224 19.4792Z", fill: "#000CFF" }),
        React.createElement("path", { d: "M9.95097 19.5826L9.81201 19.6553L9.35652 19.8928L9.47618 19.8353L9.95097 19.5826Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M11.3794 16.3083L12.6069 15.9521L12.4062 15.7798L11.1633 16.1283L11.3794 16.3083Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M11.1671 16.1244L12.4101 15.7759L12.2248 15.5538L10.9703 15.8869L11.1671 16.1244Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M6.87474 19.0923L6.85158 18.9698L6.46172 18.5103L6.45786 18.6022L6.87474 19.0923Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M16.9071 10.7937L17.5826 10.3763L17.378 10.5754L16.7141 10.9737L16.9071 10.7937Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M6.34599 5.27904L6.27265 5.81518L6.83236 5.56626L6.88254 5.03778L6.34599 5.27904Z", fill: "#A40000" }),
        React.createElement("path", { d: "M11.6032 16.4385L12.8191 16.0747L12.6068 15.956L11.3793 16.3121L11.6032 16.4385Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M11.2635 17.4648L11.2211 17.8172L10.8852 18.4644L10.9161 18.135L11.2635 17.4648Z", fill: "#0064FF" }),
        React.createElement("path", { d: "M4.63961 10.2882L4.79401 10.8588L4.99474 10.0124L4.84419 9.42267L4.63961 10.2882Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M5.71643 17.2656L5.75503 17.3498L5.48869 16.6222L5.43465 16.4958L5.71643 17.2656Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M11.804 14.6692L13.1049 14.3935L13.0277 14.0603L11.7191 14.3245L11.804 14.6692Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M10.9702 15.8909L12.2247 15.5577L12.0587 15.2935L10.7926 15.6113L10.9702 15.8909Z", fill: "#06ECF1" }),
        React.createElement("path", { d: "M7.78944 19.7548L7.70838 19.5901L7.27219 19.3297L7.32237 19.4791L7.78944 19.7548Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M16.6136 14.6501L17.7987 14.3246L17.8913 14.0259L16.6986 14.3591L16.6136 14.6501Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M17.984 13.3634L18.9992 12.9957L18.9914 12.6396L17.9762 13.0226L17.984 13.3634Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M8.15229 4.65485L8.04034 5.06844L8.62322 5.33651L8.67726 4.93823L8.15229 4.65485Z", fill: "#840000" }),
        React.createElement("path", { d: "M15.2124 15.3127L16.4283 15.0216L16.2739 15.2207L15.0541 15.5156L15.2124 15.3127Z", fill: "#19FFDE" }),
        React.createElement("path", { d: "M11.7499 13.865L11.8078 14.405L11.7113 15.3585L11.6534 14.8339L11.7499 13.865Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M11.831 16.5075L13.0315 16.1398L12.8154 16.0747L11.6033 16.4385L11.831 16.5075Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M15.641 11.5213L16.5404 11.1996L16.3976 11.4677L15.5059 11.774L15.641 11.5213Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M14.3323 12.3101L15.3976 12.0612L15.3243 12.3752L14.2628 12.6165L14.3323 12.3101Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M6.45774 18.5983L6.4616 18.5064L6.11033 17.9587L6.08331 18.0162L6.45774 18.5983Z", fill: "#004CFF" }),
        React.createElement("path", { d: "M13.6531 15.9943L14.8845 15.665L14.6915 15.7645L13.4562 16.0977L13.6531 15.9943Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M10.7926 15.6113L12.0549 15.2934L11.9121 14.9947L10.6382 15.2934L10.7926 15.6113Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M18.7521 11.6247L19.5048 11.1613L19.3542 10.8626L18.6054 11.3336L18.7521 11.6247Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M10.1093 6.6806L10.2174 7.05207L10.6458 7.87926L10.4953 7.51162L10.1093 6.6806Z", fill: "#FF2900" }),
        React.createElement("path", { d: "M17.1154 10.6674L17.7987 10.2346L17.5748 10.3801L16.8993 10.7976L17.1154 10.6674Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M12.9659 13.3711L14.2166 13.1106L14.2359 12.7775L12.9813 13.0341L12.9659 13.3711Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M5.13763 15.4123L5.21869 15.6765L5.07973 14.8302L4.99094 14.5238L5.13763 15.4123Z", fill: "#1FFFD7" }),
        React.createElement("path", { d: "M8.26416 19.9043L8.15608 19.7281L7.70831 19.5864L7.78937 19.7511L8.26416 19.9043Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M12.0547 16.5188L13.2474 16.1474L13.0351 16.1397L11.8308 16.5074L12.0547 16.5188Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M11.719 14.3245L13.0276 14.0603L12.9812 13.7156L11.6688 13.9646L11.719 14.3245Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M9.35667 19.8928L9.19454 19.8315L8.7352 19.9311L8.8703 19.9962L9.35667 19.8928Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M10.6421 15.2973L11.9159 14.9985L11.804 14.673L10.5224 14.9526L10.6421 15.2973Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M18.6054 11.3375L19.3543 10.8664L19.1767 10.6099L18.4356 11.0847L18.6054 11.3375Z", fill: "#EEFF09" }),
        React.createElement("path", { d: "M8.67734 4.93439L8.62329 5.33266L9.19072 5.76158L9.18686 5.37479L8.67734 4.93439Z", fill: "#920000" }),
        React.createElement("path", { d: "M10.8851 18.4644L10.777 18.6903L10.391 19.1996L10.4836 18.9928L10.8851 18.4644Z", fill: "#0038FF" }),
        React.createElement("path", { d: "M17.3433 10.5946L18.0381 10.1427L17.8026 10.2308L17.1194 10.6635L17.3433 10.5946Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M17.9764 13.0187L18.9916 12.6396L18.9453 12.2872L17.934 12.6778L17.9764 13.0187Z", fill: "#9AFF5D" }),
        React.createElement("path", { d: "M6.08334 18.0162L6.11036 17.9588L5.80542 17.3345L5.75909 17.3499L6.08334 18.0162Z", fill: "#0074FF" }),
        React.createElement("path", { d: "M16.7023 14.359L17.8951 14.0258L17.9569 13.7042L16.7602 14.0412L16.7023 14.359Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M10.2561 16.6951L11.3794 16.3083L11.1671 16.1245L10.0284 16.4997L10.2561 16.6951Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M10.0284 16.4998L11.1671 16.1245L10.9702 15.8909L9.81608 16.247L10.0284 16.4998Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M4.68212 11.7702L4.8288 12.2834L4.93688 11.4026L4.79406 10.8626L4.68212 11.7702Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M15.8029 11.3106L16.7139 10.9736L16.5441 11.1995L15.6447 11.5212L15.8029 11.3106Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M9.66925 5.96069L9.72715 6.33599L10.2174 7.0483L10.1093 6.67683L9.66925 5.96069Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M15.3437 15.0713L16.5596 14.7841L16.4284 15.0254L15.2124 15.3164L15.3437 15.0713Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M11.5955 11.2647L11.6573 11.8315L11.7538 12.8578L11.6959 12.2949L11.5955 11.2647Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M10.4954 16.8367L11.6033 16.4384L11.3794 16.3082L10.2561 16.695L10.4954 16.8367Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M13.8305 15.8372L15.058 15.5155L14.8843 15.6687L13.6529 15.998L13.8305 15.8372Z", fill: "#09F0EE" }),
        React.createElement("path", { d: "M14.4287 12.0267L15.5018 11.774L15.3975 12.0612L14.3322 12.3063L14.4287 12.0267Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M9.18694 5.37476L9.1908 5.76154L9.72736 6.33981L9.66946 5.96451L9.18694 5.37476Z", fill: "#B20000" }),
        React.createElement("path", { d: "M12.2748 16.4653L13.4521 16.0977L13.2437 16.1474L12.0509 16.5189L12.2748 16.4653Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M9.81607 16.247L10.9702 15.8909L10.7927 15.6113L9.62307 15.9445L9.81607 16.247Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M18.4355 11.0847L19.1766 10.606L18.9721 10.3992L18.2386 10.8779L18.4355 11.0847Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M5.01024 8.04013L5.13762 8.64137L5.51205 7.96736L5.38853 7.35846L5.01024 8.04013Z", fill: "#FF5200" }),
        React.createElement("path", { d: "M17.5709 10.5792L18.2734 10.1158L18.0341 10.1426L17.3393 10.5945L17.5709 10.5792Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M11.0013 8.79456L11.1209 9.26942L11.4066 10.2498L11.2753 9.77876L11.0013 8.79456Z", fill: "#FF9F00" }),
        React.createElement("path", { d: "M5.43482 16.4959L5.48886 16.6222L5.28428 15.8487L5.21865 15.6763L5.43482 16.4959Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M7.27226 19.3298L7.26454 19.0847L6.87467 18.7477L6.85537 18.966L7.27226 19.3298Z", fill: "#0028FF" }),
        React.createElement("path", { d: "M10.7424 16.9133L11.8309 16.5073L11.6031 16.4384L10.4953 16.8367L10.7424 16.9133Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M12.9852 13.034L14.2397 12.7774L14.2938 12.4595L13.0392 12.7085L12.9852 13.034Z", fill: "#9AFF5D" }),
        React.createElement("path", { d: "M11.7074 15.3547L11.7229 15.8295L11.5376 16.6912L11.5183 16.2355L11.7074 15.3547Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M6.85163 18.9698L6.87093 18.7515L6.51194 18.3226L6.46176 18.5103L6.85163 18.9698Z", fill: "#0040FF" }),
        React.createElement("path", { d: "M11.6688 13.9684L12.9813 13.7194L12.9658 13.3748L11.6534 13.6084L11.6688 13.9684Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M10.5222 14.9488L11.8038 14.6692L11.7189 14.3246L10.4296 14.5812L10.5222 14.9488Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M18.2386 10.878L18.972 10.3993L18.752 10.2461L18.0263 10.7248L18.2386 10.878Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M17.8025 10.6251L18.5166 10.1541L18.2773 10.1196L17.5709 10.583L17.8025 10.6251Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M8.73511 19.9311L8.59615 19.7549L8.15225 19.7319L8.26033 19.9081L8.73511 19.9311Z", fill: "#0000FF" }),
        React.createElement("path", { d: "M18.0264 10.7247L18.7521 10.246L18.5166 10.1503L17.8025 10.6251L18.0264 10.7247Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M9.62296 15.9445L10.7926 15.6113L10.642 15.2935L9.46084 15.6037L9.62296 15.9445Z", fill: "#0FF8E7" }),
        React.createElement("path", { d: "M7.70829 19.5864L7.66969 19.326L7.26438 19.0886L7.2721 19.3337L7.70829 19.5864Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M6.88625 5.04163L6.83607 5.57012L7.42666 5.48587L7.45368 4.96887L6.88625 5.04163Z", fill: "#890000" }),
        React.createElement("path", { d: "M10.3912 19.1996L10.2291 19.2877L9.81217 19.6515L9.95113 19.5787L10.3912 19.1996Z", fill: "#0018FF" }),
        React.createElement("path", { d: "M17.9337 12.674L18.9489 12.2834L18.8679 11.9426L17.8565 12.3408L17.9337 12.674Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M15.9846 11.1421L16.9033 10.7936L16.7103 10.9736L15.7993 11.3106L15.9846 11.1421Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M6.4617 18.5065L6.51188 18.3188L6.18377 17.8095L6.11043 17.9589L6.4617 18.5065Z", fill: "#0060FF" }),
        React.createElement("path", { d: "M16.7602 14.0412L17.9569 13.7042L17.9839 13.3672L16.7834 13.7118L16.7602 14.0412Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M10.9855 16.9249L12.0586 16.5189L11.8309 16.5074L10.7423 16.9134L10.9855 16.9249Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M4.80597 13.2026L4.92563 13.6239L4.94493 12.7392L4.82527 12.2797L4.80597 13.2026Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M12.4834 16.3543L13.653 15.9905L13.4562 16.0939L12.2789 16.4615L12.4834 16.3543Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M9.29125 17.1125L10.2563 16.6989L10.0285 16.4998L9.04034 16.8942L9.29125 17.1125Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M15.4479 14.7918L16.6638 14.5084L16.5596 14.7841L15.3437 15.0713L15.4479 14.7918Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M13.9927 15.6266L15.2125 15.3126L15.0581 15.5118L13.8306 15.8334L13.9927 15.6266Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M9.0401 16.8942L10.0283 16.4998L9.81598 16.247L8.8085 16.6185L9.0401 16.8942Z", fill: "#00C0FF" }),
        React.createElement("path", { d: "M5.7554 17.3499L5.80173 17.3346L5.55082 16.6529L5.4852 16.6223L5.7554 17.3499Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M14.5602 11.7817L15.641 11.5212L15.5059 11.774L14.4328 12.0267L14.5602 11.7817Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M5.76277 6.2288L5.83611 6.80323L6.34564 6.3973L6.27616 5.81903L5.76277 6.2288Z", fill: "#D10000" }),
        React.createElement("path", { d: "M9.54966 17.2618L10.4954 16.8367L10.2561 16.6989L9.29103 17.1124L9.54966 17.2618Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M9.46083 15.6036L10.642 15.2934L10.5224 14.9449L9.32573 15.2283L9.46083 15.6036Z", fill: "#23FFD4" }),
        React.createElement("path", { d: "M8.15636 19.7318L8.08687 19.4599L7.67385 19.3297L7.71245 19.5901L8.15636 19.7318Z", fill: "#0010FF" }),
        React.createElement("path", { d: "M8.80858 16.6184L9.81606 16.2469L9.62691 15.9444L8.60399 16.2891L8.80858 16.6184Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M10.4338 14.5811L11.723 14.3245L11.6729 13.9684L10.3797 14.202L10.4338 14.5811Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M9.81214 19.6554L9.62685 19.6056L9.19453 19.8315L9.35665 19.8928L9.81214 19.6554Z", fill: "#0008FF" }),
        React.createElement("path", { d: "M11.6534 13.6084L12.9658 13.3748L12.9851 13.034L11.6727 13.2561L11.6534 13.6084Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M13.039 12.7084L14.2935 12.4595L14.3784 12.1646L13.1239 12.4097L13.039 12.7084Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M17.8566 12.3408L18.8679 11.9425L18.7521 11.6246L17.7485 12.0267L17.8566 12.3408Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M9.81979 17.3461L10.7423 16.9133L10.4992 16.8367L9.55344 17.2618L9.81979 17.3461Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M16.185 11.0273L17.1153 10.6635L16.903 10.7899L15.9843 11.1384L16.185 11.0273Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M11.5338 16.6912L11.4837 17.0665L11.2212 17.8171L11.2636 17.4647L11.5338 16.6912Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M11.2209 16.8674L12.2786 16.4653L12.0586 16.5151L10.9893 16.9249L11.2209 16.8674Z", fill: "#00C0FF" }),
        React.createElement("path", { d: "M7.26454 19.0885L7.3456 18.7669L6.98661 18.4567L6.87467 18.7515L7.26454 19.0885Z", fill: "#0040FF" }),
        React.createElement("path", { d: "M6.11041 17.9589L6.18375 17.8134L5.89811 17.2313L5.80161 17.3347L6.11041 17.9589Z", fill: "#0088FF" }),
        React.createElement("path", { d: "M4.99107 14.5236L5.07986 14.83L5.01809 13.976L4.92545 13.6275L4.99107 14.5236Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M6.87447 18.7515L6.98642 18.4566L6.65059 18.0621L6.51162 18.3264L6.87447 18.7515Z", fill: "#0058FF" }),
        React.createElement("path", { d: "M4.84434 9.41887L4.99488 10.0086L5.28439 9.24654L5.14157 8.63763L4.84434 9.41887Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M8.60022 16.2929L9.62314 15.9483L9.46101 15.6074L8.41879 15.9214L8.60022 16.2929Z", fill: "#06ECF1" }),
        React.createElement("path", { d: "M8.5111 17.5414L9.28698 17.1125L9.03608 16.8981L8.23704 17.304L8.5111 17.5414Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M12.6725 16.1895L13.8305 15.8372L13.6491 15.9942L12.4795 16.358L12.6725 16.1895Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M8.2372 17.304L9.04009 16.8942L8.80849 16.6185L7.98244 17.0014L8.2372 17.304Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M11.7538 12.8578L11.8117 13.4092L11.8078 14.4049L11.7499 13.865L11.7538 12.8578Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M7.66987 19.326L7.71619 18.9852L7.34177 18.7669L7.2607 19.0886L7.66987 19.326Z", fill: "#0034FF" }),
        React.createElement("path", { d: "M16.7836 13.7079L17.9841 13.3633L17.9764 13.0186L16.7759 13.3633L16.7836 13.7079Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M9.19449 19.8316L9.02465 19.6592L8.59618 19.755L8.73514 19.9311L9.19449 19.8316Z", fill: "#0008FF" }),
        React.createElement("path", { d: "M9.32573 15.2321L10.5224 14.9488L10.4336 14.5811L9.22923 14.8339L9.32573 15.2321Z", fill: "#39FFBE" }),
        React.createElement("path", { d: "M10.646 7.87939L10.7503 8.35426L11.1208 9.26954L11.0012 8.79467L10.646 7.87939Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M8.79703 17.7061L9.54975 17.2619L9.28726 17.1087L8.51139 17.5376L8.79703 17.7061Z", fill: "#0094FF" }),
        React.createElement("path", { d: "M14.7106 11.5788L15.803 11.3069L15.6409 11.5175L14.5601 11.7779L14.7106 11.5788Z", fill: "#E1FF16" }),
        React.createElement("path", { d: "M14.1238 15.3738L15.3436 15.0674L15.2123 15.3087L13.9926 15.6227L14.1238 15.3738Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M15.5172 14.4816L16.737 14.2021L16.6637 14.5085L15.4477 14.7918L15.5172 14.4816Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M6.51161 18.3227L6.65057 18.0584L6.34562 17.5874L6.1835 17.8095L6.51161 18.3227Z", fill: "#0074FF" }),
        React.createElement("path", { d: "M10.0824 17.3576L10.9857 16.9249L10.7425 16.9134L9.81608 17.3461L10.0824 17.3576Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M17.7446 12.0268L18.752 11.6247L18.6054 11.3375L17.6056 11.7435L17.7446 12.0268Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M7.98638 17.0014L8.81244 16.6185L8.60399 16.293L7.75864 16.6415L7.98638 17.0014Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M16.3974 10.9698L17.3393 10.5945L17.1154 10.6673L16.1851 11.0311L16.3974 10.9698Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M5.2186 15.6764L5.28422 15.8487L5.15298 15.0484L5.07964 14.8301L5.2186 15.6764Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M8.59625 19.7549L8.49588 19.4792L8.08286 19.4562L8.15234 19.7281L8.59625 19.7549Z", fill: "#0014FF" }),
        React.createElement("path", { d: "M10.3756 14.202L11.6687 13.9684L11.6533 13.6085L10.3563 13.8229L10.3756 14.202Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M7.45363 4.96887L7.42661 5.48586L8.0365 5.57394V5.06461L7.45363 4.96887Z", fill: "#800000" }),
        React.createElement("path", { d: "M7.34189 18.7669L7.55419 18.3877L7.22608 18.1005L6.9829 18.4567L7.34189 18.7669Z", fill: "#005CFF" }),
        React.createElement("path", { d: "M7.93633 17.9703L8.51148 17.5375L8.23741 17.3001L7.63524 17.7099L7.93633 17.9703Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M6.98279 18.4567L7.22598 18.1044L6.91717 17.7406L6.64696 18.0623L6.98279 18.4567Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M8.41864 15.9176L9.46086 15.6036L9.32576 15.2283L8.27196 15.5117L8.41864 15.9176Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M7.63514 17.71L8.2373 17.3002L7.98254 16.9977L7.35721 17.3768L7.63514 17.71Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M9.09019 17.798L9.81975 17.3461L9.5534 17.2618L8.80069 17.7061L9.09019 17.798Z", fill: "#0094FF" }),
        React.createElement("path", { d: "M8.08297 19.4563L8.09841 19.1039L7.71626 18.9814L7.66994 19.3222L8.08297 19.4563Z", fill: "#002CFF" }),
        React.createElement("path", { d: "M11.4025 10.2461L11.4642 10.8167L11.6572 11.8315L11.5955 11.2648L11.4025 10.2461Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M11.4451 16.7486L12.4873 16.3542L12.2788 16.4652L11.2212 16.8674L11.4451 16.7486Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M11.2212 17.8172L11.1015 18.0661L10.7772 18.6903L10.8853 18.4644L11.2212 17.8172Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M11.6727 13.2561L12.9851 13.034L13.0392 12.7123L11.7267 12.923L11.6727 13.2561Z", fill: "#9AFF5D" }),
        React.createElement("path", { d: "M13.1203 12.4097L14.3748 12.1646L14.4906 11.9004L13.2361 12.1417L13.1203 12.4097Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M7.55388 18.3877L7.93603 17.9703L7.63494 17.7099L7.22578 18.1005L7.55388 18.3877Z", fill: "#0074FF" }),
        React.createElement("path", { d: "M8.25259 18.1542L8.80072 17.7061L8.51508 17.5376L7.93993 17.9703L8.25259 18.1542Z", fill: "#0080FF" }),
        React.createElement("path", { d: "M7.71624 18.9852L7.89767 18.5869L7.55412 18.3878L7.34182 18.7669L7.71624 18.9852Z", fill: "#004CFF" }),
        React.createElement("path", { d: "M5.489 16.6223L5.55462 16.6529L5.36548 15.9291L5.28828 15.8487L5.489 16.6223Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M17.6057 11.7434L18.6055 11.3375L18.4356 11.0886L17.4436 11.4945L17.6057 11.7434Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M7.22604 18.1005L7.6352 17.7098L7.35728 17.3805L6.92109 17.7405L7.22604 18.1005Z", fill: "#0084FF" }),
        React.createElement("path", { d: "M16.6174 10.9659L17.5709 10.5792L17.3393 10.5945L16.3974 10.9698L16.6174 10.9659Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M7.75467 16.6415L8.60003 16.293L8.4186 15.9215L7.55781 16.2355L7.75467 16.6415Z", fill: "#00E0FB" }),
        React.createElement("path", { d: "M7.35715 17.3806L7.98248 17.0015L7.75474 16.6415L7.10239 16.9862L7.35715 17.3806Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M6.65071 18.0584L6.92092 17.7367L6.64299 17.3078L6.34963 17.5874L6.65071 18.0584Z", fill: "#008CFF" }),
        React.createElement("path", { d: "M5.80555 17.3345L5.90205 17.2311L5.67044 16.5992L5.5585 16.6529L5.80555 17.3345Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M7.89745 18.5869L8.24872 18.1542L7.93605 17.9703L7.5539 18.3878L7.89745 18.5869Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M16.7756 13.3634L17.9761 13.0187L17.9336 12.6741L16.7331 13.0187L16.7756 13.3634Z", fill: "#9AFF5D" }),
        React.createElement("path", { d: "M6.18375 17.8094L6.34588 17.5873L6.08339 17.0511L5.89811 17.2273L6.18375 17.8094Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M12.8385 15.9674L13.9888 15.6266L13.8305 15.8334L12.6725 16.1857L12.8385 15.9674Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M10.3372 17.3001L11.2211 16.8712L10.9856 16.9287L10.0824 17.3652L10.3372 17.3001Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M4.79402 10.8588L4.93684 11.3987L5.13371 10.5754L4.99474 10.0086L4.79402 10.8588Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M9.22945 14.834L10.4338 14.5812L10.3797 14.2021L9.17155 14.4242L9.22945 14.834Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M14.8843 11.4256L15.9844 11.1422L15.7991 11.3069L14.7067 11.5788L14.8843 11.4256Z", fill: "#EEFF09" }),
        React.createElement("path", { d: "M17.4396 11.4907L18.4355 11.0848L18.2425 10.878L17.2582 11.2839L17.4396 11.4907Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M6.92103 17.7405L7.36108 17.3805L7.11017 16.9861L6.64696 17.3078L6.92103 17.7405Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M16.8376 11.0157L17.8026 10.6213L17.571 10.5792L16.6176 10.9659L16.8376 11.0157Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M8.56919 18.2537L9.0903 17.798L8.80079 17.7061L8.25266 18.1542L8.56919 18.2537Z", fill: "#007CFF" }),
        React.createElement("path", { d: "M9.37994 17.8133L10.0825 17.3576L9.81613 17.3461L9.09044 17.798L9.37994 17.8133Z", fill: "#0094FF" }),
        React.createElement("path", { d: "M10.7771 18.6902L10.5957 18.8051L10.229 19.2915L10.3911 19.2034L10.7771 18.6902Z", fill: "#0044FF" }),
        React.createElement("path", { d: "M5.38478 7.35468L5.50831 7.96359L5.95222 7.41979L5.83255 6.80322L5.38478 7.35468Z", fill: "#FF1E00" }),
        React.createElement("path", { d: "M15.556 14.1484L16.7758 13.8727L16.7372 14.1982L15.5213 14.4778L15.556 14.1484Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M8.09827 19.1077L8.24882 18.6979L7.89755 18.5869L7.71613 18.9851L8.09827 19.1077Z", fill: "#0048FF" }),
        React.createElement("path", { d: "M17.2542 11.2839L18.2385 10.878L18.0262 10.7209L17.0534 11.1231L17.2542 11.2839Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M14.2279 15.0867L15.4439 14.7918L15.3396 15.0714L14.1199 15.3777L14.2279 15.0867Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M17.0536 11.1231L18.0264 10.721L17.8025 10.6215L16.8374 11.0159L17.0536 11.1231Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M8.27596 15.5117L9.32976 15.2284L9.23325 14.8301L8.16787 15.0752L8.27596 15.5117Z", fill: "#36FFC1" }),
        React.createElement("path", { d: "M8.24892 18.6979L8.56931 18.2536L8.24892 18.1541L7.89765 18.5868L8.24892 18.6979Z", fill: "#0064FF" }),
        React.createElement("path", { d: "M7.10255 16.9861L7.75491 16.6415L7.55804 16.2355L6.88639 16.5381L7.10255 16.9861Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M10.2175 7.05219L10.3063 7.53088L10.7502 8.35424L10.646 7.87938L10.2175 7.05219Z", fill: "#FF2900" }),
        React.createElement("path", { d: "M10.3563 13.8191L11.6533 13.6046L11.6726 13.2523L10.3756 13.4438L10.3563 13.8191Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M8.49588 19.4793L8.47658 19.1269L8.0983 19.1078L8.08286 19.4601L8.49588 19.4793Z", fill: "#0030FF" }),
        React.createElement("path", { d: "M7.55798 16.2355L8.42264 15.9214L8.27596 15.5155L7.39972 15.7912L7.55798 16.2355Z", fill: "#13FCE4" }),
        React.createElement("path", { d: "M11.8038 14.4012L11.8154 14.8952L11.7189 15.8258L11.7035 15.3547L11.8038 14.4012Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M6.34575 17.5873L6.63912 17.3078L6.39979 16.8176L6.07941 17.055L6.34575 17.5873Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M10.2291 19.2877L10.0207 19.2609L9.62697 19.6056L9.81226 19.6515L10.2291 19.2877Z", fill: "#002CFF" }),
        React.createElement("path", { d: "M6.27656 5.81899L6.34604 6.39726L6.90575 6.14834L6.83241 5.57007L6.27656 5.81899Z", fill: "#A80000" }),
        React.createElement("path", { d: "M11.6457 16.5687L12.6724 16.1858L12.4833 16.3543L11.4411 16.7487L11.6457 16.5687Z", fill: "#00DCFE" }),
        React.createElement("path", { d: "M8.03644 5.0647V5.57403L8.64633 5.83061L8.62317 5.33277L8.03644 5.0647Z", fill: "#800000" }),
        React.createElement("path", { d: "M9.02478 19.6592L8.88968 19.3911L8.49209 19.4792L8.59245 19.7549L9.02478 19.6592Z", fill: "#0020FF" }),
        React.createElement("path", { d: "M13.2359 12.1417L14.4904 11.9004L14.6294 11.6745L13.3748 11.9119L13.2359 12.1417Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M6.64295 17.3079L7.10616 16.9862L6.88613 16.5381L6.40363 16.8177L6.64295 17.3079Z", fill: "#00C0FF" }),
        React.createElement("path", { d: "M9.62689 19.6056L9.43002 19.4485L9.02472 19.6592L9.19456 19.8315L9.62689 19.6056Z", fill: "#0020FF" }),
        React.createElement("path", { d: "M11.723 12.9191L13.0354 12.7085L13.1204 12.4098L11.8079 12.6051L11.723 12.9191Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M16.7334 13.0186L17.9339 12.6739L17.8567 12.3408L16.6601 12.6854L16.7334 13.0186Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M4.82504 12.2834L4.94471 12.743L5.04893 11.8966L4.93312 11.4026L4.82504 12.2834Z", fill: "#CEFF29" }),
        React.createElement("path", { d: "M8.8895 18.2728L9.38359 17.8132L9.09408 17.7979L8.57298 18.2536L8.8895 18.2728Z", fill: "#007CFF" }),
        React.createElement("path", { d: "M15.0735 11.3183L16.1852 11.0272L15.9844 11.1421L14.8843 11.4217L15.0735 11.3183Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M10.5804 17.17L11.4451 16.7487L11.2212 16.8674L10.3372 17.2964L10.5804 17.17Z", fill: "#00BCFF" }),
        React.createElement("path", { d: "M5.90196 17.2313L6.08724 17.0513L5.87107 16.4653L5.66649 16.5955L5.90196 17.2313Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M9.66179 17.7482L10.3412 17.3001L10.0864 17.3576L9.38387 17.8133L9.66179 17.7482Z", fill: "#009CFF" }),
        React.createElement("path", { d: "M9.1676 14.4241L10.3758 14.202L10.3565 13.819L9.14444 14.0105L9.1676 14.4241Z", fill: "#6DFF8A" }),
        React.createElement("path", { d: "M8.47676 19.1268L8.59256 18.7171L8.24516 18.6979L8.09848 19.1077L8.47676 19.1268Z", fill: "#004CFF" }),
        React.createElement("path", { d: "M12.9814 15.6994L14.124 15.3738L13.9889 15.6266L12.8386 15.9674L12.9814 15.6994Z", fill: "#23FFD4" }),
        React.createElement("path", { d: "M8.59616 18.717L8.88566 18.2728L8.56914 18.2574L8.24876 18.7017L8.59616 18.717Z", fill: "#0064FF" }),
        React.createElement("path", { d: "M6.88611 16.5381L7.55776 16.2355L7.39563 15.7875L6.70854 16.0479L6.88611 16.5381Z", fill: "#09F0EE" }),
        React.createElement("path", { d: "M9.72739 6.33984L9.79687 6.8262L10.3064 7.53467L10.2176 7.05598L9.72739 6.33984Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M15.5637 13.8037L16.7835 13.5356L16.7758 13.8765L15.556 14.1522L15.5637 13.8037Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M5.55458 16.6529L5.66652 16.5993L5.48896 15.9253L5.36158 15.9291L5.55458 16.6529Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M4.92545 13.6276L5.0181 13.9761L5.0374 13.1336L4.94475 12.743L4.92545 13.6276Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M8.62329 5.3327L8.64645 5.83055L9.23704 6.2518L9.19072 5.76162L8.62329 5.3327Z", fill: "#920000" }),
        React.createElement("path", { d: "M14.3014 14.7611L15.5173 14.4777L15.444 14.7879L14.2281 15.0828L14.3014 14.7611Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M8.16406 15.0791L9.22943 14.834L9.16767 14.4242L8.09457 14.6348L8.16406 15.0791Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M7.39572 15.7875L8.27195 15.5118L8.16387 15.079L7.27219 15.3165L7.39572 15.7875Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M16.66 12.6855L17.8566 12.3408L17.7485 12.0268L16.5557 12.3715L16.66 12.6855Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M5.28441 15.8487L5.36161 15.9291L5.23809 15.1785L5.15317 15.0483L5.28441 15.8487Z", fill: "#2CFFCA" }),
        React.createElement("path", { d: "M6.08326 17.0551L6.39978 16.8176L6.20292 16.2815L5.86709 16.4691L6.08326 17.0551Z", fill: "#00D4FF" }),
        React.createElement("path", { d: "M5.07982 14.8301L5.15316 15.0484L5.09526 14.2404L5.01805 13.9723L5.07982 14.8301Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M9.19085 5.7616L9.23717 6.25178L9.79688 6.82239L9.7274 6.33603L9.19085 5.7616Z", fill: "#B20000" }),
        React.createElement("path", { d: "M6.4038 16.8175L6.88631 16.538L6.70875 16.0478L6.20694 16.2814L6.4038 16.8175Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M15.2742 11.2685L16.3974 10.9698L16.1851 11.0311L15.0734 11.3221L15.2742 11.2685Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M10.3758 13.4476L11.6728 13.2561L11.7268 12.9191L10.4299 13.0915L10.3758 13.4476Z", fill: "#9DFF5A" }),
        React.createElement("path", { d: "M13.3749 11.9158L14.6294 11.6784L14.7915 11.4984L13.537 11.7358L13.3749 11.9158Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M11.8273 16.3313L12.8425 15.9675L12.6765 16.1896L11.6497 16.5725L11.8273 16.3313Z", fill: "#09F0EE" }),
        React.createElement("path", { d: "M11.723 15.8258L11.6689 16.2279L11.4875 17.0628L11.5377 16.6875L11.723 15.8258Z", fill: "#06ECF1" }),
        React.createElement("path", { d: "M8.8934 19.3911L8.84708 19.0426L8.48037 19.123L8.49581 19.4753L8.8934 19.3911Z", fill: "#003CFF" }),
        React.createElement("path", { d: "M9.19428 18.2002L9.66135 17.7483L9.37956 17.8134L8.88548 18.2729L9.19428 18.2002Z", fill: "#0088FF" }),
        React.createElement("path", { d: "M11.6575 11.8315L11.7154 12.3983L11.8081 13.4093L11.7502 12.8579L11.6575 11.8315Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M11.1208 9.26953L11.1825 9.84397L11.4682 10.8205L11.4064 10.2499L11.1208 9.26953Z", fill: "#FF9F00" }),
        React.createElement("path", { d: "M11.8078 12.6088L13.1202 12.4135L13.236 12.1454L11.9236 12.3331L11.8078 12.6088Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M5.13777 8.63764L5.28059 9.24654L5.6473 8.59169L5.50834 7.96747L5.13777 8.63764Z", fill: "#FF5900" }),
        React.createElement("path", { d: "M10.8005 16.9747L11.6459 16.5687L11.4413 16.7487L10.5766 17.17L10.8005 16.9747Z", fill: "#00D0FF" }),
        React.createElement("path", { d: "M16.5519 12.3714L17.7446 12.0268L17.6057 11.7396L16.4206 12.0804L16.5519 12.3714Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M9.92415 17.6065L10.5804 17.1699L10.341 17.3001L9.66167 17.7482L9.92415 17.6065Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M15.4827 11.2724L16.6176 10.966L16.3975 10.9698L15.2743 11.2685L15.4827 11.2724Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M8.93201 18.6405L9.19449 18.2001L8.88569 18.2691L8.59618 18.7133L8.93201 18.6405Z", fill: "#0070FF" }),
        React.createElement("path", { d: "M8.84708 19.0464L8.93587 18.6443L8.60004 18.7209L8.48037 19.1306L8.84708 19.0464Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M9.14444 14.0144L10.3565 13.8229L10.3758 13.4476L9.16374 13.6123L9.14444 14.0144Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M15.5367 13.4553L16.7603 13.191L16.7873 13.5357L15.5675 13.8038L15.5367 13.4553Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M6.70858 16.0479L7.39567 15.7874L7.27601 15.3164L6.57734 15.5309L6.70858 16.0479Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M13.0894 15.393L14.2281 15.0866L14.1239 15.3777L12.9813 15.6993L13.0894 15.393Z", fill: "#39FFBE" }),
        React.createElement("path", { d: "M9.42984 19.4486L9.26771 19.1958L8.89329 19.3911L9.02839 19.6592L9.42984 19.4486Z", fill: "#0038FF" }),
        React.createElement("path", { d: "M5.66644 16.5993L5.87102 16.4691L5.7089 15.8487L5.48887 15.9253L5.66644 16.5993Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M14.3441 14.4165L15.56 14.1484L15.5214 14.4816L14.3055 14.765L14.3441 14.4165Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M11.4836 17.0665L11.3524 17.3461L11.1015 18.0699L11.2211 17.821L11.4836 17.0665Z", fill: "#00B0FF" }),
        React.createElement("path", { d: "M16.4206 12.0843L17.6056 11.7434L17.4396 11.4945L16.2623 11.8315L16.4206 12.0843Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M8.09448 14.6348L9.16758 14.4242L9.14442 14.0106L8.06746 14.1867L8.09448 14.6348Z", fill: "#6AFF8D" }),
        React.createElement("path", { d: "M15.6911 11.3337L16.8376 11.0158L16.6175 10.9622L15.4827 11.2686L15.6911 11.3337Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M7.27609 15.3164L8.16777 15.0828L8.09829 14.6385L7.19889 14.83L7.27609 15.3164Z", fill: "#49FFAD" }),
        React.createElement("path", { d: "M13.541 11.7318L14.7956 11.4944L14.977 11.3642L13.7225 11.5978L13.541 11.7318Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M6.83216 5.56626L6.90165 6.14835L7.4961 6.06793L7.42662 5.48584L6.83216 5.56626Z", fill: "#8D0000" }),
        React.createElement("path", { d: "M10.0206 19.2609L9.79676 19.1268L9.43005 19.4523L9.62691 19.6094L10.0206 19.2609Z", fill: "#0040FF" }),
        React.createElement("path", { d: "M6.20679 16.2814L6.7086 16.0478L6.57349 15.527L6.0601 15.7108L6.20679 16.2814Z", fill: "#1FFFD7" }),
        React.createElement("path", { d: "M5.87113 16.4691L6.20695 16.2814L6.06027 15.7108L5.709 15.8487L5.87113 16.4691Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M16.2623 11.8277L17.4396 11.4907L17.2543 11.2839L16.0847 11.6132L16.2623 11.8277Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M10.4259 13.0914L11.7229 12.9191L11.8078 12.6089L10.5147 12.7621L10.4259 13.0914Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M15.8918 11.4486L17.0498 11.1231L16.8375 11.0159L15.6911 11.3337L15.8918 11.4486Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M11.1014 18.066L10.9045 18.2077L10.5957 18.8013L10.7771 18.6864L11.1014 18.066Z", fill: "#007CFF" }),
        React.createElement("path", { d: "M16.0847 11.617L17.2543 11.2877L17.0536 11.1268L15.8956 11.4523L16.0847 11.617Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M11.9737 16.0441L12.9812 15.6995L12.8384 15.9675L11.8232 16.3313L11.9737 16.0441Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M10.5959 18.8052H10.3643L10.0169 19.2647L10.2254 19.2915L10.5959 18.8052Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M5.8363 6.80334L5.95596 7.4199L6.46163 7.02162L6.34582 6.3974L5.8363 6.80334Z", fill: "#D60000" }),
        React.createElement("path", { d: "M9.48403 18.0469L9.92408 17.6065L9.6616 17.7482L9.19453 18.2001L9.48403 18.0469Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M11.9275 12.3293L13.2361 12.1416L13.3751 11.9119L12.0703 12.088L11.9275 12.3293Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M4.99485 10.0085L5.13381 10.5753L5.41174 9.83622L5.28436 9.24646L4.99485 10.0085Z", fill: "#FF9C00" }),
        React.createElement("path", { d: "M5.36148 15.9291L5.48886 15.9253L5.37306 15.2283L5.23795 15.1785L5.36148 15.9291Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M15.4751 13.1106L16.6987 12.8502L16.7566 13.191L15.533 13.4552L15.4751 13.1106Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M9.26808 19.1958L9.19087 18.8626L8.84733 19.0464L8.89365 19.3949L9.26808 19.1958Z", fill: "#0050FF" }),
        React.createElement("path", { d: "M10.9935 16.718L11.8234 16.335L11.6458 16.5725L10.8005 16.9746L10.9935 16.718Z", fill: "#00E4F8" }),
        React.createElement("path", { d: "M10.1636 17.3959L10.8005 16.9746L10.5805 17.1699L9.9243 17.6065L10.1636 17.3959Z", fill: "#00C0FF" }),
        React.createElement("path", { d: "M13.7265 11.5979L14.981 11.3643L15.1778 11.2877L13.9272 11.5213L13.7265 11.5979Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M9.15983 13.6083L10.3719 13.4437L10.4259 13.0875L9.21387 13.2216L9.15983 13.6083Z", fill: "#A0FF56" }),
        React.createElement("path", { d: "M13.1667 15.0484L14.3016 14.7612L14.2282 15.0867L13.0895 15.393L13.1667 15.0484Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M9.24864 18.472L9.48411 18.0469L9.1946 18.2001L8.93212 18.6405L9.24864 18.472Z", fill: "#0080FF" }),
        React.createElement("path", { d: "M6.57356 15.5309L7.27224 15.3165L7.19503 14.8263L6.48864 14.991L6.57356 15.5309Z", fill: "#46FFB1" }),
        React.createElement("path", { d: "M11.8078 13.4092L11.8193 13.9262L11.8155 14.8989L11.8039 14.4049L11.8078 13.4092Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M14.3477 14.0603L15.5636 13.8076L15.5559 14.1522L14.34 14.4203L14.3477 14.0603Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M9.19083 18.8626L9.24873 18.472L8.9322 18.6405L8.84342 19.0426L9.19083 18.8626Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M5.15316 15.0484L5.23808 15.1786L5.1879 14.4242L5.09526 14.2404L5.15316 15.0484Z", fill: "#5DFF9A" }),
        React.createElement("path", { d: "M10.7501 8.35419L10.8119 8.93245L11.1786 9.84389L11.1168 9.26946L10.7501 8.35419Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M4.93694 11.3987L5.05275 11.8928L5.24189 11.1039L5.13381 10.5754L4.93694 11.3987Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M8.06746 14.1867L9.14442 14.0144L9.15986 13.6122L8.0829 13.7501L8.06746 14.1867Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M7.19871 14.8262L8.09811 14.6348L8.06722 14.1867L7.16397 14.3361L7.19871 14.8262Z", fill: "#6AFF8D" }),
        React.createElement("path", { d: "M15.3825 12.7813L16.61 12.5285L16.6988 12.854L15.4751 13.1144L15.3825 12.7813Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M5.49282 15.9254L5.71284 15.8488L5.60862 15.2054L5.38088 15.2284L5.49282 15.9254Z", fill: "#36FFC1" }),
        React.createElement("path", { d: "M10.5148 12.7582L11.808 12.6051L11.9238 12.3255L10.6384 12.4595L10.5148 12.7582Z", fill: "#CAFF2C" }),
        React.createElement("path", { d: "M12.0702 12.0919L13.3749 11.9158L13.5409 11.7319L12.2401 11.9004L12.0702 12.0919Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M5.01805 13.9723L5.09526 14.2404L5.11456 13.4476L5.03736 13.1336L5.01805 13.9723Z", fill: "#90FF66" }),
        React.createElement("path", { d: "M4.94453 12.743L5.03717 13.1336L5.13753 12.3256L5.05261 11.8928L4.94453 12.743Z", fill: "#CAFF2C" }),
        React.createElement("path", { d: "M6.0601 15.7109L6.57349 15.527L6.48857 14.9909L5.9636 15.1211L6.0601 15.7109Z", fill: "#40FFB7" }),
        React.createElement("path", { d: "M13.9232 11.5213L15.1738 11.2877L15.3784 11.2647L14.1316 11.4983L13.9232 11.5213Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M9.79684 19.1268L9.60769 18.897L9.26415 19.1996L9.42627 19.4523L9.79684 19.1268Z", fill: "#0054FF" }),
        React.createElement("path", { d: "M12.0936 15.7108L13.0934 15.3929L12.9853 15.6993L11.9778 16.044L12.0936 15.7108Z", fill: "#33FFC4" }),
        React.createElement("path", { d: "M5.70891 15.8487L6.06017 15.7108L5.96367 15.1249L5.60468 15.2091L5.70891 15.8487Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M9.74653 17.8133L10.1634 17.3921L9.9241 17.6065L9.48405 18.0469L9.74653 17.8133Z", fill: "#00ACFF" }),
        React.createElement("path", { d: "M7.42661 5.48584L7.49609 6.06794L8.10598 6.15602L8.0365 5.57392L7.42661 5.48584Z", fill: "#800000" }),
        React.createElement("path", { d: "M11.4643 10.8168L11.5222 11.395L11.7113 12.3946L11.6534 11.8278L11.4643 10.8168Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M15.2586 12.471L16.49 12.2221L16.6097 12.5246L15.3822 12.7774L15.2586 12.471Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M14.3168 13.6966L15.5366 13.4553L15.5636 13.8038L14.3477 14.0566L14.3168 13.6966Z", fill: "#94FF63" }),
        React.createElement("path", { d: "M11.1554 16.404L11.9737 16.044L11.8271 16.3312L10.9971 16.7142L11.1554 16.404Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M10.3758 17.1125L10.9934 16.7181L10.8004 16.9747L10.1635 17.3959L10.3758 17.1125Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M13.209 14.6845L14.3477 14.4203L14.3091 14.765L13.1704 15.0522L13.209 14.6845Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M14.1316 11.4983L15.3784 11.2647L15.5868 11.2992L14.34 11.5328L14.1316 11.4983Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M9.21774 13.2255L10.4298 13.0914L10.5186 12.7621L9.31424 12.8693L9.21774 13.2255Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M11.8193 14.899L11.7614 15.3279L11.6688 16.2279L11.7228 15.8257L11.8193 14.899Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M5.51208 7.96739L5.65104 8.59161L6.08338 8.0593L5.95599 7.42358L5.51208 7.96739Z", fill: "#FF2500" }),
        React.createElement("path", { d: "M6.48864 14.991L7.19889 14.8263L7.16415 14.3323L6.45004 14.451L6.48864 14.991Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M9.53803 18.2154L9.74647 17.8133L9.48399 18.0469L9.24852 18.472L9.53803 18.2154Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M10.3681 18.8014L10.121 18.6942L9.79678 19.1231L10.0207 19.2571L10.3681 18.8014Z", fill: "#0068FF" }),
        React.createElement("path", { d: "M15.112 12.1952L16.3473 11.9501L16.4939 12.222L15.2626 12.4709L15.112 12.1952Z", fill: "#E1FF16" }),
        React.createElement("path", { d: "M12.2402 11.9004L13.5411 11.7319L13.7264 11.5979L12.4333 11.7626L12.2402 11.9004Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M9.6077 18.8931L9.50347 18.5829L9.18694 18.8625L9.26415 19.1957L9.6077 18.8931Z", fill: "#006CFF" }),
        React.createElement("path", { d: "M10.3023 7.53088L10.3679 8.10915L10.8118 8.92868L10.7501 8.35041L10.3023 7.53088Z", fill: "#FF2900" }),
        React.createElement("path", { d: "M5.2419 15.1786L5.377 15.2284L5.32682 14.5276L5.18786 14.4242L5.2419 15.1786Z", fill: "#60FF97" }),
        React.createElement("path", { d: "M14.34 11.5289L15.5868 11.2953L15.7914 11.3834L14.5484 11.617L14.34 11.5289Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M10.6382 12.4634L11.9236 12.3294L12.0703 12.0919L10.7888 12.2106L10.6382 12.4634Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M8.08676 13.7463L9.16373 13.6123L9.22163 13.2255L8.14852 13.3251L8.08676 13.7463Z", fill: "#A4FF53" }),
        React.createElement("path", { d: "M9.50737 18.583L9.53826 18.2154L9.24875 18.472L9.19085 18.8626L9.50737 18.583Z", fill: "#0080FF" }),
        React.createElement("path", { d: "M7.16397 14.3361L8.06722 14.1867L8.08266 13.7463L7.17941 13.8536L7.16397 14.3361Z", fill: "#87FF70" }),
        React.createElement("path", { d: "M14.9422 11.9578L16.1775 11.7166L16.3434 11.9502L15.1082 12.1952L14.9422 11.9578Z", fill: "#EEFF09" }),
        React.createElement("path", { d: "M14.5484 11.6209L15.7913 11.3873L15.9882 11.529L14.7491 11.7664L14.5484 11.6209Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M6.34572 6.39736L6.46152 7.02158L7.01351 6.77649L6.90543 6.14844L6.34572 6.39736Z", fill: "#AD0000" }),
        React.createElement("path", { d: "M14.7531 11.7625L15.9922 11.525L16.1775 11.7165L14.9423 11.9578L14.7531 11.7625Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M11.6651 16.2278L11.5261 16.5419L11.3524 17.3461L11.4836 17.0665L11.6651 16.2278Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M14.2513 13.3365L15.4749 13.1105L15.5367 13.4552L14.3169 13.6965L14.2513 13.3365Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M12.1745 15.3432L13.1704 15.0483L13.0932 15.3892L12.0934 15.707L12.1745 15.3432Z", fill: "#4DFFAA" }),
        React.createElement("path", { d: "M10.9046 18.2116L10.6575 18.2461L10.368 18.8052H10.5996L10.9046 18.2116Z", fill: "#0088FF" }),
        React.createElement("path", { d: "M8.03644 5.57385L8.10592 6.15595L8.71582 6.41253L8.65019 5.83043L8.03644 5.57385Z", fill: "#800000" }),
        React.createElement("path", { d: "M5.96383 15.1249L6.4888 14.9947L6.45405 14.4547L5.92522 14.5313L5.96383 15.1249Z", fill: "#66FF90" }),
        React.createElement("path", { d: "M11.3525 17.3461L11.1441 17.5222L10.9048 18.2116L11.1016 18.0699L11.3525 17.3461Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M9.97806 17.5032L10.3756 17.1087L10.1633 17.3921L9.74646 17.8133L9.97806 17.5032Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M13.209 14.3015L14.3477 14.0564L14.3439 14.4164L13.209 14.6806V14.3015Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M5.37683 15.2284L5.60457 15.2055L5.55825 14.5583L5.32665 14.5238L5.37683 15.2284Z", fill: "#60FF97" }),
        React.createElement("path", { d: "M12.4294 11.7625L13.7225 11.5979L13.9193 11.5175L12.6301 11.6783L12.4294 11.7625Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M9.79678 6.82239L9.8624 7.40448L10.3719 8.10913L10.3102 7.53086L9.79678 6.82239Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M5.60487 15.2054L5.96385 15.1212L5.92525 14.5276L5.5624 14.5582L5.60487 15.2054Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M5.09526 14.2404L5.1879 14.4242L5.2072 13.6812L5.11842 13.4476L5.09526 14.2404Z", fill: "#90FF66" }),
        React.createElement("path", { d: "M11.2829 16.0402L12.0935 15.7108L11.9777 16.044L11.1594 16.404L11.2829 16.0402Z", fill: "#2CFFCA" }),
        React.createElement("path", { d: "M9.31034 12.8693L10.5147 12.762L10.6382 12.4672L9.44158 12.5514L9.31034 12.8693Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M5.28437 9.24653L5.41561 9.84011L5.77074 9.2044L5.65108 8.59167L5.28437 9.24653Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M10.5534 16.7677L11.1556 16.4039L10.9934 16.718L10.3758 17.1124L10.5534 16.7677Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M8.6465 5.83057L8.71212 6.41266L9.30271 6.83392L9.23709 6.25182L8.6465 5.83057Z", fill: "#920000" }),
        React.createElement("path", { d: "M10.7887 12.2106L12.0703 12.0919L12.2401 11.9004L10.9702 12.0076L10.7887 12.2106Z", fill: "#EEFF09" }),
        React.createElement("path", { d: "M14.1548 12.9919L15.3823 12.7775L15.4749 13.1068L14.2513 13.3328L14.1548 12.9919Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M10.1208 18.698L9.90853 18.4951L9.60744 18.8933L9.79658 19.1231L10.1208 18.698Z", fill: "#007CFF" }),
        React.createElement("path", { d: "M9.23704 6.25171L9.30266 6.8338L9.8585 7.40441L9.79288 6.82232L9.23704 6.25171Z", fill: "#B20000" }),
        React.createElement("path", { d: "M11.7152 12.3982L11.7306 12.9382L11.8233 13.9262L11.8117 13.4092L11.7152 12.3982Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M6.45395 14.451L7.16806 14.3323L7.1835 13.8497L6.46939 13.9187L6.45395 14.451Z", fill: "#8AFF6D" }),
        React.createElement("path", { d: "M12.6341 11.6822L13.9233 11.5214L14.1318 11.4984L12.8503 11.6593L12.6341 11.6822Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M8.14444 13.3251L9.21753 13.2255L9.31017 12.8694L8.2448 12.9383L8.14444 13.3251Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M9.78918 17.8784L9.97833 17.5031L9.74672 17.8133L9.53828 18.2154L9.78918 17.8784Z", fill: "#00B4FF" }),
        React.createElement("path", { d: "M11.1787 9.84021L11.2404 10.43L11.5222 11.395L11.4643 10.8168L11.1787 9.84021Z", fill: "#FFA300" }),
        React.createElement("path", { d: "M5.03736 13.1335L5.11456 13.4476L5.21106 12.6855L5.13772 12.3255L5.03736 13.1335Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M7.1835 13.8497L8.08676 13.7425L8.14466 13.3212L7.24526 13.3863L7.1835 13.8497Z", fill: "#A7FF50" }),
        React.createElement("path", { d: "M5.13387 10.5793L5.24195 11.104L5.51215 10.3955L5.41179 9.84021L5.13387 10.5793Z", fill: "#FFA300" }),
        React.createElement("path", { d: "M12.2131 14.9488L13.2051 14.6845L13.1665 15.0521L12.1706 15.3432L12.2131 14.9488Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M13.1782 13.9186L14.3208 13.6965L14.3517 14.0603L13.213 14.3054L13.1782 13.9186Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M5.05275 11.8928L5.13768 12.3255L5.3191 11.5749L5.2419 11.1039L5.05275 11.8928Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M14.0272 12.6741L15.2625 12.475L15.386 12.7813L14.1585 12.9958L14.0272 12.6741Z", fill: "#D4FF23" }),
        React.createElement("path", { d: "M9.90889 18.495L9.7815 18.2154L9.50358 18.583L9.6078 18.8932L9.90889 18.495Z", fill: "#0090FF" }),
        React.createElement("path", { d: "M9.7815 18.2154L9.78922 17.8784L9.53446 18.2154L9.50358 18.5831L9.7815 18.2154Z", fill: "#00A0FF" }),
        React.createElement("path", { d: "M12.8501 11.6593L14.1316 11.4984L14.3439 11.5329L13.0701 11.6937L12.8501 11.6593Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M5.18786 14.4241L5.32683 14.5275L5.34227 13.8382L5.2033 13.6812L5.18786 14.4241Z", fill: "#8DFF6A" }),
        React.createElement("path", { d: "M9.44177 12.5476L10.6384 12.4633L10.7889 12.2106L9.60003 12.2757L9.44177 12.5476Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M10.9703 12.0077L12.2402 11.9005L12.4294 11.7626L11.1671 11.8622L10.9703 12.0077Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M5.92132 14.5313L6.45015 14.4509L6.46945 13.9224L5.94062 13.9492L5.92132 14.5313Z", fill: "#8AFF6D" }),
        React.createElement("path", { d: "M10.1711 17.1279L10.5532 16.7679L10.3757 17.1126L9.97807 17.5071L10.1711 17.1279Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M10.6575 18.2422L10.3912 18.1694L10.121 18.6941L10.368 18.8013L10.6575 18.2422Z", fill: "#0098FF" }),
        React.createElement("path", { d: "M11.3676 15.6381L12.1705 15.3433L12.0895 15.7109L11.2789 16.0402L11.3676 15.6381Z", fill: "#46FFB1" }),
        React.createElement("path", { d: "M13.8692 12.3868L15.1121 12.1953L15.2588 12.471L14.0236 12.6702L13.8692 12.3868Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M6.90546 6.14841L7.01355 6.77647L7.60028 6.69604L7.49606 6.06799L6.90546 6.14841Z", fill: "#920000" }),
        React.createElement("path", { d: "M5.95579 7.42371L6.08317 8.05942L6.57726 7.66881L6.46146 7.02161L5.95579 7.42371Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M13.0663 11.6937L14.3401 11.5328L14.5486 11.6247L13.2825 11.7894L13.0663 11.6937Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M10.6883 16.3696L11.2828 16.0402L11.1554 16.404L10.5532 16.7678L10.6883 16.3696Z", fill: "#26FFD1" }),
        React.createElement("path", { d: "M11.8195 13.9263L11.7616 14.3858L11.7577 15.3279L11.8156 14.899L11.8195 13.9263Z", fill: "#83FF73" }),
        React.createElement("path", { d: "M13.6913 12.1379L14.942 11.9579L15.1118 12.1954L13.8689 12.3869L13.6913 12.1379Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M13.2862 11.7855L14.5523 11.6208L14.753 11.7664L13.4985 11.9387L13.2862 11.7855Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M5.32665 14.5276L5.55825 14.562L5.57369 13.9263L5.34209 13.8383L5.32665 14.5276Z", fill: "#8DFF6A" }),
        React.createElement("path", { d: "M5.5585 14.562L5.92135 14.5313L5.93679 13.9492L5.57394 13.9263L5.5585 14.562Z", fill: "#8DFF6A" }),
        React.createElement("path", { d: "M13.1049 13.5356L14.2514 13.3365L14.317 13.6965L13.1744 13.9186L13.1049 13.5356Z", fill: "#ADFF49" }),
        React.createElement("path", { d: "M13.4946 11.935L14.7491 11.7626L14.9383 11.9541L13.6876 12.1341L13.4946 11.935Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M8.24485 12.9382L9.31023 12.8693L9.44147 12.5515L8.38381 12.5897L8.24485 12.9382Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M12.217 14.5352L13.213 14.3016L13.2091 14.6845L12.217 14.9488V14.5352Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M6.46957 13.9224L7.18368 13.8497L7.24545 13.3901L6.53906 13.4169L6.46957 13.9224Z", fill: "#AAFF4D" }),
        React.createElement("path", { d: "M11.1439 17.5223L10.8814 17.595L10.6536 18.2461L10.9007 18.2116L11.1439 17.5223Z", fill: "#00C4FF" }),
        React.createElement("path", { d: "M11.167 11.8621L12.4292 11.7625L12.6338 11.6821L11.3831 11.7779L11.167 11.8621Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M7.24531 13.3902L8.1447 13.3251L8.24506 12.9345L7.35339 12.9613L7.24531 13.3902Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M10.0013 17.4649L10.1711 17.1279L9.97811 17.507L9.78897 17.8823L10.0013 17.4649Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M11.7577 15.3279L11.6149 15.6764L11.5261 16.5419L11.6651 16.2278L11.7577 15.3279Z", fill: "#46FFB1" }),
        React.createElement("path", { d: "M5.11433 13.4437L5.20312 13.6773L5.2919 12.965L5.20698 12.6816L5.11433 13.4437Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M10.8122 8.93256L10.8778 9.5338L11.2445 10.4338L11.1789 9.844L10.8122 8.93256Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M9.60376 12.2756L10.7927 12.2105L10.9702 12.0076L9.79291 12.0574L9.60376 12.2756Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M10.3912 18.1695L10.1596 18.0048L9.90868 18.495L10.121 18.698L10.3912 18.1695Z", fill: "#00A8FF" }),
        React.createElement("path", { d: "M11.5259 16.5419L11.3097 16.7564L11.1437 17.5223L11.3522 17.3461L11.5259 16.5419Z", fill: "#0FF8E7" }),
        React.createElement("path", { d: "M13.0006 13.1719L14.1547 12.9957L14.2512 13.3404L13.1048 13.5395L13.0006 13.1719Z", fill: "#C4FF33" }),
        React.createElement("path", { d: "M11.4105 15.2054L12.2134 14.9449L12.1709 15.3394L11.368 15.6343L11.4105 15.2054Z", fill: "#63FF94" }),
        React.createElement("path", { d: "M11.5261 11.3949L11.5454 11.954L11.7307 12.9344L11.7152 12.3944L11.5261 11.3949Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M5.64696 8.5917L5.76662 9.20443L6.19123 8.69127L6.08315 8.05939L5.64696 8.5917Z", fill: "#FF3000" }),
        React.createElement("path", { d: "M10.0128 17.7673L10.0012 17.4686L9.78887 17.8784L9.78115 18.2154L10.0128 17.7673Z", fill: "#00C8FF" }),
        React.createElement("path", { d: "M11.3832 11.7741L12.6338 11.6783L12.85 11.6553L11.6148 11.7472L11.3832 11.7741Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M10.1594 18.0086L10.0128 17.7673L9.78115 18.2192L9.90854 18.4988L10.1594 18.0086Z", fill: "#00B8FF" }),
        React.createElement("path", { d: "M10.3216 16.6912L10.6883 16.3695L10.5532 16.7678L10.1711 17.1278L10.3216 16.6912Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M5.94062 13.9493L6.46945 13.9225L6.53507 13.417L6.0101 13.394L5.94062 13.9493Z", fill: "#ADFF49" }),
        React.createElement("path", { d: "M7.496 6.06799L7.60022 6.69987L8.20239 6.78795L8.10589 6.15607L7.496 6.06799Z", fill: "#840000" }),
        React.createElement("path", { d: "M12.1784 14.1177L13.1782 13.9147L13.213 14.3015L12.217 14.5351L12.1784 14.1177Z", fill: "#97FF60" }),
        React.createElement("path", { d: "M10.781 15.9292L11.3677 15.6381L11.2828 16.0402L10.6883 16.3696L10.781 15.9292Z", fill: "#43FFB4" }),
        React.createElement("path", { d: "M5.13777 12.3255L5.21111 12.6855L5.38096 11.977L5.31919 11.5749L5.13777 12.3255Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M12.8618 12.8311L14.0237 12.6741L14.1511 12.9957L12.9969 13.1719L12.8618 12.8311Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M8.38409 12.5898L9.44175 12.5516L9.60388 12.2797L8.56166 12.295L8.38409 12.5898Z", fill: "#EEFF09" }),
        React.createElement("path", { d: "M5.20326 13.6813L5.34222 13.8383L5.42714 13.1796L5.29204 12.969L5.20326 13.6813Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M9.79287 12.0574L10.9702 12.0076L11.1709 11.8621L10.009 11.9004L9.79287 12.0574Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M11.6109 11.7512L12.8461 11.6592L13.0661 11.6937L11.8425 11.7894L11.6109 11.7512Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M5.41167 9.84012L5.50817 10.3954L5.85172 9.7865L5.76679 9.20441L5.41167 9.84012Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M6.53506 13.4169L7.24531 13.3939L7.3534 12.965L6.65472 12.9459L6.53506 13.4169Z", fill: "#CAFF2C" }),
        React.createElement("path", { d: "M5.57389 13.9262L5.93673 13.9492L6.01008 13.3939L5.65109 13.3173L5.57389 13.9262Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M5.24186 11.1039L5.31906 11.575L5.57383 10.901L5.50821 10.3954L5.24186 11.1039Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M7.35353 12.9651L8.24521 12.9383L8.38417 12.5898L7.50408 12.5822L7.35353 12.9651Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M10.368 8.11292L10.4414 8.72565L10.8814 9.53369L10.8158 8.93244L10.368 8.11292Z", fill: "#FF2D00" }),
        React.createElement("path", { d: "M12.6957 12.5247L13.8691 12.3868L14.0235 12.6741L12.8617 12.8311L12.6957 12.5247Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M10.8812 17.595L10.6033 17.5643L10.391 18.1732L10.6573 18.246L10.8812 17.595Z", fill: "#00CCFF" }),
        React.createElement("path", { d: "M6.46176 7.02152L6.58142 7.66872L7.12183 7.43129L7.01375 6.77643L6.46176 7.02152Z", fill: "#BB0000" }),
        React.createElement("path", { d: "M5.34227 13.8381L5.57388 13.9262L5.65108 13.3173L5.4272 13.1794L5.34227 13.8381Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M11.8425 11.7856L13.0661 11.6898L13.2823 11.7817L12.0702 11.8813L11.8425 11.7856Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M11.4101 14.7573L12.213 14.5352V14.9449L11.4101 15.2053V14.7573Z", fill: "#7DFF7A" }),
        React.createElement("path", { d: "M12.1012 13.708L13.1049 13.5356L13.1743 13.9186L12.1746 14.1216L12.1012 13.708Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M10.1673 16.9899L10.3217 16.6912L10.1711 17.1277L10.0013 17.4647L10.1673 16.9899Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M12.5063 12.2604L13.6914 12.1379L13.8689 12.3868L12.6955 12.5247L12.5063 12.2604Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M12.0741 11.8851L13.2862 11.7855L13.4946 11.9349L12.298 12.0459L12.0741 11.8851Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M8.10239 6.15601L8.19889 6.78789L8.80105 7.04064L8.71227 6.41259L8.10239 6.15601Z", fill: "#890000" }),
        React.createElement("path", { d: "M12.2982 12.0459L13.4948 11.9349L13.6916 12.1378L12.5066 12.2604L12.2982 12.0459Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M11.7306 12.9345L11.6727 13.4247L11.7615 14.3821L11.8194 13.9225L11.7306 12.9345Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M10.0091 11.9004L11.171 11.8621L11.3871 11.774L10.2407 11.8046L10.0091 11.9004Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M8.55758 12.2911L9.5998 12.2758L9.78894 12.0575L8.76216 12.0536L8.55758 12.2911Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M10.8275 15.4582L11.4103 15.2092L11.3679 15.6381L10.7812 15.9292L10.8275 15.4582Z", fill: "#60FF97" }),
        React.createElement("path", { d: "M10.422 16.2088L10.7809 15.9292L10.6883 16.3696L10.3216 16.6913L10.422 16.2088Z", fill: "#3CFFBA" }),
        React.createElement("path", { d: "M9.85859 7.40454L9.93579 8.02493L10.4376 8.72192L10.3643 8.10918L9.85859 7.40454Z", fill: "#E40000" }),
        React.createElement("path", { d: "M10.6036 17.5643L10.3565 17.4418L10.1635 18.0047L10.3951 18.1694L10.6036 17.5643Z", fill: "#00D8FF" }),
        React.createElement("path", { d: "M11.3098 16.7563L11.0357 16.8712L10.8813 17.595L11.1438 17.5223L11.3098 16.7563Z", fill: "#16FFE1" }),
        React.createElement("path", { d: "M10.1904 17.2464L10.1634 16.9899L10.0013 17.4686L10.0129 17.7673L10.1904 17.2464Z", fill: "#0CF4EB" }),
        React.createElement("path", { d: "M6.01001 13.3939L6.53499 13.4169L6.65079 12.9459L6.1374 12.877L6.01001 13.3939Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M8.71222 6.4165L8.801 7.04456L9.38387 7.46198L9.30281 6.83393L8.71222 6.4165Z", fill: "#9B0000" }),
        React.createElement("path", { d: "M5.21084 12.6855L5.29576 12.9689L5.45789 12.3102L5.38454 11.9808L5.21084 12.6855Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M11.9857 13.3136L13.0008 13.1719L13.1051 13.5357L12.1015 13.708L11.9857 13.3136Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M11.2442 10.4337L11.2673 11.0158L11.5414 11.9579L11.5221 11.3988L11.2442 10.4337Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M9.30275 6.83386L9.38767 7.45808L9.93967 8.02103L9.86246 7.40064L9.30275 6.83386Z", fill: "#BB0000" }),
        React.createElement("path", { d: "M10.3566 17.4418L10.1945 17.2427L10.0169 17.7635L10.1636 18.0048L10.3566 17.4418Z", fill: "#02E8F4" }),
        React.createElement("path", { d: "M11.7615 14.3858L11.6187 14.7726V15.6764L11.7615 15.3279V14.3858Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M7.50381 12.5821L8.38391 12.5897L8.55761 12.291L7.69295 12.2527L7.50381 12.5821Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M11.368 14.3054L12.1748 14.1216L12.2134 14.539L11.4066 14.7611L11.368 14.3054Z", fill: "#9AFF5D" }),
        React.createElement("path", { d: "M11.6148 15.6763L11.3909 15.9329L11.306 16.7563L11.5221 16.5418L11.6148 15.6763Z", fill: "#49FFAD" }),
        React.createElement("path", { d: "M10.2407 11.8052L11.3872 11.7743L11.6149 11.7473L10.4878 11.7781L10.2407 11.8052Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M6.65477 12.9459L7.35345 12.9651L7.50399 12.5821L6.8169 12.5285L6.65477 12.9459Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M6.08331 8.05938L6.1914 8.69126L6.67391 8.31596L6.58126 7.66876L6.08331 8.05938Z", fill: "#F10800" }),
        React.createElement("path", { d: "M5.65477 13.3173L6.01376 13.3939L6.14114 12.8769L5.79374 12.7544L5.65477 13.3173Z", fill: "#DBFF1C" }),
        React.createElement("path", { d: "M11.8347 12.9459L12.8615 12.831L13.0004 13.1718L11.9852 13.3135L11.8347 12.9459Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M8.76622 12.0536L9.79299 12.0574L10.0053 11.9004L8.99782 11.8812L8.76622 12.0536Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M5.29563 12.9689L5.43073 13.1795L5.58128 12.5668L5.45775 12.3102L5.29563 12.9689Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M7.01369 6.78027L7.12177 7.43512L7.69692 7.35853L7.60042 6.70367L7.01369 6.78027Z", fill: "#9F0000" }),
        React.createElement("path", { d: "M10.2753 16.4575L10.4219 16.2086L10.3216 16.6911L10.1672 16.9899L10.2753 16.4575Z", fill: "#36FFC1" }),
        React.createElement("path", { d: "M5.31907 11.5749L5.38083 11.977L5.62402 11.3413L5.57769 10.9009L5.31907 11.5749Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M10.484 11.7781L11.6112 11.7473L11.8428 11.7859L10.7311 11.8167L10.484 11.7781Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M10.8273 14.9641L11.4102 14.7573V15.2054L10.8273 15.4543V14.9641Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M5.42706 13.1795L5.65095 13.3174L5.78991 12.7544L5.57375 12.5668L5.42706 13.1795Z", fill: "#E1FF16" }),
        React.createElement("path", { d: "M11.6534 12.6165L12.6956 12.5246L12.8616 12.831L11.8348 12.9459L11.6534 12.6165Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M10.4722 15.6878L10.8273 15.4581L10.781 15.9291L10.422 16.2087L10.4722 15.6878Z", fill: "#5DFF9A" }),
        React.createElement("path", { d: "M5.76691 9.20433L5.85183 9.78642L6.261 9.29624L6.19152 8.69116L5.76691 9.20433Z", fill: "#FF3B00" }),
        React.createElement("path", { d: "M11.0359 16.8712L10.7464 16.8865L10.6035 17.5605L10.8815 17.5912L11.0359 16.8712Z", fill: "#1CFFDB" }),
        React.createElement("path", { d: "M11.2828 13.8535L12.1011 13.7079L12.1783 14.1177L11.3715 14.3015L11.2828 13.8535Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M10.7347 11.8201L11.8464 11.7894L12.078 11.889L10.9856 11.9273L10.7347 11.8201Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M5.51208 10.3955L5.5777 10.901L5.90581 10.3227L5.85563 9.78656L5.51208 10.3955Z", fill: "#FF7A00" }),
        React.createElement("path", { d: "M11.4489 12.3294L12.5066 12.2604L12.6957 12.5247L11.6535 12.6166L11.4489 12.3294Z", fill: "#FFEA00" }),
        React.createElement("path", { d: "M7.69682 12.2566L8.56148 12.2949L8.76992 12.0575L7.92457 11.9962L7.69682 12.2566Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M10.9818 11.9273L12.0742 11.889L12.298 12.0461L11.2249 12.0997L10.9818 11.9273Z", fill: "#FFD000" }),
        React.createElement("path", { d: "M6.13754 12.877L6.65093 12.9459L6.81692 12.5246L6.31897 12.4174L6.13754 12.877Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M11.2212 12.0996L12.2981 12.046L12.5066 12.2604L11.4489 12.3293L11.2212 12.0996Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M8.9976 11.8812L10.0051 11.9004L10.2367 11.8046L9.24851 11.774L8.9976 11.8812Z", fill: "#FFC800" }),
        React.createElement("path", { d: "M10.8774 9.53375L10.9083 10.135L11.2673 11.0158L11.2441 10.4337L10.8774 9.53375Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M11.5414 11.9579L11.4912 12.4788L11.6726 13.4285L11.7305 12.9383L11.5414 11.9579Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M10.3139 16.6682L10.2791 16.4614L10.1672 16.9899L10.1942 17.2465L10.3139 16.6682Z", fill: "#30FFC7" }),
        React.createElement("path", { d: "M6.81677 12.5247L7.50386 12.5821L7.69301 12.2566L7.02135 12.1685L6.81677 12.5247Z", fill: "#FFE600" }),
        React.createElement("path", { d: "M10.7462 16.8865L10.4875 16.8138L10.3563 17.4418L10.6033 17.5644L10.7462 16.8865Z", fill: "#23FFD4" }),
        React.createElement("path", { d: "M10.4877 16.8138L10.314 16.6644L10.1943 17.2427L10.3564 17.4418L10.4877 16.8138Z", fill: "#29FFCE" }),
        React.createElement("path", { d: "M11.1555 13.4246L11.9854 13.3135L12.1012 13.708L11.2828 13.8535L11.1555 13.4246Z", fill: "#D1FF26" }),
        React.createElement("path", { d: "M10.7812 14.4662L11.3717 14.3054L11.4142 14.7611L10.8313 14.9679L10.7812 14.4662Z", fill: "#9DFF5A" }),
        React.createElement("path", { d: "M5.38088 11.977L5.45422 12.3064L5.68196 11.7128L5.62406 11.3413L5.38088 11.977Z", fill: "#FFC400" }),
        React.createElement("path", { d: "M11.395 15.933L11.1171 16.0939L11.0399 16.8713L11.314 16.7564L11.395 15.933Z", fill: "#4DFFAA" }),
        React.createElement("path", { d: "M7.60032 6.69989L7.69682 7.35858L8.28355 7.44666L8.19863 6.7918L7.60032 6.69989Z", fill: "#920000" }),
        React.createElement("path", { d: "M9.24852 11.7743L10.2367 11.8052L10.4799 11.7781L9.51101 11.7473L9.24852 11.7743Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M5.79012 12.7545L6.13752 12.877L6.31509 12.4175L5.98312 12.249L5.79012 12.7545Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M10.3334 15.8909L10.4762 15.6918L10.426 16.2088L10.2793 16.4577L10.3334 15.8909Z", fill: "#5AFF9D" }),
        React.createElement("path", { d: "M6.58125 7.66879L6.67389 8.31598L7.19886 8.09004L7.12166 7.43518L6.58125 7.66879Z", fill: "#C80000" }),
        React.createElement("path", { d: "M11.6726 13.4246L11.5337 13.8497L11.6186 14.7688L11.7614 14.382L11.6726 13.4246Z", fill: "#BEFF39" }),
        React.createElement("path", { d: "M10.4723 15.1479L10.8275 14.9641V15.4581L10.4723 15.6878V15.1479Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M7.92063 11.9923L8.76599 12.0536L8.99759 11.8813L8.1754 11.8047L7.92063 11.9923Z", fill: "#FFC800" }),
        React.createElement("path", { d: "M11.6188 14.7726L11.3949 15.0752V15.9368L11.6188 15.6803V14.7726Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M10.9935 13.0225L11.835 12.9459L11.9855 13.3135L11.1556 13.4246L10.9935 13.0225Z", fill: "#E7FF0F" }),
        React.createElement("path", { d: "M5.45441 12.3101L5.57793 12.5667L5.79023 12.0191L5.68215 11.7166L5.45441 12.3101Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M10.4374 8.72186L10.4799 9.34226L10.9083 10.1311L10.8775 9.53373L10.4374 8.72186Z", fill: "#FF3400" }),
        React.createElement("path", { d: "M5.5778 12.5667L5.79396 12.7544L5.99083 12.2489L5.79396 12.0153L5.5778 12.5667Z", fill: "#FFDE00" }),
        React.createElement("path", { d: "M9.51507 11.7473L10.4839 11.7781L10.7349 11.8206L9.78913 11.7936L9.51507 11.7473Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M6.31884 12.4174L6.81678 12.5247L7.02523 12.1647L6.54658 12.0192L6.31884 12.4174Z", fill: "#FFD700" }),
        React.createElement("path", { d: "M7.02541 12.1646L7.69706 12.2527L7.92095 11.9885L7.27245 11.8736L7.02541 12.1646Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M5.5778 10.9009L5.62412 11.3413L5.93292 10.7975L5.90204 10.3226L5.5778 10.9009Z", fill: "#FF8600" }),
        React.createElement("path", { d: "M10.6844 13.9722L11.2827 13.8535L11.3677 14.3016L10.7771 14.4624L10.6844 13.9722Z", fill: "#BAFF3C" }),
        React.createElement("path", { d: "M8.19866 6.79181L8.28358 7.44667L8.87417 7.69942L8.80083 7.04839L8.19866 6.79181Z", fill: "#960000" }),
        React.createElement("path", { d: "M10.7926 12.6587L11.6534 12.6127L11.8349 12.9421L10.9934 13.0187L10.7926 12.6587Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M10.3758 16.0441L10.3334 15.8909L10.2793 16.4615L10.3141 16.6683L10.3758 16.0441Z", fill: "#56FFA0" }),
        React.createElement("path", { d: "M11.1168 16.0939L10.8196 16.159L10.7462 16.8866L11.0357 16.8713L11.1168 16.0939Z", fill: "#4DFFAA" }),
        React.createElement("path", { d: "M6.19131 8.69122L6.26079 9.29629L6.724 8.93631L6.67382 8.31592L6.19131 8.69122Z", fill: "#FF1300" }),
        React.createElement("path", { d: "M9.78897 11.7894L10.7347 11.8162L10.9817 11.9235L10.0592 11.9043L9.78897 11.7894Z", fill: "#FFBD00" }),
        React.createElement("path", { d: "M11.2675 11.0121L11.2251 11.5635L11.4914 12.4788L11.5416 11.958L11.2675 11.0121Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M9.93579 8.0249L9.98598 8.65678L10.4801 9.34227L10.4415 8.72571L9.93579 8.0249Z", fill: "#F10800" }),
        React.createElement("path", { d: "M8.17545 11.8008L8.99765 11.8774L9.24855 11.774L8.44952 11.6859L8.17545 11.8008Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M10.5688 12.3484L11.4489 12.3293L11.6535 12.6127L10.7927 12.6586L10.5688 12.3484Z", fill: "#FFDB00" }),
        React.createElement("path", { d: "M5.85192 9.78659L5.90211 10.3227L6.29197 9.85935L6.26109 9.30023L5.85192 9.78659Z", fill: "#FF4A00" }),
        React.createElement("path", { d: "M10.0594 11.9081L10.982 11.9272L11.2213 12.0996H10.3219L10.0594 11.9081Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M10.3216 12.0957H11.221L11.4487 12.3293L10.5686 12.3485L10.3216 12.0957Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M8.80069 7.04456L8.87403 7.69558L9.44531 8.10151L9.38355 7.45815L8.80069 7.04456Z", fill: "#A40000" }),
        React.createElement("path", { d: "M10.4181 14.6003L10.7809 14.4662L10.8311 14.9641L10.476 15.1479L10.4181 14.6003Z", fill: "#A0FF56" }),
        React.createElement("path", { d: "M9.38754 7.46185L9.4493 8.10522L9.98971 8.65668L9.93953 8.0248L9.38754 7.46185Z", fill: "#C40000" }),
        React.createElement("path", { d: "M10.5533 16.1397L10.3719 16.044L10.3101 16.6644L10.4838 16.8138L10.5533 16.1397Z", fill: "#53FFA4" }),
        React.createElement("path", { d: "M10.3294 15.2973L10.4722 15.1479V15.6879L10.3333 15.8909L10.3294 15.2973Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M10.8197 16.1589L10.5533 16.1397L10.4877 16.8137L10.7464 16.8865L10.8197 16.1589Z", fill: "#50FFA7" }),
        React.createElement("path", { d: "M10.5456 13.4974L11.1594 13.4208L11.2868 13.8536L10.6885 13.9723L10.5456 13.4974Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M5.9868 12.2489L6.31877 12.4174L6.54652 12.023L6.23385 11.8162L5.9868 12.2489Z", fill: "#FFC800" }),
        React.createElement("path", { d: "M7.12169 7.43122L7.19889 8.08608L7.75474 8.01332L7.69684 7.35846L7.12169 7.43122Z", fill: "#AD0000" }),
        React.createElement("path", { d: "M5.62376 11.3452L5.68166 11.7166L5.97116 11.2073L5.93256 10.7975L5.62376 11.3452Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M7.27219 11.8774L7.92069 11.9923L8.17545 11.8008L7.55398 11.6668L7.27219 11.8774Z", fill: "#FFB600" }),
        React.createElement("path", { d: "M11.3948 15.0712L11.1169 15.2819V16.0937L11.3948 15.9329V15.0712Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M8.44958 11.6898L9.24862 11.7779L9.51496 11.7472L8.73909 11.6553L8.44958 11.6898Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M6.54655 12.023L7.02519 12.1685L7.27224 11.8813L6.81675 11.709L6.54655 12.023Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M11.4914 12.4788L11.3563 12.9421L11.53 13.8536L11.669 13.4285L11.4914 12.4788Z", fill: "#F8F500" }),
        React.createElement("path", { d: "M5.79012 12.0191L5.98698 12.2528L6.23402 11.82L6.05646 11.5519L5.79012 12.0191Z", fill: "#FFB600" }),
        React.createElement("path", { d: "M5.68189 11.7166L5.78997 12.0191L6.06018 11.5481L5.97526 11.2073L5.68189 11.7166Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M11.5338 13.8497L11.3138 14.1944L11.3987 15.0714L11.6226 14.7688L11.5338 13.8497Z", fill: "#BAFF3C" }),
        React.createElement("path", { d: "M10.3641 13.057L10.9933 13.0225L11.1554 13.4246L10.5417 13.5012L10.3641 13.057Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M10.314 14.0565L10.6846 13.9723L10.7811 14.4663L10.4182 14.6003L10.314 14.0565Z", fill: "#C1FF36" }),
        React.createElement("path", { d: "M10.3719 15.3968L10.3294 15.2972V15.8908L10.3719 16.0478V15.3968Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M10.9083 10.1312L10.8735 10.7095L11.2209 11.5635L11.2634 11.012L10.9083 10.1312Z", fill: "#FF7300" }),
        React.createElement("path", { d: "M8.74301 11.6553L9.51888 11.7472L9.78909 11.7932L9.04024 11.7089L8.74301 11.6553Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M5.90202 10.3226L5.9329 10.7975L6.2996 10.3571L6.29188 9.85156L5.90202 10.3226Z", fill: "#FF5D00" }),
        React.createElement("path", { d: "M10.2715 14.6922L10.4182 14.5965L10.4722 15.1441L10.3294 15.2935L10.2715 14.6922Z", fill: "#A4FF53" }),
        React.createElement("path", { d: "M6.67385 8.31596L6.72403 8.93635L7.2297 8.71806L7.19882 8.08618L6.67385 8.31596Z", fill: "#DA0000" }),
        React.createElement("path", { d: "M10.1481 12.6587H10.7966L10.9935 13.0187L10.3643 13.0531L10.1481 12.6587Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M7.55022 11.6668L8.17556 11.8009L8.45349 11.686L7.85517 11.5405L7.55022 11.6668Z", fill: "#FFA300" }),
        React.createElement("path", { d: "M11.1168 15.2819L10.8195 15.4006V16.1589L11.1168 16.0938V15.2819Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M7.69682 7.35846L7.75858 8.01715L8.32988 8.10523L8.28356 7.44654L7.69682 7.35846Z", fill: "#A40000" }),
        React.createElement("path", { d: "M9.04034 11.7051L9.7892 11.7893L10.0594 11.908L9.33757 11.8353L9.04034 11.7051Z", fill: "#FFAB00" }),
        React.createElement("path", { d: "M6.23405 11.8162L6.54671 12.023L6.81692 11.7051L6.53127 11.4715L6.23405 11.8162Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M10.5533 15.4351L10.3719 15.3969V16.044L10.5533 16.1398V15.4351Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M6.26093 9.29632L6.29181 9.85544L6.73186 9.51461L6.72414 8.93634L6.26093 9.29632Z", fill: "#FF2500" }),
        React.createElement("path", { d: "M9.89719 12.3179L10.5688 12.3485L10.7927 12.6587H10.1442L9.89719 12.3179Z", fill: "#FFCC00" }),
        React.createElement("path", { d: "M9.33745 11.8354L10.0593 11.9081L10.3218 12.0958L9.62695 12.0384L9.33745 11.8354Z", fill: "#FFAE00" }),
        React.createElement("path", { d: "M10.8196 15.4008L10.5532 15.4352V16.1399L10.8196 16.159V15.4008Z", fill: "#80FF77" }),
        React.createElement("path", { d: "M6.81677 11.7052L7.27226 11.8775L7.55018 11.6669L7.11785 11.4754L6.81677 11.7052Z", fill: "#FF9F00" }),
        React.createElement("path", { d: "M9.62697 12.0421L10.3218 12.0995L10.5688 12.3522L9.89718 12.3216L9.62697 12.0421Z", fill: "#FFBD00" }),
        React.createElement("path", { d: "M10.1596 13.5357L10.5456 13.4974L10.6846 13.9722L10.314 14.0565L10.1596 13.5357Z", fill: "#E1FF16" }),
        React.createElement("path", { d: "M10.4799 9.34229L10.4606 9.94353L10.8775 10.7133L10.9122 10.135L10.4799 9.34229Z", fill: "#FF3F00" }),
        React.createElement("path", { d: "M5.93281 10.8014L5.97141 11.2111L6.31495 10.8014L6.29951 10.361L5.93281 10.8014Z", fill: "#FF6F00" }),
        React.createElement("path", { d: "M11.225 11.5634L11.1015 12.0613L11.3601 12.9382L11.4952 12.4749L11.225 11.5634Z", fill: "#FFB600" }),
        React.createElement("path", { d: "M7.85123 11.5443L8.44955 11.6898L8.73905 11.6553L8.17162 11.506L7.85123 11.5443Z", fill: "#FF9800" }),
        React.createElement("path", { d: "M6.0562 11.5481L6.23376 11.8161L6.52713 11.4676L6.37273 11.1651L6.0562 11.5481Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M11.314 14.1944L11.0399 14.4548L11.1209 15.282L11.3989 15.0714L11.314 14.1944Z", fill: "#B7FF40" }),
        React.createElement("path", { d: "M8.28368 7.44659L8.32614 8.10145L8.9013 8.34655L8.87428 7.69552L8.28368 7.44659Z", fill: "#A40000" }),
        React.createElement("path", { d: "M10.3062 14.7382L10.2715 14.6922L10.3294 15.2934L10.3719 15.393L10.3062 14.7382Z", fill: "#A7FF50" }),
        React.createElement("path", { d: "M10.1559 14.0985L10.3142 14.0564L10.4184 14.6002L10.2717 14.6959L10.1559 14.0985Z", fill: "#C7FF30" }),
        React.createElement("path", { d: "M5.97118 11.2073L6.0561 11.5481L6.37649 11.169L6.31473 10.7975L5.97118 11.2073Z", fill: "#FF8200" }),
        React.createElement("path", { d: "M11.356 12.9383L11.1437 13.3289L11.3097 14.1944L11.5298 13.8497L11.356 12.9383Z", fill: "#F1FC06" }),
        React.createElement("path", { d: "M9.959 13.0493L10.3643 13.057L10.5457 13.4974L10.1597 13.5357L9.959 13.0493Z", fill: "#FBF100" }),
        React.createElement("path", { d: "M9.98975 8.65674L9.98589 9.27713L10.4645 9.93965L10.4838 9.33841L9.98975 8.65674Z", fill: "#FF1300" }),
        React.createElement("path", { d: "M7.19889 8.08614L7.22977 8.71802L7.76632 8.65292L7.7586 8.01721L7.19889 8.08614Z", fill: "#C40000" }),
        React.createElement("path", { d: "M8.87421 7.69946L8.90123 8.35049L9.45709 8.74493L9.44551 8.10923L8.87421 7.69946Z", fill: "#B60000" }),
        React.createElement("path", { d: "M8.17155 11.506L8.73898 11.6553L9.03621 11.7051L8.4958 11.5596L8.17155 11.506Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M7.11801 11.4754L7.55034 11.6707L7.85528 11.5443L7.45384 11.3375L7.11801 11.4754Z", fill: "#FF8D00" }),
        React.createElement("path", { d: "M6.52725 11.4715L6.81289 11.7051L7.11784 11.4753L6.85921 11.2188L6.52725 11.4715Z", fill: "#FF8D00" }),
        React.createElement("path", { d: "M9.44912 8.10522L9.4607 8.74094L9.98567 9.27708L9.98953 8.65668L9.44912 8.10522Z", fill: "#D10000" }),
        React.createElement("path", { d: "M6.29173 9.85925L6.29945 10.3609L6.71633 10.0392L6.73563 9.51459L6.29173 9.85925Z", fill: "#FF3800" }),
        React.createElement("path", { d: "M10.4799 14.7191L10.3062 14.7383L10.3718 15.397L10.5532 15.4352L10.4799 14.7191Z", fill: "#ADFF49" }),
        React.createElement("path", { d: "M11.0357 14.4547L10.7423 14.627L10.8195 15.4006L11.1167 15.2819L11.0357 14.4547Z", fill: "#B4FF43" }),
        React.createElement("path", { d: "M9.71957 12.6127L10.148 12.6625L10.3642 13.057L9.9589 13.0493L9.71957 12.6127Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M6.72394 8.93636L6.73166 9.51463L7.21416 9.30784L7.2296 8.71808L6.72394 8.93636Z", fill: "#F10800" }),
        React.createElement("path", { d: "M8.49967 11.5595L9.04008 11.705L9.33731 11.8352L8.82778 11.705L8.49967 11.5595Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M10.7426 14.6271L10.4801 14.719L10.5496 15.4351L10.816 15.4007L10.7426 14.6271Z", fill: "#B1FF46" }),
        React.createElement("path", { d: "M9.98198 13.5242L10.1557 13.5357L10.3101 14.0565L10.1518 14.0987L9.98198 13.5242Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M10.8775 10.7095L10.7655 11.2418L11.1014 12.0613L11.2249 11.5635L10.8775 10.7095Z", fill: "#FF7E00" }),
        React.createElement("path", { d: "M9.44522 12.2336L9.89685 12.3178L10.1439 12.6587L9.71542 12.6089L9.44522 12.2336Z", fill: "#FFB900" }),
        React.createElement("path", { d: "M8.8278 11.7013L9.33733 11.8315L9.62683 12.0383L9.14432 11.9272L8.8278 11.7013Z", fill: "#FF9C00" }),
        React.createElement("path", { d: "M10.1791 14.0871L10.1559 14.0986L10.2717 14.6922L10.3065 14.7381L10.1791 14.0871Z", fill: "#CEFF29" }),
        React.createElement("path", { d: "M9.14444 11.9311L9.62695 12.0421L9.89715 12.3217L9.44552 12.2375L9.14444 11.9311Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M6.37651 11.169L6.53091 11.4715L6.86288 11.2188L6.73936 10.8932L6.37651 11.169Z", fill: "#FF7700" }),
        React.createElement("path", { d: "M7.44981 11.3374L7.85126 11.5442L8.17164 11.5059L7.80108 11.2953L7.44981 11.3374Z", fill: "#FF8200" }),
        React.createElement("path", { d: "M6.29954 10.3609L6.31498 10.8013L6.70484 10.5026L6.71642 10.0431L6.29954 10.3609Z", fill: "#FF4A00" }),
        React.createElement("path", { d: "M7.75864 8.01331L7.76636 8.65285L8.31835 8.7371L8.32993 8.10139L7.75864 8.01331Z", fill: "#B60000" }),
        React.createElement("path", { d: "M11.1477 13.3289L10.8813 13.6391L11.0396 14.4548L11.3137 14.1944L11.1477 13.3289Z", fill: "#EBFF0C" }),
        React.createElement("path", { d: "M6.31493 10.7975L6.37669 11.169L6.73954 10.8932L6.7048 10.5026L6.31493 10.7975Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M6.85928 11.2188L7.1179 11.4754L7.44987 11.3375L7.22213 11.0656L6.85928 11.2188Z", fill: "#FF7700" }),
        React.createElement("path", { d: "M11.1016 12.0612L10.9009 12.494L11.1479 13.3288L11.3602 12.9382L11.1016 12.0612Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M9.76208 12.9918L9.95509 13.0493L10.1558 13.5356L9.98211 13.5241L9.76208 12.9918Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M10.3449 14.0106L10.1789 14.0833L10.3063 14.7343L10.48 14.7152L10.3449 14.0106Z", fill: "#D7FF1F" }),
        React.createElement("path", { d: "M10.4606 9.9397L10.3641 10.5026L10.7656 11.2418L10.8775 10.7094L10.4606 9.9397Z", fill: "#FF4A00" }),
        React.createElement("path", { d: "M7.80114 11.2953L8.17171 11.5059L8.49982 11.5595L8.16013 11.3527L7.80114 11.2953Z", fill: "#FF7A00" }),
        React.createElement("path", { d: "M6.73565 9.51455L6.71635 10.0392L7.17184 9.84773L7.21816 9.31158L6.73565 9.51455Z", fill: "#FF1A00" }),
        React.createElement("path", { d: "M7.23386 8.71801L7.21842 9.3116L7.72795 9.25033L7.77041 8.65674L7.23386 8.71801Z", fill: "#DA0000" }),
        React.createElement("path", { d: "M9.99361 13.4591L9.98589 13.5242L10.1557 14.0986L10.1789 14.0872L9.99361 13.4591Z", fill: "#F4F802" }),
        React.createElement("path", { d: "M10.8777 13.639L10.592 13.865L10.7387 14.6271L11.0321 14.4547L10.8777 13.639Z", fill: "#E4FF13" }),
        React.createElement("path", { d: "M8.32996 8.10144L8.31838 8.73716L8.8665 8.97459L8.90124 8.35037L8.32996 8.10144Z", fill: "#BB0000" }),
        React.createElement("path", { d: "M9.49967 12.5094L9.71584 12.609L9.95516 13.0455L9.76216 12.9881L9.49967 12.5094Z", fill: "#FFC100" }),
        React.createElement("path", { d: "M10.5959 13.865L10.345 14.0105L10.484 14.719L10.7465 14.6271L10.5959 13.865Z", fill: "#DEFF19" }),
        React.createElement("path", { d: "M6.73566 10.8933L6.85918 11.2188L7.22203 11.0656L7.12938 10.7286L6.73566 10.8933Z", fill: "#FF6000" }),
        React.createElement("path", { d: "M8.16006 11.3528L8.49975 11.5596L8.82785 11.7013L8.52291 11.5099L8.16006 11.3528Z", fill: "#FF7E00" }),
        React.createElement("path", { d: "M7.2221 11.0656L7.44984 11.3375L7.80111 11.2992L7.60425 11.0234L7.2221 11.0656Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M9.98198 9.28088L9.90477 9.87064L10.3641 10.5063L10.4606 9.9434L9.98198 9.28088Z", fill: "#FF1E00" }),
        React.createElement("path", { d: "M9.19843 12.0957L9.44547 12.2336L9.71954 12.6089L9.50338 12.5093L9.19843 12.0957Z", fill: "#FFA700" }),
        React.createElement("path", { d: "M8.90114 8.34662L8.8664 8.97084L9.39909 9.3538L9.45699 8.7449L8.90114 8.34662Z", fill: "#C80000" }),
        React.createElement("path", { d: "M8.52288 11.5098L8.82782 11.7012L9.14435 11.9272L8.87028 11.7587L8.52288 11.5098Z", fill: "#FF8600" }),
        React.createElement("path", { d: "M6.71622 10.0393L6.70464 10.4989L7.12924 10.3189L7.1717 9.84399L6.71622 10.0393Z", fill: "#FF3000" }),
        React.createElement("path", { d: "M10.7658 11.2418L10.5806 11.7167L10.8971 12.4979L11.0978 12.0614L10.7658 11.2418Z", fill: "#FF8900" }),
        React.createElement("path", { d: "M8.87031 11.7587L9.14438 11.9272L9.44547 12.2336L9.19842 12.0957L8.87031 11.7587Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M9.45716 8.74481L9.39926 9.35372L9.90493 9.87072L9.98213 9.28096L9.45716 8.74481Z", fill: "#E40000" }),
        React.createElement("path", { d: "M10.9008 12.494L10.646 12.8502L10.8776 13.6352L11.144 13.325L10.9008 12.494Z", fill: "#FFC800" }),
        React.createElement("path", { d: "M6.70464 10.5026L6.73938 10.8932L7.13311 10.7286V10.3226L6.70464 10.5026Z", fill: "#FF4A00" }),
        React.createElement("path", { d: "M9.75036 12.877L9.76194 12.9918L9.98197 13.5242L9.98969 13.4591L9.75036 12.877Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M10.1401 13.3327L9.98956 13.4629L10.1748 14.0909L10.3408 14.0182L10.1401 13.3327Z", fill: "#FEED00" }),
        React.createElement("path", { d: "M7.76617 8.65289L7.72371 9.25031L8.24867 9.33073L8.31815 8.73714L7.76617 8.65289Z", fill: "#CD0000" }),
        React.createElement("path", { d: "M7.60813 11.0197L7.805 11.2954L8.16398 11.3528L8.00186 11.0848L7.60813 11.0197Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M7.21419 9.31156L7.16787 9.84771L7.65038 9.79026L7.72372 9.24646L7.21419 9.31156Z", fill: "#F10800" }),
        React.createElement("path", { d: "M10.646 12.8502L10.3758 13.1297L10.592 13.865L10.8776 13.6391L10.646 12.8502Z", fill: "#FFD300" }),
        React.createElement("path", { d: "M7.12927 10.7286L7.22191 11.0656L7.60406 11.0196L7.54616 10.6788L7.12927 10.7286Z", fill: "#FF5200" }),
        React.createElement("path", { d: "M10.3758 13.1297L10.1403 13.3288L10.341 14.0105L10.5919 13.865L10.3758 13.1297Z", fill: "#FFE200" }),
        React.createElement("path", { d: "M9.46475 12.3486L9.49949 12.5094L9.76197 12.9881L9.75039 12.8732L9.46475 12.3486Z", fill: "#FFB200" }),
        React.createElement("path", { d: "M10.364 10.5026L10.198 11.012L10.5801 11.7166L10.7654 11.2456L10.364 10.5026Z", fill: "#FF5900" }),
        React.createElement("path", { d: "M8.00197 11.0848L8.1641 11.3528L8.52308 11.5099L8.3957 11.2571L8.00197 11.0848Z", fill: "#FF6400" }),
        React.createElement("path", { d: "M7.17173 9.84779L7.12927 10.3227L7.57704 10.269L7.65038 9.79034L7.17173 9.84779Z", fill: "#FF2200" }),
        React.createElement("path", { d: "M9.88165 12.6969L9.75427 12.8769L9.99359 13.459L10.1441 13.3288L9.88165 12.6969Z", fill: "#FFC400" }),
        React.createElement("path", { d: "M7.12927 10.3227V10.7286L7.54616 10.6788L7.57704 10.269L7.12927 10.3227Z", fill: "#FF3800" }),
        React.createElement("path", { d: "M10.5805 11.7166L10.345 12.1187L10.6461 12.8539L10.9009 12.4978L10.5805 11.7166Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M8.31824 8.73724L8.24876 9.33083L8.77372 9.55677L8.86636 8.97468L8.31824 8.73724Z", fill: "#D10000" }),
        React.createElement("path", { d: "M9.13272 11.8966L9.19834 12.0957L9.49942 12.5093L9.46468 12.3485L9.13272 11.8966Z", fill: "#FF9400" }),
        React.createElement("path", { d: "M8.39191 11.257L8.51929 11.5136L8.86669 11.7625L8.77019 11.5327L8.39191 11.257Z", fill: "#FF6C00" }),
        React.createElement("path", { d: "M8.7738 11.5289L8.8703 11.7587L9.19841 12.0957L9.13279 11.8966L8.7738 11.5289Z", fill: "#FF7E00" }),
        React.createElement("path", { d: "M9.9049 9.86682L9.76208 10.4068L10.1983 11.0119L10.3643 10.5025L9.9049 9.86682Z", fill: "#FF3000" }),
        React.createElement("path", { d: "M7.54632 10.6788L7.60422 11.0196L7.99795 11.0847L7.97479 10.7477L7.54632 10.6788Z", fill: "#FF4A00" }),
        React.createElement("path", { d: "M7.72766 9.24646L7.65432 9.79026L8.1484 9.86685L8.25263 9.33071L7.72766 9.24646Z", fill: "#E80000" }),
        React.createElement("path", { d: "M8.86644 8.97083L8.7738 9.55292L9.28332 9.91673L9.40299 9.35378L8.86644 8.97083Z", fill: "#DF0000" }),
        React.createElement("path", { d: "M10.0938 12.4443L9.87766 12.697L10.1401 13.3327L10.3756 13.1336L10.0938 12.4443Z", fill: "#FFB200" }),
        React.createElement("path", { d: "M9.40288 9.35376L9.28322 9.91671L9.76187 10.4069L9.90469 9.86692L9.40288 9.35376Z", fill: "#FA0F00" }),
        React.createElement("path", { d: "M10.3448 12.1188L10.0939 12.4443L10.3757 13.1298L10.6459 12.8502L10.3448 12.1188Z", fill: "#FFA300" }),
        React.createElement("path", { d: "M9.56506 12.1226L9.46084 12.3485L9.74649 12.8731L9.87387 12.6932L9.56506 12.1226Z", fill: "#FF9F00" }),
        React.createElement("path", { d: "M10.1981 11.0121L9.98198 11.4563L10.3448 12.1188L10.5803 11.7167L10.1981 11.0121Z", fill: "#FF6800" }),
        React.createElement("path", { d: "M7.5772 10.269L7.54632 10.6788L7.97479 10.7477L8.04041 10.3418L7.5772 10.269Z", fill: "#FF3000" }),
        React.createElement("path", { d: "M7.97486 10.7477L7.99802 11.0847L8.39175 11.257L8.39947 10.9353L7.97486 10.7477Z", fill: "#FF4A00" }),
        React.createElement("path", { d: "M7.65045 9.79034L7.57711 10.269L8.04032 10.3418L8.1484 9.86694L7.65045 9.79034Z", fill: "#FF1A00" }),
        React.createElement("path", { d: "M9.20992 11.6323L9.13272 11.8966L9.46082 12.3485L9.56505 12.1225L9.20992 11.6323Z", fill: "#FF7E00" }),
        React.createElement("path", { d: "M8.24866 9.33075L8.14444 9.86689L8.63852 10.0813L8.77363 9.5567L8.24866 9.33075Z", fill: "#ED0400" }),
        React.createElement("path", { d: "M8.4033 10.9315L8.39558 11.2532L8.77773 11.5251L8.82019 11.2264L8.4033 10.9315Z", fill: "#FF5500" }),
        React.createElement("path", { d: "M9.75817 11.8276L9.56516 12.1263L9.87783 12.697L10.094 12.4442L9.75817 11.8276Z", fill: "#FF8D00" }),
        React.createElement("path", { d: "M8.81626 11.2302L8.7738 11.5289L9.13279 11.8966L9.20613 11.6285L8.81626 11.2302Z", fill: "#FF6800" }),
        React.createElement("path", { d: "M9.98201 11.4561L9.75427 11.8276L10.094 12.4441L10.3449 12.1186L9.98201 11.4561Z", fill: "#FF7A00" }),
        React.createElement("path", { d: "M9.76212 10.4069L9.57298 10.8856L9.986 11.4562L10.2022 11.012L9.76212 10.4069Z", fill: "#FF4300" }),
        React.createElement("path", { d: "M8.04048 10.3418L7.97486 10.7477L8.40332 10.9316L8.50368 10.5409L8.04048 10.3418Z", fill: "#FF3400" }),
        React.createElement("path", { d: "M8.77379 9.55298L8.63869 10.0776L9.11734 10.4185L9.27946 9.91296L8.77379 9.55298Z", fill: "#FA0F00" }),
        React.createElement("path", { d: "M8.14452 9.86682L8.03644 10.3417L8.49964 10.5408L8.6386 10.0813L8.14452 9.86682Z", fill: "#FF1A00" }),
        React.createElement("path", { d: "M9.28312 9.91669L9.121 10.4222L9.57262 10.8856L9.76177 10.4069L9.28312 9.91669Z", fill: "#FF2200" }),
        React.createElement("path", { d: "M9.37227 11.2953L9.21015 11.6323L9.56914 12.1263L9.76214 11.8276L9.37227 11.2953Z", fill: "#FF6800" }),
        React.createElement("path", { d: "M9.57287 10.8856L9.37215 11.2953L9.75815 11.8276L9.9859 11.4562L9.57287 10.8856Z", fill: "#FF5500" }),
        React.createElement("path", { d: "M8.49985 10.5409L8.39949 10.9315L8.81637 11.2302L8.94762 10.8626L8.49985 10.5409Z", fill: "#FF3B00" }),
        React.createElement("path", { d: "M8.94755 10.8626L8.81631 11.2302L9.21004 11.6324L9.37216 11.2954L8.94755 10.8626Z", fill: "#FF4E00" }),
        React.createElement("path", { d: "M8.63863 10.0814L8.49967 10.5409L8.94744 10.8626L9.11728 10.4222L8.63863 10.0814Z", fill: "#FF2500" }),
        React.createElement("path", { d: "M9.12126 10.4222L8.95142 10.8626L9.37603 11.2954L9.57675 10.8856L9.12126 10.4222Z", fill: "#FF3800" }))),
});

const Digifinex = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M21 10.1873C20.989 10.9363 20.9127 11.6828 20.7719 12.4186C19.7849 17.5504 16.8398 20.1163 11.9368 20.1163H8.8274L8.83597 20.0794L9.58561 16.5411H11.7275C14.3844 16.5411 15.9936 15.0303 16.5552 12.0089C16.5948 11.8156 16.6274 11.6207 16.6526 11.4231L20.9149 8.96323C20.9714 9.36881 20.9998 9.7778 21 10.1873ZM19.4391 5.73495L15.617 7.94158C14.9588 7.55389 14.2011 7.36859 13.4382 7.40879H7.27082L7.28956 7.31991L8.01886 3.90154H14.4181C15.2366 3.89158 16.0525 3.99483 16.8427 4.20835C17.7515 4.45197 18.5855 4.91748 19.2699 5.56307C19.3278 5.62036 19.3834 5.67658 19.4391 5.73495Z", fill: "#303136" }),
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M13.3445 10.4524L12.778 13.9864H10.1307L8.83597 20.08L8.8274 20.1169H3L5.18789 17.1644L6.62345 10.4524H13.3445Z", fill: "#00D0C4" }))),
});

const DigifinexBadge = createIcon({
    rectFill: '#303136',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M19.033 10.122C19.0241 10.7323 18.9619 11.3406 18.8472 11.94C18.043 16.1214 15.6434 18.212 11.6485 18.212H9.11504L9.12202 18.1819L9.73281 15.299H11.4779C13.6428 15.299 14.9539 14.0681 15.4115 11.6063C15.4437 11.4488 15.4704 11.29 15.4909 11.129L18.9637 9.12471C19.0097 9.45516 19.0329 9.7884 19.033 10.122ZM17.7613 6.49436L14.6471 8.29228C14.1108 7.9764 13.4934 7.82542 12.8719 7.85818H7.84676L7.86203 7.78576L8.45625 5.00053H13.6703C14.3371 4.99243 15.0019 5.07655 15.6457 5.25052C16.3862 5.44902 17.0658 5.8283 17.6234 6.35432C17.6705 6.401 17.7159 6.44681 17.7613 6.49436Z", fill: "white" }),
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M12.7955 10.338L12.3339 13.2175H10.1769L9.12202 18.1824L9.11504 18.2125H4.36698L6.14963 15.8068L7.3193 10.338H12.7955Z", fill: "#00D0C4" }))),
});

const Etoro = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M21.9206 9.52419C21.6043 8.34363 19.1351 5.66616 17.3373 3.45937C17.2978 3.40173 17.2463 3.35328 17.1864 3.31733C17.1265 3.28138 17.0595 3.25877 16.9901 3.25104C16.8126 3.25104 16.666 3.42851 16.7432 3.55968C16.8203 3.69085 18.5333 7.23252 18.1938 8.38221C17.8543 9.5319 16.2956 9.31585 16.0487 9.31585C15.8018 9.31585 16.0101 9.41616 16.1567 9.55505C16.6201 9.95306 16.9898 10.4486 17.2392 11.0062C17.4887 11.5638 17.6118 12.1696 17.5996 12.7804V13.8529C19.6135 13.6754 22.6768 12.464 21.8666 9.52419H21.9206ZM7.90057 9.55505C8.03946 9.41616 8.14749 9.31585 8.00088 9.31585C7.85428 9.31585 6.17218 9.55505 5.84811 8.38221C5.52403 7.20937 7.26786 3.69857 7.3373 3.55968C7.34395 3.52517 7.34359 3.48969 7.33626 3.45532C7.32893 3.42095 7.31476 3.38841 7.29461 3.35962C7.27446 3.33084 7.24873 3.30639 7.21895 3.28774C7.18917 3.26909 7.15595 3.2566 7.12125 3.25104H7.05181C6.87434 3.25104 6.73545 3.45937 6.69687 3.45937C4.93761 5.64301 2.43761 8.34363 2.12125 9.52419C1.34965 12.464 4.43607 13.6754 6.41909 13.8838V12.8112C6.41409 12.1933 6.54408 11.5818 6.79997 11.0194C7.05586 10.457 7.43148 9.95722 7.90057 9.55505V9.55505ZM14.2046 13.4362C14.2046 13.4748 14.2046 13.4748 14.166 13.5057C14.1274 13.5365 14.166 13.5442 14.0966 13.5442H9.93761V12.8112C9.93761 11.8081 11.1722 11.322 12.129 11.322C13.0858 11.322 14.2046 11.8081 14.2046 12.8112V13.4362ZM12.129 9.06894C9.97619 9.06894 7.61508 10.3189 7.61508 12.7804V16.5226C7.61508 19.0149 9.97619 20.1955 12.129 20.2263C12.925 20.2593 13.7169 20.0965 14.4353 19.7521C15.1537 19.4077 15.7766 18.8923 16.2493 18.251C16.2493 18.251 16.2493 18.1507 16.2108 18.1121C15.4392 17.6955 15.0456 17.4563 14.3126 17.0705C14.274 17.0705 14.274 17.0705 14.2355 17.1091C13.9851 17.427 13.6648 17.6829 13.2995 17.8568C12.9341 18.0308 12.5336 18.1182 12.129 18.1121C11.1722 18.1121 9.93761 17.5257 9.93761 16.5226V15.4115H15.879C16.025 15.4136 16.166 15.3581 16.2714 15.257C16.3768 15.1559 16.4382 15.0174 16.4422 14.8714V12.8112C16.4422 10.3189 14.22 9.10752 12.1135 9.06894", fill: "#7AB200" }))),
});

const EtoroBadge = createIcon({
    rectFill: '#7AB200',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M19.9365 10.3675C19.6834 9.42301 17.7081 7.28104 16.2698 5.5156C16.2382 5.46949 16.1971 5.43073 16.1491 5.40197C16.1012 5.37321 16.0476 5.35512 15.9921 5.34894C15.8501 5.34894 15.7328 5.49091 15.7945 5.59585C15.8563 5.70079 17.2266 8.53412 16.955 9.45388C16.6834 10.3736 15.4365 10.2008 15.239 10.2008C15.0414 10.2008 15.2081 10.281 15.3254 10.3921C15.6961 10.7106 15.9918 11.107 16.1914 11.5531C16.3909 11.9991 16.4894 12.4838 16.4797 12.9724V13.8304C18.0908 13.6884 20.5414 12.7193 19.8933 10.3675H19.9365ZM8.72046 10.3921C8.83157 10.281 8.91799 10.2008 8.80071 10.2008C8.68342 10.2008 7.33774 10.3921 7.07848 9.45388C6.81922 8.5156 8.21429 5.70696 8.26984 5.59585C8.27516 5.56825 8.27487 5.53986 8.26901 5.51236C8.26314 5.48487 8.25181 5.45884 8.23569 5.43581C8.21957 5.41278 8.19899 5.39322 8.17516 5.3783C8.15134 5.36338 8.12476 5.35339 8.097 5.34894H8.04145C7.89947 5.34894 7.78836 5.5156 7.7575 5.5156C6.35009 7.26252 4.35009 9.42301 4.097 10.3675C3.47972 12.7193 5.94885 13.6884 7.53527 13.8551V12.9971C7.53128 12.5028 7.63527 12.0136 7.83998 11.5636C8.04469 11.1137 8.34518 10.7139 8.72046 10.3921V10.3921ZM13.7637 13.4971C13.7637 13.5279 13.7637 13.5279 13.7328 13.5526C13.7019 13.5773 13.7328 13.5835 13.6772 13.5835H10.3501V12.9971C10.3501 12.1946 11.3377 11.8057 12.1032 11.8057C12.8686 11.8057 13.7637 12.1946 13.7637 12.9971V13.4971ZM12.1032 10.0033C10.381 10.0033 8.49206 11.0033 8.49206 12.9724V15.9662C8.49206 17.96 10.381 18.9045 12.1032 18.9292C12.74 18.9556 13.3735 18.8253 13.9482 18.5498C14.5229 18.2743 15.0213 17.8619 15.3995 17.3489C15.3995 17.3489 15.3995 17.2687 15.3686 17.2378C14.7513 16.9045 14.4365 16.7131 13.8501 16.4045C13.8192 16.4045 13.8192 16.4045 13.7884 16.4354C13.5881 16.6897 13.3319 16.8944 13.0396 17.0336C12.7473 17.1728 12.4269 17.2427 12.1032 17.2378C11.3377 17.2378 10.3501 16.7687 10.3501 15.9662V15.0773H15.1032C15.22 15.079 15.3328 15.0346 15.4171 14.9537C15.5015 14.8729 15.5506 14.762 15.5538 14.6452V12.9971C15.5538 11.0033 13.776 10.0341 12.0908 10.0033", fill: "white" }))),
});

const Ftx = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M8.08868 4.201C12.3919 4.19968 16.6953 4.19968 20.999 4.201C21.0003 5.59196 21.0003 6.98267 20.999 8.37315C16.6957 8.37447 12.3923 8.37447 8.08868 8.37315C8.08736 6.98219 8.08736 5.59148 8.08868 4.201V4.201Z", fill: "#02A6C2" }),
        React.createElement("path", { d: "M3.0054 9.94278C4.39371 9.93558 5.78226 9.93558 7.17106 9.94278C7.17826 11.3311 7.17826 12.7196 7.17106 14.1084C5.7825 14.1156 4.39395 14.1157 3.0054 14.1088C2.9982 12.7202 2.9982 11.3315 3.0054 9.94278ZM8.09183 9.94278C11.1978 9.93618 14.3035 9.93618 17.4091 9.94278C17.4157 11.3311 17.4157 12.7196 17.4091 14.1084C14.3032 14.1149 11.1974 14.1149 8.09183 14.1084C8.08535 12.7201 8.08535 11.3315 8.09183 9.94278Z", fill: "#5FCADE" }),
        React.createElement("path", { d: "M8.09573 15.6858C9.48171 15.6707 10.8674 15.6707 12.2529 15.6858C12.2673 17.0709 12.2676 18.4566 12.2536 19.843C10.8676 19.8566 9.48189 19.8564 8.09645 19.8422C8.08205 18.4573 8.08181 17.0718 8.09573 15.6858V15.6858Z", fill: "#ABEBF4" }))),
});

const FtxBadge = createIcon({
    rectFill: 'white',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M8.52327 5.37051C12.3483 5.36934 16.1736 5.36934 19.9991 5.37051C20.0003 6.60691 20.0003 7.84311 19.9991 9.07909C16.174 9.08026 12.3487 9.08026 8.52327 9.07909C8.5221 7.84268 8.5221 6.60649 8.52327 5.37051V5.37051Z", fill: "#02A6C2" }),
        React.createElement("path", { d: "M4.0048 10.4743C5.23886 10.4679 6.47312 10.4679 7.70761 10.4743C7.71401 11.7083 7.71401 12.9426 7.70761 14.1771C6.47334 14.1834 5.23907 14.1835 4.0048 14.1774C3.9984 12.9431 3.9984 11.7087 4.0048 10.4743ZM8.52607 10.4743C11.2869 10.4684 14.0476 10.4684 16.8081 10.4743C16.8139 11.7083 16.8139 12.9426 16.8081 14.1771C14.0473 14.1828 11.2866 14.1828 8.52607 14.1771C8.52031 12.943 8.52031 11.7087 8.52607 10.4743Z", fill: "#5FCADE" }),
        React.createElement("path", { d: "M8.52954 15.5793C9.76152 15.5659 10.9933 15.5659 12.2248 15.5793C12.2376 16.8104 12.2378 18.0422 12.2254 19.2745C10.9934 19.2867 9.76168 19.2865 8.53018 19.2739C8.51738 18.0428 8.51717 16.8113 8.52954 15.5793V15.5793Z", fill: "#ABEBF4" }))),
});

const GateIo = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M9.83662 11.8431L9.66306 11.6689C9.63388 11.6395 9.59663 11.6195 9.55604 11.6113C9.51546 11.6031 9.47336 11.6072 9.43509 11.623C9.39683 11.6388 9.36412 11.6656 9.34112 11.7C9.31812 11.7345 9.30587 11.775 9.30592 11.8164V14.3063C9.30597 14.3338 9.31143 14.361 9.322 14.3863C9.33256 14.4117 9.34802 14.4347 9.36749 14.4541C9.38696 14.4734 9.41006 14.4888 9.43547 14.4992C9.46088 14.5096 9.48809 14.515 9.51556 14.5149H12.0059C12.0474 14.5152 12.0881 14.5031 12.1227 14.4801C12.1573 14.4572 12.1842 14.4244 12.2 14.386C12.2158 14.3476 12.2198 14.3053 12.2114 14.2647C12.2031 14.224 12.1827 14.1868 12.153 14.1577C12.1141 14.1186 12.0922 14.0656 12.0922 14.0104C12.0922 13.9552 12.1141 13.9022 12.153 13.8631L14.8022 11.2067C14.8216 11.1874 14.837 11.1644 14.8475 11.1391C14.8579 11.1137 14.8633 11.0866 14.8633 11.0592C14.8633 11.0318 14.8579 11.0047 14.8475 10.9794C14.837 10.9541 14.8216 10.9311 14.8022 10.9117L14.5608 10.6714C14.5313 10.6423 14.5111 10.605 14.5028 10.5644C14.4945 10.5237 14.4986 10.4815 14.5144 10.4432C14.5302 10.4049 14.5572 10.3721 14.5917 10.3491C14.6262 10.3262 14.6668 10.314 14.7083 10.3142H17.1975C17.2529 10.3142 17.306 10.3362 17.3453 10.3753C17.3845 10.4144 17.4066 10.4674 17.4068 10.5228V13.0128C17.4067 13.0541 17.3943 13.0944 17.3713 13.1288C17.3483 13.1631 17.3156 13.1898 17.2774 13.2056C17.2392 13.2214 17.1972 13.2255 17.1567 13.2174C17.1162 13.2093 17.0789 13.1895 17.0497 13.1603L16.8815 12.9928C16.8625 12.9729 16.8396 12.9571 16.8143 12.9462C16.7891 12.9354 16.7618 12.9299 16.7343 12.9299C16.7068 12.9299 16.6796 12.9354 16.6543 12.9462C16.629 12.9571 16.6062 12.9729 16.5872 12.9928L12.123 17.4569C12.0836 17.4957 12.0306 17.5175 11.9753 17.5175C11.9201 17.5175 11.867 17.4957 11.8277 17.4569L6.36348 11.9928C6.34396 11.9734 6.32847 11.9504 6.31789 11.925C6.30732 11.8996 6.30187 11.8724 6.30187 11.8449C6.30187 11.8174 6.30732 11.7902 6.31789 11.7648C6.32847 11.7395 6.34396 11.7164 6.36348 11.6971L13.9287 4.13509C13.9675 4.09573 13.9892 4.04269 13.9892 3.98742C13.9892 3.93215 13.9675 3.8791 13.9287 3.83974L12.148 2.06121C12.1087 2.02224 12.0557 2.00037 12.0003 2.00037C11.945 2.00037 11.8919 2.02224 11.8527 2.06121L2.06108 11.8539C2.0221 11.8931 2.00023 11.9462 2.00023 12.0015C2.00023 12.0569 2.0221 12.1099 2.06108 12.1492L11.8527 21.9408C11.8919 21.9798 11.945 22.0016 12.0003 22.0016C12.0557 22.0016 12.1087 21.9798 12.148 21.9408L21.9392 12.1492C21.9781 12.1101 22 12.0571 22 12.0019C22 11.9467 21.9781 11.8937 21.9392 11.8546L16.1786 6.09398C16.1394 6.05503 16.0864 6.03317 16.0311 6.03317C15.9759 6.03317 15.9228 6.05503 15.8836 6.09398L10.1338 11.8439C10.1144 11.8634 10.0914 11.8789 10.066 11.8894C10.0406 11.9 10.0134 11.9055 9.98591 11.9055C9.95841 11.9055 9.93119 11.9 9.90582 11.8894C9.88044 11.8789 9.85741 11.8634 9.83805 11.8439L9.83662 11.8431Z", fill: "#DE5959" }))),
});

const GateIoBadge = createIcon({
    rectFill: '#DE5959',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M10.2687 11.8737L10.1299 11.7343C10.1065 11.7108 10.0767 11.6948 10.0443 11.6883C10.0118 11.6817 9.97812 11.685 9.94751 11.6976C9.9169 11.7103 9.89074 11.7317 9.87234 11.7593C9.85394 11.7868 9.84414 11.8192 9.84418 11.8523V13.8441C9.84422 13.8661 9.84859 13.8879 9.85704 13.9081C9.86549 13.9284 9.87786 13.9468 9.89344 13.9623C9.90901 13.9778 9.92749 13.9901 9.94782 13.9984C9.96814 14.0068 9.98991 14.011 10.0119 14.011H12.004C12.0372 14.0112 12.0698 14.0016 12.0974 13.9832C12.1251 13.9648 12.1467 13.9386 12.1593 13.9079C12.172 13.8772 12.1751 13.8434 12.1684 13.8108C12.1617 13.7783 12.1455 13.7485 12.1217 13.7253C12.0906 13.694 12.0731 13.6516 12.0731 13.6074C12.0731 13.5633 12.0906 13.5209 12.1217 13.4896L14.241 11.3646C14.2565 11.3491 14.2687 11.3307 14.2771 11.3105C14.2855 11.2902 14.2898 11.2685 14.2898 11.2466C14.2898 11.2247 14.2855 11.203 14.2771 11.1828C14.2687 11.1625 14.2565 11.1441 14.241 11.1286L14.0478 10.9364C14.0242 10.9131 14.008 10.8833 14.0014 10.8508C13.9948 10.8183 13.998 10.7845 14.0107 10.7538C14.0234 10.7232 14.0449 10.697 14.0725 10.6786C14.1002 10.6602 14.1326 10.6505 14.1658 10.6507H16.1571C16.2014 10.6507 16.2439 10.6682 16.2753 10.6995C16.3066 10.7308 16.3243 10.7732 16.3245 10.8175V12.8094C16.3244 12.8424 16.3145 12.8747 16.2961 12.9022C16.2777 12.9296 16.2515 12.951 16.221 12.9636C16.1904 12.9762 16.1568 12.9795 16.1244 12.9731C16.092 12.9666 16.0622 12.9507 16.0388 12.9274L15.9042 12.7934C15.889 12.7775 15.8708 12.7648 15.8505 12.7562C15.8303 12.7475 15.8085 12.7431 15.7865 12.7431C15.7645 12.7431 15.7428 12.7475 15.7225 12.7562C15.7023 12.7648 15.684 12.7775 15.6688 12.7934L12.0977 16.3645C12.0662 16.3955 12.0238 16.4129 11.9796 16.4129C11.9354 16.4129 11.8929 16.3955 11.8614 16.3645L7.49038 11.9934C7.47476 11.9779 7.46237 11.9595 7.45391 11.9392C7.44545 11.9189 7.44109 11.8971 7.44109 11.8752C7.44109 11.8532 7.44545 11.8314 7.45391 11.8111C7.46237 11.7908 7.47476 11.7724 7.49038 11.7569L13.5422 5.70767C13.5732 5.67619 13.5906 5.63375 13.5906 5.58954C13.5906 5.54533 13.5732 5.50289 13.5422 5.47141L12.1177 4.04867C12.0863 4.01749 12.0438 4 11.9996 4C11.9553 4 11.9129 4.01749 11.8814 4.04867L4.04867 11.8823C4.01749 11.9137 4 11.9562 4 12.0004C4 12.0447 4.01749 12.0871 4.04867 12.1186L11.8814 19.9513C11.9129 19.9825 11.9553 20 11.9996 20C12.0438 20 12.0863 19.9825 12.1177 19.9513L19.9502 12.1186C19.9813 12.0872 19.9988 12.0449 19.9988 12.0007C19.9988 11.9566 19.9813 11.9142 19.9502 11.8829L15.342 7.27468C15.3106 7.24353 15.2682 7.22604 15.224 7.22604C15.1798 7.22604 15.1374 7.24353 15.106 7.27468L10.5064 11.8743C10.4909 11.8899 10.4725 11.9023 10.4522 11.9108C10.4319 11.9192 10.4101 11.9236 10.3881 11.9236C10.3661 11.9236 10.3444 11.9192 10.3241 11.9108C10.3038 11.9023 10.2853 11.8899 10.2699 11.8743L10.2687 11.8737Z", fill: "white" }))),
});

const Gemini = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M15.0706 2.00842C11.5529 2.00842 8.56487 4.7259 8.18825 8.22298C4.70573 8.60073 2.00003 11.6017 2.00003 15.1341C2.00003 18.9737 5.10593 22.0926 8.92949 22.0926C12.4467 22.0926 15.4472 19.3751 15.8118 15.878C19.2943 15.5002 22 12.4992 22 8.96687C22 5.12731 18.8941 2.00842 15.0706 2.00842ZM20.3766 9.74648C20.0351 12.0742 18.1765 13.9406 15.8589 14.2831V9.74648H20.3766ZM3.62346 14.3545C3.9645 12.0148 5.82359 10.1483 8.14112 9.80587V14.3424H3.62346V14.3545ZM14.2351 15.9253C14.0475 17.2034 13.4082 18.371 12.4341 19.2149C11.46 20.0587 10.216 20.5224 8.92949 20.5213C7.64291 20.5225 6.39883 20.0589 5.4246 19.215C4.45037 18.3712 3.81105 17.2035 3.62346 15.9253H14.2351ZM14.2942 9.74693V14.3424H9.70586V9.74693H14.2942ZM20.3766 8.17521H9.76455C9.95224 6.89713 10.5916 5.72954 11.5658 4.88578C12.54 4.04202 13.7841 3.57843 15.0706 3.57971C16.3571 3.57844 17.6012 4.0421 18.5755 4.88595C19.5497 5.72981 20.189 6.8975 20.3766 8.17566V8.17521Z", fill: "#00DCFA" }))),
});

const GeminiBadge = createIcon({
    rectFill: '#00DCFA',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M14.4564 4C11.6423 4 9.25187 6.16487 8.95057 8.95082C6.16456 9.25175 4 11.6425 4 14.4566C4 17.5153 6.48472 20 9.54357 20C12.3573 20 14.7577 17.8351 15.0494 15.0492C17.8354 14.7482 20 12.3575 20 9.54344C20 6.48466 17.5153 4 14.4564 4ZM18.7013 10.1645C18.4281 12.0189 16.9411 13.5057 15.0871 13.7786V10.1645H18.7013ZM5.29874 13.8355C5.57158 11.9715 7.05885 10.4847 8.91287 10.2118V13.8259H5.29874V13.8355ZM13.788 15.0869C13.638 16.1051 13.1266 17.0353 12.3473 17.7075C11.5679 18.3798 10.5728 18.7492 9.54357 18.7482C8.51431 18.7492 7.51904 18.3799 6.73966 17.7076C5.96027 17.0354 5.44882 16.1051 5.29874 15.0869H13.788ZM13.8354 10.1649V13.8259H10.1647V10.1649H13.8354ZM18.7013 8.91276H10.2116C10.3618 7.89459 10.8733 6.96443 11.6526 6.29225C12.432 5.62006 13.4272 5.25074 14.4564 5.25176C15.4857 5.25075 16.481 5.62013 17.2603 6.29238C18.0397 6.96463 18.5512 7.89488 18.7013 8.91312V8.91276Z", fill: "white" }))),
});

const HuobiGlobal = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("g", { clipPath: "url(#HuobiGlobal_a)" },
            React.createElement("path", { d: "M14.0063 8.15163C14.0063 5.28188 12.6229 2.80947 11.5633 2.00005C11.5633 2.00005 11.4897 1.9559 11.4897 2.07364C11.4014 7.62183 8.59051 9.13765 7.03054 11.1538C3.45438 15.8338 6.78035 20.9552 10.1652 21.897C12.0636 22.4268 9.72369 20.9552 9.42936 17.8647C9.07616 14.1119 14.0063 11.2569 14.0063 8.15163", fill: "#282E5B" }),
            React.createElement("path", { d: "M15.8606 10.05C15.8458 10.0353 15.8164 10.0353 15.787 10.05C15.787 10.05 15.787 10.05 15.7723 10.0647C15.7134 10.7564 14.9481 12.2575 13.9915 13.6261C10.7391 18.2766 12.5934 20.5136 13.6383 21.7203C14.2417 22.4267 13.6383 21.7203 15.1542 20.9992C15.2719 20.9403 18.0975 19.4392 18.4065 16.0397C18.7156 12.7284 16.6111 10.6534 15.8606 10.05", fill: "#059BDC" })),
        React.createElement("defs", null,
            React.createElement("clipPath", { id: "HuobiGlobal_a" },
                React.createElement("rect", { width: "12.9507", height: "20", fill: "white", transform: "translate(5.5 2)" }))))),
});

const HuobiGlobalBadge = createIcon({
    rectFill: 'white',
    path: (React.createElement(React.Fragment, null,
        React.createElement("g", { clipPath: "url(#HuobiGlobalBadge_a)" },
            React.createElement("path", { d: "M13.5001 8.52126C13.5001 6.22545 12.3934 4.24753 11.5457 3.59999C11.5457 3.59999 11.4868 3.56467 11.4868 3.65886C11.4162 8.09742 9.16748 9.31007 7.9195 10.923C5.05857 14.667 7.71935 18.7641 10.4272 19.5176C11.946 19.9414 10.074 18.7641 9.83856 16.2917C9.556 13.2895 13.5001 11.0054 13.5001 8.52126", fill: "#282E5B" }),
            React.createElement("path", { d: "M14.9835 10.04C14.9717 10.0282 14.9482 10.0282 14.9247 10.04C14.9247 10.04 14.9247 10.04 14.9129 10.0517C14.8658 10.6051 14.2536 11.806 13.4883 12.9009C10.8864 16.6213 12.3698 18.4108 13.2057 19.3762C13.6884 19.9414 13.2057 19.3762 14.4184 18.7993C14.5126 18.7522 16.7731 17.5514 17.0203 14.8317C17.2676 12.1827 15.584 10.5227 14.9835 10.04", fill: "#059BDC" })),
        React.createElement("defs", null,
            React.createElement("clipPath", { id: "HuobiGlobalBadge_a" },
                React.createElement("rect", { width: "10.3606", height: "16", fill: "white", transform: "translate(6.69507 3.59998)" }))))),
});

const Indodax = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M2 12C2 6.47715 6.47715 2 12 2V2C17.5228 2 22 6.47715 22 12V12C22 17.5228 17.5228 22 12 22V22C6.47715 22 2 17.5228 2 12V12Z", fill: "#0484B5" }),
        React.createElement("path", { d: "M8.2823 8.91861C8.2823 8.56071 8.004 8.28241 7.6859 8.28241C7.3678 8.28241 7.09 8.56071 7.09 8.87881C7.09 9.23671 7.3683 9.51501 7.7261 9.47521L9.5149 11.2645H12.7356L16.2744 7.8053L17.3479 8.87881L13.4513 12.6959L15.6779 15.0022V15.0422C15.6779 15.3603 15.9563 15.6387 16.2744 15.6387C16.5925 15.6387 16.8708 15.3603 16.8708 15.0422C16.8708 14.724 16.5924 14.4457 16.2744 14.4457L14.6844 12.7357L18.501 8.87881L16.3141 6.69189L12.4175 10.5886H9.992L8.2823 8.91861Z", fill: "white" }),
        React.createElement("path", { d: "M10.6283 11.5826L7.76552 14.4454H7.72552C7.40752 14.4454 7.12912 14.7238 7.12912 15.0418C7.12912 15.3598 7.40752 15.6383 7.72552 15.6383C8.04352 15.6383 8.32202 15.3599 8.32202 15.0418L10.986 12.3778H13.2921L16.2743 9.51495C16.5923 9.51495 16.8707 9.23665 16.8707 8.91855C16.8707 8.60045 16.5923 8.32214 16.2743 8.32214C15.9563 8.32214 15.6778 8.60045 15.6778 8.91855V8.95855L12.9345 11.5826", fill: "white" }),
        React.createElement("path", { d: "M16.3539 12.7754C16.3539 12.4574 16.0755 12.179 15.7575 12.179C15.4395 12.179 15.161 12.4574 15.161 12.7754C15.161 13.0934 15.3996 13.3321 15.6779 13.3719L17.3079 15.0819L16.2344 16.1555L12.9344 12.6962H11.0656L7.6461 16.1552L6.5726 15.0816L10.1511 11.5826H9.2763L6.5726 8.87879L7.6064 7.84499L9.5547 9.83309C9.5547 10.1512 9.833 10.3898 10.1511 10.3898C10.4692 10.3898 10.7475 10.1114 10.7475 9.79329C10.7475 9.47519 10.4692 9.19689 10.1511 9.19689H10.0711L7.6064 6.69189L5.38 8.91859L8.4811 12.0201L5.38 15.1214L7.6067 17.348L11.4635 13.4912H12.497L16.1948 17.348L18.3419 15.1611L16.3539 12.8947V12.7754Z", fill: "white" }))),
});

const IndodaxBadge = createIcon({
    rectFill: '#0484B5',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M7.53912 8.21542C7.53912 7.77899 7.19975 7.43962 6.81186 7.43962C6.42396 7.43962 6.08521 7.77899 6.08521 8.16689C6.08521 8.60332 6.42457 8.94269 6.86088 8.89415L9.04217 11.0761H12.9696L17.2848 6.85783L18.5939 8.16689L13.8423 12.8216L16.5575 15.6338V15.6826C16.5575 16.0705 16.8969 16.41 17.2848 16.41C17.6727 16.41 18.0121 16.0705 18.0121 15.6826C18.0121 15.2947 17.6726 14.9553 17.2848 14.9553L15.346 12.8701L20 8.16689L17.3333 5.50012L12.5817 10.2519H9.62396L7.53912 8.21542Z", fill: "white" }),
        React.createElement("path", { d: "M10.3999 11.4639L6.90895 14.9548H6.86017C6.47239 14.9548 6.13291 15.2943 6.13291 15.6821C6.13291 16.0699 6.47239 16.4095 6.86017 16.4095C7.24794 16.4095 7.58755 16.07 7.58755 15.6821L10.8361 12.4336H13.6482L17.2847 8.94257C17.6725 8.94257 18.012 8.6032 18.012 8.2153C18.012 7.8274 17.6725 7.48804 17.2847 7.48804C16.897 7.48804 16.5574 7.8274 16.5574 8.2153V8.26408L13.2121 11.4639", fill: "white" }),
        React.createElement("path", { d: "M17.3818 12.9185C17.3818 12.5307 17.0423 12.1912 16.6545 12.1912C16.2667 12.1912 15.9271 12.5307 15.9271 12.9185C15.9271 13.3062 16.2181 13.5973 16.5575 13.6458L18.5451 15.7311L17.2361 17.0402L13.212 12.8219H10.9331L6.76333 17.0399L5.45428 15.7307L9.81797 11.4639H8.75122L5.45428 8.16687L6.71492 6.90623L9.09071 9.33056C9.09071 9.71846 9.43007 10.0094 9.81797 10.0094C10.2059 10.0094 10.5452 9.66993 10.5452 9.28203C10.5452 8.89413 10.2059 8.55477 9.81797 8.55477H9.72042L6.71492 5.50012L4 8.2154L7.78154 11.9974L4 15.7792L6.71528 18.4944L11.4183 13.7913H12.6786L17.1878 18.4944L19.806 15.8276L17.3818 13.0639V12.9185Z", fill: "white" }))),
});

const Kraken = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M11.3712 3.32062C13.1044 3.20899 14.867 3.55563 16.424 4.33118C18.7213 5.45925 20.5485 7.498 21.4122 9.90102C21.7941 10.9645 21.9997 12.0866 21.9997 13.2147V17.4038C21.9997 17.5742 22.0056 17.7505 21.9645 17.915C21.8705 18.338 21.5708 18.7082 21.1713 18.8903C20.8951 19.0196 20.5779 19.0372 20.2841 18.9902C19.6437 18.8727 19.1502 18.2734 19.1443 17.6271C19.1384 16.3287 19.1443 15.0302 19.1443 13.7259C19.156 13.3557 19.156 12.9621 18.9563 12.6389C18.6331 12.0396 17.8458 11.7518 17.2172 12.0103C16.6825 12.1983 16.2947 12.7388 16.2889 13.3087C16.283 14.6307 16.2889 15.9468 16.2889 17.2628C16.2889 17.5096 16.3006 17.7622 16.2301 17.9973C16.095 18.4614 15.7072 18.8374 15.2431 18.9667C14.632 19.1371 13.9328 18.8668 13.6215 18.3028C13.4099 17.962 13.4276 17.5507 13.4334 17.1747C13.4276 15.8645 13.4393 14.5543 13.4276 13.2441C13.4158 12.5802 12.8694 11.9809 12.2055 11.8928C11.7766 11.8281 11.3242 11.9691 11.0128 12.2747C10.7308 12.5391 10.5721 12.9209 10.5721 13.3087V17.1277C10.5663 17.4508 10.6074 17.7799 10.484 18.0795C10.296 18.6259 9.74372 19.0254 9.16206 19.0078C8.56865 19.0431 7.98699 18.6318 7.79898 18.0736C7.69322 17.7975 7.71672 17.5037 7.71672 17.21C7.71672 15.8939 7.7226 14.5778 7.71672 13.2558C7.71085 12.6037 7.20556 12.0103 6.56515 11.8928C5.98937 11.7694 5.34895 12.0631 5.05518 12.5861C4.9318 12.8034 4.86717 13.0561 4.86717 13.3028V17.5801C4.87305 17.9973 4.67916 18.4085 4.36189 18.6729C3.88011 19.0959 3.09869 19.1195 2.58754 18.7317C2.21739 18.479 2 18.0501 2 17.6036V13.2735C2.00588 11.6342 2.41715 10.0009 3.19857 8.56144C3.83899 7.38636 4.71441 6.33468 5.7661 5.50038C7.35245 4.21367 9.33832 3.444 11.3712 3.32062Z", fill: "#5442D1" }))),
});

const KrakenBadge = createIcon({
    rectFill: '#5442D1',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M11.497 5.0166C12.8835 4.9273 14.2936 5.20461 15.5392 5.82505C17.377 6.72751 18.8388 8.3585 19.5297 10.2809C19.8353 11.1317 19.9998 12.0294 19.9998 12.9319V16.2832C19.9998 16.4195 20.0045 16.5605 19.9716 16.6921C19.8964 17.0305 19.6566 17.3266 19.337 17.4724C19.1161 17.5758 18.8623 17.5899 18.6273 17.5523C18.115 17.4583 17.7201 16.9788 17.7154 16.4618C17.7107 15.423 17.7154 14.3843 17.7154 13.3408C17.7248 13.0447 17.7248 12.7298 17.565 12.4713C17.3065 11.9918 16.6767 11.7615 16.1737 11.9683C15.746 12.1187 15.4358 12.5512 15.4311 13.0071C15.4264 14.0646 15.4311 15.1175 15.4311 16.1704C15.4311 16.3678 15.4405 16.5699 15.3841 16.7579C15.276 17.1292 14.9658 17.4301 14.5944 17.5335C14.1056 17.6698 13.5463 17.4536 13.2972 17.0023C13.128 16.7297 13.1421 16.4007 13.1468 16.0999C13.1421 15.0517 13.1515 14.0035 13.1421 12.9554C13.1327 12.4243 12.6955 11.9448 12.1644 11.8743C11.8213 11.8226 11.4594 11.9354 11.2102 12.1798C10.9846 12.3913 10.8577 12.6969 10.8577 13.0071V16.0623C10.853 16.3208 10.8859 16.584 10.7872 16.8237C10.6368 17.2608 10.195 17.5805 9.72965 17.5664C9.25492 17.5946 8.78959 17.2655 8.63918 16.819C8.55458 16.5981 8.57338 16.3631 8.57338 16.1281C8.57338 15.0752 8.57808 14.0223 8.57338 12.9648C8.56868 12.4431 8.16445 11.9683 7.65212 11.8743C7.19149 11.7756 6.67916 12.0106 6.44415 12.429C6.34544 12.6029 6.29374 12.805 6.29374 13.0024V16.4242C6.29844 16.7579 6.14333 17.0869 5.88951 17.2984C5.50409 17.6369 4.87895 17.6557 4.47003 17.3454C4.17391 17.1433 4 16.8002 4 16.443V12.9789C4.0047 11.6675 4.33372 10.3608 4.95886 9.20926C5.47119 8.2692 6.17153 7.42785 7.01288 6.76041C8.28196 5.73105 9.87066 5.11531 11.497 5.0166Z", fill: "white" }))),
});

const Kucoin = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M9.05802 12.0016L14.248 17.3337L17.5241 13.9687C18.1101 13.4273 19.0061 13.4508 19.5634 14.0234C20.1207 14.596 20.1447 15.5169 19.6167 16.1186L15.2941 20.5602C15.0133 20.8423 14.638 21 14.2474 21C13.8568 21 13.4814 20.8423 13.2007 20.5602L6.96401 14.1515V17.9603C6.96401 18.8009 6.30001 19.4829 5.48201 19.4829C4.66334 19.4829 4 18.8009 4 17.9603V6.03809C4 5.19753 4.66334 4.51622 5.48201 4.51622C6.30001 4.51622 6.96401 5.19753 6.96401 6.03809V9.84691L13.2 3.44024C13.4805 3.15789 13.8558 3 14.2464 3C14.637 3 15.0123 3.15789 15.2927 3.44024L19.6194 7.88122C20.1467 8.48291 20.1234 9.40309 19.5661 9.9757C19.0087 10.5483 18.1127 10.5725 17.5267 10.0304L14.2507 6.66539L9.05802 12.0016ZM14.2507 10.4777C13.6507 10.4777 13.1094 10.8488 12.8794 11.4179C12.6494 11.9878 12.7767 12.6428 13.2007 13.079C13.6247 13.5152 14.2627 13.6454 14.8174 13.4099C15.0874 13.2961 15.3187 13.1014 15.4819 12.8506C15.645 12.5998 15.7325 12.3043 15.7334 12.0016C15.7334 11.598 15.5774 11.2102 15.2994 10.9243C15.0214 10.6383 14.644 10.4777 14.2507 10.477V10.4777Z", fill: "#23AF91" }))),
});

const KucoinBadge = createIcon({
    rectFill: '#23AF91',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M9.42577 11.9921L13.967 16.4843L16.8336 13.6493C17.3463 13.1931 18.1303 13.213 18.618 13.6954C19.1056 14.1778 19.1266 14.9537 18.6646 15.4606L14.8823 19.2027C14.6366 19.4403 14.3082 19.5732 13.9665 19.5732C13.6247 19.5732 13.2963 19.4403 13.0506 19.2027L7.59351 13.8033V17.0122C7.59351 17.7204 7.01251 18.295 6.29676 18.295C5.58042 18.295 5 17.7204 5 17.0122V6.96778C5 6.25962 5.58042 5.68561 6.29676 5.68561C7.01251 5.68561 7.59351 6.25962 7.59351 6.96778V10.1767L13.05 4.77911C13.2954 4.54123 13.6238 4.4082 13.9656 4.4082C14.3074 4.4082 14.6357 4.54123 14.8811 4.77911L18.667 8.52063C19.1284 9.02754 19.108 9.8028 18.6203 10.2852C18.1326 10.7676 17.3486 10.7881 16.8359 10.3313L13.9694 7.49629L9.42577 11.9921ZM13.9694 10.7081C13.4444 10.7081 12.9707 11.0208 12.7695 11.5003C12.5682 11.9804 12.6796 12.5322 13.0506 12.8997C13.4216 13.2672 13.9799 13.3769 14.4652 13.1786C14.7015 13.0827 14.9039 12.9186 15.0466 12.7073C15.1894 12.496 15.266 12.247 15.2667 11.9921C15.2667 11.652 15.1302 11.3253 14.887 11.0844C14.6437 10.8435 14.3135 10.7081 13.9694 10.7076V10.7081Z", fill: "white" }))),
});

const Liquid = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M8.35525 2C8.26337 1.99974 8.17234 2.01767 8.08737 2.05278C8.00239 2.08789 7.92513 2.13948 7.86 2.20461C7.79487 2.26975 7.74314 2.34714 7.70779 2.43237C7.67243 2.5176 7.65413 2.609 7.65393 2.70135V5.64558C7.65426 5.78764 7.68243 5.92823 7.73684 6.05934C7.79125 6.19045 7.87082 6.3095 7.97102 6.40969C8.07122 6.50988 8.19007 6.58925 8.3208 6.64325C8.45152 6.69726 8.59155 6.72486 8.73288 6.72446H10.8379C10.9793 6.72406 11.1194 6.75166 11.2502 6.80569C11.381 6.85971 11.5 6.93911 11.6003 7.03934C11.7005 7.13957 11.7802 7.25867 11.8347 7.38984C11.8892 7.52102 11.9174 7.66169 11.9178 7.80384V11.0035C11.918 11.1457 11.9461 11.2865 12.0005 11.4178C12.0548 11.5491 12.1344 11.6684 12.2347 11.7688C12.3349 11.8692 12.4539 11.9487 12.5847 12.0029C12.7156 12.057 12.8558 12.0847 12.9973 12.0844H16.1978C16.4832 12.0837 16.7571 12.1969 16.9594 12.3991C17.1617 12.6013 17.2759 12.876 17.2768 13.1627V15.2668C17.277 15.409 17.3051 15.5497 17.3595 15.681C17.4138 15.8122 17.4934 15.9314 17.5937 16.0317C17.694 16.132 17.8129 16.2115 17.9438 16.2655C18.0746 16.3196 18.2148 16.3471 18.3563 16.3467H21.2982C21.3901 16.3469 21.4812 16.329 21.5662 16.2939C21.6513 16.2587 21.7286 16.2071 21.7938 16.1419C21.859 16.0767 21.9107 15.9993 21.9461 15.914C21.9815 15.8287 21.9998 15.7372 22 15.6448V2.70287C21.9999 2.61046 21.9818 2.51897 21.9465 2.43362C21.9112 2.34828 21.8596 2.27075 21.7945 2.20548C21.7294 2.1402 21.6522 2.08846 21.5672 2.0532C21.4822 2.01795 21.3911 1.99987 21.2992 2H8.35525ZM7.58132 15.6732V8.95923C7.58126 8.81714 7.55333 8.67644 7.49914 8.5452C7.44494 8.41396 7.36554 8.29474 7.26548 8.19435C7.16542 8.09397 7.04665 8.01439 6.91597 7.96016C6.78529 7.90594 6.64526 7.87813 6.50388 7.87833H2.70183C2.6098 7.87806 2.51862 7.89604 2.43352 7.93124C2.34841 7.96644 2.27105 8.01816 2.20586 8.08345C2.14067 8.14873 2.08893 8.2263 2.05361 8.31171C2.01828 8.39713 2.00007 8.4887 2 8.5812V21.3007C2.00067 21.4872 2.07494 21.6659 2.20651 21.7975C2.33809 21.9291 2.51622 22.0028 2.70183 22.0025H15.6453C15.7372 22.0028 15.8282 21.9849 15.9133 21.9497C15.9983 21.9146 16.0755 21.8629 16.1407 21.7977C16.2058 21.7326 16.2575 21.6551 16.2929 21.5698C16.3282 21.4845 16.3464 21.3931 16.3466 21.3007V17.8325C16.3462 17.6903 16.3181 17.5497 16.2636 17.4185C16.2092 17.2873 16.1296 17.1682 16.0293 17.068C15.9291 16.9678 15.8102 16.8884 15.6794 16.8343C15.5486 16.7803 15.4085 16.7527 15.2671 16.7531H8.6623C8.37676 16.7538 8.10265 16.6404 7.90023 16.438C7.6978 16.2356 7.58364 15.9607 7.58284 15.6737", fill: "#0090FF" }))),
});

const LiquidBadge = createIcon({
    rectFill: '#0090FF',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M9.44867 5C9.38436 4.99982 9.32064 5.01237 9.26116 5.03694C9.20167 5.06151 9.14759 5.09762 9.102 5.14321C9.05641 5.1888 9.0202 5.24297 8.99545 5.30262C8.9707 5.36228 8.95789 5.42625 8.95775 5.49088V7.55158C8.95798 7.65101 8.9777 7.74941 9.01579 7.84118C9.05387 7.93294 9.10958 8.01627 9.17971 8.08639C9.24985 8.15652 9.33305 8.21206 9.42456 8.24987C9.51606 8.28767 9.61408 8.30698 9.71302 8.3067H11.1865C11.2855 8.30642 11.3836 8.32574 11.4751 8.36355C11.5667 8.40137 11.65 8.45694 11.7202 8.52709C11.7904 8.59724 11.8461 8.6806 11.8843 8.77241C11.9224 8.86422 11.9422 8.96268 11.9425 9.06217V11.3016C11.9426 11.4012 11.9623 11.4997 12.0003 11.5916C12.0384 11.6835 12.0941 11.767 12.1643 11.8373C12.2344 11.9075 12.3177 11.9632 12.4093 12.0011C12.5009 12.039 12.599 12.0584 12.6981 12.0582H14.9385C15.1382 12.0577 15.3299 12.1369 15.4716 12.2785C15.6132 12.42 15.6931 12.6122 15.6938 12.8129V14.2856C15.6939 14.3851 15.7136 14.4836 15.7516 14.5755C15.7897 14.6673 15.8454 14.7508 15.9156 14.821C15.9858 14.8912 16.0691 14.9468 16.1606 14.9846C16.2522 15.0224 16.3504 15.0417 16.4494 15.0414H18.5087C18.5731 15.0416 18.6368 15.029 18.6964 15.0044C18.7559 14.9798 18.81 14.9437 18.8556 14.8981C18.9013 14.8525 18.9375 14.7983 18.9623 14.7386C18.987 14.6789 18.9999 14.6148 19 14.5502V5.49195C19 5.42727 18.9872 5.36323 18.9625 5.3035C18.9379 5.24376 18.9017 5.1895 18.8561 5.14382C18.8106 5.09813 18.7565 5.06191 18.697 5.03724C18.6375 5.01256 18.5738 4.99991 18.5094 5H9.44867ZM8.90693 14.57V9.87085C8.90688 9.77139 8.88733 9.67292 8.84939 9.58106C8.81146 9.4892 8.75588 9.40576 8.68584 9.3355C8.61579 9.26524 8.53266 9.20954 8.44118 9.17159C8.3497 9.13363 8.25168 9.11417 8.15272 9.11431H5.49128C5.42686 9.11412 5.36304 9.12671 5.30346 9.15134C5.24389 9.17598 5.18974 9.21218 5.1441 9.25787C5.09847 9.30357 5.06225 9.35786 5.03752 9.41764C5.0128 9.47742 5.00005 9.54151 5 9.60625V18.5088C5.00047 18.6393 5.05246 18.7644 5.14456 18.8565C5.23666 18.9486 5.36135 19.0002 5.49128 19H14.5517C14.616 19.0002 14.6798 18.9876 14.7393 18.963C14.7988 18.9384 14.8529 18.9023 14.8985 18.8567C14.9441 18.811 14.9803 18.7568 15.005 18.6971C15.0297 18.6374 15.0425 18.5734 15.0426 18.5088V16.0813C15.0424 15.9818 15.0226 15.8834 14.9845 15.7916C14.9464 15.6998 14.8907 15.6164 14.8205 15.5463C14.7504 15.4761 14.6671 15.4205 14.5756 15.3827C14.484 15.3449 14.386 15.3256 14.287 15.3259H9.66361C9.46373 15.3263 9.27185 15.247 9.13016 15.1053C8.98846 14.9637 8.90855 14.7712 8.90799 14.5704", fill: "white" }))),
});

const Luno = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M12 22C17.5228 22 22 17.5228 22 12C22 6.47715 17.5228 2 12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22Z", fill: "url(#Luno_a)" }),
        React.createElement("path", { d: "M12 4.36841C10.4906 4.36841 9.01511 4.81599 7.7601 5.65456C6.50509 6.49313 5.52694 7.68502 4.94932 9.07951C4.3717 10.474 4.22057 12.0084 4.51504 13.4888C4.8095 14.9692 5.53634 16.329 6.60364 17.3963C7.67093 18.4636 9.03075 19.1905 10.5111 19.4849C11.9915 19.7794 13.526 19.6283 14.9205 19.0506C16.3149 18.473 17.5068 17.4949 18.3454 16.2399C19.184 14.9849 19.6315 13.5094 19.6315 12C19.6315 9.97596 18.8275 8.03484 17.3963 6.60364C15.9651 5.17245 14.024 4.36841 12 4.36841V4.36841ZM12 17.5263C10.907 17.5263 9.83852 17.2022 8.92972 16.5949C8.02092 15.9877 7.3126 15.1246 6.89433 14.1148C6.47605 13.105 6.36661 11.9939 6.57985 10.9219C6.79308 9.84985 7.31941 8.86516 8.09228 8.09229C8.86515 7.31942 9.84985 6.79309 10.9218 6.57986C11.9938 6.36662 13.105 6.47606 14.1148 6.89434C15.1246 7.31261 15.9877 8.02093 16.5949 8.92973C17.2022 9.83853 17.5263 10.907 17.5263 12C17.5263 13.4657 16.9441 14.8713 15.9077 15.9077C14.8713 16.9441 13.4656 17.5263 12 17.5263V17.5263Z", fill: "white" }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "Luno_a", x1: "12", y1: "4.13947", x2: "12", y2: "24.1395", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#0089F5" }),
                React.createElement("stop", { offset: "1", stopColor: "#103161" }))))),
});

const LunoBadge = createIcon({
    rectFill: 'white',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M12 22C17.5228 22 22 17.5228 22 12C22 6.47715 17.5228 2 12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22Z", fill: "url(#LunoBadge_a)" }),
        React.createElement("path", { d: "M12 4.36841C10.4906 4.36841 9.01511 4.81599 7.7601 5.65456C6.50509 6.49313 5.52694 7.68502 4.94932 9.07951C4.3717 10.474 4.22057 12.0084 4.51504 13.4888C4.8095 14.9692 5.53634 16.329 6.60364 17.3963C7.67093 18.4636 9.03075 19.1905 10.5111 19.4849C11.9915 19.7794 13.526 19.6283 14.9205 19.0506C16.3149 18.473 17.5068 17.4949 18.3454 16.2399C19.184 14.9849 19.6315 13.5094 19.6315 12C19.6315 9.97596 18.8275 8.03484 17.3963 6.60364C15.9651 5.17245 14.024 4.36841 12 4.36841V4.36841ZM12 17.5263C10.907 17.5263 9.83852 17.2022 8.92972 16.5949C8.02092 15.9877 7.3126 15.1246 6.89433 14.1148C6.47605 13.105 6.36661 11.9939 6.57985 10.9219C6.79308 9.84985 7.31941 8.86516 8.09228 8.09229C8.86515 7.31942 9.84985 6.79309 10.9218 6.57986C11.9938 6.36662 13.105 6.47606 14.1148 6.89434C15.1246 7.31261 15.9877 8.02093 16.5949 8.92973C17.2022 9.83853 17.5263 10.907 17.5263 12C17.5263 13.4657 16.9441 14.8713 15.9077 15.9077C14.8713 16.9441 13.4656 17.5263 12 17.5263V17.5263Z", fill: "white" }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "LunoBadge_a", x1: "12", y1: "4.13947", x2: "12", y2: "24.1395", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#0089F5" }),
                React.createElement("stop", { offset: "1", stopColor: "#103161" }))))),
});

const Okex = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M10.9238 10.9237C11.6311 11.0969 12.3699 11.0969 13.0772 10.9237C13.2749 10.1199 13.6888 9.38549 14.2742 8.80015C14.8595 8.21482 15.5939 7.80087 16.3977 7.6032C16.5607 6.93685 16.57 6.24219 16.4251 5.57168C16.2802 4.90118 15.9848 4.27238 15.5613 3.73278C15.1377 3.19318 14.597 2.7569 13.9801 2.45689C13.3632 2.15687 12.6862 2.00098 12.0003 2.00098C11.3143 2.00098 10.6373 2.15687 10.0204 2.45689C9.40346 2.7569 8.86281 3.19318 8.43925 3.73278C8.01569 4.27238 7.7203 4.90118 7.57539 5.57168C7.43048 6.24219 7.43984 6.93685 7.60276 7.6032C8.40677 7.80064 9.14135 8.2145 9.7268 8.79986C10.3123 9.38523 10.7262 10.1197 10.9238 10.9237V10.9237Z", fill: "#7ABDF7" }),
        React.createElement("path", { d: "M13.0772 13.0763C12.3699 12.9031 11.6311 12.9031 10.9238 13.0763C10.7261 13.8802 10.3122 14.6146 9.72683 15.1999C9.1415 15.7852 8.4071 16.1992 7.60326 16.3968C7.44034 17.0632 7.43098 17.7579 7.57589 18.4284C7.7208 19.0989 8.01619 19.7277 8.43975 20.2673C8.86331 20.8069 9.40396 21.2431 10.0209 21.5431C10.6378 21.8432 11.3148 21.9991 12.0008 21.9991C12.6867 21.9991 13.3637 21.8432 13.9806 21.5431C14.5975 21.2431 15.1382 20.8069 15.5618 20.2673C15.9853 19.7277 16.2807 19.0989 16.4256 18.4284C16.5705 17.7579 16.5612 17.0632 16.3982 16.3968C15.5942 16.1994 14.8597 15.7855 14.2742 15.2002C13.6887 14.6148 13.2748 13.8803 13.0772 13.0763Z", fill: "#0D74F5" }),
        React.createElement("path", { d: "M17.4745 7.47292C17.1118 7.47287 16.7505 7.51645 16.3982 7.60271C16.2008 8.40652 15.787 9.1409 15.2017 9.72618C14.6164 10.3115 13.882 10.7253 13.0782 10.9227C12.905 11.6301 12.905 12.3688 13.0782 13.0762C13.882 13.2738 14.6164 13.6877 15.2017 14.2731C15.7869 14.8584 16.2008 15.5928 16.3982 16.3967C17.02 16.5486 17.667 16.5669 18.2963 16.4504C18.9257 16.3339 19.5232 16.0852 20.0495 15.7209C20.5757 15.3565 21.0187 14.8847 21.3492 14.3365C21.6797 13.7884 21.8902 13.1764 21.9669 12.5409C22.0435 11.9055 21.9845 11.261 21.7938 10.65C21.603 10.039 21.2849 9.47537 20.8604 8.99635C20.4358 8.51733 19.9146 8.13378 19.3309 7.871C18.7473 7.60823 18.1145 7.47221 17.4745 7.47192V7.47292Z", fill: "#4494F7" }),
        React.createElement("path", { d: "M10.9238 13.0761C11.097 12.3688 11.097 11.6301 10.9238 10.9227C10.1199 10.7252 9.38549 10.3114 8.80013 9.72614C8.21478 9.14087 7.80085 8.4065 7.60325 7.60268C6.9369 7.43976 6.24224 7.4304 5.57173 7.57531C4.90123 7.72022 4.27243 8.01561 3.73283 8.43917C3.19323 8.86273 2.75695 9.40338 2.45694 10.0203C2.15692 10.6372 2.00103 11.3142 2.00103 12.0002C2.00103 12.6862 2.15692 13.3632 2.45694 13.9801C2.75695 14.597 3.19323 15.1376 3.73283 15.5612C4.27243 15.9847 4.90123 16.2801 5.57173 16.425C6.24224 16.5699 6.9369 16.5606 7.60325 16.3977C7.80066 15.5936 8.2145 14.8589 8.79986 14.2734C9.38523 13.6878 10.1198 13.2738 10.9238 13.0761V13.0761Z", fill: "#005CF4" }),
        React.createElement("path", { d: "M13.0772 10.9238C13.8811 10.7261 14.6155 10.3122 15.2008 9.72684C15.7861 9.14151 16.2001 8.40711 16.3977 7.60327C15.5939 7.80094 14.8595 8.21488 14.2742 8.80022C13.6888 9.38555 13.2749 10.1199 13.0772 10.9238V10.9238Z", fill: "#186EF9" }),
        React.createElement("path", { d: "M13.0772 13.0762C13.2747 13.8801 13.6886 14.6146 14.274 15.1999C14.8594 15.7853 15.5938 16.1992 16.3977 16.3967C16.2001 15.5929 15.7861 14.8585 15.2008 14.2731C14.6155 13.6878 13.8811 13.2738 13.0772 13.0762V13.0762Z", fill: "#0246F2" }),
        React.createElement("path", { d: "M10.9238 10.9238C10.7261 10.1199 10.3122 9.38555 9.72683 8.80022C9.14149 8.21488 8.4071 7.80094 7.60325 7.60327C7.80093 8.40711 8.21487 9.14151 8.8002 9.72684C9.38554 10.3122 10.1199 10.7261 10.9238 10.9238V10.9238Z", fill: "#0046F8" }),
        React.createElement("path", { d: "M10.9238 13.0762C10.1199 13.2738 9.38554 13.6878 8.8002 14.2731C8.21487 14.8585 7.80093 15.5929 7.60325 16.3967C8.4071 16.199 9.14149 15.7851 9.72683 15.1998C10.3122 14.6144 10.7261 13.88 10.9238 13.0762V13.0762Z", fill: "#0729F1" }),
        React.createElement("path", { d: "M10.9238 10.9237C11.6311 11.0969 12.3699 11.0969 13.0772 10.9237C13.2749 10.1199 13.6888 9.38549 14.2742 8.80015C14.8595 8.21482 15.5939 7.80087 16.3977 7.6032C16.5607 6.93685 16.57 6.24219 16.4251 5.57168C16.2802 4.90118 15.9848 4.27238 15.5613 3.73278C15.1377 3.19318 14.597 2.7569 13.9801 2.45689C13.3632 2.15687 12.6862 2.00098 12.0003 2.00098C11.3143 2.00098 10.6373 2.15687 10.0204 2.45689C9.40346 2.7569 8.86281 3.19318 8.43925 3.73278C8.01569 4.27238 7.7203 4.90118 7.57539 5.57168C7.43048 6.24219 7.43984 6.93685 7.60276 7.6032C8.40677 7.80064 9.14135 8.2145 9.7268 8.79986C10.3123 9.38523 10.7262 10.1197 10.9238 10.9237V10.9237Z", fill: "#7ABDF7" }),
        React.createElement("path", { d: "M13.0772 13.0763C12.3699 12.9031 11.6311 12.9031 10.9238 13.0763C10.7261 13.8802 10.3122 14.6146 9.72683 15.1999C9.1415 15.7852 8.4071 16.1992 7.60326 16.3968C7.44034 17.0632 7.43098 17.7579 7.57589 18.4284C7.7208 19.0989 8.01619 19.7277 8.43975 20.2673C8.86331 20.8069 9.40396 21.2431 10.0209 21.5431C10.6378 21.8432 11.3148 21.9991 12.0008 21.9991C12.6867 21.9991 13.3637 21.8432 13.9806 21.5431C14.5975 21.2431 15.1382 20.8069 15.5618 20.2673C15.9853 19.7277 16.2807 19.0989 16.4256 18.4284C16.5705 17.7579 16.5612 17.0632 16.3982 16.3968C15.5942 16.1994 14.8597 15.7855 14.2742 15.2002C13.6887 14.6148 13.2748 13.8803 13.0772 13.0763Z", fill: "#0D74F5" }),
        React.createElement("path", { d: "M17.4745 7.47292C17.1118 7.47287 16.7505 7.51645 16.3982 7.60271C16.2008 8.40652 15.787 9.1409 15.2017 9.72618C14.6164 10.3115 13.882 10.7253 13.0782 10.9227C12.905 11.6301 12.905 12.3688 13.0782 13.0762C13.882 13.2738 14.6164 13.6877 15.2017 14.2731C15.7869 14.8584 16.2008 15.5928 16.3982 16.3967C17.02 16.5486 17.667 16.5669 18.2963 16.4504C18.9257 16.3339 19.5232 16.0852 20.0495 15.7209C20.5757 15.3565 21.0187 14.8847 21.3492 14.3365C21.6797 13.7884 21.8902 13.1764 21.9669 12.5409C22.0435 11.9055 21.9845 11.261 21.7938 10.65C21.603 10.039 21.2849 9.47537 20.8604 8.99635C20.4358 8.51733 19.9146 8.13378 19.3309 7.871C18.7473 7.60823 18.1145 7.47221 17.4745 7.47192V7.47292Z", fill: "#4494F7" }),
        React.createElement("path", { d: "M10.9238 13.0761C11.097 12.3688 11.097 11.6301 10.9238 10.9227C10.1199 10.7252 9.38549 10.3114 8.80013 9.72614C8.21478 9.14087 7.80085 8.4065 7.60325 7.60268C6.9369 7.43976 6.24224 7.4304 5.57173 7.57531C4.90123 7.72022 4.27243 8.01561 3.73283 8.43917C3.19323 8.86273 2.75695 9.40338 2.45694 10.0203C2.15692 10.6372 2.00103 11.3142 2.00103 12.0002C2.00103 12.6862 2.15692 13.3632 2.45694 13.9801C2.75695 14.597 3.19323 15.1376 3.73283 15.5612C4.27243 15.9847 4.90123 16.2801 5.57173 16.425C6.24224 16.5699 6.9369 16.5606 7.60325 16.3977C7.80066 15.5936 8.2145 14.8589 8.79986 14.2734C9.38523 13.6878 10.1198 13.2738 10.9238 13.0761V13.0761Z", fill: "#005CF4" }),
        React.createElement("path", { d: "M13.0772 10.9238C13.8811 10.7261 14.6155 10.3122 15.2008 9.72684C15.7861 9.14151 16.2001 8.40711 16.3977 7.60327C15.5939 7.80094 14.8595 8.21488 14.2742 8.80022C13.6888 9.38555 13.2749 10.1199 13.0772 10.9238V10.9238Z", fill: "#186EF9" }),
        React.createElement("path", { d: "M13.0772 13.0762C13.2747 13.8801 13.6886 14.6146 14.274 15.1999C14.8594 15.7853 15.5938 16.1992 16.3977 16.3967C16.2001 15.5929 15.7861 14.8585 15.2008 14.2731C14.6155 13.6878 13.8811 13.2738 13.0772 13.0762V13.0762Z", fill: "#0246F2" }),
        React.createElement("path", { d: "M10.9238 10.9238C10.7261 10.1199 10.3122 9.38555 9.72683 8.80022C9.14149 8.21488 8.4071 7.80094 7.60325 7.60327C7.80093 8.40711 8.21487 9.14151 8.8002 9.72684C9.38554 10.3122 10.1199 10.7261 10.9238 10.9238V10.9238Z", fill: "#0046F8" }),
        React.createElement("path", { d: "M10.9238 13.0762C10.1199 13.2738 9.38554 13.6878 8.8002 14.2731C8.21487 14.8585 7.80093 15.5929 7.60325 16.3967C8.4071 16.199 9.14149 15.7851 9.72683 15.1998C10.3122 14.6144 10.7261 13.88 10.9238 13.0762V13.0762Z", fill: "#0729F1" }))),
});

const OkexBadge = createIcon({
    rectFill: 'white',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M11.139 11.139C11.7049 11.2775 12.2958 11.2775 12.8617 11.139C13.0199 10.4959 13.351 9.90838 13.8193 9.44011C14.2876 8.97183 14.8751 8.64068 15.5182 8.48254C15.6485 7.94946 15.656 7.39372 15.5401 6.85732C15.4241 6.32091 15.1878 5.81787 14.849 5.38619C14.5101 4.9545 14.0776 4.60547 13.5841 4.36546C13.0905 4.12545 12.5489 4.00073 12.0001 4.00073C11.4514 4.00073 10.9097 4.12545 10.4162 4.36546C9.9227 4.60547 9.49018 4.9545 9.15133 5.38619C8.81248 5.81787 8.57616 6.32091 8.46023 6.85732C8.3443 7.39372 8.35179 7.94946 8.48213 8.48254C9.12534 8.64049 9.71301 8.97158 10.1814 9.43988C10.6497 9.90817 10.9809 10.4958 11.139 11.139V11.139Z", fill: "#7ABDF7" }),
        React.createElement("path", { d: "M12.8617 12.861C12.2958 12.7224 11.7049 12.7224 11.139 12.861C10.9808 13.5041 10.6497 14.0916 10.1814 14.5599C9.71313 15.0281 9.12561 15.3593 8.48253 15.5174C8.35219 16.0505 8.3447 16.6063 8.46063 17.1427C8.57656 17.6791 8.81288 18.1821 9.15173 18.6138C9.49058 19.0455 9.9231 19.3945 10.4166 19.6345C10.9101 19.8745 11.4518 19.9992 12.0005 19.9992C12.5493 19.9992 13.0909 19.8745 13.5845 19.6345C14.078 19.3945 14.5105 19.0455 14.8494 18.6138C15.1882 18.1821 15.4245 17.6791 15.5405 17.1427C15.6564 16.6063 15.6489 16.0505 15.5186 15.5174C14.8754 15.3595 14.2877 15.0284 13.8193 14.5601C13.3509 14.0918 13.0198 13.5042 12.8617 12.861Z", fill: "#0D74F5" }),
        React.createElement("path", { d: "M16.3795 8.37836C16.0894 8.37832 15.8003 8.41318 15.5186 8.48219C15.3606 9.12524 15.0295 9.71275 14.5613 10.181C14.0931 10.6492 13.5056 10.9803 12.8625 11.1382C12.724 11.7041 12.724 12.2951 12.8625 12.861C13.5056 13.0191 14.0931 13.3502 14.5613 13.8185C15.0295 14.2868 15.3606 14.8743 15.5186 15.5174C16.016 15.6389 16.5335 15.6536 17.037 15.5604C17.5406 15.4672 18.0186 15.2683 18.4396 14.9768C18.8606 14.6853 19.215 14.3078 19.4794 13.8693C19.7438 13.4308 19.9122 12.9412 19.9735 12.4328C20.0348 11.9244 19.9876 11.4088 19.835 10.92C19.6824 10.4312 19.4279 9.98033 19.0883 9.59711C18.7487 9.21389 18.3316 8.90705 17.8647 8.69683C17.3978 8.48661 16.8916 8.3778 16.3795 8.37756V8.37836Z", fill: "#4494F7" }),
        React.createElement("path", { d: "M11.139 12.861C11.2775 12.2951 11.2775 11.7041 11.139 11.1382C10.4959 10.9802 9.90832 10.6492 9.44003 10.1809C8.97175 9.71273 8.6406 9.12523 8.48252 8.48217C7.94944 8.35183 7.3937 8.34434 6.8573 8.46027C6.32089 8.5762 5.81785 8.81252 5.38617 9.15137C4.95449 9.49022 4.60545 9.92274 4.36544 10.4163C4.12543 10.9098 4.00071 11.4514 4.00071 12.0002C4.00071 12.549 4.12543 13.0906 4.36544 13.5841C4.60545 14.0776 4.95449 14.5101 5.38617 14.849C5.81785 15.1878 6.32089 15.4242 6.8573 15.5401C7.3937 15.656 7.94944 15.6485 8.48252 15.5182C8.64045 14.8749 8.97152 14.2872 9.43982 13.8188C9.90811 13.3503 10.4957 13.0191 11.139 12.861V12.861Z", fill: "#005CF4" }),
        React.createElement("path", { d: "M12.8617 11.1391C13.5048 10.981 14.0923 10.6498 14.5606 10.1815C15.0289 9.71326 15.36 9.12574 15.5182 8.48267C14.8751 8.6408 14.2876 8.97196 13.8193 9.44023C13.351 9.9085 13.0199 10.496 12.8617 11.1391V11.1391Z", fill: "#186EF9" }),
        React.createElement("path", { d: "M12.8617 12.861C13.0197 13.5041 13.3509 14.0917 13.8191 14.56C14.2874 15.0283 14.875 15.3594 15.5182 15.5174C15.36 14.8743 15.0289 14.2868 14.5606 13.8185C14.0923 13.3503 13.5048 13.0191 12.8617 12.861V12.861Z", fill: "#0246F2" }),
        React.createElement("path", { d: "M11.139 11.1391C10.9808 10.496 10.6497 9.9085 10.1814 9.44023C9.71313 8.97196 9.12561 8.6408 8.48253 8.48267C8.64067 9.12574 8.97182 9.71326 9.44009 10.1815C9.90836 10.6498 10.4959 10.981 11.139 11.1391V11.1391Z", fill: "#0046F8" }),
        React.createElement("path", { d: "M11.139 12.861C10.4959 13.0191 9.90836 13.3503 9.44009 13.8185C8.97182 14.2868 8.64067 14.8743 8.48253 15.5174C9.12561 15.3593 9.71313 15.0281 10.1814 14.5598C10.6497 14.0916 10.9808 13.504 11.139 12.861V12.861Z", fill: "#0729F1" }),
        React.createElement("path", { d: "M11.139 11.139C11.7049 11.2775 12.2958 11.2775 12.8617 11.139C13.0199 10.4959 13.351 9.90838 13.8193 9.44011C14.2876 8.97183 14.8751 8.64068 15.5182 8.48254C15.6485 7.94946 15.656 7.39372 15.5401 6.85732C15.4241 6.32091 15.1878 5.81787 14.849 5.38619C14.5101 4.9545 14.0776 4.60547 13.5841 4.36546C13.0905 4.12545 12.5489 4.00073 12.0001 4.00073C11.4514 4.00073 10.9097 4.12545 10.4162 4.36546C9.9227 4.60547 9.49018 4.9545 9.15133 5.38619C8.81248 5.81787 8.57616 6.32091 8.46023 6.85732C8.3443 7.39372 8.35179 7.94946 8.48213 8.48254C9.12534 8.64049 9.71301 8.97158 10.1814 9.43988C10.6497 9.90817 10.9809 10.4958 11.139 11.139V11.139Z", fill: "#7ABDF7" }),
        React.createElement("path", { d: "M12.8617 12.861C12.2958 12.7224 11.7049 12.7224 11.139 12.861C10.9808 13.5041 10.6497 14.0916 10.1814 14.5599C9.71313 15.0281 9.12561 15.3593 8.48253 15.5174C8.35219 16.0505 8.3447 16.6063 8.46063 17.1427C8.57656 17.6791 8.81288 18.1821 9.15173 18.6138C9.49058 19.0455 9.9231 19.3945 10.4166 19.6345C10.9101 19.8745 11.4518 19.9992 12.0005 19.9992C12.5493 19.9992 13.0909 19.8745 13.5845 19.6345C14.078 19.3945 14.5105 19.0455 14.8494 18.6138C15.1882 18.1821 15.4245 17.6791 15.5405 17.1427C15.6564 16.6063 15.6489 16.0505 15.5186 15.5174C14.8754 15.3595 14.2877 15.0284 13.8193 14.5601C13.3509 14.0918 13.0198 13.5042 12.8617 12.861Z", fill: "#0D74F5" }),
        React.createElement("path", { d: "M16.3795 8.37836C16.0894 8.37832 15.8003 8.41318 15.5186 8.48219C15.3606 9.12524 15.0295 9.71275 14.5613 10.181C14.0931 10.6492 13.5056 10.9803 12.8625 11.1382C12.724 11.7041 12.724 12.2951 12.8625 12.861C13.5056 13.0191 14.0931 13.3502 14.5613 13.8185C15.0295 14.2868 15.3606 14.8743 15.5186 15.5174C16.016 15.6389 16.5335 15.6536 17.037 15.5604C17.5406 15.4672 18.0186 15.2683 18.4396 14.9768C18.8606 14.6853 19.215 14.3078 19.4794 13.8693C19.7438 13.4308 19.9122 12.9412 19.9735 12.4328C20.0348 11.9244 19.9876 11.4088 19.835 10.92C19.6824 10.4312 19.4279 9.98033 19.0883 9.59711C18.7487 9.21389 18.3316 8.90705 17.8647 8.69683C17.3978 8.48661 16.8916 8.3778 16.3795 8.37756V8.37836Z", fill: "#4494F7" }),
        React.createElement("path", { d: "M11.139 12.861C11.2775 12.2951 11.2775 11.7041 11.139 11.1382C10.4959 10.9802 9.90832 10.6492 9.44003 10.1809C8.97175 9.71273 8.6406 9.12523 8.48252 8.48217C7.94944 8.35183 7.3937 8.34434 6.8573 8.46027C6.32089 8.5762 5.81785 8.81252 5.38617 9.15137C4.95449 9.49022 4.60545 9.92274 4.36544 10.4163C4.12543 10.9098 4.00071 11.4514 4.00071 12.0002C4.00071 12.549 4.12543 13.0906 4.36544 13.5841C4.60545 14.0776 4.95449 14.5101 5.38617 14.849C5.81785 15.1878 6.32089 15.4242 6.8573 15.5401C7.3937 15.656 7.94944 15.6485 8.48252 15.5182C8.64045 14.8749 8.97152 14.2872 9.43982 13.8188C9.90811 13.3503 10.4957 13.0191 11.139 12.861V12.861Z", fill: "#005CF4" }),
        React.createElement("path", { d: "M12.8617 11.1391C13.5048 10.981 14.0923 10.6498 14.5606 10.1815C15.0289 9.71326 15.36 9.12574 15.5182 8.48267C14.8751 8.6408 14.2876 8.97196 13.8193 9.44023C13.351 9.9085 13.0199 10.496 12.8617 11.1391V11.1391Z", fill: "#186EF9" }),
        React.createElement("path", { d: "M12.8617 12.861C13.0197 13.5041 13.3509 14.0917 13.8191 14.56C14.2874 15.0283 14.875 15.3594 15.5182 15.5174C15.36 14.8743 15.0289 14.2868 14.5606 13.8185C14.0923 13.3503 13.5048 13.0191 12.8617 12.861V12.861Z", fill: "#0246F2" }),
        React.createElement("path", { d: "M11.139 11.1391C10.9808 10.496 10.6497 9.9085 10.1814 9.44023C9.71313 8.97196 9.12561 8.6408 8.48253 8.48267C8.64067 9.12574 8.97182 9.71326 9.44009 10.1815C9.90836 10.6498 10.4959 10.981 11.139 11.1391V11.1391Z", fill: "#0046F8" }),
        React.createElement("path", { d: "M11.139 12.861C10.4959 13.0191 9.90836 13.3503 9.44009 13.8185C8.97182 14.2868 8.64067 14.8743 8.48253 15.5174C9.12561 15.3593 9.71313 15.0281 10.1814 14.5598C10.6497 14.0916 10.9808 13.504 11.139 12.861V12.861Z", fill: "#0729F1" }))),
});

const Poloniex = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("g", { clipPath: "url(#Poloniex_a)" },
            React.createElement("path", { d: "M2 3.37562V20.6244C2 21.3841 2.61588 22 3.37561 22H20.6244C21.3841 22 22 21.3841 22 20.6244V3.37562C22 2.61588 21.3841 2 20.6244 2H3.37561C2.61588 2 2 2.61588 2 3.37562Z", fill: "url(#Poloniex_b)" }),
            React.createElement("path", { d: "M4.49968 6.98108H7.64219L11.2939 12.3341L9.53411 12.7254L8.07058 12.3341L4.49968 6.98108Z", fill: "url(#Poloniex_c)" }),
            React.createElement("path", { d: "M4.33502 17.6866H7.47754L11.2939 12.3341H8.07057L4.33502 17.6866Z", fill: "url(#Poloniex_d)" }),
            React.createElement("path", { d: "M9.11336 6.98108H12.2564L15.9076 12.3341L14.1808 12.7473L12.6807 12.3341L9.11336 6.98108Z", fill: "url(#Poloniex_e)" }),
            React.createElement("path", { d: "M16.3395 6.98108H19.4826L16.6211 11.2985L15.0076 8.93499L16.3395 6.98108Z", fill: "url(#Poloniex_f)" }),
            React.createElement("path", { d: "M13.6757 6.98108H14.8866L14.2906 7.88105L13.6757 6.98108Z", fill: "url(#Poloniex_g)" }),
            React.createElement("path", { d: "M16.5225 17.6867H19.6655L16.6322 13.3185L15.0076 15.5758L16.5225 17.6867Z", fill: "url(#Poloniex_h)" }),
            React.createElement("path", { d: "M13.4892 17.6867H15.0661L14.287 16.5784L13.4892 17.6867Z", fill: "url(#Poloniex_i)" }),
            React.createElement("path", { d: "M8.94872 17.6866H12.0587L15.9076 12.3341H12.6807L8.94872 17.6866Z", fill: "url(#Poloniex_j)" })),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "Poloniex_b", x1: "11.9997", y1: "22", x2: "11.9997", y2: "2", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#D1D5D8" }),
                React.createElement("stop", { offset: "1", stopColor: "#FDFCFD" })),
            React.createElement("linearGradient", { id: "Poloniex_c", x1: "5.47795", y1: "6.25273", x2: "8.56811", y2: "12.0688", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#73A2A8" }),
                React.createElement("stop", { offset: "1", stopColor: "#71B5BF" })),
            React.createElement("linearGradient", { id: "Poloniex_d", x1: "5.33918", y1: "17.0282", x2: "8.38913", y2: "11.4052", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#699699" }),
                React.createElement("stop", { offset: "1", stopColor: "#73A4A6" })),
            React.createElement("linearGradient", { id: "Poloniex_e", x1: "10.0723", y1: "6.46708", x2: "12.953", y2: "11.8683", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#005661" }),
                React.createElement("stop", { offset: "1", stopColor: "#048293" })),
            React.createElement("linearGradient", { id: "Poloniex_f", x1: "16.0329", y1: "10.6079", x2: "16.0329", y2: "6.41041", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#676F74" }),
                React.createElement("stop", { offset: "1", stopColor: "#3B444A" })),
            React.createElement("linearGradient", { id: "Poloniex_g", x1: "13.1515", y1: "6.41042", x2: "13.1515", y2: "7.28548", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#93989C" }),
                React.createElement("stop", { offset: "1", stopColor: "#AAAFB2" })),
            React.createElement("linearGradient", { id: "Poloniex_h", x1: "16.4813", y1: "16.3387", x2: "14.7556", y2: "13.717", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#3B444A" }),
                React.createElement("stop", { offset: "1", stopColor: "#3B444A" })),
            React.createElement("linearGradient", { id: "Poloniex_i", x1: "13.148", y1: "16.8187", x2: "13.148", y2: "15.7409", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#858B8F" }),
                React.createElement("stop", { offset: "1", stopColor: "#868D90" })),
            React.createElement("linearGradient", { id: "Poloniex_j", x1: "9.90393", y1: "16.8921", x2: "12.795", y2: "11.5426", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#08575C" }),
                React.createElement("stop", { offset: "1", stopColor: "#096166" })),
            React.createElement("clipPath", { id: "Poloniex_a" },
                React.createElement("rect", { width: "20", height: "20", fill: "white", transform: "translate(2 2)" }))))),
});

const PoloniexBadge = createIcon({
    rectFill: 'url(#PoloniexBadge_a)',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M4.17185 6.69836H7.45161L11.2628 12.2852L9.42614 12.6936L7.8987 12.2852L4.17185 6.69836Z", fill: "url(#PoloniexBadge_b)" }),
        React.createElement("path", { d: "M4 17.8714H7.27976L11.2628 12.2852H7.89869L4 17.8714Z", fill: "url(#PoloniexBadge_c)" }),
        React.createElement("path", { d: "M8.98702 6.69836H12.2673L16.078 12.2852L14.2758 12.7164L12.7102 12.2852L8.98702 6.69836Z", fill: "url(#PoloniexBadge_d)" }),
        React.createElement("path", { d: "M16.5288 6.69836H19.8091L16.8226 11.2043L15.1387 8.73761L16.5288 6.69836Z", fill: "url(#PoloniexBadge_e)" }),
        React.createElement("path", { d: "M13.7486 6.69836H15.0124L14.3903 7.63764L13.7486 6.69836Z", fill: "url(#PoloniexBadge_f)" }),
        React.createElement("path", { d: "M16.7197 17.8716H20L16.8343 13.3126L15.1387 15.6685L16.7197 17.8716Z", fill: "url(#PoloniexBadge_g)" }),
        React.createElement("path", { d: "M13.554 17.8716H15.1997L14.3867 16.7148L13.554 17.8716Z", fill: "url(#PoloniexBadge_h)" }),
        React.createElement("path", { d: "M8.81518 17.8714H12.061L16.078 12.2852H12.7102L8.81518 17.8714Z", fill: "url(#PoloniexBadge_i)" }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "PoloniexBadge_a", x1: "0", y1: "11.9997", x2: "24", y2: "11.9997", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#D1D5D8" }),
                React.createElement("stop", { offset: "1", stopColor: "#FDFCFD" })),
            React.createElement("linearGradient", { id: "PoloniexBadge_b", x1: "5.19285", y1: "5.9382", x2: "8.41796", y2: "12.0083", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#73A2A8" }),
                React.createElement("stop", { offset: "1", stopColor: "#71B5BF" })),
            React.createElement("linearGradient", { id: "PoloniexBadge_c", x1: "5.04801", y1: "17.1843", x2: "8.23116", y2: "11.3157", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#699699" }),
                React.createElement("stop", { offset: "1", stopColor: "#73A4A6" })),
            React.createElement("linearGradient", { id: "PoloniexBadge_d", x1: "9.98786", y1: "6.16192", x2: "12.9943", y2: "11.799", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#005661" }),
                React.createElement("stop", { offset: "1", stopColor: "#048293" })),
            React.createElement("linearGradient", { id: "PoloniexBadge_e", x1: "16.2087", y1: "10.4836", x2: "16.2087", y2: "6.10278", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#676F74" }),
                React.createElement("stop", { offset: "1", stopColor: "#3B444A" })),
            React.createElement("linearGradient", { id: "PoloniexBadge_f", x1: "13.2015", y1: "6.10278", x2: "13.2015", y2: "7.01606", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#93989C" }),
                React.createElement("stop", { offset: "1", stopColor: "#AAAFB2" })),
            React.createElement("linearGradient", { id: "PoloniexBadge_g", x1: "16.6768", y1: "16.4647", x2: "14.8757", y2: "13.7285", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#3B444A" }),
                React.createElement("stop", { offset: "1", stopColor: "#3B444A" })),
            React.createElement("linearGradient", { id: "PoloniexBadge_h", x1: "13.1979", y1: "16.9657", x2: "13.1979", y2: "15.8408", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#858B8F" }),
                React.createElement("stop", { offset: "1", stopColor: "#868D90" })),
            React.createElement("linearGradient", { id: "PoloniexBadge_i", x1: "9.81211", y1: "17.0422", x2: "12.8294", y2: "11.4591", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#08575C" }),
                React.createElement("stop", { offset: "1", stopColor: "#096166" }))))),
});

const SushiSwap = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M6.12681 4.05591L21.6632 14.6641L17.8209 20.3441L2.28447 9.65237L6.12681 4.05591Z", fill: "url(#SushiSwap_a)" }),
        React.createElement("path", { d: "M21.6632 14.6641C20.3268 16.5853 15.8162 15.8335 11.5562 12.8265C7.21269 9.90293 4.87387 5.97705 6.12681 4.05588C7.46328 2.13471 11.9739 2.88647 16.2338 5.89352C20.5774 8.73352 22.9162 12.7429 21.6632 14.6641Z", fill: "url(#SushiSwap_b)" }),
        React.createElement("path", { d: "M17.8209 20.2606C16.4844 22.1817 11.9739 21.43 7.71387 18.4229C3.45388 15.4159 1.03153 11.5735 2.368 9.56882C3.70446 7.64765 8.21504 8.39941 12.475 11.4065C16.735 14.4135 19.0738 18.3394 17.8209 20.2606Z", fill: "url(#SushiSwap_c)" }),
        React.createElement("path", { d: "M21.6632 14.6641L17.8209 20.3441C16.4844 22.2652 11.9739 21.43 7.71386 18.5064C6.87857 17.9217 6.12681 17.337 5.37504 16.6688C5.95975 16.5853 6.71151 16.2511 7.46327 15.4158C8.79974 13.9959 9.46798 13.6617 10.0527 13.7453C10.6374 13.7453 11.3056 14.33 12.3915 15.75C13.4774 17.17 14.9809 17.5876 15.8997 16.8358C15.9833 16.7523 16.0668 16.7523 16.1503 16.6688C16.9021 16.0841 17.1527 15.8335 18.5727 13.1606C18.9068 12.4923 20.0762 11.4064 21.6632 11.9076C22.0809 12.9935 22.0809 13.9123 21.6632 14.6641Z", fill: "#0E0F23" }),
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M21.0785 14.33C19.9091 16.0006 15.8162 15.1653 11.8903 12.4088C7.88092 9.65237 5.5421 6.14414 6.71151 4.47355C7.88092 2.80297 11.9739 3.63826 15.8997 6.39473C19.8256 9.15119 22.1644 12.6594 21.0785 14.33ZM17.4033 11.8241C16.8185 12.6594 14.8138 12.2418 12.8091 10.9053C10.888 9.56884 9.71857 7.81472 10.3033 6.97943C10.888 6.14414 12.8927 6.56178 14.8974 7.89825C16.8185 9.23472 17.988 10.9888 17.4033 11.8241Z", fill: "white" }),
        React.createElement("path", { d: "M5.79269 5.97714C5.79269 5.89361 5.70916 5.81008 5.62563 5.89361C5.5421 5.97714 5.45857 5.97714 5.45857 6.06067C5.5421 6.31125 5.62563 6.47831 5.62563 6.64537C5.62563 6.7289 5.70916 6.81243 5.79269 6.7289C5.87622 6.7289 5.95975 6.64537 5.87622 6.56184C5.87622 6.39478 5.87622 6.22772 5.79269 5.97714Z", fill: "white" }),
        React.createElement("path", { d: "M6.21034 7.31356C6.21034 7.23003 6.12681 7.1465 6.04328 7.23003C5.95975 7.31356 5.95975 7.31356 5.95975 7.39709C6.87857 9.48532 8.79974 11.7406 11.3056 13.4112C11.3892 13.4947 11.4727 13.4112 11.5562 13.4112C11.6397 13.3277 11.5562 13.2441 11.5562 13.1606C8.9668 11.49 7.12916 9.31826 6.21034 7.31356Z", fill: "white" }),
        React.createElement("path", { d: "M16.3174 15.4994C16.2338 15.4994 16.1503 15.4994 16.1503 15.5829C16.1503 15.6664 16.1503 15.75 16.2338 15.75C16.4844 15.8335 16.8186 15.917 17.0691 16.0006C17.1527 16.0006 17.2362 16.0006 17.2362 15.917C17.2362 15.8335 17.2362 15.75 17.1527 15.75C16.9021 15.6664 16.568 15.5829 16.3174 15.4994Z", fill: "white" }),
        React.createElement("path", { d: "M17.8209 15.8335C17.7374 15.8335 17.6538 15.917 17.6538 16.0006C17.6538 16.0841 17.7374 16.1676 17.8209 16.1676C18.4891 16.2511 19.2409 16.3347 19.8256 16.2511C19.9091 16.2511 19.9927 16.1676 19.9927 16.0841C19.9927 16.0006 19.9091 15.917 19.8256 15.917C19.1574 16.0006 18.4891 15.917 17.8209 15.8335Z", fill: "white" }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "SushiSwap_a", x1: "9.17078", y1: "2.54762", x2: "12.2518", y2: "13.1276", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#03B8FF" }),
                React.createElement("stop", { offset: "1", stopColor: "#FA52A0" })),
            React.createElement("linearGradient", { id: "SushiSwap_b", x1: "11.7081", y1: "1.80861", x2: "14.7892", y2: "12.3887", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#03B8FF" }),
                React.createElement("stop", { offset: "1", stopColor: "#FA52A0" })),
            React.createElement("linearGradient", { id: "SushiSwap_c", x1: "6.64135", y1: "3.28417", x2: "9.72249", y2: "13.8642", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#03B8FF" }),
                React.createElement("stop", { offset: "1", stopColor: "#FA52A0" }))))),
});

const SushiSwapBadge = createIcon({
    rectFill: '#BABDE6',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M7.30145 5.68262L19.7306 14.1692L16.6567 18.7132L4.22758 10.1598L7.30145 5.68262Z", fill: "url(#SushiSwapBadge_a)" }),
        React.createElement("path", { d: "M19.7306 14.1692C18.6614 15.7061 15.053 15.1047 11.645 12.6991C8.17015 10.3602 6.2991 7.21953 7.30145 5.6826C8.37062 4.14566 11.9791 4.74707 15.3871 7.15271C18.8619 9.42471 20.7329 12.6322 19.7306 14.1692Z", fill: "url(#SushiSwapBadge_b)" }),
        React.createElement("path", { d: "M16.6567 18.6463C15.5875 20.1832 11.9791 19.5818 8.57109 17.1762C5.1631 14.7705 3.22522 11.6966 4.2944 10.0929C5.36357 8.55594 8.97203 9.15735 12.38 11.563C15.788 13.9686 17.6591 17.1093 16.6567 18.6463Z", fill: "url(#SushiSwapBadge_c)" }),
        React.createElement("path", { d: "M19.7306 14.1692L16.6567 18.7132C15.5875 20.2501 11.9791 19.5819 8.57109 17.2431C7.90286 16.7753 7.30145 16.3076 6.70004 15.773C7.1678 15.7061 7.76921 15.4389 8.37062 14.7706C9.43979 13.6346 9.97438 13.3673 10.4421 13.4342C10.9099 13.4342 11.4445 13.9019 12.3132 15.0379C13.1819 16.1739 14.3847 16.508 15.1198 15.9066C15.1866 15.8398 15.2534 15.8398 15.3203 15.773C15.9217 15.3052 16.1221 15.1047 17.2581 12.9664C17.5254 12.4318 18.4609 11.5631 19.7306 11.964C20.0647 12.8327 20.0647 13.5678 19.7306 14.1692Z", fill: "#0E0F23" }),
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M19.2628 13.9019C18.3273 15.2384 15.053 14.5701 11.9123 12.365C8.70474 10.1598 6.83368 7.3532 7.76921 6.01673C8.70474 4.68027 11.9791 5.3485 15.1198 7.55367C18.2605 9.75884 20.1315 12.5654 19.2628 13.9019ZM16.3226 11.8972C15.8548 12.5654 14.2511 12.2313 12.6473 11.1621C11.1104 10.093 10.1749 8.68967 10.6426 8.02143C11.1104 7.3532 12.7141 7.68732 14.3179 8.75649C15.8548 9.82567 16.7904 11.229 16.3226 11.8972Z", fill: "white" }),
        React.createElement("path", { d: "M7.03415 7.2195C7.03415 7.15268 6.96733 7.08586 6.90051 7.15268C6.83368 7.2195 6.76686 7.2195 6.76686 7.28633C6.83368 7.4868 6.90051 7.62044 6.90051 7.75409C6.90051 7.82091 6.96733 7.88774 7.03415 7.82091C7.10098 7.82091 7.1678 7.75409 7.10098 7.68727C7.10098 7.55362 7.10098 7.41997 7.03415 7.2195Z", fill: "white" }),
        React.createElement("path", { d: "M7.36827 8.28872C7.36827 8.22189 7.30145 8.15507 7.23462 8.22189C7.1678 8.28872 7.1678 8.28872 7.1678 8.35554C7.90286 10.0261 9.4398 11.8304 11.4445 13.1668C11.5113 13.2336 11.5781 13.1668 11.645 13.1668C11.7118 13.1 11.645 13.0332 11.645 12.9664C9.57344 11.6299 8.10333 9.89248 7.36827 8.28872Z", fill: "white" }),
        React.createElement("path", { d: "M15.4539 14.8374C15.3871 14.8374 15.3203 14.8374 15.3203 14.9042C15.3203 14.971 15.3203 15.0379 15.3871 15.0379C15.5875 15.1047 15.8548 15.1715 16.0553 15.2383C16.1221 15.2383 16.189 15.2383 16.189 15.1715C16.189 15.1047 16.189 15.0379 16.1221 15.0379C15.9217 14.971 15.6544 14.9042 15.4539 14.8374Z", fill: "white" }),
        React.createElement("path", { d: "M16.6567 15.1047C16.5899 15.1047 16.5231 15.1716 16.5231 15.2384C16.5231 15.3052 16.5899 15.372 16.6567 15.372C17.1913 15.4389 17.7927 15.5057 18.2605 15.4389C18.3273 15.4389 18.3941 15.372 18.3941 15.3052C18.3941 15.2384 18.3273 15.1716 18.2605 15.1716C17.7259 15.2384 17.1913 15.1716 16.6567 15.1047Z", fill: "white" }),
        React.createElement("defs", null,
            React.createElement("linearGradient", { id: "SushiSwapBadge_a", x1: "9.73663", y1: "4.47599", x2: "12.2015", y2: "12.94", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#03B8FF" }),
                React.createElement("stop", { offset: "1", stopColor: "#FA52A0" })),
            React.createElement("linearGradient", { id: "SushiSwapBadge_b", x1: "11.7665", y1: "3.88478", x2: "14.2314", y2: "12.3488", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#03B8FF" }),
                React.createElement("stop", { offset: "1", stopColor: "#FA52A0" })),
            React.createElement("linearGradient", { id: "SushiSwapBadge_c", x1: "7.71308", y1: "5.06515", x2: "10.178", y2: "13.5292", gradientUnits: "userSpaceOnUse" },
                React.createElement("stop", { stopColor: "#03B8FF" }),
                React.createElement("stop", { offset: "1", stopColor: "#FA52A0" }))))),
});

const Uniswap = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M12 22C17.5228 22 22 17.5228 22 12C22 6.47715 17.5228 2 12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22Z", fill: "#FF007A" }),
        React.createElement("path", { d: "M9.65352 5.17697C9.47539 5.14947 9.46789 5.14572 9.55164 5.13322C9.71227 5.10822 10.0923 5.1426 10.3541 5.20447C10.9648 5.3501 11.5204 5.72197 12.1141 6.3826L12.2716 6.5576L12.4966 6.52197C13.4466 6.36885 14.4135 6.49072 15.2216 6.86385C15.4441 6.96635 15.7948 7.17072 15.8385 7.22385C15.8529 7.2401 15.8785 7.34822 15.8954 7.46322C15.9554 7.86135 15.9254 8.16635 15.8041 8.39447C15.7379 8.51822 15.7341 8.55697 15.7785 8.66322C15.7996 8.70711 15.8325 8.7442 15.8736 8.77027C15.9147 8.79635 15.9623 8.81036 16.011 8.81072C16.2123 8.81072 16.4285 8.48572 16.5285 8.03385L16.5685 7.85447L16.6473 7.94385C17.0798 8.43385 17.4191 9.10197 17.4773 9.57697L17.4929 9.70135L17.4198 9.58885C17.2948 9.3951 17.1698 9.2626 17.0085 9.15572C16.7185 8.96385 16.4116 8.89885 15.5991 8.85572C14.8654 8.81697 14.4498 8.75447 14.0385 8.6201C13.3379 8.39197 12.9848 8.0876 12.1523 6.99572C11.7829 6.51072 11.5541 6.2426 11.3273 6.02697C10.8104 5.53572 10.3029 5.27822 9.65352 5.17697Z", fill: "white" }),
        React.createElement("path", { d: "M16.0484 6.62625C16.0671 6.30125 16.1109 6.08687 16.1996 5.89125C16.2346 5.81375 16.2677 5.75 16.2727 5.75C16.2672 5.79387 16.2556 5.83677 16.2384 5.8775C16.174 6.0675 16.1634 6.3275 16.2077 6.62938C16.264 7.01313 16.2965 7.06812 16.7015 7.4825C16.8921 7.67687 17.1134 7.92187 17.1934 8.0275L17.339 8.21875L17.1934 8.08188C17.0152 7.915 16.6052 7.58813 16.5146 7.54188C16.454 7.51063 16.4446 7.51125 16.4071 7.54813C16.3727 7.58313 16.3652 7.63437 16.3609 7.87875C16.3534 8.25875 16.3015 8.50375 16.1759 8.7475C16.1084 8.87875 16.0977 8.85125 16.159 8.70188C16.2046 8.59063 16.209 8.54188 16.209 8.17375C16.209 7.43375 16.1209 7.25625 15.6052 6.95125C15.4501 6.86122 15.2907 6.77863 15.1277 6.70375C15.0472 6.67145 14.9691 6.63343 14.894 6.59C14.9084 6.57562 15.4109 6.72187 15.6127 6.8C15.914 6.91562 15.9634 6.93063 16.0002 6.91625C16.0246 6.90688 16.0365 6.83563 16.0484 6.62625ZM10.044 7.89187C9.68211 7.39375 9.45836 6.62937 9.50648 6.05812L9.52149 5.88125L9.60398 5.89625C9.75898 5.92437 10.0259 6.02375 10.1509 6.1C10.4934 6.30813 10.6421 6.5825 10.7927 7.28625C10.8371 7.4925 10.8952 7.72562 10.9221 7.805C10.9646 7.93187 11.1271 8.22875 11.2596 8.42188C11.3546 8.56063 11.2909 8.62625 11.0809 8.6075C10.7596 8.57813 10.3246 8.27812 10.044 7.89187ZM15.6096 11.6013C13.9177 10.92 13.3221 10.3287 13.3221 9.33125C13.3221 9.18437 13.3271 9.06437 13.3327 9.06437C13.339 9.06437 13.4046 9.1125 13.4784 9.17188C13.8215 9.44688 14.2059 9.56438 15.269 9.71938C15.8946 9.81125 16.2471 9.885 16.5721 9.9925C17.6046 10.335 18.2434 11.03 18.3959 11.9763C18.4396 12.2513 18.414 12.7669 18.3421 13.0388C18.2859 13.2538 18.1127 13.6406 18.0671 13.6556C18.0546 13.6594 18.0421 13.6113 18.0384 13.5444C18.0209 13.1894 17.8415 12.8431 17.5396 12.5838C17.1965 12.2894 16.7365 12.0544 15.6096 11.6013ZM14.4221 11.8838C14.4021 11.763 14.3748 11.6436 14.3402 11.5263L14.2965 11.3975L14.3771 11.4875C14.4877 11.6125 14.5759 11.7713 14.6496 11.9838C14.7065 12.1456 14.7127 12.1938 14.7121 12.4569C14.7121 12.7156 14.7052 12.7694 14.6527 12.9156C14.5797 13.1301 14.4575 13.3244 14.2959 13.4831C13.9865 13.7981 13.5896 13.9719 13.0159 14.0444C12.9159 14.0569 12.6259 14.0781 12.3702 14.0913C11.7265 14.125 11.3034 14.1938 10.9227 14.3275C10.8884 14.3429 10.8515 14.3518 10.814 14.3538C10.799 14.3381 11.0577 14.1838 11.2721 14.0806C11.574 13.935 11.874 13.8556 12.5471 13.7438C12.8796 13.6881 13.2234 13.6213 13.3102 13.5944C14.134 13.3419 14.5577 12.6906 14.4221 11.8838Z", fill: "white" }),
        React.createElement("path", { d: "M14.7912 13.4694C14.5662 12.9862 14.515 12.5194 14.6381 12.0844C14.6513 12.0381 14.6725 12 14.685 12C14.7273 12.0153 14.7671 12.0368 14.8031 12.0637C14.9069 12.1337 15.1144 12.2512 15.6675 12.5525C16.3581 12.9294 16.7519 13.2212 17.02 13.5537C17.2544 13.8456 17.3994 14.1781 17.4694 14.5831C17.5087 14.8125 17.4856 15.3644 17.4269 15.5956C17.2413 16.3244 16.8094 16.8969 16.1944 17.2306C16.1363 17.2642 16.0762 17.2941 16.0144 17.32C16.0056 17.32 16.0381 17.2369 16.0875 17.1344C16.2938 16.7019 16.3181 16.2806 16.1613 15.8119C16.0656 15.525 15.87 15.1744 15.4756 14.5831C15.0169 13.8956 14.9044 13.7119 14.7912 13.4694ZM8.43687 16.0763C9.065 15.5463 9.84562 15.17 10.5575 15.0544C10.8637 15.0044 11.375 15.0244 11.6588 15.0969C12.1138 15.2131 12.5213 15.4744 12.7331 15.785C12.9394 16.0887 13.0287 16.3537 13.1206 16.9425C13.1581 17.175 13.1975 17.4081 13.2094 17.4612C13.2781 17.7662 13.4138 18.0106 13.5813 18.1331C13.8469 18.3275 14.305 18.3394 14.755 18.1644C14.802 18.1428 14.8516 18.1273 14.9025 18.1181C14.9188 18.1344 14.6925 18.2862 14.5325 18.3662C14.3437 18.4673 14.1322 18.5185 13.9181 18.515C13.5056 18.515 13.1631 18.3056 12.8775 17.8775C12.8212 17.7931 12.695 17.5412 12.5962 17.3169C12.295 16.6294 12.1462 16.4194 11.7962 16.19C11.4906 15.99 11.0975 15.9544 10.8019 16.0994C10.4131 16.29 10.305 16.7869 10.5831 17.1012C10.6937 17.2262 10.9 17.3344 11.0688 17.355C11.1424 17.3648 11.2172 17.3586 11.2882 17.3369C11.3593 17.3153 11.4248 17.2786 11.4805 17.2294C11.5361 17.1802 11.5805 17.1197 11.6107 17.0519C11.641 16.984 11.6563 16.9105 11.6556 16.8362C11.6556 16.6287 11.5756 16.5112 11.3756 16.4206C11.1025 16.2975 10.8087 16.4412 10.81 16.6981C10.8106 16.8075 10.8581 16.8762 10.9681 16.9262C11.0388 16.9575 11.04 16.9606 10.9825 16.9488C10.7319 16.8963 10.6731 16.5944 10.875 16.3937C11.1169 16.1525 11.6175 16.2587 11.7894 16.5875C11.8619 16.7256 11.87 17.0012 11.8069 17.1675C11.6662 17.5394 11.255 17.7344 10.8381 17.6281C10.5544 17.5556 10.4387 17.4775 10.0969 17.125C9.5025 16.5125 9.27188 16.3937 8.41438 16.26L8.25 16.2344L8.43687 16.0763Z", fill: "white" }),
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M5.75 3.9775L5.81 4.05062C8.1275 6.88812 9.325 8.36062 9.40125 8.46562C9.52625 8.63937 9.47937 8.795 9.26437 8.9175C9.145 8.98562 8.89875 9.05437 8.77625 9.05437C8.63687 9.05437 8.48 8.9875 8.36562 8.87937C8.285 8.8025 7.95937 8.31625 7.2075 7.14938C6.85541 6.59787 6.49873 6.04931 6.1375 5.50375C6.10687 5.475 6.1075 5.47562 7.14875 7.33875C7.8025 8.50875 8.02375 8.92187 8.02375 8.9775C8.02375 9.09 7.9925 9.14875 7.85375 9.30375C7.6225 9.56187 7.51937 9.85187 7.44437 10.4519C7.36062 11.125 7.12563 11.6 6.47313 12.4131C6.09188 12.8894 6.02937 12.9769 5.9325 13.1687C5.81125 13.41 5.77812 13.5456 5.76437 13.8506C5.75 14.1731 5.77813 14.3819 5.87688 14.69C5.96313 14.96 6.05312 15.1387 6.28312 15.495C6.48187 15.8031 6.59625 16.0319 6.59625 16.1212C6.59625 16.1925 6.61 16.1925 6.91812 16.1231C7.655 15.9569 8.25312 15.6637 8.59 15.305C8.79812 15.0831 8.84688 14.9606 8.84875 14.6562C8.84938 14.4575 8.8425 14.4156 8.78875 14.3012C8.70125 14.115 8.54187 13.96 8.19062 13.72C7.73 13.405 7.53375 13.1513 7.47938 12.8031C7.43438 12.5175 7.48625 12.3156 7.74125 11.7819C8.00437 11.2294 8.07 10.9944 8.11437 10.4375C8.1425 10.0775 8.18188 9.93563 8.28563 9.82188C8.39313 9.70313 8.49063 9.6625 8.7575 9.62625C9.1925 9.56687 9.46937 9.45438 9.69687 9.245C9.89437 9.0625 9.97687 8.88687 9.98937 8.62312L9.99937 8.42313L9.88875 8.29438C9.73 8.10938 8.41687 6.66062 5.94875 3.94688L5.8825 3.875L5.75 3.9775ZM6.82125 14.2162C6.86485 14.139 6.87787 14.0483 6.85773 13.9619C6.83759 13.8756 6.78576 13.7999 6.7125 13.75C6.57 13.655 6.34812 13.7 6.34812 13.8238C6.34812 13.8613 6.36875 13.8887 6.41563 13.9131C6.495 13.9537 6.50062 14 6.43875 14.0931C6.37562 14.1881 6.38062 14.2719 6.45312 14.3288C6.56937 14.42 6.73375 14.3694 6.82125 14.2162ZM10.2738 9.73125C10.0694 9.79375 9.87125 10.0106 9.80938 10.2375C9.77188 10.3756 9.79312 10.6187 9.84937 10.6937C9.94 10.815 10.0281 10.8469 10.2656 10.845C10.7306 10.8419 11.1344 10.6425 11.1819 10.3931C11.2206 10.1887 11.0425 9.90562 10.7981 9.78062C10.6719 9.71687 10.4038 9.69125 10.2738 9.73125ZM10.8175 10.1563C10.8894 10.0544 10.8575 9.94375 10.7362 9.87C10.5037 9.72813 10.1525 9.845 10.1525 10.065C10.1525 10.1738 10.3356 10.2931 10.5031 10.2931C10.6156 10.2931 10.7681 10.2263 10.8175 10.1563Z", fill: "white" }))),
});

const UniswapBadge = createIcon({
    rectFill: '#FF007A',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M9.36609 5.4229C9.17142 5.39285 9.16322 5.38875 9.25475 5.37509C9.4303 5.34777 9.84559 5.38533 10.1318 5.45296C10.7991 5.61211 11.4064 6.01852 12.0553 6.74051L12.2274 6.93177L12.4733 6.89283C13.5115 6.72548 14.5682 6.85868 15.4514 7.26646C15.6946 7.37848 16.0778 7.60184 16.1256 7.6599C16.1413 7.67766 16.1693 7.79583 16.1877 7.92151C16.2533 8.35661 16.2205 8.68994 16.088 8.93926C16.0156 9.0745 16.0115 9.11685 16.06 9.23297C16.083 9.28093 16.119 9.32147 16.164 9.34997C16.2089 9.37846 16.2609 9.39378 16.3141 9.39417C16.534 9.39417 16.7704 9.03898 16.8797 8.54514L16.9234 8.3491L17.0094 8.44678C17.4821 8.98229 17.853 9.71247 17.9165 10.2316L17.9336 10.3675L17.8537 10.2446C17.7171 10.0328 17.5805 9.88802 17.4043 9.77121C17.0873 9.56152 16.7519 9.49048 15.864 9.44335C15.0621 9.401 14.6078 9.33269 14.1584 9.18584C13.3927 8.93652 13.0068 8.60388 12.0969 7.41059C11.6933 6.88054 11.4433 6.58751 11.1953 6.35185C10.6304 5.81497 10.0758 5.53356 9.36609 5.4229Z", fill: "white" }),
        React.createElement("path", { d: "M16.3549 7.0068C16.3754 6.65161 16.4232 6.41732 16.5202 6.20353C16.5585 6.11883 16.5947 6.04916 16.6001 6.04916C16.594 6.09711 16.5814 6.14399 16.5626 6.1885C16.4922 6.39615 16.4806 6.6803 16.5291 7.01021C16.5906 7.42961 16.6261 7.48971 17.0687 7.94258C17.277 8.15501 17.5188 8.42276 17.6063 8.5382L17.7654 8.74721L17.6063 8.59763C17.4116 8.41525 16.9635 8.05801 16.8645 8.00747C16.7982 7.97332 16.788 7.974 16.747 8.0143C16.7094 8.05255 16.7012 8.10856 16.6964 8.37563C16.6882 8.79093 16.6315 9.05869 16.4943 9.32508C16.4205 9.46852 16.4089 9.43846 16.4758 9.27521C16.5257 9.15363 16.5305 9.10035 16.5305 8.69803C16.5305 7.8893 16.4341 7.69531 15.8706 7.36198C15.7011 7.26359 15.5269 7.17333 15.3488 7.0915C15.2608 7.05619 15.1754 7.01465 15.0933 6.96718C15.109 6.95147 15.6582 7.1113 15.8788 7.19669C16.2081 7.32305 16.262 7.33944 16.3023 7.32373C16.329 7.31349 16.3419 7.23562 16.3549 7.0068ZM9.79282 8.38998C9.39734 7.84558 9.15281 7.01021 9.2054 6.3859L9.22179 6.1926L9.31196 6.20899C9.48135 6.23973 9.77302 6.34833 9.90963 6.43167C10.2839 6.65912 10.4465 6.95898 10.6111 7.7281C10.6596 7.95351 10.7231 8.20829 10.7525 8.29503C10.799 8.43369 10.9766 8.75814 11.1214 8.96921C11.2252 9.12084 11.1555 9.19256 10.926 9.17207C10.5749 9.13997 10.0995 8.8121 9.79282 8.38998ZM15.8754 12.4439C14.0264 11.6994 13.3754 11.0532 13.3754 9.96305C13.3754 9.80253 13.3809 9.67138 13.387 9.67138C13.3939 9.67138 13.4656 9.72398 13.5462 9.78887C13.9212 10.0894 14.3413 10.2178 15.5031 10.3872C16.1869 10.4876 16.5721 10.5682 16.9273 10.6857C18.0557 11.06 18.7538 11.8196 18.9205 12.8537C18.9683 13.1543 18.9403 13.7178 18.8617 14.0149C18.8002 14.2499 18.611 14.6727 18.5612 14.6891C18.5475 14.6932 18.5338 14.6406 18.5297 14.5675C18.5106 14.1795 18.3146 13.8011 17.9847 13.5177C17.6097 13.1959 17.1069 12.9391 15.8754 12.4439ZM14.5776 12.7526C14.5558 12.6207 14.5259 12.4902 14.4881 12.3619L14.4403 12.2212L14.5284 12.3196C14.6493 12.4562 14.7456 12.6297 14.8262 12.8619C14.8884 13.0388 14.8952 13.0914 14.8945 13.379C14.8945 13.6618 14.887 13.7205 14.8297 13.8804C14.7499 14.1147 14.6163 14.3271 14.4396 14.5006C14.1015 14.8448 13.6678 15.0347 13.0407 15.1139C12.9315 15.1276 12.6145 15.1508 12.3351 15.1652C11.6316 15.2021 11.1692 15.2772 10.7532 15.4234C10.7157 15.4402 10.6754 15.4499 10.6343 15.4521C10.618 15.435 10.9007 15.2663 11.135 15.1536C11.4649 14.9944 11.7928 14.9077 12.5285 14.7854C12.8918 14.7246 13.2675 14.6515 13.3625 14.6221C14.2627 14.3462 14.7258 13.6345 14.5776 12.7526Z", fill: "white" }),
        React.createElement("path", { d: "M14.981 14.4855C14.7351 13.9575 14.6791 13.4473 14.8137 12.9719C14.828 12.9213 14.8513 12.8797 14.8649 12.8797C14.9111 12.8964 14.9547 12.9199 14.994 12.9494C15.1074 13.0259 15.3342 13.1543 15.9387 13.4835C16.6934 13.8954 17.1238 14.2144 17.4168 14.5777C17.6729 14.8967 17.8314 15.2601 17.9079 15.7027C17.9509 15.9534 17.9257 16.5566 17.8615 16.8093C17.6586 17.6057 17.1866 18.2314 16.5145 18.5961C16.4511 18.6328 16.3853 18.6655 16.3178 18.6938C16.3082 18.6938 16.3437 18.603 16.3977 18.491C16.6231 18.0183 16.6497 17.5579 16.4783 17.0456C16.3738 16.7321 16.16 16.3489 15.729 15.7027C15.2276 14.9514 15.1047 14.7506 14.981 14.4855ZM8.03644 17.3345C8.72291 16.7553 9.57604 16.3441 10.354 16.2178C10.6887 16.1631 11.2475 16.185 11.5576 16.2642C12.0548 16.3913 12.5002 16.6768 12.7317 17.0162C12.9572 17.3482 13.0548 17.6378 13.1552 18.2813C13.1962 18.5354 13.2393 18.7901 13.2522 18.8482C13.3274 19.1815 13.4756 19.4486 13.6586 19.5825C13.9489 19.7949 14.4496 19.8079 14.9414 19.6166C14.9928 19.593 15.047 19.5761 15.1026 19.5661C15.1204 19.5838 14.8731 19.7498 14.6983 19.8373C14.4919 19.9477 14.2608 20.0036 14.0268 19.9998C13.576 19.9998 13.2017 19.771 12.8895 19.3031C12.8281 19.2109 12.6901 18.9356 12.5822 18.6904C12.2529 17.939 12.0904 17.7095 11.7078 17.4589C11.3738 17.2403 10.9442 17.2014 10.6211 17.3598C10.1963 17.5682 10.0781 18.1112 10.382 18.4548C10.5029 18.5914 10.7284 18.7095 10.9128 18.7321C10.9932 18.7427 11.075 18.736 11.1527 18.7123C11.2303 18.6886 11.3019 18.6486 11.3627 18.5948C11.4235 18.5411 11.4721 18.4749 11.5051 18.4008C11.5381 18.3266 11.5549 18.2463 11.5542 18.1651C11.5542 17.9384 11.4667 17.81 11.2482 17.7109C10.9497 17.5763 10.6286 17.7335 10.63 18.0142C10.6307 18.1337 10.6826 18.2089 10.8028 18.2635C10.88 18.2977 10.8814 18.3011 10.8185 18.2881C10.5446 18.2307 10.4804 17.9008 10.701 17.6815C10.9654 17.4179 11.5125 17.534 11.7003 17.8933C11.7796 18.0442 11.7884 18.3455 11.7195 18.5272C11.5658 18.9336 11.1163 19.1467 10.6607 19.0306C10.3506 18.9513 10.2243 18.866 9.85063 18.4807C9.20104 17.8113 8.949 17.6815 8.01185 17.5354L7.83221 17.5074L8.03644 17.3345Z", fill: "white" }),
        React.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M5.1 4.11202L5.16557 4.19194C7.69833 7.293 9.00706 8.90227 9.09039 9.01702C9.227 9.20691 9.17577 9.37699 8.9408 9.51087C8.81034 9.58532 8.54122 9.66046 8.40734 9.66046C8.25502 9.66046 8.08357 9.58737 7.95857 9.4692C7.87046 9.38518 7.51459 8.85377 6.69288 7.57851C6.30808 6.97578 5.91827 6.37627 5.52349 5.78003C5.49002 5.74861 5.4907 5.7493 6.62867 7.78548C7.34314 9.06415 7.58494 9.51565 7.58494 9.57644C7.58494 9.69939 7.55079 9.7636 7.39915 9.93299C7.14642 10.2151 7.03372 10.532 6.95175 11.1878C6.86022 11.9234 6.6034 12.4425 5.89029 13.3312C5.47363 13.8517 5.40532 13.9473 5.29945 14.157C5.16694 14.4206 5.13074 14.5689 5.11571 14.9022C5.1 15.2547 5.13074 15.4828 5.23866 15.8195C5.33292 16.1146 5.43128 16.31 5.68264 16.6993C5.89985 17.0361 6.02485 17.2861 6.02485 17.3837C6.02485 17.4616 6.03988 17.4616 6.37662 17.3858C7.18194 17.2041 7.83562 16.8837 8.20379 16.4917C8.43124 16.2492 8.48452 16.1153 8.48657 15.7827C8.48726 15.5654 8.47974 15.5197 8.421 15.3947C8.32537 15.1911 8.15119 15.0217 7.76732 14.7594C7.26391 14.4152 7.04943 14.1379 6.99 13.7574C6.94082 13.4452 6.99752 13.2246 7.2762 12.6413C7.56377 12.0375 7.63549 11.7806 7.68399 11.172C7.71472 10.7786 7.75776 10.6236 7.87114 10.4992C7.98863 10.3695 8.09518 10.3251 8.38685 10.2854C8.86225 10.2206 9.16484 10.0976 9.41347 9.86879C9.62932 9.66933 9.71948 9.4774 9.73314 9.18915L9.74407 8.97057L9.62317 8.82986C9.44968 8.62768 8.01458 7.04436 5.31721 4.07855L5.24481 4L5.1 4.11202ZM6.27075 15.3018C6.3184 15.2174 6.33263 15.1182 6.31062 15.0238C6.28861 14.9295 6.23196 14.8468 6.1519 14.7922C5.99616 14.6884 5.75368 14.7376 5.75368 14.8728C5.75368 14.9138 5.77622 14.9439 5.82745 14.9705C5.9142 15.0149 5.92034 15.0654 5.85272 15.1672C5.78373 15.271 5.7892 15.3626 5.86843 15.4247C5.99548 15.5245 6.17512 15.4691 6.27075 15.3018ZM10.0439 10.4002C9.82057 10.4685 9.60405 10.7055 9.53642 10.9535C9.49544 11.1044 9.51866 11.3701 9.58014 11.4521C9.67918 11.5846 9.77549 11.6194 10.0351 11.6174C10.5432 11.614 10.9845 11.3961 11.0364 11.1236C11.0788 10.9002 10.8841 10.5908 10.617 10.4542C10.479 10.3845 10.186 10.3565 10.0439 10.4002ZM10.6382 10.8647C10.7167 10.7533 10.6819 10.6324 10.5494 10.5518C10.2953 10.3968 9.91142 10.5245 9.91142 10.765C9.91142 10.8838 10.1116 11.0143 10.2946 11.0143C10.4176 11.0143 10.5842 10.9412 10.6382 10.8647Z", fill: "white" }))),
});

const Upbit = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M12 22C17.5228 22 22 17.5228 22 12C22 6.47715 17.5228 2 12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22Z", fill: "#093687" }),
        React.createElement("path", { d: "M11.3898 15.5839L13.1737 10.1641L14.0328 10.4437L13.4189 8.41504H18.7285C19.6919 8.41504 20.1932 9.2758 19.8469 10.3343L19.5105 11.3584C19.5061 11.3716 19.5014 11.3844 19.4962 11.3983L19.4818 11.4359C19.389 11.6879 19.2609 11.9254 19.1011 12.1413C18.5959 12.8283 17.8266 13.274 17.1416 13.278H14.4758L13.7193 15.5827L11.3898 15.5839ZM14.8692 12.0814H16.2836C16.6375 12.0814 17.0289 11.765 17.1559 11.3764L17.5034 10.3191C17.6312 9.93006 17.4471 9.61411 17.094 9.61411H15.6793L14.8692 12.0814ZM5.26705 15.5835C5.20661 15.5815 5.14633 15.576 5.08651 15.5671C4.98632 15.5551 4.88799 15.5308 4.79373 15.4948C4.6064 15.4242 4.44024 15.3287 4.31442 15.1685C4.23845 15.071 4.17821 14.9623 4.13588 14.8462C4.11401 14.7872 4.09626 14.7267 4.08275 14.6652C4.01445 14.3549 4.04281 14.0433 4.12829 13.7398C4.13548 13.7134 4.17063 13.5996 4.17063 13.5996L5.87457 8.41624H8.22319L6.49368 13.6811C6.39942 13.969 6.47251 14.2251 6.67902 14.3333C6.74542 14.3696 6.82025 14.3877 6.8959 14.3856H8.05703L10.0174 8.41624H12.6736L10.7272 10.4449L11.7781 10.1653L9.99344 15.5839L5.26705 15.5835Z", fill: "white" }))),
});

const UpbitBadge = createIcon({
    rectFill: '#093687',
    path: (React.createElement(React.Fragment, null,
        React.createElement("path", { d: "M11.3898 15.5839L13.1737 10.1641L14.0328 10.4437L13.4189 8.41504H18.7285C19.6919 8.41504 20.1932 9.2758 19.8469 10.3343L19.5105 11.3584C19.5061 11.3716 19.5014 11.3844 19.4962 11.3983L19.4818 11.4359C19.389 11.6879 19.2609 11.9254 19.1011 12.1413C18.5959 12.8283 17.8266 13.274 17.1416 13.278H14.4758L13.7193 15.5827L11.3898 15.5839ZM14.8692 12.0814H16.2836C16.6375 12.0814 17.0289 11.765 17.1559 11.3764L17.5034 10.3191C17.6312 9.93006 17.4471 9.61411 17.094 9.61411H15.6793L14.8692 12.0814ZM5.26705 15.5835C5.20661 15.5815 5.14634 15.576 5.08651 15.5671C4.98633 15.5551 4.888 15.5308 4.79373 15.4948C4.6064 15.4242 4.44024 15.3287 4.31442 15.1685C4.23846 15.071 4.17821 14.9623 4.13588 14.8462C4.11401 14.7872 4.09626 14.7267 4.08276 14.6652C4.01446 14.3549 4.04281 14.0433 4.12829 13.7398C4.13548 13.7134 4.17063 13.5996 4.17063 13.5996L5.87458 8.41624H8.2232L6.49369 13.6811C6.39942 13.969 6.47252 14.2251 6.67902 14.3333C6.74542 14.3696 6.82026 14.3877 6.89591 14.3856H8.05703L10.0174 8.41624H12.6736L10.7272 10.4449L11.7781 10.1653L9.99345 15.5839L5.26705 15.5835Z", fill: "white" }))),
});

const WazirX = createIcon({
    path: (React.createElement(React.Fragment, null,
        React.createElement("g", { clipPath: "url(#WazirX_a)" },
            React.createElement("path", { d: "M2.87 20.6912H21.13V18.9521H2.87V20.6912ZM6.3478 9.98343L2 6.77823L2.7994 16.3434L6.3478 9.98343ZM8.9565 17.2129H21.1281L22 6.77823L8.9565 17.2129ZM16.7826 9.73293L6.5554 17.2129H3.7391L8.9357 8.69823L12.2528 3.29993L16.7826 9.73293Z", fill: "#3067F0" })),
        React.createElement("defs", null,
            React.createElement("clipPath", { id: "WazirX_a" },
                React.createElement("rect", { width: "20", height: "17.3913", fill: "white", transform: "translate(2 3.29993)" }))))),
});

const WazirXBadge = createIcon({
    rectFill: '#3067F0',
    path: (React.createElement(React.Fragment, null,
        React.createElement("g", { clipPath: "url(#WazirXBadge_a)" },
            React.createElement("path", { d: "M4.696 18.1144H19.304V16.743H4.696V18.1144ZM7.47824 9.67056L4 7.14303L4.63952 14.6859L7.47824 9.67056ZM9.5652 15.3715H19.3025L20 7.14303L9.5652 15.3715ZM15.8261 9.47303L7.64432 15.3715H5.39128L9.54856 8.65709L12.2022 4.40015L15.8261 9.47303Z", fill: "white" })),
        React.createElement("defs", null,
            React.createElement("clipPath", { id: "WazirXBadge_a" },
                React.createElement("rect", { width: "16", height: "13.7143", fill: "white", transform: "translate(4 4.40015)" }))))),
});

var icons = /*#__PURE__*/Object.freeze({
    __proto__: null,
    BLThreeP: BLThreeP,
    BLThreePBadge: BLThreePBadge,
    Binance: Binance,
    BinanceBadge: BinanceBadge,
    BitMart: BitMart,
    BitMartBadge: BitMartBadge,
    Bitbank: Bitbank,
    BitbankBadge: BitbankBadge,
    Bitfinex: Bitfinex,
    BitfinexBadge: BitfinexBadge,
    Bitflyer: Bitflyer,
    BitflyerBadge: BitflyerBadge,
    Bithumb: Bithumb,
    BithumbBadge: BithumbBadge,
    Bitstamp: Bitstamp,
    BitstampBadge: BitstampBadge,
    Bittrex: Bittrex,
    BittrexBadge: BittrexBadge,
    Bitvavo: Bitvavo,
    BitvavoBadge: BitvavoBadge,
    Cex: Cex,
    CexBadge: CexBadge,
    ChangellyPro: ChangellyPro,
    ChangellyProBadge: ChangellyProBadge,
    CoinDesk: CoinDesk,
    CoinDeskBadge: CoinDeskBadge,
    Coinone: Coinone,
    CoinoneBadge: CoinoneBadge,
    Compound: Compound,
    CompoundBadge: CompoundBadge,
    CryptoCom: CryptoCom,
    CryptoComBadge: CryptoComBadge,
    CurrencyCom: CurrencyCom,
    CurrencyComBadge: CurrencyComBadge,
    Curve: Curve,
    CurveBadge: CurveBadge,
    Digifinex: Digifinex,
    DigifinexBadge: DigifinexBadge,
    Etoro: Etoro,
    EtoroBadge: EtoroBadge,
    Ftx: Ftx,
    FtxBadge: FtxBadge,
    GateIo: GateIo,
    GateIoBadge: GateIoBadge,
    Gemini: Gemini,
    GeminiBadge: GeminiBadge,
    HuobiGlobal: HuobiGlobal,
    HuobiGlobalBadge: HuobiGlobalBadge,
    Indodax: Indodax,
    IndodaxBadge: IndodaxBadge,
    Kraken: Kraken,
    KrakenBadge: KrakenBadge,
    Kucoin: Kucoin,
    KucoinBadge: KucoinBadge,
    Liquid: Liquid,
    LiquidBadge: LiquidBadge,
    Luno: Luno,
    LunoBadge: LunoBadge,
    Okex: Okex,
    OkexBadge: OkexBadge,
    Poloniex: Poloniex,
    PoloniexBadge: PoloniexBadge,
    SushiSwap: SushiSwap,
    SushiSwapBadge: SushiSwapBadge,
    Uniswap: Uniswap,
    UniswapBadge: UniswapBadge,
    Upbit: Upbit,
    UpbitBadge: UpbitBadge,
    WazirX: WazirX,
    WazirXBadge: WazirXBadge
});

const Cryptocon = react.exports.forwardRef((props, ref) => {
    const { icon } = props, rest = __rest(props, ["icon"]);
    const Icon = icons[icon];
    return React.createElement(Icon, Object.assign({}, rest, { ref: ref }));
});

const CryptoconBadge = react.exports.forwardRef((props, ref) => {
    const { icon } = props, rest = __rest(props, ["icon"]);
    const Icon = icons[icon];
    return React.createElement(Icon, Object.assign({}, rest, { ref: ref }));
});

/**
 * A utility component for rendering logo cryptocons with intellisense through the icon property.
 */
const CryptoconLogo = react.exports.forwardRef((props, ref) => {
    const { icon = 'BinanceBadge' } = props, rest = __rest(props, ["icon"]);
    const Icon = icons[icon];
    return React.createElement(Icon, Object.assign({}, rest, { ref: ref }));
});

export { BLThreeP, BLThreePBadge, Binance, BinanceBadge, BitMart, BitMartBadge, Bitbank, BitbankBadge, Bitfinex, BitfinexBadge, Bitflyer, BitflyerBadge, Bithumb, BithumbBadge, Bitstamp, BitstampBadge, Bittrex, BittrexBadge, Bitvavo, BitvavoBadge, Cex, CexBadge, ChangellyPro, ChangellyProBadge, CoinDesk, CoinDeskBadge, Coinone, CoinoneBadge, Compound, CompoundBadge, CryptoCom, CryptoComBadge, Cryptocon, CryptoconBadge, CryptoconLogo, CurrencyCom, CurrencyComBadge, Curve, CurveBadge, Digifinex, DigifinexBadge, Etoro, EtoroBadge, Ftx, FtxBadge, GateIo, GateIoBadge, Gemini, GeminiBadge, HuobiGlobal, HuobiGlobalBadge, Icon, Indodax, IndodaxBadge, Kraken, KrakenBadge, Kucoin, KucoinBadge, Liquid, LiquidBadge, Luno, LunoBadge, Okex, OkexBadge, Poloniex, PoloniexBadge, SushiSwap, SushiSwapBadge, Uniswap, UniswapBadge, Upbit, UpbitBadge, WazirX, WazirXBadge, createIcon };
//# sourceMappingURL=index.js.map
